GNU bug report logs - #54458
27.2; erc-dcc-get: Re-entering top level after C stack overflow

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Fernando de Morais <fernandodemorais.jf@HIDDEN>; Keywords: moreinfo; dated Sat, 19 Mar 2022 01:01:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 54458 <at> debbugs.gnu.org:


Received: (at 54458) by debbugs.gnu.org; 11 May 2022 14:29:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 11 10:29:14 2022
Received: from localhost ([127.0.0.1]:38058 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nonL0-0004Wy-3Z
	for submit <at> debbugs.gnu.org; Wed, 11 May 2022 10:29:14 -0400
Received: from mail-108-mta237.mxroute.com ([136.175.108.237]:45469)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jp@HIDDEN>) id 1nonKy-0004Wg-72
 for 54458 <at> debbugs.gnu.org; Wed, 11 May 2022 10:29:12 -0400
Received: from filter006.mxroute.com ([140.82.40.27]
 140.82.40.27.vultrusercontent.com)
 (Authenticated sender: mN4UYu2MZsgR)
 by mail-108-mta237.mxroute.com (ZoneMTA) with ESMTPSA id
 180b38602b50000db4.002 for <54458 <at> debbugs.gnu.org>
 (version=TLSv1/SSLv3 cipher=ECDHE-RSA-AES128-GCM-SHA256);
 Wed, 11 May 2022 14:29:05 +0000
X-Zone-Loop: d773b78ad0dc905659dd89f2ac1424da667d99dc164b
X-Originating-IP: [140.82.40.27]
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=neverwas.me
 ; s=x;
 h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:References:
 Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=TYO+R9ceggAqcAyQxuQNwWsYKyyyS/qKK7tQ3fyoqqQ=; b=JProsUiMxNXXlJja8gEdjWDTVe
 hDMxWqGGpWvSGHfm54jkoDEiQp2Ztl8h1UOzlWXZU/qNPSyCwv8eb818E6xRwxNS8RXnk962DqoTO
 dkbfkN5cPMuo+KgMC1h4FAAyx4PDUN3Cn/8Gocf42D7cx5nEBvqOJy8Z0OOGOfNAuo1ErIebVQH8g
 Zl2dJRBVi/q9fkjixA01xYOTAjtC7grZ9h3eSUzsrdzw1P1zXYWerO7obD/zPyD72PVkNejZxxZRE
 HHhmaifppDr/IHzBZoWsr2ufEyWrWUlFPEuHZ+z2Zu49WuOpFtmf3s1jMU+jejFckgT1F4uIStHQm
 EchNkEdA==;
From: "J.P." <jp@HIDDEN>
To: Fernando de Morais <fernandodemorais.jf@HIDDEN>
Subject: Re: bug#54458: 27.2; erc-dcc-get: Re-entering top level after C
 stack overflow
References: <78459EAB-314B-4122-8E3B-7F82685D0DBA@HIDDEN>
 <83a6da9vm8.fsf@HIDDEN> <87r16m46uf.fsf@HIDDEN>
 <4DA2DB05-D902-42DF-860D-87617FBB74C8@HIDDEN> <83k0cc907r.fsf@HIDDEN>
 <5A8EE4CF-6F5E-4119-8765-8E301E2BE935@HIDDEN>
 <87czi435nh.fsf@HIDDEN> <87mth8rst7.fsf@HIDDEN>
 <98F3182F-80A4-4131-8E9C-E1576908DF96@HIDDEN>
 <87sfqygccz.fsf@HIDDEN> <87h77aozgw.fsf@HIDDEN>
 <87wng67xxd.fsf@HIDDEN> <875yng39sa.fsf@HIDDEN>
 <87sfqkz4ts.fsf@HIDDEN> <87ilqyrn9s.fsf@HIDDEN>
 <878rrtz7or.fsf@HIDDEN> <87r15guen2.fsf@HIDDEN>
 <87ilqqy9km.fsf@HIDDEN> <87pmkth2lr.fsf@HIDDEN>
 <874k22zu7s.fsf@HIDDEN> <87sfpk4ydj.fsf@HIDDEN>
Date: Wed, 11 May 2022 07:29:00 -0700
In-Reply-To: <87sfpk4ydj.fsf@HIDDEN> (Fernando de Morais's message of "Sat, 
 07 May 2022 22:16:40 -0300")
Message-ID: <87ee10xhw3.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-AuthUser: masked@HIDDEN
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54458
Cc: Mattias =?utf-8?Q?Engdeg=C3=A5rd?= <mattiase@HIDDEN>,
 Eli Zaretskii <eliz@HIDDEN>, emacs-erc@HIDDEN, bandali@HIDDEN,
 54458 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Fernando de Morais <fernandodemorais.jf@HIDDEN> writes:

> Although with these new suggested changes, which I applied, I was able
> to perform several large file transfers (about twenty in total, divided
> in five blocks of four simultaneous transfers) without experiencing any
> loss of control from Emacs!

Fifth time's a charm!

> I wish all the luck for these main initiatives of yours and I would
> like to take this opportunity to thank you for your patience and your
> commitment to solve the problem, including the inconveniences that
> arose with the first solution proposed.

Appreciate the kind words, truly.

> I hope the ERC team implements your suggested changes.

As do I!

On that note, unless anyone objects, I will install the most recent
iteration (or similar) on or around May 20, which is roughly nine days
from now. The ERC version will remain unchanged at 5.4.1. Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54458; Package emacs. Full text available.

Message received at 54458 <at> debbugs.gnu.org:


Received: (at 54458) by debbugs.gnu.org; 8 May 2022 01:16:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat May 07 21:16:59 2022
Received: from localhost ([127.0.0.1]:53177 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nnVXe-0003Hf-RB
	for submit <at> debbugs.gnu.org; Sat, 07 May 2022 21:16:59 -0400
Received: from mail-ot1-f54.google.com ([209.85.210.54]:36726)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <fernandodemorais.jf@HIDDEN>) id 1nnVXd-0003HO-Go
 for 54458 <at> debbugs.gnu.org; Sat, 07 May 2022 21:16:58 -0400
Received: by mail-ot1-f54.google.com with SMTP id
 31-20020a9d0822000000b00605f1807664so7640062oty.3
 for <54458 <at> debbugs.gnu.org>; Sat, 07 May 2022 18:16:57 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=QGuNDOzesSB915oV1hbEnQ/pJ/d9pM/NdylrAfsj44M=;
 b=A5eS06K/B37QPznAR39AiiR4F8VeBduGdpN1VVf6pXKu8vQOCgmcm8PkeOp5vT4dPK
 aBUnT719tYWdV0zCoy2121AtW5X2NL1snbTBgMmcWSlQVxskwyYewZ0bcaWJCQYrvc/e
 Jk2iPII8VZPiR/j0m9YeIATMJGn+08kB3VuIka8L0idud5kwV92pIpdN13tBf3RKkh7S
 ZPunye4krLWkyRQfboI5YZKq7dP9vnYnLFNHNxb9Lw0Qjvxk14M74HrkuciJ1s0gHYo0
 1inlxHMSMC0JN+z8Rq1fbgPVLct36pIyzJiQp+tZwK4e6RJevK3fuHPoLUKYewnC+Ymt
 gPOw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=QGuNDOzesSB915oV1hbEnQ/pJ/d9pM/NdylrAfsj44M=;
 b=t0murTmouBHW/6NIrAsKhtZG8/62MKXWMqCiSPDf0p72syXTB4IiTh05vRrTPXseX/
 RO53XYfJrcRmV2rpO877gYIzz4bNWpuQytL0U9uQ0FXUjqq+V9mvgCe63z/gMP21UWFF
 YMA/Zb8qcSMGtKI8TfMuh7f24LQE0fMi6XSvK4nrGgGsK3yveYxBymWpfqWrfIxtamzN
 1ZGTEHylwCyqAK5cEktR8c26lzCAD11FUJp0zj+7vz2rqWdTJd7VFd/WyJEFsqbic8+8
 oPiGmhkAxQK0WZLoFEV/KGD02Pu9TXAjTVUByaYBifbqqag2MHhyC+FeHByabz2Zx02o
 /Rjw==
X-Gm-Message-State: AOAM530+Qvcsb8V3GMfxZJbyqK+9mP2Opb34C5ukF7RO1jedbyVZJWuP
 qLaC9RpXsXYnDrM3EGH+hr3AHRZb427/AQ==
X-Google-Smtp-Source: ABdhPJy0sGGTaSCvUal90O1sSRz5ivBq1IVr4A7q4RTf5+Ixmi2ItrmZwQOPneidqAlJ/vaq11tP7g==
X-Received: by 2002:a05:6830:1c38:b0:606:1248:2444 with SMTP id
 f24-20020a0568301c3800b0060612482444mr3683745ote.181.1651972611718; 
 Sat, 07 May 2022 18:16:51 -0700 (PDT)
Received: from sekai.mylaptop ([2804:14c:da80:8cd9::ac7f])
 by smtp.gmail.com with ESMTPSA id
 p18-20020a9d4e12000000b006060322125csm3262767otf.44.2022.05.07.18.16.48
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sat, 07 May 2022 18:16:51 -0700 (PDT)
From: Fernando de Morais <fernandodemorais.jf@HIDDEN>
To: "J.P." <jp@HIDDEN>
Subject: Re: bug#54458: 27.2; erc-dcc-get: Re-entering top level after C
 stack overflow
References: <78459EAB-314B-4122-8E3B-7F82685D0DBA@HIDDEN>
 <B366C0CA-8149-442C-B105-95EE698B340B@HIDDEN>
 <83a6da9vm8.fsf@HIDDEN> <87r16m46uf.fsf@HIDDEN>
 <4DA2DB05-D902-42DF-860D-87617FBB74C8@HIDDEN>
 <83k0cc907r.fsf@HIDDEN>
 <5A8EE4CF-6F5E-4119-8765-8E301E2BE935@HIDDEN>
 <87czi435nh.fsf@HIDDEN> <87mth8rst7.fsf@HIDDEN>
 <98F3182F-80A4-4131-8E9C-E1576908DF96@HIDDEN>
 <87sfqygccz.fsf@HIDDEN> <87h77aozgw.fsf@HIDDEN>
 <87wng67xxd.fsf@HIDDEN> <875yng39sa.fsf@HIDDEN>
 <87sfqkz4ts.fsf@HIDDEN> <87ilqyrn9s.fsf@HIDDEN>
 <878rrtz7or.fsf@HIDDEN> <87r15guen2.fsf@HIDDEN>
 <87ilqqy9km.fsf@HIDDEN> <87pmkth2lr.fsf@HIDDEN>
 <874k22zu7s.fsf@HIDDEN>
Date: Sat, 07 May 2022 22:16:40 -0300
In-Reply-To: <874k22zu7s.fsf@HIDDEN> (J. P.'s message of "Fri, 06 May
 2022 06:06:15 -0700")
Message-ID: <87sfpk4ydj.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54458
Cc: Mattias =?utf-8?Q?Engdeg=C3=A5rd?= <mattiase@HIDDEN>,
 Eli Zaretskii <eliz@HIDDEN>, emacs-erc@HIDDEN, bandali@HIDDEN,
 54458 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello J.P.,

"J.P." <jp@HIDDEN> writes:

> And without more insight into what's going on precisely with your
> inputs, I don't think there's a whole lot we can do beyond speculate.
> So, in the end, I guess I'm just asking you to suffer the status quo on
> this one.

No problem! Your patches solved the main problem I was facing, so the
small inconvenience of an unresponsive Emacs for very short periods of
time doesn't affect my experience that much.

> If you're able to try these, great. If not, no worries.

Although with these new suggested changes, which I applied, I was able
to perform several large file transfers (about twenty in total, divided
in five blocks of four simultaneous transfers) without experiencing any
loss of control from Emacs!

In all transfers I used the `-t' and `-s' flags (although I think the
sender doesn't support the SSEND detection).

> I'll leave them for a bit anyhow to focus on our main
> initiatives. Thanks for bearing with me all these weeks (and with ERC
> all these years)!

I wish all the luck for these main initiatives of yours and I would like
to take this opportunity to thank you for your patience and your
commitment to solve the problem, including the inconveniences that arose
with the first solution proposed.

I hope the ERC team implements your suggested changes.

Thanks!

-- 
Regards,
Fernando de Morais.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54458; Package emacs. Full text available.

Message received at 54458 <at> debbugs.gnu.org:


Received: (at 54458) by debbugs.gnu.org; 6 May 2022 13:06:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri May 06 09:06:37 2022
Received: from localhost ([127.0.0.1]:47450 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nmxfH-0004Ne-L5
	for submit <at> debbugs.gnu.org; Fri, 06 May 2022 09:06:37 -0400
Received: from mail-108-mta189.mxroute.com ([136.175.108.189]:39937)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jp@HIDDEN>) id 1nmxfD-0004NQ-RX
 for 54458 <at> debbugs.gnu.org; Fri, 06 May 2022 09:06:33 -0400
Received: from filter006.mxroute.com ([140.82.40.27]
 140.82.40.27.vultrusercontent.com)
 (Authenticated sender: mN4UYu2MZsgR)
 by mail-108-mta189.mxroute.com (ZoneMTA) with ESMTPSA id
 180997a87f4000926a.002 for <54458 <at> debbugs.gnu.org>
 (version=TLSv1/SSLv3 cipher=ECDHE-RSA-AES128-GCM-SHA256);
 Fri, 06 May 2022 13:06:25 +0000
X-Zone-Loop: 0582a646ae9014ceb178050f88b1f51962e10f2fb02c
X-Originating-IP: [140.82.40.27]
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=neverwas.me
 ; s=x;
 h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:References:
 Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=H8BV0iGVWqXLlJX+6GZM7psVawGMAk7Ow5VsoSfFEWM=; b=eYdp7aS3faMhkr7NfQY6L0xaN5
 ALuutOnmhyo5YEcCEofW+TxWUV/kXhReVHu8k7Vh6sDLhaO8tXgd/qvPeonKWJo9SBBQHh5cX4xve
 O4+8T2TxogBtV6AQSgQ9vo/zjF1OC7PBtfhDxfXON+tYzwu7Mst0icaffiHDskwEKnLEDtuKlK3U3
 dcqD4UZOba2magWOb7kpDGLK+WHr7Gk1CiulrtFa/YR5bZDoYKIlWa+r5Ugdq4m3M9w30yNMXVnjJ
 nKy6gdQKVGYGks6jitde8++RVS1k6gKKaEFU3TugERjVkBClSNnFKQGQdLCrXAeCFaUJ5naNg5hGh
 cFP6k4Mg==;
From: "J.P." <jp@HIDDEN>
To: Fernando de Morais <fernandodemorais.jf@HIDDEN>
Subject: Re: bug#54458: 27.2; erc-dcc-get: Re-entering top level after C
 stack overflow
References: <78459EAB-314B-4122-8E3B-7F82685D0DBA@HIDDEN>
 <B366C0CA-8149-442C-B105-95EE698B340B@HIDDEN> <83a6da9vm8.fsf@HIDDEN>
 <87r16m46uf.fsf@HIDDEN>
 <4DA2DB05-D902-42DF-860D-87617FBB74C8@HIDDEN> <83k0cc907r.fsf@HIDDEN>
 <5A8EE4CF-6F5E-4119-8765-8E301E2BE935@HIDDEN>
 <87czi435nh.fsf@HIDDEN> <87mth8rst7.fsf@HIDDEN>
 <98F3182F-80A4-4131-8E9C-E1576908DF96@HIDDEN>
 <87sfqygccz.fsf@HIDDEN> <87h77aozgw.fsf@HIDDEN>
 <87wng67xxd.fsf@HIDDEN> <875yng39sa.fsf@HIDDEN>
 <87sfqkz4ts.fsf@HIDDEN> <87ilqyrn9s.fsf@HIDDEN>
 <878rrtz7or.fsf@HIDDEN> <87r15guen2.fsf@HIDDEN>
 <87ilqqy9km.fsf@HIDDEN> <87pmkth2lr.fsf@HIDDEN>
Date: Fri, 06 May 2022 06:06:15 -0700
In-Reply-To: <87pmkth2lr.fsf@HIDDEN> (Fernando de Morais's message of "Wed, 
 04 May 2022 10:03:12 -0300")
Message-ID: <874k22zu7s.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-AuthUser: masked@HIDDEN
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54458
Cc: Mattias =?utf-8?Q?Engdeg=C3=A5rd?= <mattiase@HIDDEN>,
 Eli Zaretskii <eliz@HIDDEN>, emacs-erc@HIDDEN, bandali@HIDDEN,
 54458 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

Hi Fernando,

Fernando de Morais <fernandodemorais.jf@HIDDEN> writes:

> It worked great! I was able to download four packages simultaneously,
> making use of the `-t' flag, without losing control of Emacs.
>
> In fact, the loss of control still happened a few times, even using the
> flag, but for a short time and much more rarely

Hm. I'm not sure what all we can do about the stuttering. The flag
inhibits all sending, so the filter is merely appending arriving bytes
to the work buffer and flushing it whenever its size crosses some
threshold. IOW, the EAGAIN loop discussed up thread can't occur. So,
whatever's causing the intermittent loss must be related to normal,
interleaved reading by those filters.

And without more insight into what's going on precisely with your
inputs, I don't think there's a whole lot we can do beyond speculate.
So, in the end, I guess I'm just asking you to suffer the status quo on
this one.

> [...] compared to the transfer without the flag (whose loss of control
> happens in, practically, every transfer).

Right. The sans-flag thing was another dumb idea you should have been
spared. In truth, it never stood a chance (I've come to learn) because
no one has ever implemented that form of TSEND. However, I've added
detection for one form that does exist and is very much in use, at least
by KVirc folk. I've also added a slight tweak for improved interop with
WeeChat, which has its own form of turbo (called "fast mode" or
something) that only requires a final ACK.

If you're able to try these, great. If not, no worries. I'll leave them
for a bit anyhow to focus on our main initiatives. Thanks for bearing
with me all these weeks (and with ERC all these years)!

J.P.

P.S (unrelated) I've also added SSEND detection (and an -s flag) for
senders that support it (it's just TLS, really).


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment; filename=0000-v4-v5.diff

From 32b268f03891c297b14bbaee45833d33fe051c17 Mon Sep 17 00:00:00 2001
From: "F. Jason Park" <jp@HIDDEN>
Date: Fri, 6 May 2022 00:15:36 -0700
Subject: [PATCH 0/5] *** NOT A PATCH ***

*** BLURB HERE ***

F. Jason Park (5):
  Display error message on incomplete ERC DCC transfer
  Don't send reports in erc-dcc-get-filter when nested
  Allow matching against string values in erc-dcc-member
  Accept turbo param in erc-dcc-do-GET-command
  Support receiving from DCC SSEND in erc-dcc

 lisp/erc/erc-dcc.el            | 135 ++++++++++++++++++---------
 test/lisp/erc/erc-dcc-tests.el | 164 +++++++++++++++++++++++++++++++++
 2 files changed, 258 insertions(+), 41 deletions(-)
 create mode 100644 test/lisp/erc/erc-dcc-tests.el

Interdiff:
diff --git a/lisp/erc/erc-dcc.el b/lisp/erc/erc-dcc.el
index cfa8422b1c..aa48be4dde 100644
--- a/lisp/erc/erc-dcc.el
+++ b/lisp/erc/erc-dcc.el
@@ -43,7 +43,7 @@
 ;;  /dcc chat nick - Either accept pending chat offer from nick, or offer
 ;;                   DCC chat to nick
 ;;  /dcc close type [nick] - Close DCC connection (SEND/GET/CHAT) with nick
-;;  /dcc get [-t] nick [file] - Accept DCC offer from nick
+;;  /dcc get [-t][-s] nick [file] - Accept DCC offer from nick
 ;;  /dcc list - List all DCC offers/connections
 ;;  /dcc send nick file - Offer DCC SEND to nick
 
@@ -107,7 +107,9 @@ erc-dcc-list
 
  :size - size of the file, may be nil on incoming DCCs
 
- :turbo - optional item indicating sender support for TSEND.")
+ :secure - optional item indicating sender support for TLS
+
+ :turbo - optional item indicating sender support for TSEND")
 
 (defun erc-dcc-list-add (type nick peer parent &rest args)
   "Add a new entry of type TYPE to `erc-dcc-list' and return it."
@@ -121,12 +123,13 @@ erc-dcc-list-add
 ;; more: the entry data from erc-dcc-list for this particular process.
 (defvar erc-dcc-connect-function 'erc-dcc-open-network-stream)
 
-(defun erc-dcc-open-network-stream (procname buffer addr port _entry)
+(defun erc-dcc-open-network-stream (procname buffer addr port entry)
   ;; FIXME: Time to try activating this again!?
   (if nil;  (fboundp 'open-network-stream-nowait)  ;; this currently crashes
                                                    ;; cvs emacs
       (open-network-stream-nowait procname buffer addr port)
-    (open-network-stream procname buffer addr port)))
+    (open-network-stream procname buffer addr port
+                         :type (and (plist-get entry :secure) 'tls))))
 
 (erc-define-catalog
  'english
@@ -508,12 +511,11 @@ erc-dcc-do-GET-command
 FILE is the filename.  If FILE is split into multiple arguments,
 re-join the arguments, separated by a space.
 PROC is the server process."
-  (let* ((turbo (prog1 (and (cond ((string= nick "-t")
-                                   (setq nick (pop file)))
-                                  ((member "-t" file)
-                                   (setq file (delete "-t" file))))
-                            t)
-                  (setq file (and file (mapconcat #'identity file " ")))))
+  (let* ((args (seq-group-by (lambda (s) (eq ?- (aref s 0))) (cons nick file)))
+         (flags (prog1 (cdr (assq t args))
+                  (setq args (cdr (assq nil args))
+                        nick (pop args)
+                        file (and args (mapconcat #'identity args " ")))))
          (elt (erc-dcc-member :nick nick :type 'GET :file file))
          (filename (or file (plist-get elt :file) "unknown")))
     (if elt
@@ -535,7 +537,10 @@ erc-dcc-do-GET-command
                     ?n nick ?f filename)))
                 (t
                  (erc-dcc-get-file elt file proc)))
-          (when turbo
+          (when (member "-s" flags)
+            (setq erc-dcc-list (cons (plist-put elt :secure t)
+                                     (delq elt erc-dcc-list))))
+          (when (member "-t" flags)
             (setq erc-dcc-list (cons (plist-put elt :turbo t)
                                      (delq elt erc-dcc-list)))))
       (erc-display-message
@@ -544,11 +549,6 @@ erc-dcc-do-GET-command
 
 (defvar-local erc-dcc-byte-count nil)
 
-;; Experimental flag to indicate TGET-style report omissions
-;; see https://www.visualirc.net/tech-tdcc.php
-;; FIXME actually, we don't need this (drop after adding unit test)
-(defvar erc-dcc--force-turbo nil)
-
 (defun erc-dcc-do-LIST-command (_proc)
   "This is the handler for the /dcc list command.
 It lists the current state of `erc-dcc-list' in an easy to read manner."
@@ -580,6 +580,7 @@ erc-dcc-do-LIST-command
               (process-status (plist-get elt :peer))
             "no")
        ?s (concat size
+                  ;; FIXME consider uniquified names, e.g., foo.bin<2>
                   (if (and (eq 'GET (plist-get elt :type))
                            (plist-member elt :file)
                            (buffer-live-p (get-buffer (plist-get elt :file)))
@@ -592,7 +593,11 @@ erc-dcc-do-LIST-command
                                 (floor (* 100.0 byte-count)
                                        (plist-get elt :size))))))
        ?f (or (and (plist-member elt :file) (plist-get elt :file)) "")
-       ?u (if (or erc-dcc--force-turbo (plist-get elt :turbo)) " (T)" "")))
+       ?u (if-let* ((flags (concat (and (plist-get elt :turbo) "t")
+                                   (and (plist-get elt :secure) "s")))
+                    ((not (string-empty-p flags))))
+              (concat " (" flags ")")
+            "")))
     (erc-display-message
      nil 'notice 'active
      'dcc-list-end)
@@ -619,6 +624,10 @@ erc-ctcp-query-DCC-hook
 
 (defvar erc-dcc-query-handler-alist
   '(("SEND" . erc-dcc-handle-ctcp-send)
+    ("TSEND" . erc-dcc-handle-ctcp-send)
+    ("SSEND" . erc-dcc-handle-ctcp-send)
+    ("TSSEND" . erc-dcc-handle-ctcp-send)
+    ("STSEND" . erc-dcc-handle-ctcp-send)
     ("CHAT" . erc-dcc-handle-ctcp-chat)))
 
 ;;;###autoload
@@ -637,12 +646,16 @@ erc-ctcp-query-DCC
        ?q query ?n nick ?u login ?h host))))
 
 (defconst erc-dcc-ctcp-query-send-regexp
-  (concat "^DCC SEND \\(?:"
+  (rx bot "DCC " (group-n 6 (: (** 0 2 (any "TS")) "SEND")) " "
           ;; Following part matches either filename without spaces
           ;; or filename enclosed in double quotes with any number
           ;; of escaped double quotes inside.
-          "\"\\(\\(?:\\\\\"\\|[^\"\\]\\)+\\)\"\\|\\([^ ]+\\)"
-          "\\) \\([0-9]+\\) \\([0-9]+\\) *\\([0-9]*\\) ?\\(T\\)?"))
+      (: (or (: ?\" (group-n 1 (+ (or (: ?\\ ?\") (not (any ?\" ?\\))))) ?\")
+             (group-n 2 (+ (not " ")))))
+      (: " " (group-n 3 (+ digit))
+         " " (group-n 4 (+ digit))
+         (* " ") (group-n 5 (* digit)))
+      eot))
 
 (define-inline erc-dcc-unquote-filename (filename)
   (inline-quote
@@ -667,13 +680,14 @@ erc-dcc-handle-ctcp-send
        'dcc-request-bogus
        ?r "SEND" ?n nick ?u login ?h host))
      ((string-match erc-dcc-ctcp-query-send-regexp query)
-      (let ((filename
-             (or (match-string 2 query)
-                 (erc-dcc-unquote-filename (match-string 1 query))))
-            (ip       (erc-decimal-to-ip (match-string 3 query)))
-            (port     (match-string 4 query))
-            (size     (match-string 5 query))
-            (turbo    (match-string 6 query)))
+      (let* ((filename (or (match-string 2 query)
+                           (erc-dcc-unquote-filename (match-string 1 query))))
+             (ip (erc-decimal-to-ip (match-string 3 query)))
+             (port (match-string 4 query))
+             (size (match-string 5 query))
+             (sub (substring (match-string 6 query) 0 -4))
+             (secure (seq-contains-p sub ?S #'eq))
+             (turbo (seq-contains-p sub ?T #'eq)))
         ;; FIXME: a warning really should also be sent
         ;; if the ip address != the host the dcc sender is on.
         (erc-display-message
@@ -691,7 +705,8 @@ erc-dcc-handle-ctcp-send
          nil proc
          :ip ip :port port :file filename
          :size (string-to-number size)
-         :turbo (and turbo t))
+         :turbo (and turbo t)
+         :secure (and secure t))
         (if (and (eq erc-dcc-send-request 'auto)
                  (erc-dcc-auto-mask-p (format "\"%s!%s@%s\"" nick login host)))
             (erc-dcc-get-file (car erc-dcc-list) filename proc))))
@@ -970,6 +985,14 @@ erc-dcc-append-contents
       (setq erc-dcc-byte-count (+ (buffer-size) erc-dcc-byte-count))
       (erase-buffer))))
 
+;; If people need this, we can convert it into an option.  The only
+;; known culprit is WeeChat, with its xfer.network.fast_send option
+;; (on by default).  Calling /DCC GET -t works just fine, but WeeChat
+;; sees it as a failure even though the file arrives in its entirety.
+
+(defvar erc-dcc-send-final-turbo-ack nil
+  "Workaround for maverick turbo senders that only require a final ACK.")
+
 (defun erc-dcc-get-filter (proc str)
   "This is the process filter for transfers from other clients to this one.
 It reads incoming bytes from the network and stores them in the DCC
@@ -1004,8 +1027,13 @@ erc-dcc-get-filter
          'dcc-get-file-too-long
          ?f (file-name-nondirectory (buffer-name)))
         (delete-process proc))
-       ((not (or erc-dcc--force-turbo
-                 (plist-get erc-dcc-entry-data :turbo)
+       ;; Some senders want us to hang up.  Only observed w. TSEND.
+       ((and (plist-get erc-dcc-entry-data :turbo)
+             (= received-bytes (plist-get erc-dcc-entry-data :size)))
+        (when erc-dcc-send-final-turbo-ack
+          (process-send-string proc (erc-pack-int received-bytes)))
+        (delete-process proc))
+       ((not (or (plist-get erc-dcc-entry-data :turbo)
                  (process-get proc :reportingp)))
         (process-put proc :reportingp t)
         (process-send-string proc (erc-pack-int received-bytes))
@@ -1016,7 +1044,8 @@ erc-dcc-get-sentinel
 It shuts down the connection and notifies the user that the
 transfer is complete."
   ;; FIXME, we should look at EVENT, and also check size.
-  (unless (string= event "connection broken by remote peer\n")
+  (unless (member event '("connection broken by remote peer\n"
+                          "deleted\n"))
     (lwarn 'erc :warning "Unexpected sentinel event %S for %s"
            (string-trim-right event) proc))
   (with-current-buffer (process-buffer proc)
diff --git a/test/lisp/erc/erc-dcc-tests.el b/test/lisp/erc/erc-dcc-tests.el
index 64ca3363c7..126a1b5287 100644
--- a/test/lisp/erc/erc-dcc-tests.el
+++ b/test/lisp/erc/erc-dcc-tests.el
@@ -26,17 +26,23 @@ erc-dcc-ctcp-query-send-regexp
   (let ((s "DCC SEND \"file name\" 2130706433 9899 1405135128"))
     (should (string-match erc-dcc-ctcp-query-send-regexp s))
     (should-not (match-string 2 s))
-    (should (string= "file name" (match-string 1 s))))
+    (should (string= "file name" (match-string 1 s)))
+    (should (string= "SEND" (match-string 6 s))))
+  (let ((s "DCC SEND \"file \\\" name\" 2130706433 9899 1405135128"))
+    (should (string-match erc-dcc-ctcp-query-send-regexp s))
+    (should-not (match-string 2 s))
+    (should (string= "SEND" (match-string 6 s)))
+    (should (string= "file \" name"
+                     (erc-dcc-unquote-filename (match-string 1 s)))))
   (let ((s "DCC SEND filename 2130706433 9899 1405135128"))
     (should (string-match erc-dcc-ctcp-query-send-regexp s))
     (should (string= "filename" (match-string 2 s)))
     (should (string= "2130706433" (match-string 3 s)))
     (should (string= "9899" (match-string 4 s)))
-    (should (string= "1405135128" (match-string 5 s)))
-    (should-not (match-string 6 s)))
-  (let ((s "DCC SEND filename 2130706433 9899 1405135128 T"))
+    (should (string= "1405135128" (match-string 5 s))))
+  (let ((s "DCC TSEND filename 2130706433 9899 1405135128"))
     (should (string-match erc-dcc-ctcp-query-send-regexp s))
-    (should (string= "T" (match-string 6 s)))))
+    (should (string= "TSEND" (match-string 6 s)))))
 
 ;; This also indirectly tests base functionality for
 ;; `erc-dcc-do-LIST-command'
@@ -56,8 +62,8 @@ erc-dcc-tests--dcc-handle-ctcp-send
                         "~tester"
                         "fake.irc"
                         "dummy"
-                        (concat "DCC SEND foo 2130706433 9899 1405135128"
-                                (and turbo " T")))
+                        (concat "DCC " (if turbo "TSEND" "SEND")
+                                " foo 2130706433 9899 1405135128"))
     (should-not (cdr erc-dcc-list))
     (should (equal (plist-put (car erc-dcc-list) :parent 'fake)
                    `(:nick "tester!~tester@HIDDEN"
@@ -68,7 +74,8 @@ erc-dcc-tests--dcc-handle-ctcp-send
                            :port "9899"
                            :file "foo"
                            :size 1405135128
-                           :turbo ,turbo)))
+                           :turbo ,(and turbo t)
+                           :secure nil)))
     (goto-char (point-min))
     (should (search-forward "file foo offered by tester" nil t))
     (erc-dcc-do-LIST-command erc-server-process)
-- 
2.35.1


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0001-Display-error-message-on-incomplete-ERC-DCC-transfer.patch

From 494f37ca515cfa0c09d5d0a698d0899e5d9e759e Mon Sep 17 00:00:00 2001
From: "F. Jason Park" <jp@HIDDEN>
Date: Wed, 30 Mar 2022 17:16:11 -0700
Subject: [PATCH 1/5] Display error message on incomplete ERC DCC transfer

* lisp/erc/erc-dcc.el (erc-dcc-get-sentinel): Display error when total
byte count received is lower than expected.
(erc-message-english-dcc-get-failed): Add `dcc-get-incomplete' to
the English catalog.
(erc-dcc-get-file): Tweak initialization of `erc-dcc-entry-data'.
(Bug#54458)
---
 lisp/erc/erc-dcc.el | 35 +++++++++++++++++++----------------
 1 file changed, 19 insertions(+), 16 deletions(-)

diff --git a/lisp/erc/erc-dcc.el b/lisp/erc/erc-dcc.el
index 59bfd24603..a37dc7caa3 100644
--- a/lisp/erc/erc-dcc.el
+++ b/lisp/erc/erc-dcc.el
@@ -144,6 +144,7 @@ erc-dcc-open-network-stream
    (dcc-get-bytes-received . "DCC: %f: %b bytes received")
    (dcc-get-complete
     . "DCC: file %f transfer complete (%s bytes in %t seconds)")
+   (dcc-get-failed . "DCC: file %f transfer failed at %s of %v in %t seconds")
    (dcc-get-cmd-aborted . "DCC: Aborted getting %f from %n")
    (dcc-get-file-too-long
     . "DCC: %f: File longer than sender claimed; aborting transfer")
@@ -920,8 +921,7 @@ erc-dcc-get-file
             (inhibit-file-name-operation 'write-region))
         (write-region (point) (point) erc-dcc-file-name nil 'nomessage))
 
-      (setq erc-server-process parent-proc
-            erc-dcc-entry-data entry)
+      (setq erc-server-process parent-proc)
       (setq erc-dcc-byte-count 0)
       (setq proc
             (funcall erc-dcc-connect-function
@@ -935,8 +935,8 @@ erc-dcc-get-file
 
       (set-process-filter proc #'erc-dcc-get-filter)
       (set-process-sentinel proc #'erc-dcc-get-sentinel)
-      (setq entry (plist-put entry :start-time (erc-current-time)))
-      (setq entry (plist-put entry :peer proc)))))
+      (setq erc-dcc-entry-data (plist-put (plist-put entry :peer proc)
+                                          :start-time (erc-current-time))))))
 
 (defun erc-dcc-append-contents (buffer _file)
   "Append the contents of BUFFER to FILE.
@@ -990,27 +990,30 @@ erc-dcc-get-filter
         (process-send-string
          proc (erc-pack-int received-bytes)))))))
 
-
-(defun erc-dcc-get-sentinel (proc _event)
+(defun erc-dcc-get-sentinel (proc event)
   "This is the process sentinel for CTCP DCC SEND connections.
 It shuts down the connection and notifies the user that the
 transfer is complete."
   ;; FIXME, we should look at EVENT, and also check size.
+  (unless (string= event "connection broken by remote peer\n")
+    (lwarn 'erc :warning "Unexpected sentinel event %S for %s"
+           (string-trim-right event) proc))
   (with-current-buffer (process-buffer proc)
     (delete-process proc)
     (setq erc-dcc-list (delete erc-dcc-entry-data erc-dcc-list))
     (unless (= (point-min) (point-max))
       (erc-dcc-append-contents (current-buffer) erc-dcc-file-name))
-    (erc-display-message
-     nil 'notice erc-server-process
-     'dcc-get-complete
-     ?f erc-dcc-file-name
-     ?s (number-to-string erc-dcc-byte-count)
-     ?t (format "%.0f"
-                (erc-time-diff (plist-get erc-dcc-entry-data :start-time)
-                               nil))))
-  (kill-buffer (process-buffer proc))
-  (delete-process proc))
+    (let ((done (= erc-dcc-byte-count (plist-get erc-dcc-entry-data :size))))
+      (erc-display-message
+       nil (if done 'notice '(notice error)) erc-server-process
+       (if done 'dcc-get-complete 'dcc-get-failed)
+       ?v (plist-get erc-dcc-entry-data :size)
+       ?f erc-dcc-file-name
+       ?s (number-to-string erc-dcc-byte-count)
+       ?t (format "%.0f"
+                  (erc-time-diff (plist-get erc-dcc-entry-data :start-time)
+                                 nil))))
+    (kill-buffer)))
 
 ;;; CHAT handling
 
-- 
2.35.1


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0002-Don-t-send-reports-in-erc-dcc-get-filter-when-nested.patch

From af28665f92db12e59d2e3a6faeede6b3c2a96dce Mon Sep 17 00:00:00 2001
From: "F. Jason Park" <jp@HIDDEN>
Date: Mon, 28 Mar 2022 02:24:43 -0700
Subject: [PATCH 2/5] Don't send reports in erc-dcc-get-filter when nested

* lisp/erc/erc-dcc.el (erc-dcc-get-filter): Don't bother sending a
"received so far" receipt if another attempt is ongoing
(Bug#54458)
---
 lisp/erc/erc-dcc.el | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/lisp/erc/erc-dcc.el b/lisp/erc/erc-dcc.el
index a37dc7caa3..2a06efdaa4 100644
--- a/lisp/erc/erc-dcc.el
+++ b/lisp/erc/erc-dcc.el
@@ -986,9 +986,10 @@ erc-dcc-get-filter
          'dcc-get-file-too-long
          ?f (file-name-nondirectory (buffer-name)))
         (delete-process proc))
-       (t
-        (process-send-string
-         proc (erc-pack-int received-bytes)))))))
+       ((not (process-get proc :reportingp))
+        (process-put proc :reportingp t)
+        (process-send-string proc (erc-pack-int received-bytes))
+        (process-put proc :reportingp nil))))))
 
 (defun erc-dcc-get-sentinel (proc event)
   "This is the process sentinel for CTCP DCC SEND connections.
-- 
2.35.1


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0003-Allow-matching-against-string-values-in-erc-dcc-memb.patch

From 9c1ea280ec6bd016a9d4e3b0515835c283a038ad Mon Sep 17 00:00:00 2001
From: "F. Jason Park" <jp@HIDDEN>
Date: Sat, 9 Apr 2022 23:32:22 -0700
Subject: [PATCH 3/5] Allow matching against string values in erc-dcc-member

* lisp/erc/erc-dcc.el (erc-dcc-member): Be more tolerant in the
catch-all case by testing for equality instead of identity.
(erc-dcc-do-GET-command): Pass filename when querying
`erc-dcc-member'. (Bug#54458)
---
 lisp/erc/erc-dcc.el | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/lisp/erc/erc-dcc.el b/lisp/erc/erc-dcc.el
index 2a06efdaa4..babd0f3046 100644
--- a/lisp/erc/erc-dcc.el
+++ b/lisp/erc/erc-dcc.el
@@ -196,7 +196,7 @@ erc-dcc-member
                       (erc-extract-nick test)
                       (erc-extract-nick val)))
                 ;; not a nick
-                (eq test val)
+                (equal test val)
                 (setq cont nil))))
         (if cont
             (setq result elt)
@@ -507,7 +507,7 @@ erc-dcc-do-GET-command
 re-join the arguments, separated by a space.
 PROC is the server process."
   (setq file (and file (mapconcat #'identity file " ")))
-  (let* ((elt (erc-dcc-member :nick nick :type 'GET))
+  (let* ((elt (erc-dcc-member :nick nick :type 'GET :file file))
          (filename (or file (plist-get elt :file) "unknown")))
     (if elt
         (let* ((file (read-file-name
-- 
2.35.1


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0004-Accept-turbo-param-in-erc-dcc-do-GET-command.patch

From 36356e9ddbc4a304442bbd16fec0e41d261552cb Mon Sep 17 00:00:00 2001
From: "F. Jason Park" <jp@HIDDEN>
Date: Sat, 30 Apr 2022 02:16:46 -0700
Subject: [PATCH 4/5] Accept turbo param in erc-dcc-do-GET-command

* lisp/erc/erc-dcc.el (erc-dcc-list): Document optional :turbo item.
(erc-message-english-dcc-list-{head,line,item}): Adjust format strings
to make room for "(T)" turbo indicator.
(erc-dcc-do-GET-command): Optionally set :turbo in `erc-dcc-list'
entry when passed -t argument in the /DCC GET slash-command.
(erc-dcc--force-turbo): Add temporary internal var.
(erc-dcc-do-LIST): Print message with new format specifier for turbo
status.
(erc-dcc-ctcp-query-send-regexp): Account for nonstandard terminating
T.
(erc-dcc-handle-ctcp-send): set :turbo item in `erc-dcc-list' member
when new match-group nonempty.
(erc-dcc-send-final-turbo-ack): New internal variable and possible
future option for extreme corner-cases involving maverick quasi-turbo
senders.
(erc-dcc-get-filter): Don't send when turbo active.

* test/lisp/erc/erc-dcc-tests.el: Add new file.
(Bug#54458)
---
 lisp/erc/erc-dcc.el            |  79 +++++++++++-----
 test/lisp/erc/erc-dcc-tests.el | 163 +++++++++++++++++++++++++++++++++
 2 files changed, 221 insertions(+), 21 deletions(-)
 create mode 100644 test/lisp/erc/erc-dcc-tests.el

diff --git a/lisp/erc/erc-dcc.el b/lisp/erc/erc-dcc.el
index babd0f3046..591930c74e 100644
--- a/lisp/erc/erc-dcc.el
+++ b/lisp/erc/erc-dcc.el
@@ -43,7 +43,7 @@
 ;;  /dcc chat nick - Either accept pending chat offer from nick, or offer
 ;;                   DCC chat to nick
 ;;  /dcc close type [nick] - Close DCC connection (SEND/GET/CHAT) with nick
-;;  /dcc get nick [file] - Accept DCC offer from nick
+;;  /dcc get [-t] nick [file] - Accept DCC offer from nick
 ;;  /dcc list - List all DCC offers/connections
 ;;  /dcc send nick file - Offer DCC SEND to nick
 
@@ -105,7 +105,9 @@ erc-dcc-list
  :file - for outgoing sends, the full path to the file.  For incoming sends,
          the suggested filename or vetted filename
 
- :size - size of the file, may be nil on incoming DCCs")
+ :size - size of the file, may be nil on incoming DCCs
+
+ :turbo - optional item indicating sender support for TSEND")
 
 (defun erc-dcc-list-add (type nick peer parent &rest args)
   "Add a new entry of type TYPE to `erc-dcc-list' and return it."
@@ -149,9 +151,9 @@ erc-dcc-open-network-stream
    (dcc-get-file-too-long
     . "DCC: %f: File longer than sender claimed; aborting transfer")
    (dcc-get-notfound . "DCC: %n hasn't offered %f for DCC transfer")
-   (dcc-list-head . "DCC: From      Type  Active  Size            Filename")
-   (dcc-list-line . "DCC: --------  ----  ------  --------------  --------")
-   (dcc-list-item . "DCC: %-8n  %-4t  %-6a  %-14s  %f")
+   (dcc-list-head . "DCC: From      Type  Active  Size               Filename")
+   (dcc-list-line . "DCC: --------  ----  ------  -----------------  --------")
+   (dcc-list-item . "DCC: %-8n  %-4t  %-6a  %-17s  %f%u")
    (dcc-list-end  . "DCC: End of list.")
    (dcc-malformed . "DCC: error: %n (%u@%h) sent malformed request: %q")
    (dcc-privileged-port
@@ -506,8 +508,12 @@ erc-dcc-do-GET-command
 FILE is the filename.  If FILE is split into multiple arguments,
 re-join the arguments, separated by a space.
 PROC is the server process."
-  (setq file (and file (mapconcat #'identity file " ")))
-  (let* ((elt (erc-dcc-member :nick nick :type 'GET :file file))
+  (let* ((args (seq-group-by (lambda (s) (eq ?- (aref s 0))) (cons nick file)))
+         (flags (prog1 (cdr (assq t args))
+                  (setq args (cdr (assq nil args))
+                        nick (pop args)
+                        file (and args (mapconcat #'identity args " ")))))
+         (elt (erc-dcc-member :nick nick :type 'GET :file file))
          (filename (or file (plist-get elt :file) "unknown")))
     (if elt
         (let* ((file (read-file-name
@@ -527,7 +533,10 @@ erc-dcc-do-GET-command
                     'dcc-get-cmd-aborted
                     ?n nick ?f filename)))
                 (t
-                 (erc-dcc-get-file elt file proc))))
+                 (erc-dcc-get-file elt file proc)))
+          (when (member "-t" flags)
+            (setq erc-dcc-list (cons (plist-put elt :turbo t)
+                                     (delq elt erc-dcc-list)))))
       (erc-display-message
        nil '(notice error) 'active
        'dcc-get-notfound ?n nick ?f filename))))
@@ -576,7 +585,12 @@ erc-dcc-do-LIST-command
                         (format " (%d%%)"
                                 (floor (* 100.0 byte-count)
                                        (plist-get elt :size))))))
-       ?f (or (and (plist-member elt :file) (plist-get elt :file)) "")))
+       ?f (or (and (plist-member elt :file) (plist-get elt :file)) "")
+       ?u (if-let* ((flags (concat (and (plist-get elt :turbo) "t")
+                                   (and (plist-get elt :placeholder) "p")))
+                    ((not (string-empty-p flags))))
+              (concat " (" flags ")")
+            "")))
     (erc-display-message
      nil 'notice 'active
      'dcc-list-end)
@@ -603,6 +617,7 @@ erc-ctcp-query-DCC-hook
 
 (defvar erc-dcc-query-handler-alist
   '(("SEND" . erc-dcc-handle-ctcp-send)
+    ("TSEND" . erc-dcc-handle-ctcp-send)
     ("CHAT" . erc-dcc-handle-ctcp-chat)))
 
 ;;;###autoload
@@ -621,12 +636,16 @@ erc-ctcp-query-DCC
        ?q query ?n nick ?u login ?h host))))
 
 (defconst erc-dcc-ctcp-query-send-regexp
-  (concat "^DCC SEND \\(?:"
+  (rx bot "DCC " (group-n 6 (: (** 0 2 (any "TS")) "SEND")) " "
           ;; Following part matches either filename without spaces
           ;; or filename enclosed in double quotes with any number
           ;; of escaped double quotes inside.
-          "\"\\(\\(?:\\\\\"\\|[^\"\\]\\)+\\)\"\\|\\([^ ]+\\)"
-          "\\) \\([0-9]+\\) \\([0-9]+\\) *\\([0-9]*\\)"))
+      (: (or (: ?\" (group-n 1 (+ (or (: ?\\ ?\") (not (any ?\" ?\\))))) ?\")
+             (group-n 2 (+ (not " ")))))
+      (: " " (group-n 3 (+ digit))
+         " " (group-n 4 (+ digit))
+         (* " ") (group-n 5 (* digit)))
+      eot))
 
 (define-inline erc-dcc-unquote-filename (filename)
   (inline-quote
@@ -651,12 +670,13 @@ erc-dcc-handle-ctcp-send
        'dcc-request-bogus
        ?r "SEND" ?n nick ?u login ?h host))
      ((string-match erc-dcc-ctcp-query-send-regexp query)
-      (let ((filename
-             (or (match-string 2 query)
-                 (erc-dcc-unquote-filename (match-string 1 query))))
-            (ip       (erc-decimal-to-ip (match-string 3 query)))
-            (port     (match-string 4 query))
-            (size     (match-string 5 query)))
+      (let* ((filename (or (match-string 2 query)
+                           (erc-dcc-unquote-filename (match-string 1 query))))
+             (ip (erc-decimal-to-ip (match-string 3 query)))
+             (port (match-string 4 query))
+             (size (match-string 5 query))
+             (sub (substring (match-string 6 query) 0 -4))
+             (turbo (seq-contains-p sub ?T #'eq)))
         ;; FIXME: a warning really should also be sent
         ;; if the ip address != the host the dcc sender is on.
         (erc-display-message
@@ -673,7 +693,8 @@ erc-dcc-handle-ctcp-send
          'GET (format "%s!%s@%s" nick login host)
          nil proc
          :ip ip :port port :file filename
-         :size (string-to-number size))
+         :size (string-to-number size)
+         :turbo (and turbo t))
         (if (and (eq erc-dcc-send-request 'auto)
                  (erc-dcc-auto-mask-p (format "\"%s!%s@%s\"" nick login host)))
             (erc-dcc-get-file (car erc-dcc-list) filename proc))))
@@ -952,6 +973,14 @@ erc-dcc-append-contents
       (setq erc-dcc-byte-count (+ (buffer-size) erc-dcc-byte-count))
       (erase-buffer))))
 
+;; If people need this, we can convert it into an option.  The only
+;; known culprit is WeeChat, with its xfer.network.fast_send option
+;; (on by default).  Calling /DCC GET -t works just fine, but WeeChat
+;; sees it as a failure even though the file arrives in its entirety.
+
+(defvar erc-dcc-send-final-turbo-ack nil
+  "Workaround for maverick turbo senders that only require a final ACK.")
+
 (defun erc-dcc-get-filter (proc str)
   "This is the process filter for transfers from other clients to this one.
 It reads incoming bytes from the network and stores them in the DCC
@@ -986,7 +1015,14 @@ erc-dcc-get-filter
          'dcc-get-file-too-long
          ?f (file-name-nondirectory (buffer-name)))
         (delete-process proc))
-       ((not (process-get proc :reportingp))
+       ;; Some senders want us to hang up.  Only observed w. TSEND.
+       ((and (plist-get erc-dcc-entry-data :turbo)
+             (= received-bytes (plist-get erc-dcc-entry-data :size)))
+        (when erc-dcc-send-final-turbo-ack
+          (process-send-string proc (erc-pack-int received-bytes)))
+        (delete-process proc))
+       ((not (or (plist-get erc-dcc-entry-data :turbo)
+                 (process-get proc :reportingp)))
         (process-put proc :reportingp t)
         (process-send-string proc (erc-pack-int received-bytes))
         (process-put proc :reportingp nil))))))
@@ -996,7 +1032,8 @@ erc-dcc-get-sentinel
 It shuts down the connection and notifies the user that the
 transfer is complete."
   ;; FIXME, we should look at EVENT, and also check size.
-  (unless (string= event "connection broken by remote peer\n")
+  (unless (member event '("connection broken by remote peer\n"
+                          "deleted\n"))
     (lwarn 'erc :warning "Unexpected sentinel event %S for %s"
            (string-trim-right event) proc))
   (with-current-buffer (process-buffer proc)
diff --git a/test/lisp/erc/erc-dcc-tests.el b/test/lisp/erc/erc-dcc-tests.el
new file mode 100644
index 0000000000..2f66d89072
--- /dev/null
+++ b/test/lisp/erc/erc-dcc-tests.el
@@ -0,0 +1,163 @@
+;;; erc-dcc-tests.el --- Tests for erc-dcc  -*- lexical-binding:t -*-
+
+;; Copyright (C) 2020-2022 Free Software Foundation, Inc.
+
+;; This file is part of GNU Emacs.
+
+;; GNU Emacs is free software: you can redistribute it and/or modify
+;; it under the terms of the GNU General Public License as published by
+;; the Free Software Foundation, either version 3 of the License, or
+;; (at your option) any later version.
+
+;; GNU Emacs is distributed in the hope that it will be useful,
+;; but WITHOUT ANY WARRANTY; without even the implied warranty of
+;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+;; GNU General Public License for more details.
+
+;; You should have received a copy of the GNU General Public License
+;; along with GNU Emacs.  If not, see <https://www.gnu.org/licenses/>.
+
+;;; Commentary:
+;;; Code:
+(require 'ert)
+(require 'erc-dcc)
+
+(ert-deftest erc-dcc-ctcp-query-send-regexp ()
+  (let ((s "DCC SEND \"file name\" 2130706433 9899 1405135128"))
+    (should (string-match erc-dcc-ctcp-query-send-regexp s))
+    (should-not (match-string 2 s))
+    (should (string= "file name" (match-string 1 s)))
+    (should (string= "SEND" (match-string 6 s))))
+  (let ((s "DCC SEND \"file \\\" name\" 2130706433 9899 1405135128"))
+    (should (string-match erc-dcc-ctcp-query-send-regexp s))
+    (should-not (match-string 2 s))
+    (should (string= "SEND" (match-string 6 s)))
+    (should (string= "file \" name"
+                     (erc-dcc-unquote-filename (match-string 1 s)))))
+  (let ((s "DCC SEND filename 2130706433 9899 1405135128"))
+    (should (string-match erc-dcc-ctcp-query-send-regexp s))
+    (should (string= "filename" (match-string 2 s)))
+    (should (string= "2130706433" (match-string 3 s)))
+    (should (string= "9899" (match-string 4 s)))
+    (should (string= "1405135128" (match-string 5 s))))
+  (let ((s "DCC TSEND filename 2130706433 9899 1405135128"))
+    (should (string-match erc-dcc-ctcp-query-send-regexp s))
+    (should (string= "TSEND" (match-string 6 s)))))
+
+;; This also indirectly tests base functionality for
+;; `erc-dcc-do-LIST-command'
+
+(defun erc-dcc-tests--dcc-handle-ctcp-send (turbo)
+  (with-current-buffer (get-buffer-create "fake-server")
+    (erc-mode)
+    (setq erc-server-process
+          (start-process "fake" (current-buffer) "sleep" "1")
+          erc-input-marker (make-marker)
+          erc-insert-marker (make-marker)
+          erc-server-current-nick "dummy")
+    (set-process-query-on-exit-flag erc-server-process nil)
+    (should-not erc-dcc-list)
+    (erc-ctcp-query-DCC erc-server-process
+                        "tester"
+                        "~tester"
+                        "fake.irc"
+                        "dummy"
+                        (concat "DCC " (if turbo "TSEND" "SEND")
+                                " foo 2130706433 9899 1405135128"))
+    (should-not (cdr erc-dcc-list))
+    (should (equal (plist-put (car erc-dcc-list) :parent 'fake)
+                   `(:nick "tester!~tester@HIDDEN"
+                           :type GET
+                           :peer nil
+                           :parent fake
+                           :ip "127.0.0.1"
+                           :port "9899"
+                           :file "foo"
+                           :size 1405135128
+                           :turbo ,(and turbo t))))
+    (goto-char (point-min))
+    (should (search-forward "file foo offered by tester" nil t))
+    (erc-dcc-do-LIST-command erc-server-process)
+    (should (search-forward-regexp (concat
+                                    "GET +no +1405135128 +foo"
+                                    (and turbo " +(T)") "$")
+                                   nil t))
+    (when noninteractive
+      (let (erc-kill-channel-hook erc-kill-server-hook erc-kill-buffer-hook)
+        (kill-buffer))))
+  ;; `erc-dcc-list' is global; must leave it empty
+  (should erc-dcc-list)
+  (setq erc-dcc-list nil))
+
+(ert-deftest erc-dcc-handle-ctcp-send--base ()
+  (erc-dcc-tests--dcc-handle-ctcp-send nil))
+
+(ert-deftest erc-dcc-handle-ctcp-send--turbo ()
+  (erc-dcc-tests--dcc-handle-ctcp-send t))
+
+(ert-deftest erc-dcc-do-GET-command ()
+  (with-temp-buffer
+    (let* ((proc (start-process "fake" (current-buffer) "sleep" "1"))
+           erc-accidental-paste-threshold-seconds
+           erc-send-completed-hook
+           erc-kill-channel-hook erc-kill-server-hook erc-kill-buffer-hook
+           (elt `(:nick "tester!~tester@HIDDEN"
+                        :type GET
+                        :peer nil
+                        :parent ,proc
+                        :ip "127.0.0.1"
+                        :port "9899"
+                        :file "foo.bin"
+                        :size 1405135128))
+           (erc-dcc-list (list elt))
+           ;;
+           calls)
+      (erc-mode)
+      (setq erc-server-process proc
+            erc-input-marker (make-marker)
+            erc-insert-marker (make-marker)
+            erc-server-current-nick "dummy")
+      (set-process-query-on-exit-flag proc nil)
+      (cl-letf (((symbol-function 'read-file-name)
+                 (lambda (&rest _) "foo.bin"))
+                ((symbol-function 'erc-dcc-get-file)
+                 (lambda (&rest r) (push r calls))))
+        (goto-char (point-max))
+        (set-marker erc-insert-marker (point-max))
+        (erc-display-prompt)
+
+        (ert-info ("No turbo")
+          (should-not (plist-member elt :turbo))
+          (goto-char erc-input-marker)
+          (insert "/dcc GET tester foo.bin")
+          (erc-send-current-line)
+          (should-not (plist-member (car erc-dcc-list) :turbo))
+          (should (equal (pop calls) (list elt "foo.bin" proc))))
+
+        (ert-info ("Arg turbo in pos 2")
+          (should-not (plist-member elt :turbo))
+          (goto-char erc-input-marker)
+          (insert "/dcc GET -t tester foo.bin")
+          (erc-send-current-line)
+          (should (eq t (plist-get (car erc-dcc-list) :turbo)))
+          (should (equal (pop calls) (list elt "foo.bin" proc))))
+
+        (ert-info ("Arg turbo in pos 4")
+          (setq elt (plist-put elt :turbo nil)
+                erc-dcc-list (list elt))
+          (goto-char erc-input-marker)
+          (insert "/dcc GET tester -t foo.bin")
+          (erc-send-current-line)
+          (should (eq t (plist-get (car erc-dcc-list) :turbo)))
+          (should (equal (pop calls) (list elt "foo.bin" proc))))
+
+        (ert-info ("Arg turbo in pos 6")
+          (setq elt (plist-put elt :turbo nil)
+                erc-dcc-list (list elt))
+          (goto-char erc-input-marker)
+          (insert "/dcc GET tester foo.bin -t")
+          (erc-send-current-line)
+          (should (eq t (plist-get (car erc-dcc-list) :turbo)))
+          (should (equal (pop calls) (list elt "foo.bin" proc))))))))
+
+;;; erc-dcc-tests.el ends here
-- 
2.35.1


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0005-Support-receiving-from-DCC-SSEND-in-erc-dcc.patch

From 32b268f03891c297b14bbaee45833d33fe051c17 Mon Sep 17 00:00:00 2001
From: "F. Jason Park" <jp@HIDDEN>
Date: Thu, 5 May 2022 21:13:47 -0700
Subject: [PATCH 5/5] Support receiving from DCC SSEND in erc-dcc

* lips/erc/erc-dcc.el (erc-dcc-open-network-stream): Use TLS
for new connections when :secure flag is set.
(erc-dcc-do-GET-command): Set secure flag when user explicitly passes
an "-s" option.
(erc-dcc-do-LIST-command): Show an "s" to indicate a secure connection
when applicable.
(erc-dcc-query-handler-alist): Add extra items for "SSEND", etc.
(erc-dcc-handle-ctcp-send): Set secure flag when based on the
presenceof a leading "S" in the command type.
---
 lisp/erc/erc-dcc.el            | 22 +++++++++++++++++-----
 test/lisp/erc/erc-dcc-tests.el |  3 ++-
 2 files changed, 19 insertions(+), 6 deletions(-)

diff --git a/lisp/erc/erc-dcc.el b/lisp/erc/erc-dcc.el
index 591930c74e..aa48be4dde 100644
--- a/lisp/erc/erc-dcc.el
+++ b/lisp/erc/erc-dcc.el
@@ -43,7 +43,7 @@
 ;;  /dcc chat nick - Either accept pending chat offer from nick, or offer
 ;;                   DCC chat to nick
 ;;  /dcc close type [nick] - Close DCC connection (SEND/GET/CHAT) with nick
-;;  /dcc get [-t] nick [file] - Accept DCC offer from nick
+;;  /dcc get [-t][-s] nick [file] - Accept DCC offer from nick
 ;;  /dcc list - List all DCC offers/connections
 ;;  /dcc send nick file - Offer DCC SEND to nick
 
@@ -107,6 +107,8 @@ erc-dcc-list
 
  :size - size of the file, may be nil on incoming DCCs
 
+ :secure - optional item indicating sender support for TLS
+
  :turbo - optional item indicating sender support for TSEND")
 
 (defun erc-dcc-list-add (type nick peer parent &rest args)
@@ -121,12 +123,13 @@ erc-dcc-list-add
 ;; more: the entry data from erc-dcc-list for this particular process.
 (defvar erc-dcc-connect-function 'erc-dcc-open-network-stream)
 
-(defun erc-dcc-open-network-stream (procname buffer addr port _entry)
+(defun erc-dcc-open-network-stream (procname buffer addr port entry)
   ;; FIXME: Time to try activating this again!?
   (if nil;  (fboundp 'open-network-stream-nowait)  ;; this currently crashes
                                                    ;; cvs emacs
       (open-network-stream-nowait procname buffer addr port)
-    (open-network-stream procname buffer addr port)))
+    (open-network-stream procname buffer addr port
+                         :type (and (plist-get entry :secure) 'tls))))
 
 (erc-define-catalog
  'english
@@ -534,6 +537,9 @@ erc-dcc-do-GET-command
                     ?n nick ?f filename)))
                 (t
                  (erc-dcc-get-file elt file proc)))
+          (when (member "-s" flags)
+            (setq erc-dcc-list (cons (plist-put elt :secure t)
+                                     (delq elt erc-dcc-list))))
           (when (member "-t" flags)
             (setq erc-dcc-list (cons (plist-put elt :turbo t)
                                      (delq elt erc-dcc-list)))))
@@ -574,6 +580,7 @@ erc-dcc-do-LIST-command
               (process-status (plist-get elt :peer))
             "no")
        ?s (concat size
+                  ;; FIXME consider uniquified names, e.g., foo.bin<2>
                   (if (and (eq 'GET (plist-get elt :type))
                            (plist-member elt :file)
                            (buffer-live-p (get-buffer (plist-get elt :file)))
@@ -587,7 +594,7 @@ erc-dcc-do-LIST-command
                                        (plist-get elt :size))))))
        ?f (or (and (plist-member elt :file) (plist-get elt :file)) "")
        ?u (if-let* ((flags (concat (and (plist-get elt :turbo) "t")
-                                   (and (plist-get elt :placeholder) "p")))
+                                   (and (plist-get elt :secure) "s")))
                     ((not (string-empty-p flags))))
               (concat " (" flags ")")
             "")))
@@ -618,6 +625,9 @@ erc-ctcp-query-DCC-hook
 (defvar erc-dcc-query-handler-alist
   '(("SEND" . erc-dcc-handle-ctcp-send)
     ("TSEND" . erc-dcc-handle-ctcp-send)
+    ("SSEND" . erc-dcc-handle-ctcp-send)
+    ("TSSEND" . erc-dcc-handle-ctcp-send)
+    ("STSEND" . erc-dcc-handle-ctcp-send)
     ("CHAT" . erc-dcc-handle-ctcp-chat)))
 
 ;;;###autoload
@@ -676,6 +686,7 @@ erc-dcc-handle-ctcp-send
              (port (match-string 4 query))
              (size (match-string 5 query))
              (sub (substring (match-string 6 query) 0 -4))
+             (secure (seq-contains-p sub ?S #'eq))
              (turbo (seq-contains-p sub ?T #'eq)))
         ;; FIXME: a warning really should also be sent
         ;; if the ip address != the host the dcc sender is on.
@@ -694,7 +705,8 @@ erc-dcc-handle-ctcp-send
          nil proc
          :ip ip :port port :file filename
          :size (string-to-number size)
-         :turbo (and turbo t))
+         :turbo (and turbo t)
+         :secure (and secure t))
         (if (and (eq erc-dcc-send-request 'auto)
                  (erc-dcc-auto-mask-p (format "\"%s!%s@%s\"" nick login host)))
             (erc-dcc-get-file (car erc-dcc-list) filename proc))))
diff --git a/test/lisp/erc/erc-dcc-tests.el b/test/lisp/erc/erc-dcc-tests.el
index 2f66d89072..126a1b5287 100644
--- a/test/lisp/erc/erc-dcc-tests.el
+++ b/test/lisp/erc/erc-dcc-tests.el
@@ -74,7 +74,8 @@ erc-dcc-tests--dcc-handle-ctcp-send
                            :port "9899"
                            :file "foo"
                            :size 1405135128
-                           :turbo ,(and turbo t))))
+                           :turbo ,(and turbo t)
+                           :secure nil)))
     (goto-char (point-min))
     (should (search-forward "file foo offered by tester" nil t))
     (erc-dcc-do-LIST-command erc-server-process)
-- 
2.35.1


--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54458; Package emacs. Full text available.

Message received at 54458 <at> debbugs.gnu.org:


Received: (at 54458) by debbugs.gnu.org; 4 May 2022 13:03:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 04 09:03:33 2022
Received: from localhost ([127.0.0.1]:42064 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nmEfF-0002wf-I1
	for submit <at> debbugs.gnu.org; Wed, 04 May 2022 09:03:33 -0400
Received: from mail-oi1-f169.google.com ([209.85.167.169]:36741)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <fernandodemorais.jf@HIDDEN>) id 1nmEfD-0002wN-Sq
 for 54458 <at> debbugs.gnu.org; Wed, 04 May 2022 09:03:32 -0400
Received: by mail-oi1-f169.google.com with SMTP id v66so1099057oib.3
 for <54458 <at> debbugs.gnu.org>; Wed, 04 May 2022 06:03:31 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=YJbsd09nA4gqIWTOmMj8BamPoPoGZwfFOjU0C3a74Tg=;
 b=LgOfLQ9bCfO4SRhrvAG90mrZt8YnumKyKQfTENSo0iwqZAqHBrKt+92UeERzr0x/++
 Z8iLzk+V7pdTiocwa1AwyAS+w8V/ZaCVxzzhCn8x+fDvZoWYm4DLevPcvlmn9kfIHNXp
 kb6etcVA6hjPwqEreEJNQ74yKt1XbeFvJB6UAPvesCDt3g0WrSVkTV29hhgURR0/kJ8k
 LYLW+PlnKGU58XxSSOwAGPITQ29llA61Ow+tIUkCCb3LWukngngzzFga/0QdB5qQ12R9
 0SwDFXNhuMl8lRjzFd6v/aK3DUvCon/NXAv05UM/nLBjtxvumc4SX3rVphQgg1r+Oh2I
 4GHA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=YJbsd09nA4gqIWTOmMj8BamPoPoGZwfFOjU0C3a74Tg=;
 b=5+Xzzrgih6BMqKqueA00kb0RU5S96yXpM6kpI1AKcmv1WXzTKGVqKgDLe1Hq2aunyO
 xPzBT0AT0ThECXvkqD46+oNp5d/+Nz9lAjXA07vz5z3VdacCJ3Jd3tqnkkYe2AwjNYvj
 D1Fbcp5+cW9hld50CNN2DYB5LukKC9iNm67G5+8xy4JEl0YVidPb/rxqIF1TIVTGEw5A
 6y4zneMTN1965HkUa4mppGJFqS3s2uBnkeMo7X+5DBx880venRzeyuWM3FO0LJ4dDf/g
 1dkOnbo8GG/hmqGfqYeFzAbCcJQrzYg4qFiLBkCxy8lWjZOLM5hLJDr0MWypEtxMxbHT
 E61w==
X-Gm-Message-State: AOAM532ZiCYE+a4z2Q3CToR8zBYmNfSbSbxye/sv7aGDXrpfh8Xo0l5X
 U3XIORpfHrvUDfYC71Qf4hc/36jF6aTp+2CH
X-Google-Smtp-Source: ABdhPJy1W3O2NiF7QtJtOB6cMgOgqB4cA7bjp3nw/Oq0qIXXMj9K0eX8Pu8b/s4JeajWvE0D9BaPMA==
X-Received: by 2002:a05:6808:1315:b0:326:4405:e405 with SMTP id
 y21-20020a056808131500b003264405e405mr2295612oiv.228.1651669404493; 
 Wed, 04 May 2022 06:03:24 -0700 (PDT)
Received: from sekai.mylaptop ([2804:14c:da80:8cd9::ac7f])
 by smtp.gmail.com with ESMTPSA id
 bo8-20020a056808228800b00325cda1ffa2sm4136714oib.33.2022.05.04.06.03.20
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Wed, 04 May 2022 06:03:23 -0700 (PDT)
From: Fernando de Morais <fernandodemorais.jf@HIDDEN>
To: "J.P." <jp@HIDDEN>
Subject: Re: bug#54458: 27.2; erc-dcc-get: Re-entering top level after C
 stack overflow
References: <78459EAB-314B-4122-8E3B-7F82685D0DBA@HIDDEN>
 <B366C0CA-8149-442C-B105-95EE698B340B@HIDDEN>
 <83a6da9vm8.fsf@HIDDEN> <87r16m46uf.fsf@HIDDEN>
 <4DA2DB05-D902-42DF-860D-87617FBB74C8@HIDDEN>
 <83k0cc907r.fsf@HIDDEN>
 <5A8EE4CF-6F5E-4119-8765-8E301E2BE935@HIDDEN>
 <87czi435nh.fsf@HIDDEN> <87mth8rst7.fsf@HIDDEN>
 <98F3182F-80A4-4131-8E9C-E1576908DF96@HIDDEN>
 <87sfqygccz.fsf@HIDDEN> <87h77aozgw.fsf@HIDDEN>
 <87wng67xxd.fsf@HIDDEN> <875yng39sa.fsf@HIDDEN>
 <87sfqkz4ts.fsf@HIDDEN> <87ilqyrn9s.fsf@HIDDEN>
 <878rrtz7or.fsf@HIDDEN> <87r15guen2.fsf@HIDDEN>
 <87ilqqy9km.fsf@HIDDEN>
Date: Wed, 04 May 2022 10:03:12 -0300
In-Reply-To: <87ilqqy9km.fsf@HIDDEN> (J. P.'s message of "Sat, 30 Apr
 2022 06:39:21 -0700")
Message-ID: <87pmkth2lr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54458
Cc: Mattias =?utf-8?Q?Engdeg=C3=A5rd?= <mattiase@HIDDEN>,
 Eli Zaretskii <eliz@HIDDEN>, emacs-erc@HIDDEN, bandali@HIDDEN,
 54458 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello J.P.,

"J.P." <jp@HIDDEN> writes:

> Sorry about that. I shouldn't have asked you to try those patches. That
> whole idea was half-baked and the execution super shoddy.

Don't worry. It's been great to test these new ideas on the ERC. In
addition, they have solved the main problem that I had been facing with
the use of the client.

> If you're willing, please try receiving once as you normally would. But
> if the loss of control persists, try issuing a
>
>   /dcc get -t sender file
>
> on the next go around. Thanks for your patience!

It worked great! I was able to download four packages simultaneously,
making use of the `-t' flag, without losing control of Emacs.

In fact, the loss of control still happened a few times, even using the
flag, but for a short time and much more rarely compared to the transfer
without the flag (whose loss of control happens in, practically, every
transfer).

Thanks!

-- 
Regards,
Fernando de Morais.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54458; Package emacs. Full text available.

Message received at 54458 <at> debbugs.gnu.org:


Received: (at 54458) by debbugs.gnu.org; 30 Apr 2022 13:39:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 30 09:39:40 2022
Received: from localhost ([127.0.0.1]:56128 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nknJy-0005rx-V5
	for submit <at> debbugs.gnu.org; Sat, 30 Apr 2022 09:39:40 -0400
Received: from mail-108-mta96.mxroute.com ([136.175.108.96]:38511)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jp@HIDDEN>) id 1nknJv-0005rf-O3
 for 54458 <at> debbugs.gnu.org; Sat, 30 Apr 2022 09:39:37 -0400
Received: from filter006.mxroute.com ([140.82.40.27]
 140.82.40.27.vultrusercontent.com)
 (Authenticated sender: mN4UYu2MZsgR)
 by mail-108-mta96.mxroute.com (ZoneMTA) with ESMTPSA id 1807ab29a79000fe85.002
 for <54458 <at> debbugs.gnu.org>
 (version=TLSv1/SSLv3 cipher=ECDHE-RSA-AES128-GCM-SHA256);
 Sat, 30 Apr 2022 13:39:26 +0000
X-Zone-Loop: cfe7a265b0d50959790f67ddbe316e3cd96f02d456b9
X-Originating-IP: [140.82.40.27]
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=neverwas.me
 ; s=x;
 h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:References:
 Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=7Evam67tS7Uk/JZpYxNL8U2Ob6llbf4/aUtIxVouJ80=; b=FKD+K52e5xCt8nh36h3eoQkFxW
 JjsVptcxLxPOuKY5Hllvdu2x164m4Ku8RFenbqLwjNop+lWyMhk732LyKBHLTzOqtu4c7rgyNC4Sh
 7dmoEB3TKY4ZLcq0nPGXss5qwi+/4DE4dBum90LbhZNuCQVX1bMPRomAEUib/PcS6nevAOApcTssp
 hSMo9afp9geqndul/teza01f+8GlJEWLiVgQpC6KWhUElHxC4rclpCnRvPuOj5UQISr1HB5wznlJ1
 PuA/ll57nCGwIkiJYh0HQELH5x5/MkcxiG9ow++9Qc2SPPG8DOAPUqccHtXcHqUQyuMNSyYwn90Y3
 SSSfBhOQ==;
From: "J.P." <jp@HIDDEN>
To: Fernando de Morais <fernandodemorais.jf@HIDDEN>
Subject: Re: bug#54458: 27.2; erc-dcc-get: Re-entering top level after C
 stack overflow
References: <78459EAB-314B-4122-8E3B-7F82685D0DBA@HIDDEN>
 <B366C0CA-8149-442C-B105-95EE698B340B@HIDDEN> <83a6da9vm8.fsf@HIDDEN>
 <87r16m46uf.fsf@HIDDEN>
 <4DA2DB05-D902-42DF-860D-87617FBB74C8@HIDDEN> <83k0cc907r.fsf@HIDDEN>
 <5A8EE4CF-6F5E-4119-8765-8E301E2BE935@HIDDEN>
 <87czi435nh.fsf@HIDDEN> <87mth8rst7.fsf@HIDDEN>
 <98F3182F-80A4-4131-8E9C-E1576908DF96@HIDDEN>
 <87sfqygccz.fsf@HIDDEN> <87h77aozgw.fsf@HIDDEN>
 <87wng67xxd.fsf@HIDDEN> <875yng39sa.fsf@HIDDEN>
 <87sfqkz4ts.fsf@HIDDEN> <87ilqyrn9s.fsf@HIDDEN>
 <878rrtz7or.fsf@HIDDEN> <87r15guen2.fsf@HIDDEN>
Date: Sat, 30 Apr 2022 06:39:21 -0700
In-Reply-To: <87r15guen2.fsf@HIDDEN> (Fernando de Morais's message of "Fri, 
 29 Apr 2022 11:51:13 -0300")
Message-ID: <87ilqqy9km.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-AuthUser: masked@HIDDEN
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54458
Cc: Mattias =?utf-8?Q?Engdeg=C3=A5rd?= <mattiase@HIDDEN>,
 Eli Zaretskii <eliz@HIDDEN>, emacs-erc@HIDDEN, bandali@HIDDEN,
 54458 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

Hi Fernando,

Fernando de Morais <fernandodemorais.jf@HIDDEN> writes:

> Unfortunately, however, I couldn't use DCC GET when
> `erc-dcc-get-use-subprocess' is t. The transfer fails and a message like
> this appears:
>
>      *** DCC: file <file_name>
>          transfer failed at 0 of <file-size> in 0 seconds
>
> In this scenario, I tried to receive files from another sender (on the
> same server), but the same thing happened.

Sorry about that. I shouldn't have asked you to try those patches. That
whole idea was half-baked and the execution super shoddy.

And on that note, please try these patches! I've abandoned the
subprocess stuff and am instead introducing a simple flag that inhibits
all reporting. A user can set it explicitly, or it can be activated
automatically when something nonstandard (but specific) is detected.

If you're willing, please try receiving once as you normally would. But
if the loss of control persists, try issuing a

  /dcc get -t sender file

on the next go around. Thanks for your patience!



--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment; filename=0000-v3-v4.diff

From 36a9c136e23dabfb913ebf98a4a7fb4389604cf6 Mon Sep 17 00:00:00 2001
From: "F. Jason Park" <jp@HIDDEN>
Date: Sat, 30 Apr 2022 00:32:33 -0700
Subject: [PATCH 0/4] *** NOT A PATCH ***

*** BLURB HERE ***

F. Jason Park (4):
  Display error message on incomplete ERC DCC transfer
  Don't send reports in erc-dcc-get-filter when nested
  Allow matching against string values in erc-dcc-member
  Accept turbo param in erc-dcc-do-GET-command

 lisp/erc/erc-dcc.el            |  90 ++++++++++++-------
 test/lisp/erc/erc-dcc-tests.el | 157 +++++++++++++++++++++++++++++++++
 2 files changed, 214 insertions(+), 33 deletions(-)
 create mode 100644 test/lisp/erc/erc-dcc-tests.el

Interdiff:
diff --git a/lisp/erc/erc-dcc.el b/lisp/erc/erc-dcc.el
index d8452f2661..cfa8422b1c 100644
--- a/lisp/erc/erc-dcc.el
+++ b/lisp/erc/erc-dcc.el
@@ -43,7 +43,7 @@
 ;;  /dcc chat nick - Either accept pending chat offer from nick, or offer
 ;;                   DCC chat to nick
 ;;  /dcc close type [nick] - Close DCC connection (SEND/GET/CHAT) with nick
-;;  /dcc get nick [file] - Accept DCC offer from nick
+;;  /dcc get [-t] nick [file] - Accept DCC offer from nick
 ;;  /dcc list - List all DCC offers/connections
 ;;  /dcc send nick file - Offer DCC SEND to nick
 
@@ -105,7 +105,9 @@ erc-dcc-list
  :file - for outgoing sends, the full path to the file.  For incoming sends,
          the suggested filename or vetted filename
 
- :size - size of the file, may be nil on incoming DCCs")
+ :size - size of the file, may be nil on incoming DCCs
+
+ :turbo - optional item indicating sender support for TSEND.")
 
 (defun erc-dcc-list-add (type nick peer parent &rest args)
   "Add a new entry of type TYPE to `erc-dcc-list' and return it."
@@ -149,9 +151,9 @@ erc-dcc-open-network-stream
    (dcc-get-file-too-long
     . "DCC: %f: File longer than sender claimed; aborting transfer")
    (dcc-get-notfound . "DCC: %n hasn't offered %f for DCC transfer")
-   (dcc-list-head . "DCC: From      Type  Active  Size            Filename")
-   (dcc-list-line . "DCC: --------  ----  ------  --------------  --------")
-   (dcc-list-item . "DCC: %-8n  %-4t  %-6a  %-14s  %f")
+   (dcc-list-head . "DCC: From      Type  Active  Size               Filename")
+   (dcc-list-line . "DCC: --------  ----  ------  -----------------  --------")
+   (dcc-list-item . "DCC: %-8n  %-4t  %-6a  %-17s  %f%u")
    (dcc-list-end  . "DCC: End of list.")
    (dcc-malformed . "DCC: error: %n (%u@%h) sent malformed request: %q")
    (dcc-privileged-port
@@ -506,8 +508,13 @@ erc-dcc-do-GET-command
 FILE is the filename.  If FILE is split into multiple arguments,
 re-join the arguments, separated by a space.
 PROC is the server process."
-  (setq file (and file (mapconcat #'identity file " ")))
-  (let* ((elt (erc-dcc-member :nick nick :type 'GET :file file))
+  (let* ((turbo (prog1 (and (cond ((string= nick "-t")
+                                   (setq nick (pop file)))
+                                  ((member "-t" file)
+                                   (setq file (delete "-t" file))))
+                            t)
+                  (setq file (and file (mapconcat #'identity file " ")))))
+         (elt (erc-dcc-member :nick nick :type 'GET :file file))
          (filename (or file (plist-get elt :file) "unknown")))
     (if elt
         (let* ((file (read-file-name
@@ -527,13 +534,21 @@ erc-dcc-do-GET-command
                     'dcc-get-cmd-aborted
                     ?n nick ?f filename)))
                 (t
-                 (erc-dcc-get-file elt file proc))))
+                 (erc-dcc-get-file elt file proc)))
+          (when turbo
+            (setq erc-dcc-list (cons (plist-put elt :turbo t)
+                                     (delq elt erc-dcc-list)))))
       (erc-display-message
        nil '(notice error) 'active
        'dcc-get-notfound ?n nick ?f filename))))
 
 (defvar-local erc-dcc-byte-count nil)
 
+;; Experimental flag to indicate TGET-style report omissions
+;; see https://www.visualirc.net/tech-tdcc.php
+;; FIXME actually, we don't need this (drop after adding unit test)
+(defvar erc-dcc--force-turbo nil)
+
 (defun erc-dcc-do-LIST-command (_proc)
   "This is the handler for the /dcc list command.
 It lists the current state of `erc-dcc-list' in an easy to read manner."
@@ -576,7 +591,8 @@ erc-dcc-do-LIST-command
                         (format " (%d%%)"
                                 (floor (* 100.0 byte-count)
                                        (plist-get elt :size))))))
-       ?f (or (and (plist-member elt :file) (plist-get elt :file)) "")))
+       ?f (or (and (plist-member elt :file) (plist-get elt :file)) "")
+       ?u (if (or erc-dcc--force-turbo (plist-get elt :turbo)) " (T)" "")))
     (erc-display-message
      nil 'notice 'active
      'dcc-list-end)
@@ -626,7 +642,7 @@ erc-dcc-ctcp-query-send-regexp
           ;; or filename enclosed in double quotes with any number
           ;; of escaped double quotes inside.
           "\"\\(\\(?:\\\\\"\\|[^\"\\]\\)+\\)\"\\|\\([^ ]+\\)"
-          "\\) \\([0-9]+\\) \\([0-9]+\\) *\\([0-9]*\\)"))
+          "\\) \\([0-9]+\\) \\([0-9]+\\) *\\([0-9]*\\) ?\\(T\\)?"))
 
 (define-inline erc-dcc-unquote-filename (filename)
   (inline-quote
@@ -656,7 +672,8 @@ erc-dcc-handle-ctcp-send
                  (erc-dcc-unquote-filename (match-string 1 query))))
             (ip       (erc-decimal-to-ip (match-string 3 query)))
             (port     (match-string 4 query))
-            (size     (match-string 5 query)))
+            (size     (match-string 5 query))
+            (turbo    (match-string 6 query)))
         ;; FIXME: a warning really should also be sent
         ;; if the ip address != the host the dcc sender is on.
         (erc-display-message
@@ -673,7 +690,8 @@ erc-dcc-handle-ctcp-send
          'GET (format "%s!%s@%s" nick login host)
          nil proc
          :ip ip :port port :file filename
-         :size (string-to-number size))
+         :size (string-to-number size)
+         :turbo (and turbo t))
         (if (and (eq erc-dcc-send-request 'auto)
                  (erc-dcc-auto-mask-p (format "\"%s!%s@%s\"" nick login host)))
             (erc-dcc-get-file (car erc-dcc-list) filename proc))))
@@ -897,7 +915,10 @@ erc-dcc-receive-cache
 
 (defvar-local erc-dcc-file-name nil)
 
-(defun erc-dcc--get-file (entry file parent-proc)
+(defun erc-dcc-get-file (entry file parent-proc)
+  "Set up a transfer from the remote client to the local over a TCP connection.
+This involves setting up a process filter and a process sentinel,
+and making the connection."
   (let* ((buffer (generate-new-buffer (file-name-nondirectory file)))
          proc)
     (with-current-buffer buffer
@@ -935,71 +956,6 @@ erc-dcc--get-file
       (setq erc-dcc-entry-data (plist-put (plist-put entry :peer proc)
                                           :start-time (erc-current-time))))))
 
-(defcustom erc-dcc-get-use-subprocess nil
-  "If non-nil, run GET (receive) operations in a subordinate Emacs."
-  :package-version '(ERC . "5.4.1") ; FIXME make this honest
-  :type 'boolean)
-
-(defun erc-dcc--get-display-messages (&rest args)
-  (pcase-let ((`(,_parsed ,_type ,_buffer ,msg . ,rest) args))
-    (message (apply #'erc-format-message msg rest))))
-
-(defun erc-dcc--get-file-subprocess-sentinel (proc _event)
-  (with-current-buffer (process-buffer proc)
-    (widen)
-    (goto-char (point-max))
-    (while (and (not (looking-at (concat "DCC: " erc-dcc-file-name ":")))
-                (zerop (forward-line -1))))
-    (when (and (search-forward erc-dcc-file-name nil t)
-               (search-forward-regexp (rx (group (+ digit))) (point-at-eol) t))
-      (setq erc-dcc-byte-count (string-to-number (match-string 0))))
-    ;; FIXME factor this out (see other GET sentinel)
-    (let ((done (= erc-dcc-byte-count (plist-get erc-dcc-entry-data :size))))
-      (erc-display-message
-       nil (if done 'notice '(notice error)) erc-server-process
-       (if done 'dcc-get-complete 'dcc-get-failed)
-       ?v (plist-get erc-dcc-entry-data :size)
-       ?f erc-dcc-file-name
-       ?s (number-to-string erc-dcc-byte-count)
-       ?t (format "%.0f"
-                  (erc-time-diff (plist-get erc-dcc-entry-data :start-time)
-                                 nil))))
-    (kill-buffer)))
-
-(defun erc-dcc--get-file-subprocess (entry file parent-proc)
-  (let* ((buf (generate-new-buffer (file-name-nondirectory file)))
-         (exe (concat invocation-directory invocation-name))
-         (prog `(with-current-buffer (messages-buffer)
-                  (setq erc-dcc-verbose t) ;global
-                  (advice-add 'erc-display-message :override
-                              #'erc-dcc--get-display-messages)
-                  (let ((e ',entry)
-                        p)
-                    (erc-dcc--get-file e ,file nil)
-                    (setq p (plist-get e :peer))
-                    (set-process-query-on-exit-flag p nil)
-                    (message "Starting: %S" (list :entry e :file ,file))
-                    (while (accept-process-output p)))))
-         (proc (start-process file buf exe "-Q" "--batch" "-l" "erc-dcc"
-                              "--eval" (prin1-to-string prog))))
-    (with-current-buffer buf
-      (setq erc-dcc-file-name (plist-get entry :file)
-            erc-dcc-byte-count 0)
-      (set-process-sentinel proc #'erc-dcc--get-file-subprocess-sentinel)
-      (setq erc-server-process parent-proc
-            entry (plist-put entry :peer proc)
-            entry (plist-put entry :start-time (erc-current-time))
-            erc-dcc-entry-data entry))))
-
-(defun erc-dcc-get-file (entry file parent-proc)
-  "Set up a transfer from the remote client to the local over a TCP connection.
-This involves setting up a process filter and a process sentinel,
-and making the connection."
-  (if erc-dcc-get-use-subprocess
-      (erc-dcc--get-file-subprocess (plist-put entry :parent nil)
-                                    file parent-proc)
-    (erc-dcc--get-file entry file parent-proc)))
-
 (defun erc-dcc-append-contents (buffer _file)
   "Append the contents of BUFFER to FILE.
 The contents of the BUFFER will then be erased."
@@ -1048,7 +1004,9 @@ erc-dcc-get-filter
          'dcc-get-file-too-long
          ?f (file-name-nondirectory (buffer-name)))
         (delete-process proc))
-       ((not (process-get proc :reportingp))
+       ((not (or erc-dcc--force-turbo
+                 (plist-get erc-dcc-entry-data :turbo)
+                 (process-get proc :reportingp)))
         (process-put proc :reportingp t)
         (process-send-string proc (erc-pack-int received-bytes))
         (process-put proc :reportingp nil))))))
@@ -1057,6 +1015,7 @@ erc-dcc-get-sentinel
   "This is the process sentinel for CTCP DCC SEND connections.
 It shuts down the connection and notifies the user that the
 transfer is complete."
+  ;; FIXME, we should look at EVENT, and also check size.
   (unless (string= event "connection broken by remote peer\n")
     (lwarn 'erc :warning "Unexpected sentinel event %S for %s"
            (string-trim-right event) proc))
diff --git a/test/lisp/erc/erc-dcc-tests.el b/test/lisp/erc/erc-dcc-tests.el
new file mode 100644
index 0000000000..64ca3363c7
--- /dev/null
+++ b/test/lisp/erc/erc-dcc-tests.el
@@ -0,0 +1,157 @@
+;;; erc-dcc-tests.el --- Tests for erc-dcc  -*- lexical-binding:t -*-
+
+;; Copyright (C) 2020-2022 Free Software Foundation, Inc.
+
+;; This file is part of GNU Emacs.
+
+;; GNU Emacs is free software: you can redistribute it and/or modify
+;; it under the terms of the GNU General Public License as published by
+;; the Free Software Foundation, either version 3 of the License, or
+;; (at your option) any later version.
+
+;; GNU Emacs is distributed in the hope that it will be useful,
+;; but WITHOUT ANY WARRANTY; without even the implied warranty of
+;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+;; GNU General Public License for more details.
+
+;; You should have received a copy of the GNU General Public License
+;; along with GNU Emacs.  If not, see <https://www.gnu.org/licenses/>.
+
+;;; Commentary:
+;;; Code:
+(require 'ert)
+(require 'erc-dcc)
+
+(ert-deftest erc-dcc-ctcp-query-send-regexp ()
+  (let ((s "DCC SEND \"file name\" 2130706433 9899 1405135128"))
+    (should (string-match erc-dcc-ctcp-query-send-regexp s))
+    (should-not (match-string 2 s))
+    (should (string= "file name" (match-string 1 s))))
+  (let ((s "DCC SEND filename 2130706433 9899 1405135128"))
+    (should (string-match erc-dcc-ctcp-query-send-regexp s))
+    (should (string= "filename" (match-string 2 s)))
+    (should (string= "2130706433" (match-string 3 s)))
+    (should (string= "9899" (match-string 4 s)))
+    (should (string= "1405135128" (match-string 5 s)))
+    (should-not (match-string 6 s)))
+  (let ((s "DCC SEND filename 2130706433 9899 1405135128 T"))
+    (should (string-match erc-dcc-ctcp-query-send-regexp s))
+    (should (string= "T" (match-string 6 s)))))
+
+;; This also indirectly tests base functionality for
+;; `erc-dcc-do-LIST-command'
+
+(defun erc-dcc-tests--dcc-handle-ctcp-send (turbo)
+  (with-current-buffer (get-buffer-create "fake-server")
+    (erc-mode)
+    (setq erc-server-process
+          (start-process "fake" (current-buffer) "sleep" "1")
+          erc-input-marker (make-marker)
+          erc-insert-marker (make-marker)
+          erc-server-current-nick "dummy")
+    (set-process-query-on-exit-flag erc-server-process nil)
+    (should-not erc-dcc-list)
+    (erc-ctcp-query-DCC erc-server-process
+                        "tester"
+                        "~tester"
+                        "fake.irc"
+                        "dummy"
+                        (concat "DCC SEND foo 2130706433 9899 1405135128"
+                                (and turbo " T")))
+    (should-not (cdr erc-dcc-list))
+    (should (equal (plist-put (car erc-dcc-list) :parent 'fake)
+                   `(:nick "tester!~tester@HIDDEN"
+                           :type GET
+                           :peer nil
+                           :parent fake
+                           :ip "127.0.0.1"
+                           :port "9899"
+                           :file "foo"
+                           :size 1405135128
+                           :turbo ,turbo)))
+    (goto-char (point-min))
+    (should (search-forward "file foo offered by tester" nil t))
+    (erc-dcc-do-LIST-command erc-server-process)
+    (should (search-forward-regexp (concat
+                                    "GET +no +1405135128 +foo"
+                                    (and turbo " +(T)") "$")
+                                   nil t))
+    (when noninteractive
+      (let (erc-kill-channel-hook erc-kill-server-hook erc-kill-buffer-hook)
+        (kill-buffer))))
+  ;; `erc-dcc-list' is global; must leave it empty
+  (should erc-dcc-list)
+  (setq erc-dcc-list nil))
+
+(ert-deftest erc-dcc-handle-ctcp-send--base ()
+  (erc-dcc-tests--dcc-handle-ctcp-send nil))
+
+(ert-deftest erc-dcc-handle-ctcp-send--turbo ()
+  (erc-dcc-tests--dcc-handle-ctcp-send t))
+
+(ert-deftest erc-dcc-do-GET-command ()
+  (with-temp-buffer
+    (let* ((proc (start-process "fake" (current-buffer) "sleep" "1"))
+           erc-accidental-paste-threshold-seconds
+           erc-send-completed-hook
+           erc-kill-channel-hook erc-kill-server-hook erc-kill-buffer-hook
+           (elt `(:nick "tester!~tester@HIDDEN"
+                        :type GET
+                        :peer nil
+                        :parent ,proc
+                        :ip "127.0.0.1"
+                        :port "9899"
+                        :file "foo.bin"
+                        :size 1405135128))
+           (erc-dcc-list (list elt))
+           ;;
+           calls)
+      (erc-mode)
+      (setq erc-server-process proc
+            erc-input-marker (make-marker)
+            erc-insert-marker (make-marker)
+            erc-server-current-nick "dummy")
+      (set-process-query-on-exit-flag proc nil)
+      (cl-letf (((symbol-function 'read-file-name)
+                 (lambda (&rest _) "foo.bin"))
+                ((symbol-function 'erc-dcc-get-file)
+                 (lambda (&rest r) (push r calls))))
+        (goto-char (point-max))
+        (set-marker erc-insert-marker (point-max))
+        (erc-display-prompt)
+
+        (ert-info ("No turbo")
+          (should-not (plist-member elt :turbo))
+          (goto-char erc-input-marker)
+          (insert "/dcc GET tester foo.bin")
+          (erc-send-current-line)
+          (should-not (plist-member (car erc-dcc-list) :turbo))
+          (should (equal (pop calls) (list elt "foo.bin" proc))))
+
+        (ert-info ("Arg turbo in pos 2")
+          (should-not (plist-member elt :turbo))
+          (goto-char erc-input-marker)
+          (insert "/dcc GET -t tester foo.bin")
+          (erc-send-current-line)
+          (should (eq t (plist-get (car erc-dcc-list) :turbo)))
+          (should (equal (pop calls) (list elt "foo.bin" proc))))
+
+        (ert-info ("Arg turbo in pos 4")
+          (setq elt (plist-put elt :turbo nil)
+                erc-dcc-list (list elt))
+          (goto-char erc-input-marker)
+          (insert "/dcc GET tester -t foo.bin")
+          (erc-send-current-line)
+          (should (eq t (plist-get (car erc-dcc-list) :turbo)))
+          (should (equal (pop calls) (list elt "foo.bin" proc))))
+
+        (ert-info ("Arg turbo in pos 6")
+          (setq elt (plist-put elt :turbo nil)
+                erc-dcc-list (list elt))
+          (goto-char erc-input-marker)
+          (insert "/dcc GET tester foo.bin -t")
+          (erc-send-current-line)
+          (should (eq t (plist-get (car erc-dcc-list) :turbo)))
+          (should (equal (pop calls) (list elt "foo.bin" proc))))))))
+
+;;; erc-dcc-tests.el ends here
-- 
2.35.1


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0001-Display-error-message-on-incomplete-ERC-DCC-transfer.patch

From 45effb1ca3a7fc0f100dfb4a7f15836612982e8f Mon Sep 17 00:00:00 2001
From: "F. Jason Park" <jp@HIDDEN>
Date: Wed, 30 Mar 2022 17:16:11 -0700
Subject: [PATCH 1/4] Display error message on incomplete ERC DCC transfer

* lisp/erc/erc-dcc.el (erc-dcc-get-sentinel): Display error when total
byte count received is lower than expected.
(erc-message-english-dcc-get-failed): Add `dcc-get-incomplete' to
the English catalog.
(erc-dcc-get-file): Tweak initialization of `erc-dcc-entry-data'.
(Bug#54458)
---
 lisp/erc/erc-dcc.el | 35 +++++++++++++++++++----------------
 1 file changed, 19 insertions(+), 16 deletions(-)

diff --git a/lisp/erc/erc-dcc.el b/lisp/erc/erc-dcc.el
index 59bfd24603..a37dc7caa3 100644
--- a/lisp/erc/erc-dcc.el
+++ b/lisp/erc/erc-dcc.el
@@ -144,6 +144,7 @@ erc-dcc-open-network-stream
    (dcc-get-bytes-received . "DCC: %f: %b bytes received")
    (dcc-get-complete
     . "DCC: file %f transfer complete (%s bytes in %t seconds)")
+   (dcc-get-failed . "DCC: file %f transfer failed at %s of %v in %t seconds")
    (dcc-get-cmd-aborted . "DCC: Aborted getting %f from %n")
    (dcc-get-file-too-long
     . "DCC: %f: File longer than sender claimed; aborting transfer")
@@ -920,8 +921,7 @@ erc-dcc-get-file
             (inhibit-file-name-operation 'write-region))
         (write-region (point) (point) erc-dcc-file-name nil 'nomessage))
 
-      (setq erc-server-process parent-proc
-            erc-dcc-entry-data entry)
+      (setq erc-server-process parent-proc)
       (setq erc-dcc-byte-count 0)
       (setq proc
             (funcall erc-dcc-connect-function
@@ -935,8 +935,8 @@ erc-dcc-get-file
 
       (set-process-filter proc #'erc-dcc-get-filter)
       (set-process-sentinel proc #'erc-dcc-get-sentinel)
-      (setq entry (plist-put entry :start-time (erc-current-time)))
-      (setq entry (plist-put entry :peer proc)))))
+      (setq erc-dcc-entry-data (plist-put (plist-put entry :peer proc)
+                                          :start-time (erc-current-time))))))
 
 (defun erc-dcc-append-contents (buffer _file)
   "Append the contents of BUFFER to FILE.
@@ -990,27 +990,30 @@ erc-dcc-get-filter
         (process-send-string
          proc (erc-pack-int received-bytes)))))))
 
-
-(defun erc-dcc-get-sentinel (proc _event)
+(defun erc-dcc-get-sentinel (proc event)
   "This is the process sentinel for CTCP DCC SEND connections.
 It shuts down the connection and notifies the user that the
 transfer is complete."
   ;; FIXME, we should look at EVENT, and also check size.
+  (unless (string= event "connection broken by remote peer\n")
+    (lwarn 'erc :warning "Unexpected sentinel event %S for %s"
+           (string-trim-right event) proc))
   (with-current-buffer (process-buffer proc)
     (delete-process proc)
     (setq erc-dcc-list (delete erc-dcc-entry-data erc-dcc-list))
     (unless (= (point-min) (point-max))
       (erc-dcc-append-contents (current-buffer) erc-dcc-file-name))
-    (erc-display-message
-     nil 'notice erc-server-process
-     'dcc-get-complete
-     ?f erc-dcc-file-name
-     ?s (number-to-string erc-dcc-byte-count)
-     ?t (format "%.0f"
-                (erc-time-diff (plist-get erc-dcc-entry-data :start-time)
-                               nil))))
-  (kill-buffer (process-buffer proc))
-  (delete-process proc))
+    (let ((done (= erc-dcc-byte-count (plist-get erc-dcc-entry-data :size))))
+      (erc-display-message
+       nil (if done 'notice '(notice error)) erc-server-process
+       (if done 'dcc-get-complete 'dcc-get-failed)
+       ?v (plist-get erc-dcc-entry-data :size)
+       ?f erc-dcc-file-name
+       ?s (number-to-string erc-dcc-byte-count)
+       ?t (format "%.0f"
+                  (erc-time-diff (plist-get erc-dcc-entry-data :start-time)
+                                 nil))))
+    (kill-buffer)))
 
 ;;; CHAT handling
 
-- 
2.35.1


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0002-Don-t-send-reports-in-erc-dcc-get-filter-when-nested.patch

From 07a874a7c47822946aae1e46da11005525933e1f Mon Sep 17 00:00:00 2001
From: "F. Jason Park" <jp@HIDDEN>
Date: Mon, 28 Mar 2022 02:24:43 -0700
Subject: [PATCH 2/4] Don't send reports in erc-dcc-get-filter when nested

* lisp/erc/erc-dcc.el (erc-dcc-get-filter): Don't bother sending a
"received so far" receipt if another attempt is ongoing
(Bug#54458)
---
 lisp/erc/erc-dcc.el | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/lisp/erc/erc-dcc.el b/lisp/erc/erc-dcc.el
index a37dc7caa3..2a06efdaa4 100644
--- a/lisp/erc/erc-dcc.el
+++ b/lisp/erc/erc-dcc.el
@@ -986,9 +986,10 @@ erc-dcc-get-filter
          'dcc-get-file-too-long
          ?f (file-name-nondirectory (buffer-name)))
         (delete-process proc))
-       (t
-        (process-send-string
-         proc (erc-pack-int received-bytes)))))))
+       ((not (process-get proc :reportingp))
+        (process-put proc :reportingp t)
+        (process-send-string proc (erc-pack-int received-bytes))
+        (process-put proc :reportingp nil))))))
 
 (defun erc-dcc-get-sentinel (proc event)
   "This is the process sentinel for CTCP DCC SEND connections.
-- 
2.35.1


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0003-Allow-matching-against-string-values-in-erc-dcc-memb.patch

From e09734fb4c8e0d08df26887515b180465bf151a4 Mon Sep 17 00:00:00 2001
From: "F. Jason Park" <jp@HIDDEN>
Date: Sat, 9 Apr 2022 23:32:22 -0700
Subject: [PATCH 3/4] Allow matching against string values in erc-dcc-member

* lisp/erc/erc-dcc.el (erc-dcc-member): Be more tolerant in the
catch-all case by testing for equality instead of identity.
(erc-dcc-do-GET-command): Pass filename when querying
`erc-dcc-member'. (Bug#54458)
---
 lisp/erc/erc-dcc.el | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/lisp/erc/erc-dcc.el b/lisp/erc/erc-dcc.el
index 2a06efdaa4..babd0f3046 100644
--- a/lisp/erc/erc-dcc.el
+++ b/lisp/erc/erc-dcc.el
@@ -196,7 +196,7 @@ erc-dcc-member
                       (erc-extract-nick test)
                       (erc-extract-nick val)))
                 ;; not a nick
-                (eq test val)
+                (equal test val)
                 (setq cont nil))))
         (if cont
             (setq result elt)
@@ -507,7 +507,7 @@ erc-dcc-do-GET-command
 re-join the arguments, separated by a space.
 PROC is the server process."
   (setq file (and file (mapconcat #'identity file " ")))
-  (let* ((elt (erc-dcc-member :nick nick :type 'GET))
+  (let* ((elt (erc-dcc-member :nick nick :type 'GET :file file))
          (filename (or file (plist-get elt :file) "unknown")))
     (if elt
         (let* ((file (read-file-name
-- 
2.35.1


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0004-Accept-turbo-param-in-erc-dcc-do-GET-command.patch

From 36a9c136e23dabfb913ebf98a4a7fb4389604cf6 Mon Sep 17 00:00:00 2001
From: "F. Jason Park" <jp@HIDDEN>
Date: Sat, 30 Apr 2022 02:16:46 -0700
Subject: [PATCH 4/4] Accept turbo param in erc-dcc-do-GET-command

* lisp/erc/erc-dcc.el (erc-dcc-list): Document optional :turbo item.
(erc-message-english-dcc-list-{head,line,item}): Adjust format strings
to make room for "(T)" turbo indicator.
(erc-dcc-do-GET-command): Optionally set :turbo in `erc-dcc-list'
entry when passed -t argument in the /DCC GET slash-command.
(erc-dcc--force-turbo): Add temporary internal var.
(erc-dcc-do-LIST): Print message with new format specifier for turbo
status.
(erc-dcc-ctcp-query-send-regexp): Account for nonstandard terminating
T.
(erc-dcc-handle-ctcp-send): set :turbo item in `erc-dcc-list' member
when new match-group nonempty.
(erc-dcc-get-filter): Don't send when turbo active.

* test/lisp/erc/erc-dcc-tests.el: Add new file.
(Bug#54458)
---
 lisp/erc/erc-dcc.el            |  46 +++++++---
 test/lisp/erc/erc-dcc-tests.el | 157 +++++++++++++++++++++++++++++++++
 2 files changed, 190 insertions(+), 13 deletions(-)
 create mode 100644 test/lisp/erc/erc-dcc-tests.el

diff --git a/lisp/erc/erc-dcc.el b/lisp/erc/erc-dcc.el
index babd0f3046..cfa8422b1c 100644
--- a/lisp/erc/erc-dcc.el
+++ b/lisp/erc/erc-dcc.el
@@ -43,7 +43,7 @@
 ;;  /dcc chat nick - Either accept pending chat offer from nick, or offer
 ;;                   DCC chat to nick
 ;;  /dcc close type [nick] - Close DCC connection (SEND/GET/CHAT) with nick
-;;  /dcc get nick [file] - Accept DCC offer from nick
+;;  /dcc get [-t] nick [file] - Accept DCC offer from nick
 ;;  /dcc list - List all DCC offers/connections
 ;;  /dcc send nick file - Offer DCC SEND to nick
 
@@ -105,7 +105,9 @@ erc-dcc-list
  :file - for outgoing sends, the full path to the file.  For incoming sends,
          the suggested filename or vetted filename
 
- :size - size of the file, may be nil on incoming DCCs")
+ :size - size of the file, may be nil on incoming DCCs
+
+ :turbo - optional item indicating sender support for TSEND.")
 
 (defun erc-dcc-list-add (type nick peer parent &rest args)
   "Add a new entry of type TYPE to `erc-dcc-list' and return it."
@@ -149,9 +151,9 @@ erc-dcc-open-network-stream
    (dcc-get-file-too-long
     . "DCC: %f: File longer than sender claimed; aborting transfer")
    (dcc-get-notfound . "DCC: %n hasn't offered %f for DCC transfer")
-   (dcc-list-head . "DCC: From      Type  Active  Size            Filename")
-   (dcc-list-line . "DCC: --------  ----  ------  --------------  --------")
-   (dcc-list-item . "DCC: %-8n  %-4t  %-6a  %-14s  %f")
+   (dcc-list-head . "DCC: From      Type  Active  Size               Filename")
+   (dcc-list-line . "DCC: --------  ----  ------  -----------------  --------")
+   (dcc-list-item . "DCC: %-8n  %-4t  %-6a  %-17s  %f%u")
    (dcc-list-end  . "DCC: End of list.")
    (dcc-malformed . "DCC: error: %n (%u@%h) sent malformed request: %q")
    (dcc-privileged-port
@@ -506,8 +508,13 @@ erc-dcc-do-GET-command
 FILE is the filename.  If FILE is split into multiple arguments,
 re-join the arguments, separated by a space.
 PROC is the server process."
-  (setq file (and file (mapconcat #'identity file " ")))
-  (let* ((elt (erc-dcc-member :nick nick :type 'GET :file file))
+  (let* ((turbo (prog1 (and (cond ((string= nick "-t")
+                                   (setq nick (pop file)))
+                                  ((member "-t" file)
+                                   (setq file (delete "-t" file))))
+                            t)
+                  (setq file (and file (mapconcat #'identity file " ")))))
+         (elt (erc-dcc-member :nick nick :type 'GET :file file))
          (filename (or file (plist-get elt :file) "unknown")))
     (if elt
         (let* ((file (read-file-name
@@ -527,13 +534,21 @@ erc-dcc-do-GET-command
                     'dcc-get-cmd-aborted
                     ?n nick ?f filename)))
                 (t
-                 (erc-dcc-get-file elt file proc))))
+                 (erc-dcc-get-file elt file proc)))
+          (when turbo
+            (setq erc-dcc-list (cons (plist-put elt :turbo t)
+                                     (delq elt erc-dcc-list)))))
       (erc-display-message
        nil '(notice error) 'active
        'dcc-get-notfound ?n nick ?f filename))))
 
 (defvar-local erc-dcc-byte-count nil)
 
+;; Experimental flag to indicate TGET-style report omissions
+;; see https://www.visualirc.net/tech-tdcc.php
+;; FIXME actually, we don't need this (drop after adding unit test)
+(defvar erc-dcc--force-turbo nil)
+
 (defun erc-dcc-do-LIST-command (_proc)
   "This is the handler for the /dcc list command.
 It lists the current state of `erc-dcc-list' in an easy to read manner."
@@ -576,7 +591,8 @@ erc-dcc-do-LIST-command
                         (format " (%d%%)"
                                 (floor (* 100.0 byte-count)
                                        (plist-get elt :size))))))
-       ?f (or (and (plist-member elt :file) (plist-get elt :file)) "")))
+       ?f (or (and (plist-member elt :file) (plist-get elt :file)) "")
+       ?u (if (or erc-dcc--force-turbo (plist-get elt :turbo)) " (T)" "")))
     (erc-display-message
      nil 'notice 'active
      'dcc-list-end)
@@ -626,7 +642,7 @@ erc-dcc-ctcp-query-send-regexp
           ;; or filename enclosed in double quotes with any number
           ;; of escaped double quotes inside.
           "\"\\(\\(?:\\\\\"\\|[^\"\\]\\)+\\)\"\\|\\([^ ]+\\)"
-          "\\) \\([0-9]+\\) \\([0-9]+\\) *\\([0-9]*\\)"))
+          "\\) \\([0-9]+\\) \\([0-9]+\\) *\\([0-9]*\\) ?\\(T\\)?"))
 
 (define-inline erc-dcc-unquote-filename (filename)
   (inline-quote
@@ -656,7 +672,8 @@ erc-dcc-handle-ctcp-send
                  (erc-dcc-unquote-filename (match-string 1 query))))
             (ip       (erc-decimal-to-ip (match-string 3 query)))
             (port     (match-string 4 query))
-            (size     (match-string 5 query)))
+            (size     (match-string 5 query))
+            (turbo    (match-string 6 query)))
         ;; FIXME: a warning really should also be sent
         ;; if the ip address != the host the dcc sender is on.
         (erc-display-message
@@ -673,7 +690,8 @@ erc-dcc-handle-ctcp-send
          'GET (format "%s!%s@%s" nick login host)
          nil proc
          :ip ip :port port :file filename
-         :size (string-to-number size))
+         :size (string-to-number size)
+         :turbo (and turbo t))
         (if (and (eq erc-dcc-send-request 'auto)
                  (erc-dcc-auto-mask-p (format "\"%s!%s@%s\"" nick login host)))
             (erc-dcc-get-file (car erc-dcc-list) filename proc))))
@@ -986,7 +1004,9 @@ erc-dcc-get-filter
          'dcc-get-file-too-long
          ?f (file-name-nondirectory (buffer-name)))
         (delete-process proc))
-       ((not (process-get proc :reportingp))
+       ((not (or erc-dcc--force-turbo
+                 (plist-get erc-dcc-entry-data :turbo)
+                 (process-get proc :reportingp)))
         (process-put proc :reportingp t)
         (process-send-string proc (erc-pack-int received-bytes))
         (process-put proc :reportingp nil))))))
diff --git a/test/lisp/erc/erc-dcc-tests.el b/test/lisp/erc/erc-dcc-tests.el
new file mode 100644
index 0000000000..64ca3363c7
--- /dev/null
+++ b/test/lisp/erc/erc-dcc-tests.el
@@ -0,0 +1,157 @@
+;;; erc-dcc-tests.el --- Tests for erc-dcc  -*- lexical-binding:t -*-
+
+;; Copyright (C) 2020-2022 Free Software Foundation, Inc.
+
+;; This file is part of GNU Emacs.
+
+;; GNU Emacs is free software: you can redistribute it and/or modify
+;; it under the terms of the GNU General Public License as published by
+;; the Free Software Foundation, either version 3 of the License, or
+;; (at your option) any later version.
+
+;; GNU Emacs is distributed in the hope that it will be useful,
+;; but WITHOUT ANY WARRANTY; without even the implied warranty of
+;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+;; GNU General Public License for more details.
+
+;; You should have received a copy of the GNU General Public License
+;; along with GNU Emacs.  If not, see <https://www.gnu.org/licenses/>.
+
+;;; Commentary:
+;;; Code:
+(require 'ert)
+(require 'erc-dcc)
+
+(ert-deftest erc-dcc-ctcp-query-send-regexp ()
+  (let ((s "DCC SEND \"file name\" 2130706433 9899 1405135128"))
+    (should (string-match erc-dcc-ctcp-query-send-regexp s))
+    (should-not (match-string 2 s))
+    (should (string= "file name" (match-string 1 s))))
+  (let ((s "DCC SEND filename 2130706433 9899 1405135128"))
+    (should (string-match erc-dcc-ctcp-query-send-regexp s))
+    (should (string= "filename" (match-string 2 s)))
+    (should (string= "2130706433" (match-string 3 s)))
+    (should (string= "9899" (match-string 4 s)))
+    (should (string= "1405135128" (match-string 5 s)))
+    (should-not (match-string 6 s)))
+  (let ((s "DCC SEND filename 2130706433 9899 1405135128 T"))
+    (should (string-match erc-dcc-ctcp-query-send-regexp s))
+    (should (string= "T" (match-string 6 s)))))
+
+;; This also indirectly tests base functionality for
+;; `erc-dcc-do-LIST-command'
+
+(defun erc-dcc-tests--dcc-handle-ctcp-send (turbo)
+  (with-current-buffer (get-buffer-create "fake-server")
+    (erc-mode)
+    (setq erc-server-process
+          (start-process "fake" (current-buffer) "sleep" "1")
+          erc-input-marker (make-marker)
+          erc-insert-marker (make-marker)
+          erc-server-current-nick "dummy")
+    (set-process-query-on-exit-flag erc-server-process nil)
+    (should-not erc-dcc-list)
+    (erc-ctcp-query-DCC erc-server-process
+                        "tester"
+                        "~tester"
+                        "fake.irc"
+                        "dummy"
+                        (concat "DCC SEND foo 2130706433 9899 1405135128"
+                                (and turbo " T")))
+    (should-not (cdr erc-dcc-list))
+    (should (equal (plist-put (car erc-dcc-list) :parent 'fake)
+                   `(:nick "tester!~tester@HIDDEN"
+                           :type GET
+                           :peer nil
+                           :parent fake
+                           :ip "127.0.0.1"
+                           :port "9899"
+                           :file "foo"
+                           :size 1405135128
+                           :turbo ,turbo)))
+    (goto-char (point-min))
+    (should (search-forward "file foo offered by tester" nil t))
+    (erc-dcc-do-LIST-command erc-server-process)
+    (should (search-forward-regexp (concat
+                                    "GET +no +1405135128 +foo"
+                                    (and turbo " +(T)") "$")
+                                   nil t))
+    (when noninteractive
+      (let (erc-kill-channel-hook erc-kill-server-hook erc-kill-buffer-hook)
+        (kill-buffer))))
+  ;; `erc-dcc-list' is global; must leave it empty
+  (should erc-dcc-list)
+  (setq erc-dcc-list nil))
+
+(ert-deftest erc-dcc-handle-ctcp-send--base ()
+  (erc-dcc-tests--dcc-handle-ctcp-send nil))
+
+(ert-deftest erc-dcc-handle-ctcp-send--turbo ()
+  (erc-dcc-tests--dcc-handle-ctcp-send t))
+
+(ert-deftest erc-dcc-do-GET-command ()
+  (with-temp-buffer
+    (let* ((proc (start-process "fake" (current-buffer) "sleep" "1"))
+           erc-accidental-paste-threshold-seconds
+           erc-send-completed-hook
+           erc-kill-channel-hook erc-kill-server-hook erc-kill-buffer-hook
+           (elt `(:nick "tester!~tester@HIDDEN"
+                        :type GET
+                        :peer nil
+                        :parent ,proc
+                        :ip "127.0.0.1"
+                        :port "9899"
+                        :file "foo.bin"
+                        :size 1405135128))
+           (erc-dcc-list (list elt))
+           ;;
+           calls)
+      (erc-mode)
+      (setq erc-server-process proc
+            erc-input-marker (make-marker)
+            erc-insert-marker (make-marker)
+            erc-server-current-nick "dummy")
+      (set-process-query-on-exit-flag proc nil)
+      (cl-letf (((symbol-function 'read-file-name)
+                 (lambda (&rest _) "foo.bin"))
+                ((symbol-function 'erc-dcc-get-file)
+                 (lambda (&rest r) (push r calls))))
+        (goto-char (point-max))
+        (set-marker erc-insert-marker (point-max))
+        (erc-display-prompt)
+
+        (ert-info ("No turbo")
+          (should-not (plist-member elt :turbo))
+          (goto-char erc-input-marker)
+          (insert "/dcc GET tester foo.bin")
+          (erc-send-current-line)
+          (should-not (plist-member (car erc-dcc-list) :turbo))
+          (should (equal (pop calls) (list elt "foo.bin" proc))))
+
+        (ert-info ("Arg turbo in pos 2")
+          (should-not (plist-member elt :turbo))
+          (goto-char erc-input-marker)
+          (insert "/dcc GET -t tester foo.bin")
+          (erc-send-current-line)
+          (should (eq t (plist-get (car erc-dcc-list) :turbo)))
+          (should (equal (pop calls) (list elt "foo.bin" proc))))
+
+        (ert-info ("Arg turbo in pos 4")
+          (setq elt (plist-put elt :turbo nil)
+                erc-dcc-list (list elt))
+          (goto-char erc-input-marker)
+          (insert "/dcc GET tester -t foo.bin")
+          (erc-send-current-line)
+          (should (eq t (plist-get (car erc-dcc-list) :turbo)))
+          (should (equal (pop calls) (list elt "foo.bin" proc))))
+
+        (ert-info ("Arg turbo in pos 6")
+          (setq elt (plist-put elt :turbo nil)
+                erc-dcc-list (list elt))
+          (goto-char erc-input-marker)
+          (insert "/dcc GET tester foo.bin -t")
+          (erc-send-current-line)
+          (should (eq t (plist-get (car erc-dcc-list) :turbo)))
+          (should (equal (pop calls) (list elt "foo.bin" proc))))))))
+
+;;; erc-dcc-tests.el ends here
-- 
2.35.1


--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54458; Package emacs. Full text available.

Message received at 54458 <at> debbugs.gnu.org:


Received: (at 54458) by debbugs.gnu.org; 29 Apr 2022 14:51:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 29 10:51:27 2022
Received: from localhost ([127.0.0.1]:55088 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nkRxv-0002dW-8U
	for submit <at> debbugs.gnu.org; Fri, 29 Apr 2022 10:51:27 -0400
Received: from mail-oi1-f172.google.com ([209.85.167.172]:46849)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <fernandodemorais.jf@HIDDEN>) id 1nkRxt-0002dI-V8
 for 54458 <at> debbugs.gnu.org; Fri, 29 Apr 2022 10:51:26 -0400
Received: by mail-oi1-f172.google.com with SMTP id q8so8323154oif.13
 for <54458 <at> debbugs.gnu.org>; Fri, 29 Apr 2022 07:51:25 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:in-reply-to:references:user-agent:date
 :message-id:mime-version;
 bh=JTozCNvk1QUa2u3eQW6zn1vaWlpOPtZPKz9v1vOL3xQ=;
 b=LrkeWGbkXYl/JnqsCszRqWQgSNx0aHum1sLtGhrwppBuNwhUczHqxqefvMUeuQZ6ip
 JYLOqslNknpvvLYdPxH3xK6rWoIkfYasYLY6uW0/+2aeGnZHynce3K8dbWnmQuWosaLj
 Qpl7VjiC0AdamMBpuGKrX59Dic4oVQArTSBuSB0m3C8Qt7JrQumO0BnvARe3khHbTMIj
 FQhcRQEMLfmDj1BJtu4k8+KaQS+dvvHkEhqVcuKFDoS3ZQpq2e7NY5Dp1A4voE1Ujo6h
 g0xV5bpgc8/mBnBDSndonquuvle0pcSebF1/StwnbIiFe1r7BL568xSuOpdi/gu3fJUK
 aqWg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:in-reply-to:references
 :user-agent:date:message-id:mime-version;
 bh=JTozCNvk1QUa2u3eQW6zn1vaWlpOPtZPKz9v1vOL3xQ=;
 b=xkBCvd/TqE2wUinytVTX53g7U1xiL1MtxM0oc61enDeJCLsyN7Dtr5Hyqt2Hq2Y2al
 9Or4uduufjADy/xAGtBq9J9P0MnZ20K8tJan2rtylT3j4voKjdnkZ8kTNGICleiYHRTX
 m/D+1/aB69B/ZoRxfrs4PiB9dOk9pOEDQGeRNGI61+PsbwvVb8bccCCEfAC4slvaeglp
 L/O80el7t8fc1r2S+cuei6Uu2tbL1rWIus3UIz5v/V4JPEYRqvK1OKk27VQUXqwvi5YP
 /8HRT9uVqEv+PUt2jvyuR3k0FJVjUGi/q0i6YGH0tiT/gsbQdUm2t1XDb/JrdyJFOQrR
 L3Mg==
X-Gm-Message-State: AOAM530cQf7vnR5pkY4jYOVKRuSdQtlNU0l+dRjAagLq8VkQVI0KUk1W
 evKeJsSuS1mIQRrJoTG5kFN4wASn+WYk+/NB
X-Google-Smtp-Source: ABdhPJxNftL8POvH/BuRml7Nxv8nPUFqqQAJIPpP6YMunxl2KVczyzUdjNd+sIBfN7ShqgJyDsgIhA==
X-Received: by 2002:a54:4f87:0:b0:324:ea60:b97d with SMTP id
 g7-20020a544f87000000b00324ea60b97dmr1716650oiy.87.1651243879709; 
 Fri, 29 Apr 2022 07:51:19 -0700 (PDT)
Received: from sekai.mylaptop ([2804:14c:da80:8cd9::dd5e])
 by smtp.gmail.com with ESMTPSA id
 x22-20020a056870435600b000e92295f8acsm3034575oah.2.2022.04.29.07.51.16
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Fri, 29 Apr 2022 07:51:19 -0700 (PDT)
From: Fernando de Morais <fernandodemorais.jf@HIDDEN>
To: "J.P." <jp@HIDDEN>
Subject: Re: bug#54458: 27.2; erc-dcc-get: Re-entering top level after C
 stack overflow
In-Reply-To: <878rrtz7or.fsf@HIDDEN> (J. P.'s message of "Mon, 25 Apr
 2022 05:08:52 -0700")
References: <78459EAB-314B-4122-8E3B-7F82685D0DBA@HIDDEN>
 <B366C0CA-8149-442C-B105-95EE698B340B@HIDDEN>
 <83a6da9vm8.fsf@HIDDEN> <87r16m46uf.fsf@HIDDEN>
 <4DA2DB05-D902-42DF-860D-87617FBB74C8@HIDDEN>
 <83k0cc907r.fsf@HIDDEN>
 <5A8EE4CF-6F5E-4119-8765-8E301E2BE935@HIDDEN>
 <87czi435nh.fsf@HIDDEN> <87mth8rst7.fsf@HIDDEN>
 <98F3182F-80A4-4131-8E9C-E1576908DF96@HIDDEN>
 <87sfqygccz.fsf@HIDDEN> <87h77aozgw.fsf@HIDDEN>
 <87wng67xxd.fsf@HIDDEN> <875yng39sa.fsf@HIDDEN>
 <87sfqkz4ts.fsf@HIDDEN> <87ilqyrn9s.fsf@HIDDEN>
 <878rrtz7or.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
Date: Fri, 29 Apr 2022 11:51:13 -0300
Message-ID: <87r15guen2.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54458
Cc: Mattias =?utf-8?Q?Engdeg=C3=A5rd?= <mattiase@HIDDEN>,
 Eli Zaretskii <eliz@HIDDEN>, emacs-erc@HIDDEN, bandali@HIDDEN,
 54458 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello J.P.,

"J.P." <jp@HIDDEN> writes:

> Hm. And you applied *all* the patches as a sequence?

Last time I didn't apply them all, but this time I did. Now I'm using
Emacs 28.1, so I believe the compatibility will no longer be an issue.

Unfortunately, however, I couldn't use DCC GET when
`erc-dcc-get-use-subprocess' is t. The transfer fails and a message like
this appears:

     *** DCC: file <file_name>
         transfer failed at 0 of <file-size> in 0 seconds

In this scenario, I tried to receive files from another sender (on the
same server), but the same thing happened.

The rest of your proposed improvements work normally, as previously
reported, as long as `erc-dcc-get-use-subprocess' is nil.

-- 
Regards,
Fernando de Morais.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54458; Package emacs. Full text available.

Message received at 54458 <at> debbugs.gnu.org:


Received: (at 54458) by debbugs.gnu.org; 25 Apr 2022 12:09:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 25 08:09:09 2022
Received: from localhost ([127.0.0.1]:33450 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nixWd-0006ja-FJ
	for submit <at> debbugs.gnu.org; Mon, 25 Apr 2022 08:09:09 -0400
Received: from mail-108-mta80.mxroute.com ([136.175.108.80]:34849)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jp@HIDDEN>) id 1nixWY-0006j2-Kg
 for 54458 <at> debbugs.gnu.org; Mon, 25 Apr 2022 08:09:06 -0400
Received: from filter006.mxroute.com ([140.82.40.27]
 140.82.40.27.vultrusercontent.com)
 (Authenticated sender: mN4UYu2MZsgR)
 by mail-108-mta80.mxroute.com (ZoneMTA) with ESMTPSA id 180609fef8d000fe85.002
 for <54458 <at> debbugs.gnu.org>
 (version=TLSv1/SSLv3 cipher=ECDHE-RSA-AES128-GCM-SHA256);
 Mon, 25 Apr 2022 12:08:55 +0000
X-Zone-Loop: 2b8e1b80a28c66bb06ea539d83bdd2f1aa0b95aa554b
X-Originating-IP: [140.82.40.27]
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=neverwas.me
 ; s=x;
 h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:References:
 Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=OH/mhW27eZSaFxhnQ0y+1hKIe8R5r0hWP2MGS/i6FuQ=; b=jV1Fnf+LCXBG0GyV2lnvpWGW5D
 +08J8UnXNzEoXHez7dpxF5hAkBBlw4EJGPUyXYWR9d2LhkysNHosNkBMKmdfMg6LsPeRhbGBWMq9L
 PJhYl0y/OYjj9t2JSbFSHs3nfE+GbExgCX93PKXUl7D82OCb50z6Igtb3xTU4hn/5Rzlnd+vuc6O2
 xecuApFXJdHyVfamQvTGw1b1D4+e2/pISB+Yq183zGgA9jPDRapDuExvvGfYqjJTYfb/cNtjs5kPW
 84mpAZtRtLQIY8G6zXSnm9P2sXbp4s1W14tKHomgl5TjvPCIzjzFfukJ16tXUgpj2tC/aoW0AI4h/
 j5BxJijQ==;
From: "J.P." <jp@HIDDEN>
To: Fernando de Morais <fernandodemorais.jf@HIDDEN>
Subject: Re: bug#54458: 27.2; erc-dcc-get: Re-entering top level after C
 stack overflow
References: <78459EAB-314B-4122-8E3B-7F82685D0DBA@HIDDEN>
 <B366C0CA-8149-442C-B105-95EE698B340B@HIDDEN> <83a6da9vm8.fsf@HIDDEN>
 <87r16m46uf.fsf@HIDDEN>
 <4DA2DB05-D902-42DF-860D-87617FBB74C8@HIDDEN> <83k0cc907r.fsf@HIDDEN>
 <5A8EE4CF-6F5E-4119-8765-8E301E2BE935@HIDDEN>
 <87czi435nh.fsf@HIDDEN> <87mth8rst7.fsf@HIDDEN>
 <98F3182F-80A4-4131-8E9C-E1576908DF96@HIDDEN>
 <87sfqygccz.fsf@HIDDEN> <87h77aozgw.fsf@HIDDEN>
 <87wng67xxd.fsf@HIDDEN> <875yng39sa.fsf@HIDDEN>
 <87sfqkz4ts.fsf@HIDDEN> <87ilqyrn9s.fsf@HIDDEN>
Date: Mon, 25 Apr 2022 05:08:52 -0700
In-Reply-To: <87ilqyrn9s.fsf@HIDDEN> (Fernando de Morais's message of "Sun, 
 24 Apr 2022 21:59:27 -0300")
Message-ID: <878rrtz7or.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-AuthUser: masked@HIDDEN
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54458
Cc: Mattias =?utf-8?Q?Engdeg=C3=A5rd?= <mattiase@HIDDEN>,
 Eli Zaretskii <eliz@HIDDEN>, emacs-erc@HIDDEN, bandali@HIDDEN,
 54458 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Fernando de Morais <fernandodemorais.jf@HIDDEN> writes:

> Once more, sorry for the late response.

Not a problem! Plenty to do around here.

> I tested your patch (0003) and it worked the way you detailed: now I can
> do more than one transfer simultaneously, however, at some point I lose
> control of Emacs and regain it, completely, only when the transfers are
> finished.

I "believe" the simultaneous-receive problem and the loss-of-control
issue are unrelated (despite the second being exacerbated by the first).

> I believe I did something wrong when running `tcpdump' command, as it
> did not detect any files transferred through DCC GET in my tests and
> the dump file generated was always the same, 24 bytes, containing only
> one line.

No worries. I'll just assume the sender is behaving aberrantly. The
thing is, I still haven't been able to repro this with a real client as
sender. And when I asked around to see if anyone else has encountered
anything related, e.g.,

1. senders that never read
2. clients that always act defensively

I only got crickets for the second and for the first was told there's a
variant of the protocol (or some extension) called TSEND, which might be
to blame if enabled by a sender.

That said, I don't see an obvious problem with applying some version of
the proposed patches because we wouldn't be impacting routine behavior,
AFAICT. And since DCC has basically been deprecated for years, the risk
of incurring related hate mail is low should this observation prove
faulty.

> I found this approach very interesting and as soon as I could I tried to
> test it, but even in Emacs 28.1 I get the following error messages:
>
>    error in process sentinel: erc-format-message: No format spec for message dcc-get-failed
>    error in process sentinel: No format spec for message dcc-get-failed
>
> Is this an issue specific to the versions of Emacs (27.2 and 28.1) I
> tested it on?

Hm. And you applied *all* the patches as a sequence? I.e.,

  git am ~/somedir/000{1..4}-*.patch

Because the format spec lives in the first one:

  0001-Display-error-message-on-incomplete-ERC-DCC-transfer.patch

So that needs to be present (as do the rest). IOW, in this capacity,
they're acting as a set (not v1..vN iterations). Can you compare your
version of erc-dcc.el to the one on HEAD? BTW, I know for sure that they
won't apply cleanly on 27 (but they "should" on 28).

> Thank you so much for keeping investigating possible solutions. I'll be
> using your patches #2 and #3.

My pleasure! Thanks for reporting this. (FWIW, the subprocess thing
worked for me, but YMMV.)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54458; Package emacs. Full text available.

Message received at 54458 <at> debbugs.gnu.org:


Received: (at 54458) by debbugs.gnu.org; 25 Apr 2022 00:59:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 24 20:59:50 2022
Received: from localhost ([127.0.0.1]:60409 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nin4w-0003Bg-Az
	for submit <at> debbugs.gnu.org; Sun, 24 Apr 2022 20:59:50 -0400
Received: from mail-oi1-f169.google.com ([209.85.167.169]:35332)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <fernandodemorais.jf@HIDDEN>) id 1nin4u-0003BR-HT
 for 54458 <at> debbugs.gnu.org; Sun, 24 Apr 2022 20:59:49 -0400
Received: by mail-oi1-f169.google.com with SMTP id e4so15566225oif.2
 for <54458 <at> debbugs.gnu.org>; Sun, 24 Apr 2022 17:59:48 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=c0NvaeNIp1k5lEUXS7+QR4wqzFMOau+jMO5DFFK3h2U=;
 b=kT3fDSJ8ztak2xxWTWS9oQr2VJjPqKKRtKr01U8I5zKQ4NG9sPZbFQMoLtGrIYxTya
 unXlwyVxb1r8Jf+SOm5dxJ8wWmNjWRavc3aN9P6g0uju+NuRhEkpOYEIwma48cDhBrFb
 i1HKBQjYzM9NFVRjTCpGPe/EVzqO422SW/ZjDIRGmhnkOYF5MTIi31BMDsTqFenCZrtZ
 8dayGHg6yeonCVt6q1+qaZjHOetxMQcHV4HgCAMns/srJjf+rxJ2/7PU5+G4tNiWjJbE
 b4cgs/1pnZugbBptU6b6EEc4ebZHLV3JNOLi3mqceMByNh2+UN43QRGpmre7zrnPtYHN
 4W0A==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=c0NvaeNIp1k5lEUXS7+QR4wqzFMOau+jMO5DFFK3h2U=;
 b=nobU6aRH38MgHZIxY81WJWWDRztmsgcTz5T7rawTaaS9JOqsbu0e2/UIx4etjyGhyY
 0Tr88KQuAuU0Kj+iVnmwNGTUFAVm1nY65JIpnku+Q8/ioHJgq2BPb/Rom2Wna+x63EYp
 j9FrHUZzVGa0EvEHs7CHkYgldmyZ9C2HBQhO/0uOuw7bPWkKbIwGkeBvKX03TjsF1Sap
 Rp5EziDxlRmO71RwfoX+hfgTnWcJLLeQVrSYFh7BgOAOlaOvd/MAqc7BhrVEYN9skH/8
 7baR8lokZbnS0XbaCQY02PuEu8fV+zVArl0MwMa9pZIl46Ey4o0xQ8xWsJBduM0icYEo
 mIsQ==
X-Gm-Message-State: AOAM533kAhKEWG+tzW+tgsD9hDBIAXelDr+1yX/YVz0+gOFO3tX/EXeV
 D3OGIq6D5Z/FfDYmmw9QYDuBA8q0tMXLyA==
X-Google-Smtp-Source: ABdhPJzg1AZW6aQMk4Kk5MalbFS5dZpZHX6EZU4FOW/TzKsx3u+C8VKknNQZlTCp2kyIRfAkzUJinA==
X-Received: by 2002:a05:6808:1508:b0:323:bf3:e59e with SMTP id
 u8-20020a056808150800b003230bf3e59emr7140740oiw.115.1650848382576; 
 Sun, 24 Apr 2022 17:59:42 -0700 (PDT)
Received: from sekai.mylaptop ([2804:14c:da80:8cd9::dd5e])
 by smtp.gmail.com with ESMTPSA id
 q13-20020a4ab3cd000000b0032830efe365sm3747114ooo.43.2022.04.24.17.59.39
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 24 Apr 2022 17:59:42 -0700 (PDT)
From: Fernando de Morais <fernandodemorais.jf@HIDDEN>
To: "J.P." <jp@HIDDEN>
Subject: Re: bug#54458: 27.2; erc-dcc-get: Re-entering top level after C
 stack overflow
References: <78459EAB-314B-4122-8E3B-7F82685D0DBA@HIDDEN>
 <B366C0CA-8149-442C-B105-95EE698B340B@HIDDEN>
 <83a6da9vm8.fsf@HIDDEN> <87r16m46uf.fsf@HIDDEN>
 <4DA2DB05-D902-42DF-860D-87617FBB74C8@HIDDEN>
 <83k0cc907r.fsf@HIDDEN>
 <5A8EE4CF-6F5E-4119-8765-8E301E2BE935@HIDDEN>
 <87czi435nh.fsf@HIDDEN> <87mth8rst7.fsf@HIDDEN>
 <98F3182F-80A4-4131-8E9C-E1576908DF96@HIDDEN>
 <87sfqygccz.fsf@HIDDEN> <87h77aozgw.fsf@HIDDEN>
 <87wng67xxd.fsf@HIDDEN> <875yng39sa.fsf@HIDDEN>
 <87sfqkz4ts.fsf@HIDDEN>
Date: Sun, 24 Apr 2022 21:59:27 -0300
In-Reply-To: <87sfqkz4ts.fsf@HIDDEN> (J. P.'s message of "Sun, 10 Apr
 2022 20:17:35 -0700")
Message-ID: <87ilqyrn9s.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.1 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54458
Cc: Mattias =?utf-8?Q?Engdeg=C3=A5rd?= <mattiase@HIDDEN>,
 Eli Zaretskii <eliz@HIDDEN>, emacs-erc@HIDDEN, bandali@HIDDEN,
 54458 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello J.P.,

Once more, sorry for the late response.

"J.P." <jp@HIDDEN> writes:

>> Did you mean successively or simultaneously? Because when attempting
>> the latter, I can't even get off the ground.

Precisely! My problem was in the simultaneous transfers.

>> When you get a chance, please try the proposed multi-file fix, even
>> though it does nothing for the unresponsiveness problem.

I tested your patch (0003) and it worked the way you detailed: now I can
do more than one transfer simultaneously, however, at some point I lose
control of Emacs and regain it, completely, only when the transfers are
finished.

>> Also, if it's not too much trouble, would you mind doing something
>> like

Not trouble at all! But, unfortunately, I believe I did something wrong
when running `tcpdump' command, as it did not detect any files
transferred through DCC GET in my tests and the dump file generated was
always the same, 24 bytes, containing only one line.

My command was the same as yours (as root):

   # tcpdump -i <my-interface> -Uw ./dump 'host <my-host-ip> and tcp port <erc-tls-port>'

Is there anything else that I need to do/know about this command to
generate the desired dump for you?

> Another possibility I've been kicking around is (optionally) running
> DCC GET operations in a subprocess. Attached is a POC (patch #4),
> which I'm hoping you'll try. Unfortunately, like patch #2, I believe
> it'll only apply cleanly on newer Emacs versions. (You'll also be
> needing to set the option `erc-dcc-get-use-subprocess' to t.)

I found this approach very interesting and as soon as I could I tried to
test it, but even in Emacs 28.1 I get the following error messages:

   error in process sentinel: erc-format-message: No format spec for message dcc-get-failed
   error in process sentinel: No format spec for message dcc-get-failed

Is this an issue specific to the versions of Emacs (27.2 and 28.1) I
tested it on?

Thank you so much for keeping investigating possible solutions. I'll be
using your patches #2 and #3.

-- 
Regards,
Fernando de Morais.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54458; Package emacs. Full text available.

Message received at 54458 <at> debbugs.gnu.org:


Received: (at 54458) by debbugs.gnu.org; 11 Apr 2022 03:17:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 10 23:17:49 2022
Received: from localhost ([127.0.0.1]:42053 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ndkYm-0006m5-RP
	for submit <at> debbugs.gnu.org; Sun, 10 Apr 2022 23:17:49 -0400
Received: from mail-108-mta201.mxroute.com ([136.175.108.201]:42773)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jp@HIDDEN>) id 1ndkYj-0006lq-RC
 for 54458 <at> debbugs.gnu.org; Sun, 10 Apr 2022 23:17:46 -0400
Received: from filter006.mxroute.com ([140.82.40.27]
 140.82.40.27.vultrusercontent.com)
 (Authenticated sender: mN4UYu2MZsgR)
 by mail-108-mta201.mxroute.com (ZoneMTA) with ESMTPSA id
 18016a081da000fe85.002 for <54458 <at> debbugs.gnu.org>
 (version=TLSv1/SSLv3 cipher=ECDHE-RSA-AES128-GCM-SHA256);
 Mon, 11 Apr 2022 03:17:39 +0000
X-Zone-Loop: 12af2b38a9859a86dcd4a97fbb046c1449cd8bb6f0ff
X-Originating-IP: [140.82.40.27]
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=neverwas.me
 ; s=x;
 h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:References:
 Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=6td4TQgBzA9nshJLJVFwkgLOxMVLopu2KCOIjQKoK3s=; b=a0+f8vrq2FMTiTpoy3ifwZSOYK
 5dvjHG9WuZuy+FvQME3MXKeQm8yeQSmyON7WlOuuW65Bab9eA8JmvYR8WrjLslayh8cTLL+We1WEc
 a5qr0Kt+cazzg9XpQsY96UcaScPQZTC0scyJnJN0GRmmOf8zQoRpV6Sq++/0ezoOmHro3iMASUJlS
 F/FjhkyOO11e6hwcu9T+86Q6jlgl4gNgQe8Fi+pCKKp2MEyCsWdD6ohivj/S12662pCkpf3X67uaj
 uhDvDFjwJRegQCklQN347cxiNNjgn6zbQuBvg8HznHRCTeCNEQfrwvtvv7rosemyjtCWYBPtC19Ug
 raxu/Ljg==;
From: "J.P." <jp@HIDDEN>
To: Fernando de Morais <fernandodemorais.jf@HIDDEN>
Subject: Re: bug#54458: 27.2; erc-dcc-get: Re-entering top level after C
 stack overflow
References: <78459EAB-314B-4122-8E3B-7F82685D0DBA@HIDDEN>
 <B366C0CA-8149-442C-B105-95EE698B340B@HIDDEN> <83a6da9vm8.fsf@HIDDEN>
 <87r16m46uf.fsf@HIDDEN>
 <4DA2DB05-D902-42DF-860D-87617FBB74C8@HIDDEN> <83k0cc907r.fsf@HIDDEN>
 <5A8EE4CF-6F5E-4119-8765-8E301E2BE935@HIDDEN>
 <87czi435nh.fsf@HIDDEN> <87mth8rst7.fsf@HIDDEN>
 <98F3182F-80A4-4131-8E9C-E1576908DF96@HIDDEN>
 <87sfqygccz.fsf@HIDDEN> <87h77aozgw.fsf@HIDDEN>
 <87wng67xxd.fsf@HIDDEN> <875yng39sa.fsf@HIDDEN>
Date: Sun, 10 Apr 2022 20:17:35 -0700
In-Reply-To: <875yng39sa.fsf@HIDDEN> (J. P.'s message of "Sun, 10 Apr
 2022 14:31:33 -0700")
Message-ID: <87sfqkz4ts.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-AuthUser: masked@HIDDEN
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54458
Cc: Mattias =?utf-8?Q?Engdeg=C3=A5rd?= <mattiase@HIDDEN>,
 Eli Zaretskii <eliz@HIDDEN>, emacs-erc@HIDDEN, bandali@HIDDEN,
 54458 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

Hi Fernando,

Another possibility I've been kicking around is (optionally) running DCC
GET operations in a subprocess. Attached is a POC (patch #4), which I'm
hoping you'll try. Unfortunately, like patch #2, I believe it'll only
apply cleanly on newer Emacs versions. (You'll also be needing to set
the option `erc-dcc-get-use-subprocess' to t.) Depending on the outcome
of your pcap experiment, this (or some improved version) may be our only
practical way forward. Thanks.


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment; filename=0000-v2-v3.diff

From 0c98e87ba18493857f4d0d63f0e00bbefc152c93 Mon Sep 17 00:00:00 2001
From: "F. Jason Park" <jp@HIDDEN>
Date: Sun, 10 Apr 2022 19:50:55 -0700
Subject: [PATCH 0/4] *** NOT A PATCH ***

*** BLURB HERE ***

F. Jason Park (4):
  Display error message on incomplete ERC DCC transfer
  Don't send reports in erc-dcc-get-filter when nested
  Allow matching against string values in erc-dcc-member
  Allow running erc-dcc GET operations in a subprocess

 lisp/erc/erc-dcc.el | 117 ++++++++++++++++++++++++++++++++++----------
 1 file changed, 91 insertions(+), 26 deletions(-)

Interdiff:
diff --git a/lisp/erc/erc-dcc.el b/lisp/erc/erc-dcc.el
index c6871aefd3..d8452f2661 100644
--- a/lisp/erc/erc-dcc.el
+++ b/lisp/erc/erc-dcc.el
@@ -897,10 +897,7 @@ erc-dcc-receive-cache
 
 (defvar-local erc-dcc-file-name nil)
 
-(defun erc-dcc-get-file (entry file parent-proc)
-  "Set up a transfer from the remote client to the local over a TCP connection.
-This involves setting up a process filter and a process sentinel,
-and making the connection."
+(defun erc-dcc--get-file (entry file parent-proc)
   (let* ((buffer (generate-new-buffer (file-name-nondirectory file)))
          proc)
     (with-current-buffer buffer
@@ -938,6 +935,71 @@ erc-dcc-get-file
       (setq erc-dcc-entry-data (plist-put (plist-put entry :peer proc)
                                           :start-time (erc-current-time))))))
 
+(defcustom erc-dcc-get-use-subprocess nil
+  "If non-nil, run GET (receive) operations in a subordinate Emacs."
+  :package-version '(ERC . "5.4.1") ; FIXME make this honest
+  :type 'boolean)
+
+(defun erc-dcc--get-display-messages (&rest args)
+  (pcase-let ((`(,_parsed ,_type ,_buffer ,msg . ,rest) args))
+    (message (apply #'erc-format-message msg rest))))
+
+(defun erc-dcc--get-file-subprocess-sentinel (proc _event)
+  (with-current-buffer (process-buffer proc)
+    (widen)
+    (goto-char (point-max))
+    (while (and (not (looking-at (concat "DCC: " erc-dcc-file-name ":")))
+                (zerop (forward-line -1))))
+    (when (and (search-forward erc-dcc-file-name nil t)
+               (search-forward-regexp (rx (group (+ digit))) (point-at-eol) t))
+      (setq erc-dcc-byte-count (string-to-number (match-string 0))))
+    ;; FIXME factor this out (see other GET sentinel)
+    (let ((done (= erc-dcc-byte-count (plist-get erc-dcc-entry-data :size))))
+      (erc-display-message
+       nil (if done 'notice '(notice error)) erc-server-process
+       (if done 'dcc-get-complete 'dcc-get-failed)
+       ?v (plist-get erc-dcc-entry-data :size)
+       ?f erc-dcc-file-name
+       ?s (number-to-string erc-dcc-byte-count)
+       ?t (format "%.0f"
+                  (erc-time-diff (plist-get erc-dcc-entry-data :start-time)
+                                 nil))))
+    (kill-buffer)))
+
+(defun erc-dcc--get-file-subprocess (entry file parent-proc)
+  (let* ((buf (generate-new-buffer (file-name-nondirectory file)))
+         (exe (concat invocation-directory invocation-name))
+         (prog `(with-current-buffer (messages-buffer)
+                  (setq erc-dcc-verbose t) ;global
+                  (advice-add 'erc-display-message :override
+                              #'erc-dcc--get-display-messages)
+                  (let ((e ',entry)
+                        p)
+                    (erc-dcc--get-file e ,file nil)
+                    (setq p (plist-get e :peer))
+                    (set-process-query-on-exit-flag p nil)
+                    (message "Starting: %S" (list :entry e :file ,file))
+                    (while (accept-process-output p)))))
+         (proc (start-process file buf exe "-Q" "--batch" "-l" "erc-dcc"
+                              "--eval" (prin1-to-string prog))))
+    (with-current-buffer buf
+      (setq erc-dcc-file-name (plist-get entry :file)
+            erc-dcc-byte-count 0)
+      (set-process-sentinel proc #'erc-dcc--get-file-subprocess-sentinel)
+      (setq erc-server-process parent-proc
+            entry (plist-put entry :peer proc)
+            entry (plist-put entry :start-time (erc-current-time))
+            erc-dcc-entry-data entry))))
+
+(defun erc-dcc-get-file (entry file parent-proc)
+  "Set up a transfer from the remote client to the local over a TCP connection.
+This involves setting up a process filter and a process sentinel,
+and making the connection."
+  (if erc-dcc-get-use-subprocess
+      (erc-dcc--get-file-subprocess (plist-put entry :parent nil)
+                                    file parent-proc)
+    (erc-dcc--get-file entry file parent-proc)))
+
 (defun erc-dcc-append-contents (buffer _file)
   "Append the contents of BUFFER to FILE.
 The contents of the BUFFER will then be erased."
-- 
2.35.1


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0001-Display-error-message-on-incomplete-ERC-DCC-transfer.patch

From f3b16d507ec119f81702afa32fc868af635d3530 Mon Sep 17 00:00:00 2001
From: "F. Jason Park" <jp@HIDDEN>
Date: Wed, 30 Mar 2022 17:16:11 -0700
Subject: [PATCH 1/4] Display error message on incomplete ERC DCC transfer

* lisp/erc/erc-dcc.el (erc-dcc-get-sentinel): Display error when total
byte count received is lower than expected.
(erc-message-english-dcc-get-failed): Add `dcc-get-incomplete' to
the English catalog.
(erc-dcc-get-file): Tweak initialization of `erc-dcc-entry-data'.
---
 lisp/erc/erc-dcc.el | 36 +++++++++++++++++++-----------------
 1 file changed, 19 insertions(+), 17 deletions(-)

diff --git a/lisp/erc/erc-dcc.el b/lisp/erc/erc-dcc.el
index 59bfd24603..66a5be4ad0 100644
--- a/lisp/erc/erc-dcc.el
+++ b/lisp/erc/erc-dcc.el
@@ -144,6 +144,7 @@ erc-dcc-open-network-stream
    (dcc-get-bytes-received . "DCC: %f: %b bytes received")
    (dcc-get-complete
     . "DCC: file %f transfer complete (%s bytes in %t seconds)")
+   (dcc-get-failed . "DCC: file %f transfer failed at %s of %v in %t seconds")
    (dcc-get-cmd-aborted . "DCC: Aborted getting %f from %n")
    (dcc-get-file-too-long
     . "DCC: %f: File longer than sender claimed; aborting transfer")
@@ -920,8 +921,7 @@ erc-dcc-get-file
             (inhibit-file-name-operation 'write-region))
         (write-region (point) (point) erc-dcc-file-name nil 'nomessage))
 
-      (setq erc-server-process parent-proc
-            erc-dcc-entry-data entry)
+      (setq erc-server-process parent-proc)
       (setq erc-dcc-byte-count 0)
       (setq proc
             (funcall erc-dcc-connect-function
@@ -935,8 +935,8 @@ erc-dcc-get-file
 
       (set-process-filter proc #'erc-dcc-get-filter)
       (set-process-sentinel proc #'erc-dcc-get-sentinel)
-      (setq entry (plist-put entry :start-time (erc-current-time)))
-      (setq entry (plist-put entry :peer proc)))))
+      (setq erc-dcc-entry-data (plist-put (plist-put entry :peer proc)
+                                          :start-time (erc-current-time))))))
 
 (defun erc-dcc-append-contents (buffer _file)
   "Append the contents of BUFFER to FILE.
@@ -990,27 +990,29 @@ erc-dcc-get-filter
         (process-send-string
          proc (erc-pack-int received-bytes)))))))
 
-
-(defun erc-dcc-get-sentinel (proc _event)
+(defun erc-dcc-get-sentinel (proc event)
   "This is the process sentinel for CTCP DCC SEND connections.
 It shuts down the connection and notifies the user that the
 transfer is complete."
-  ;; FIXME, we should look at EVENT, and also check size.
+  (unless (string= event "connection broken by remote peer\n")
+    (lwarn 'erc :warning "Unexpected sentinel event %S for %s"
+           (string-trim-right event) proc))
   (with-current-buffer (process-buffer proc)
     (delete-process proc)
     (setq erc-dcc-list (delete erc-dcc-entry-data erc-dcc-list))
     (unless (= (point-min) (point-max))
       (erc-dcc-append-contents (current-buffer) erc-dcc-file-name))
-    (erc-display-message
-     nil 'notice erc-server-process
-     'dcc-get-complete
-     ?f erc-dcc-file-name
-     ?s (number-to-string erc-dcc-byte-count)
-     ?t (format "%.0f"
-                (erc-time-diff (plist-get erc-dcc-entry-data :start-time)
-                               nil))))
-  (kill-buffer (process-buffer proc))
-  (delete-process proc))
+    (let ((done (= erc-dcc-byte-count (plist-get erc-dcc-entry-data :size))))
+      (erc-display-message
+       nil (if done 'notice '(notice error)) erc-server-process
+       (if done 'dcc-get-complete 'dcc-get-failed)
+       ?v (plist-get erc-dcc-entry-data :size)
+       ?f erc-dcc-file-name
+       ?s (number-to-string erc-dcc-byte-count)
+       ?t (format "%.0f"
+                  (erc-time-diff (plist-get erc-dcc-entry-data :start-time)
+                                 nil))))
+    (kill-buffer)))
 
 ;;; CHAT handling
 
-- 
2.35.1


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0002-Don-t-send-reports-in-erc-dcc-get-filter-when-nested.patch

From e74322f61e02819c1d1f50d23a03f6353dd45f37 Mon Sep 17 00:00:00 2001
From: "F. Jason Park" <jp@HIDDEN>
Date: Mon, 28 Mar 2022 02:24:43 -0700
Subject: [PATCH 2/4] Don't send reports in erc-dcc-get-filter when nested

* lisp/erc/erc-dcc.el (erc-dcc-get-filter): Don't bother sending a
"received so far" receipt if another attempt is ongoing
(Bug#54458)
---
 lisp/erc/erc-dcc.el | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/lisp/erc/erc-dcc.el b/lisp/erc/erc-dcc.el
index 66a5be4ad0..636e5b20b1 100644
--- a/lisp/erc/erc-dcc.el
+++ b/lisp/erc/erc-dcc.el
@@ -986,9 +986,10 @@ erc-dcc-get-filter
          'dcc-get-file-too-long
          ?f (file-name-nondirectory (buffer-name)))
         (delete-process proc))
-       (t
-        (process-send-string
-         proc (erc-pack-int received-bytes)))))))
+       ((not (process-get proc :reportingp))
+        (process-put proc :reportingp t)
+        (process-send-string proc (erc-pack-int received-bytes))
+        (process-put proc :reportingp nil))))))
 
 (defun erc-dcc-get-sentinel (proc event)
   "This is the process sentinel for CTCP DCC SEND connections.
-- 
2.35.1


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0003-Allow-matching-against-string-values-in-erc-dcc-memb.patch

From f54f32465ed3d7a3206a98987943de13c39aa479 Mon Sep 17 00:00:00 2001
From: "F. Jason Park" <jp@HIDDEN>
Date: Sat, 9 Apr 2022 23:32:22 -0700
Subject: [PATCH 3/4] Allow matching against string values in erc-dcc-member

* lisp/erc/erc-dcc.el (erc-dcc-member): Be more tolerant in the
catch-all case by testing for equality instead of identity.
(erc-dcc-do-GET-command): Pass filename when querying
`erc-dcc-member'.
---
 lisp/erc/erc-dcc.el | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/lisp/erc/erc-dcc.el b/lisp/erc/erc-dcc.el
index 636e5b20b1..c6871aefd3 100644
--- a/lisp/erc/erc-dcc.el
+++ b/lisp/erc/erc-dcc.el
@@ -196,7 +196,7 @@ erc-dcc-member
                       (erc-extract-nick test)
                       (erc-extract-nick val)))
                 ;; not a nick
-                (eq test val)
+                (equal test val)
                 (setq cont nil))))
         (if cont
             (setq result elt)
@@ -507,7 +507,7 @@ erc-dcc-do-GET-command
 re-join the arguments, separated by a space.
 PROC is the server process."
   (setq file (and file (mapconcat #'identity file " ")))
-  (let* ((elt (erc-dcc-member :nick nick :type 'GET))
+  (let* ((elt (erc-dcc-member :nick nick :type 'GET :file file))
          (filename (or file (plist-get elt :file) "unknown")))
     (if elt
         (let* ((file (read-file-name
-- 
2.35.1


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0004-Allow-running-erc-dcc-GET-operations-in-a-subprocess.patch

From 0c98e87ba18493857f4d0d63f0e00bbefc152c93 Mon Sep 17 00:00:00 2001
From: "F. Jason Park" <jp@HIDDEN>
Date: Sun, 10 Apr 2022 19:43:00 -0700
Subject: [PATCH 4/4] Allow running erc-dcc GET operations in a subprocess

* lisp/erc/erc-dcc.el (erc-dcc-get-use-subprocess): Add new option
to spawn an inferior Emacs instance with each /DCC GET invocation.
(erc-dcc--get-file): Move bulk of `erc-dcc-get-file' to an internal
variant to accommodate subprocess functionality.
(erc-dcc--get-display-messages, erc-dcc--get-file-subprocess-sentinel,
erc-dcc--get-file-subprocess): Add helpers for subprocess wrangling.
---
 lisp/erc/erc-dcc.el | 70 ++++++++++++++++++++++++++++++++++++++++++---
 1 file changed, 66 insertions(+), 4 deletions(-)

diff --git a/lisp/erc/erc-dcc.el b/lisp/erc/erc-dcc.el
index c6871aefd3..d8452f2661 100644
--- a/lisp/erc/erc-dcc.el
+++ b/lisp/erc/erc-dcc.el
@@ -897,10 +897,7 @@ erc-dcc-receive-cache
 
 (defvar-local erc-dcc-file-name nil)
 
-(defun erc-dcc-get-file (entry file parent-proc)
-  "Set up a transfer from the remote client to the local over a TCP connection.
-This involves setting up a process filter and a process sentinel,
-and making the connection."
+(defun erc-dcc--get-file (entry file parent-proc)
   (let* ((buffer (generate-new-buffer (file-name-nondirectory file)))
          proc)
     (with-current-buffer buffer
@@ -938,6 +935,71 @@ erc-dcc-get-file
       (setq erc-dcc-entry-data (plist-put (plist-put entry :peer proc)
                                           :start-time (erc-current-time))))))
 
+(defcustom erc-dcc-get-use-subprocess nil
+  "If non-nil, run GET (receive) operations in a subordinate Emacs."
+  :package-version '(ERC . "5.4.1") ; FIXME make this honest
+  :type 'boolean)
+
+(defun erc-dcc--get-display-messages (&rest args)
+  (pcase-let ((`(,_parsed ,_type ,_buffer ,msg . ,rest) args))
+    (message (apply #'erc-format-message msg rest))))
+
+(defun erc-dcc--get-file-subprocess-sentinel (proc _event)
+  (with-current-buffer (process-buffer proc)
+    (widen)
+    (goto-char (point-max))
+    (while (and (not (looking-at (concat "DCC: " erc-dcc-file-name ":")))
+                (zerop (forward-line -1))))
+    (when (and (search-forward erc-dcc-file-name nil t)
+               (search-forward-regexp (rx (group (+ digit))) (point-at-eol) t))
+      (setq erc-dcc-byte-count (string-to-number (match-string 0))))
+    ;; FIXME factor this out (see other GET sentinel)
+    (let ((done (= erc-dcc-byte-count (plist-get erc-dcc-entry-data :size))))
+      (erc-display-message
+       nil (if done 'notice '(notice error)) erc-server-process
+       (if done 'dcc-get-complete 'dcc-get-failed)
+       ?v (plist-get erc-dcc-entry-data :size)
+       ?f erc-dcc-file-name
+       ?s (number-to-string erc-dcc-byte-count)
+       ?t (format "%.0f"
+                  (erc-time-diff (plist-get erc-dcc-entry-data :start-time)
+                                 nil))))
+    (kill-buffer)))
+
+(defun erc-dcc--get-file-subprocess (entry file parent-proc)
+  (let* ((buf (generate-new-buffer (file-name-nondirectory file)))
+         (exe (concat invocation-directory invocation-name))
+         (prog `(with-current-buffer (messages-buffer)
+                  (setq erc-dcc-verbose t) ;global
+                  (advice-add 'erc-display-message :override
+                              #'erc-dcc--get-display-messages)
+                  (let ((e ',entry)
+                        p)
+                    (erc-dcc--get-file e ,file nil)
+                    (setq p (plist-get e :peer))
+                    (set-process-query-on-exit-flag p nil)
+                    (message "Starting: %S" (list :entry e :file ,file))
+                    (while (accept-process-output p)))))
+         (proc (start-process file buf exe "-Q" "--batch" "-l" "erc-dcc"
+                              "--eval" (prin1-to-string prog))))
+    (with-current-buffer buf
+      (setq erc-dcc-file-name (plist-get entry :file)
+            erc-dcc-byte-count 0)
+      (set-process-sentinel proc #'erc-dcc--get-file-subprocess-sentinel)
+      (setq erc-server-process parent-proc
+            entry (plist-put entry :peer proc)
+            entry (plist-put entry :start-time (erc-current-time))
+            erc-dcc-entry-data entry))))
+
+(defun erc-dcc-get-file (entry file parent-proc)
+  "Set up a transfer from the remote client to the local over a TCP connection.
+This involves setting up a process filter and a process sentinel,
+and making the connection."
+  (if erc-dcc-get-use-subprocess
+      (erc-dcc--get-file-subprocess (plist-put entry :parent nil)
+                                    file parent-proc)
+    (erc-dcc--get-file entry file parent-proc)))
+
 (defun erc-dcc-append-contents (buffer _file)
   "Append the contents of BUFFER to FILE.
 The contents of the BUFFER will then be erased."
-- 
2.35.1


--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54458; Package emacs. Full text available.

Message received at 54458 <at> debbugs.gnu.org:


Received: (at 54458) by debbugs.gnu.org; 10 Apr 2022 21:31:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 10 17:31:48 2022
Received: from localhost ([127.0.0.1]:41755 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ndf9w-0003Pk-1i
	for submit <at> debbugs.gnu.org; Sun, 10 Apr 2022 17:31:48 -0400
Received: from mail-108-mta191.mxroute.com ([136.175.108.191]:40807)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jp@HIDDEN>) id 1ndf9u-0003PV-71
 for 54458 <at> debbugs.gnu.org; Sun, 10 Apr 2022 17:31:46 -0400
Received: from filter006.mxroute.com ([140.82.40.27]
 140.82.40.27.vultrusercontent.com)
 (Authenticated sender: mN4UYu2MZsgR)
 by mail-108-mta191.mxroute.com (ZoneMTA) with ESMTPSA id
 1801563b193000fe85.002 for <54458 <at> debbugs.gnu.org>
 (version=TLSv1/SSLv3 cipher=ECDHE-RSA-AES128-GCM-SHA256);
 Sun, 10 Apr 2022 21:31:36 +0000
X-Zone-Loop: 1493301e98f46237dc0e62bbf5967d1757ce0191fb71
X-Originating-IP: [140.82.40.27]
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=neverwas.me
 ; s=x;
 h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:References:
 Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=yeIoYw4u6V268PGOTzwoayHSWnTfV1pA+iX21zp6OP8=; b=lEnRv4GRLtPq+aIIUmD26FFUDQ
 LtsypQahfTyxwOBpzprRD6YL4ce2Fhyc6gZfZDil6zzWcw5+/dcxBPTk8nGXE44wGu92fn1yluZan
 52C4ywW0J8VWw6DwCr4VUoA8tCR3toHR2udP6wH+NfMcm6hbI2TMlqMxryDV7eHRFG4sAFgHZXecY
 L5Z/UTvBdlh6mAXiCRoHIgIxPViHZe33PkliKytAAXLrCokHtLv92161Vv6JsXlclkVLjNpSrDBrS
 SongTD11UIU5z3bP/tarO031orN9OThB8zDfZafKQwSDqZ9ZLebR3nm+T9frWGDcZ4UH1wpvAFgZO
 ty2ww1sA==;
From: "J.P." <jp@HIDDEN>
To: Fernando de Morais <fernandodemorais.jf@HIDDEN>
Subject: Re: bug#54458: 27.2; erc-dcc-get: Re-entering top level after C
 stack overflow
References: <78459EAB-314B-4122-8E3B-7F82685D0DBA@HIDDEN>
 <B366C0CA-8149-442C-B105-95EE698B340B@HIDDEN> <83a6da9vm8.fsf@HIDDEN>
 <87r16m46uf.fsf@HIDDEN>
 <4DA2DB05-D902-42DF-860D-87617FBB74C8@HIDDEN> <83k0cc907r.fsf@HIDDEN>
 <5A8EE4CF-6F5E-4119-8765-8E301E2BE935@HIDDEN>
 <87czi435nh.fsf@HIDDEN> <87mth8rst7.fsf@HIDDEN>
 <98F3182F-80A4-4131-8E9C-E1576908DF96@HIDDEN>
 <87sfqygccz.fsf@HIDDEN> <87h77aozgw.fsf@HIDDEN>
 <87wng67xxd.fsf@HIDDEN>
Date: Sun, 10 Apr 2022 14:31:33 -0700
In-Reply-To: <87wng67xxd.fsf@HIDDEN> (J. P.'s message of "Sun, 03 Apr
 2022 12:46:06 -0700")
Message-ID: <875yng39sa.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-AuthUser: masked@HIDDEN
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54458
Cc: Mattias =?utf-8?Q?Engdeg=C3=A5rd?= <mattiase@HIDDEN>,
 Eli Zaretskii <eliz@HIDDEN>, emacs-erc@HIDDEN, bandali@HIDDEN,
 54458 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

Hi Fernando,

In your initial report, you mentioned having trouble receiving multiple
files.

> If I transfer multiple files (three or four), sometimes with sizes
> smaller than those mentioned above, the C stack overflow hits way
> earlier.

Did you mean successively or simultaneously? Because when attempting the
latter, I can't even get off the ground. Specifically, when I try to get
two transfers going [1], the first freezes the moment the second starts.
And no further packets are exchanged for the first connection. So, as
far as simultaneous transfers are concerned, it may be that the changes
you so kindly tried didn't introduce a regression after all and that a
preexisting (though possibly related) bug has emerged.

>> The only different behaviors I noticed in Emacs was the fact that it
>> stops responding when transfers go beyond a certain percentage of
>> completion (I couldn't be sure of the number, but in my experiments it
>> happens above 45%) and the impossibility of transferring more than one
>> file at the same time.

That last part sounds like it may be similar to what I ran into. If so,
we may be in luck. It appears that, with a couple simple tweaks, I'm
able to successfully complete simultaneous transfers of large files.
However, retaining a responsive Emacs is another issue. Assuming the
sender misbehaves and the changes you last tried are also applied, I
lose control of Emacs the instant a send is blocked and only regain it
once all (simultaneous) transfers have completed, which seems more or
less in line with what you describe [2].

When you get a chance, please try the proposed multi-file fix, even
though it does nothing for the unresponsiveness problem. Also, if it's
not too much trouble, would you mind doing something like

  # tcpdump -i eno1 -Uw ./dump 'host 93.184.216.34 and tcp port 9899'

from before connecting until the unresponsiveness starts and then
uploading ./dump somewhere (like an s3 bucket)? Thanks.


[1] On Emacs 29, without any of the proposed changes applied:
    a. Start two emacs -Q instances, a sender and a receiver
    b. Start two helper scripts, each serving a different large file
    c. Offer both files on the sender
    d. Accept both files on the receiver

[2] To be clear, I'm still able to issue a quit signal, which results in
    a message about an error in the process filter. However, it does
    nothing to interrupt the actual process (info "(emacs) Quitting").
    And, FWIW, the first blocked send attempt never actually returns to
    the calling process filter, at least in my crude simulation.


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0003-Allow-matching-against-string-values-in-erc-dcc-memb.patch

From f54f32465ed3d7a3206a98987943de13c39aa479 Mon Sep 17 00:00:00 2001
From: "F. Jason Park" <jp@HIDDEN>
Date: Sat, 9 Apr 2022 23:32:22 -0700
Subject: [PATCH 3/3] Allow matching against string values in erc-dcc-member

* lisp/erc/erc-dcc.el (erc-dcc-member): Be more tolerant in the
catch-all case by testing for equality instead of identity.
(erc-dcc-do-GET-command): Pass filename when querying
`erc-dcc-member'.
---
 lisp/erc/erc-dcc.el | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/lisp/erc/erc-dcc.el b/lisp/erc/erc-dcc.el
index 636e5b20b1..c6871aefd3 100644
--- a/lisp/erc/erc-dcc.el
+++ b/lisp/erc/erc-dcc.el
@@ -196,7 +196,7 @@ erc-dcc-member
                       (erc-extract-nick test)
                       (erc-extract-nick val)))
                 ;; not a nick
-                (eq test val)
+                (equal test val)
                 (setq cont nil))))
         (if cont
             (setq result elt)
@@ -507,7 +507,7 @@ erc-dcc-do-GET-command
 re-join the arguments, separated by a space.
 PROC is the server process."
   (setq file (and file (mapconcat #'identity file " ")))
-  (let* ((elt (erc-dcc-member :nick nick :type 'GET))
+  (let* ((elt (erc-dcc-member :nick nick :type 'GET :file file))
          (filename (or file (plist-get elt :file) "unknown")))
     (if elt
         (let* ((file (read-file-name
-- 
2.35.1


--=-=-=
Content-Type: application/octet-stream
Content-Disposition: attachment; filename=serve.py
Content-Transfer-Encoding: base64
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--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54458; Package emacs. Full text available.

Message received at 54458 <at> debbugs.gnu.org:


Received: (at 54458) by debbugs.gnu.org; 3 Apr 2022 19:46:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 03 15:46:20 2022
Received: from localhost ([127.0.0.1]:49610 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nb6B2-0003td-7X
	for submit <at> debbugs.gnu.org; Sun, 03 Apr 2022 15:46:20 -0400
Received: from mail-108-mta4.mxroute.com ([136.175.108.4]:39639)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jp@HIDDEN>) id 1nb6B0-0003tO-6N
 for 54458 <at> debbugs.gnu.org; Sun, 03 Apr 2022 15:46:18 -0400
Received: from filter006.mxroute.com ([140.82.40.27]
 140.82.40.27.vultrusercontent.com)
 (Authenticated sender: mN4UYu2MZsgR)
 by mail-108-mta4.mxroute.com (ZoneMTA) with ESMTPSA id 17ff0f6a3aa000fe85.002
 for <54458 <at> debbugs.gnu.org>
 (version=TLSv1/SSLv3 cipher=ECDHE-RSA-AES128-GCM-SHA256);
 Sun, 03 Apr 2022 19:46:09 +0000
X-Zone-Loop: b36b222c4ed7272332936e53829ddb99c8e389bd6aaf
X-Originating-IP: [140.82.40.27]
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=neverwas.me
 ; s=x;
 h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID:
 In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=QRL0fGPBPYVM2b/brhFjgWXYdRX4+R96pbCbvREydX0=; b=K7v9dS7DapXxZsiR9b6HTIPDJo
 RIdTVaEq6HWy0JpPNN5HNyyhQF1R2IShdufxyPlIhmBpB1OxY1dQAXsg0+Ejymuh0YhJI17hbQBz9
 TFNt0grRzgnaQZBjDv2qQ8FaUFKeEBRBHI6z95+4BR8tNlQWTDCW6NUpNSTYexOZScZaep1CLtbzC
 kqqFk5/eidveD5AUzG64xoLh/uqEE4ojLr0TX41qzrKPLvPro9082wdA3s9jm2jy1fLsX/oPHTNlG
 qkLZaaU5794VK6Y/TxJE3mxmRi27sII6z3MOkeyKZvfDTVD83bwXRMY/WL9TLNzIo9lXWCDWuiUKr
 9LY8tFsg==;
From: "J.P." <jp@HIDDEN>
To: Fernando de Morais <fernandodemorais.jf@HIDDEN>
Subject: Re: bug#54458: 27.2; erc-dcc-get: Re-entering top level after C
 stack overflow
References: <78459EAB-314B-4122-8E3B-7F82685D0DBA@HIDDEN>
 <B366C0CA-8149-442C-B105-95EE698B340B@HIDDEN> <83a6da9vm8.fsf@HIDDEN>
 <87r16m46uf.fsf@HIDDEN>
 <4DA2DB05-D902-42DF-860D-87617FBB74C8@HIDDEN> <83k0cc907r.fsf@HIDDEN>
 <5A8EE4CF-6F5E-4119-8765-8E301E2BE935@HIDDEN>
 <87czi435nh.fsf@HIDDEN> <87mth8rst7.fsf@HIDDEN>
 <98F3182F-80A4-4131-8E9C-E1576908DF96@HIDDEN>
 <87sfqygccz.fsf@HIDDEN> <87h77aozgw.fsf@HIDDEN>
Date: Sun, 03 Apr 2022 12:46:06 -0700
In-Reply-To: <87h77aozgw.fsf@HIDDEN> (Fernando de Morais's message of "Sun, 
 03 Apr 2022 14:20:47 -0300")
Message-ID: <87wng67xxd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-AuthUser: masked@HIDDEN
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54458
Cc: Mattias =?utf-8?Q?Engdeg=C3=A5rd?= <mattiase@HIDDEN>,
 Eli Zaretskii <eliz@HIDDEN>, emacs-erc@HIDDEN, bandali@HIDDEN,
 54458 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Fernando de Morais <fernandodemorais.jf@HIDDEN> writes:

> Sorry for the late response.

Not at all. If anything's late, it's our addressing this after decades.

> I applied your latest patch (0002) and file transfers larger than
> 120~150 MB, as well as much larger ones, completed successfully!
>
> The only different behaviors I noticed in Emacs was the fact that it
> stops responding when transfers go beyond a certain percentage of
> completion (I couldn't be sure of the number, but in my experiments it
> happens above 45%) and the impossibility of transferring more than one
> file at the same time.

Neither of those sounds particularly pleasant. In fact, they sound like
regressions. So, just to clarify:

 - Before the proposed patch, simultaneous transfers were possible, and
   now they're not.

 - Before this patch, unresponsiveness wasn't a thing (crashing and
   scary messages aside), but now it is.

I'll admit to callously not even considering the first, and I might have
trouble reproducing the second but will certainly give it a go.

> Other than that, transfers go as expected.
>
> Thank you! I'll be using this patched version of `erc-dcc-get-filter'.

You're welcome, but hopefully we=E2=84=A2 can do better (amid tackling ERC's
rather pressing, even borderline existential problems).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54458; Package emacs. Full text available.

Message received at 54458 <at> debbugs.gnu.org:


Received: (at 54458) by debbugs.gnu.org; 3 Apr 2022 17:21:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 03 13:21:06 2022
Received: from localhost ([127.0.0.1]:49442 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nb3uU-0000L1-CU
	for submit <at> debbugs.gnu.org; Sun, 03 Apr 2022 13:21:06 -0400
Received: from mail-oa1-f41.google.com ([209.85.160.41]:35586)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <fernandodemorais.jf@HIDDEN>) id 1nb3uT-0000KG-1K
 for 54458 <at> debbugs.gnu.org; Sun, 03 Apr 2022 13:21:05 -0400
Received: by mail-oa1-f41.google.com with SMTP id
 586e51a60fabf-de48295467so8180456fac.2
 for <54458 <at> debbugs.gnu.org>; Sun, 03 Apr 2022 10:21:05 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version:content-transfer-encoding;
 bh=SDWkwxVV47p1TcIlZX10aYXTTVTDBi4qk4m/IRSHacY=;
 b=jgMwVGrMY+JpdajwKNGGEmZzzZVnHEjpS+iYmkI4eA9Pz9CR/XzwKlUNbfIIgNqrhj
 WSxZmw978MF/njZIoBpDKIzMF1KHdj1ztKCBWai4K6bLzXNg2sn/SPebx6s8WPkTAP+u
 Bb4zSrmLLkxyv46oZze/Oozcak2bWOTfEfuf+ZJ9mllcxng7L+UM7/zMeWOf/nyAULVV
 Dfk9WYjy9ByLksquqMr1bHEJ//aBaqz3rDlyhp4VXdsNv3knZRM0Ff+FYZO963CEIbv2
 Oj7ZZbfa5TT8yYxBIipXgll+L1vp2jiBiHHVZKCvHDO6bXm032a2on1aRErv/RV6sNUf
 rFJQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version:content-transfer-encoding;
 bh=SDWkwxVV47p1TcIlZX10aYXTTVTDBi4qk4m/IRSHacY=;
 b=rbfoaUiCdwp192znfdWMkwKMNon3FzHEkKc8/JuvYStnMe9OXgqA/V8ThARuy0V0sa
 ZjmPRPZvxoBuF/rPlBul/la9cF9uzvxRkWb8j/bWStqdyGUZcQesh7EaVwZkZ79SFCnQ
 TEPYoA7ViBK2uEbqHwq6pHNZVRMs3U2cFF7VAbOm+gdW8sT7eZsFnA0hsLG2H9t0JgG0
 hHdcsZ/PuR1iYY+10jTRqHaZyfdJlPIGsZ/gnmd9OdmjqH0u/ZiGApQT7ANsGq056Cqm
 tyfE7zRcTrr5x5CwNADZFkUyeocaJk938SC+LwV0qu+yjPyUPL42dU5jysxvgF4XfuRX
 ZmWw==
X-Gm-Message-State: AOAM532QrVhq9S6oMXXKXDjcvJ4Jb3cPjL1Gnsr46vIu4gS2eCggoaem
 tSsk3hneh5KblSWQgoQ/cYM=
X-Google-Smtp-Source: ABdhPJzq3Jb9yZGefs0N/miB0EKoUq5tg4p0baGNrryxZvcfWpoDuwZ4w2Bg3tnfK9ZWSxyFiHATEw==
X-Received: by 2002:a05:6870:e3c1:b0:d7:2dc8:7fd0 with SMTP id
 y1-20020a056870e3c100b000d72dc87fd0mr9255265oad.104.1649006459239; 
 Sun, 03 Apr 2022 10:20:59 -0700 (PDT)
Received: from sekai.mylaptop ([2804:14c:da80:8cd9::67cc])
 by smtp.gmail.com with ESMTPSA id
 n15-20020aca240f000000b002da2fc73741sm3326748oic.33.2022.04.03.10.20.55
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 03 Apr 2022 10:20:58 -0700 (PDT)
From: Fernando de Morais <fernandodemorais.jf@HIDDEN>
To: "J.P." <jp@HIDDEN>
Subject: Re: bug#54458: 27.2; erc-dcc-get: Re-entering top level after C
 stack overflow
References: <78459EAB-314B-4122-8E3B-7F82685D0DBA@HIDDEN>
 <B366C0CA-8149-442C-B105-95EE698B340B@HIDDEN>
 <83a6da9vm8.fsf@HIDDEN> <87r16m46uf.fsf@HIDDEN>
 <4DA2DB05-D902-42DF-860D-87617FBB74C8@HIDDEN>
 <83k0cc907r.fsf@HIDDEN>
 <5A8EE4CF-6F5E-4119-8765-8E301E2BE935@HIDDEN>
 <87czi435nh.fsf@HIDDEN> <87mth8rst7.fsf@HIDDEN>
 <98F3182F-80A4-4131-8E9C-E1576908DF96@HIDDEN>
 <87sfqygccz.fsf@HIDDEN>
Date: Sun, 03 Apr 2022 14:20:47 -0300
In-Reply-To: <87sfqygccz.fsf@HIDDEN> (J. P.'s message of "Thu, 31 Mar
 2022 12:18:04 -0700")
Message-ID: <87h77aozgw.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54458
Cc: Mattias =?utf-8?Q?Engdeg=C3=A5rd?= <mattiase@HIDDEN>,
 Eli Zaretskii <eliz@HIDDEN>, emacs-erc@HIDDEN, bandali@HIDDEN,
 54458 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

"J.P." <jp@HIDDEN> writes:

> Fernando,
>
> Please forget about the packet-capture thing. Setting that up and poring
> over the results is kind of a drag. As far as trying out patches,
> there's certainly no rush. While I'm sure you're probably all set,
> others wanting to play along may need a hand. I'm no Arch Linux wiz, but
> these steps have worked for me in the past:

Hello J.P.,

Sorry for the late response.

I applied your latest patch (0002) and file transfers larger than
120~150 MB, as well as much larger ones, completed successfully!

The only different behaviors I noticed in Emacs was the fact that it
stops responding when transfers go beyond a certain percentage of
completion (I couldn't be sure of the number, but in my experiments it
happens above 45%) and the impossibility of transferring more than one
file at the same time.

Other than that, transfers go as expected.

Thank you! I'll be using this patched version of `erc-dcc-get-filter'.

=C2=B7=C2=B7=C2=B7

Mattias Engdeg=C3=A5rd <mattiase@HIDDEN> writes:

> Very useful! If I'm reading the stack trace right then someone should
> tell ERC not to send data from a process filter function:

Hi Mattias,

Thank you too, and just like J.P. wrote in his previous message, your
observations have been fundamental to solving the problem!

--=20
Regards,
Fernando de Morais.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54458; Package emacs. Full text available.

Message received at 54458 <at> debbugs.gnu.org:


Received: (at 54458) by debbugs.gnu.org; 1 Apr 2022 06:32:29 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 01 02:32:29 2022
Received: from localhost ([127.0.0.1]:40659 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1naAph-00040r-26
	for submit <at> debbugs.gnu.org; Fri, 01 Apr 2022 02:32:29 -0400
Received: from mail-108-mta245.mxroute.com ([136.175.108.245]:41185)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jp@HIDDEN>) id 1naApe-00040d-IJ
 for 54458 <at> debbugs.gnu.org; Fri, 01 Apr 2022 02:32:27 -0400
Received: from filter006.mxroute.com ([140.82.40.27]
 140.82.40.27.vultrusercontent.com)
 (Authenticated sender: mN4UYu2MZsgR)
 by mail-108-mta245.mxroute.com (ZoneMTA) with ESMTPSA id
 17fe3d3150a000fe85.002 for <54458 <at> debbugs.gnu.org>
 (version=TLSv1/SSLv3 cipher=ECDHE-RSA-AES128-GCM-SHA256);
 Fri, 01 Apr 2022 06:32:15 +0000
X-Zone-Loop: e69575cb52c05bc8674311c51d93387f68f3a2731562
X-Originating-IP: [140.82.40.27]
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=neverwas.me
 ; s=x;
 h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:References:
 Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=V3RgT3fBUifyJKS9WltS0GzrKTRFJKmvwo9eNgl8NsY=; b=ZOUukfLNIRUmRkQYCjw45RAOV1
 GYWzjfjFnybMP4IktGmYpaXUFzQ4dBEdlUd22LRmHQdi0UrPfquHXo8GuZDJbnVwQRd5mKbaOES4T
 XMJ23N0N7scap3DPcVWd2l7NHehb/+THpWfsCSdFcbZOC+t1dyNKIAT+ScvTq5MbLZyahRmu/okDh
 koXDl9LuI6nB+uRwfHIVcF69nAv9RyO7apb19Z8X72VuYpuRnWxBOGKYSI/frK/+psqDL/pqN9ACV
 6HV/K4pDjDCfJBXqBFuYRMOQmTUARVcFwX0FSqxPKxRq23eQCKK4bjsJiIdHSUEh1nzofP8okfe7/
 TlFiDodA==;
From: "J.P." <jp@HIDDEN>
To: 54458 <at> debbugs.gnu.org
Subject: Re: bug#54458: 27.2; erc-dcc-get: Re-entering top level after C
 stack overflow
References: <78459EAB-314B-4122-8E3B-7F82685D0DBA@HIDDEN>
 <B366C0CA-8149-442C-B105-95EE698B340B@HIDDEN> <83a6da9vm8.fsf@HIDDEN>
 <87r16m46uf.fsf@HIDDEN>
 <4DA2DB05-D902-42DF-860D-87617FBB74C8@HIDDEN> <83k0cc907r.fsf@HIDDEN>
 <5A8EE4CF-6F5E-4119-8765-8E301E2BE935@HIDDEN>
 <87czi435nh.fsf@HIDDEN> <87mth8rst7.fsf@HIDDEN>
Date: Thu, 31 Mar 2022 23:32:12 -0700
In-Reply-To: <87mth8rst7.fsf@HIDDEN> (J. P.'s message of "Tue, 29 Mar
 2022 21:02:44 -0700")
Message-ID: <87fsmxe2kz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-AuthUser: masked@HIDDEN
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54458
Cc: fernandodemorais.jf@HIDDEN, Eli Zaretskii <eliz@HIDDEN>,
 emacs-erc@HIDDEN, bandali@HIDDEN,
 Mattias =?utf-8?Q?Engdeg=C3=A5rd?= <mattiase@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

"J.P." <jp@HIDDEN> writes:

> BTW (cc. Fernando), the reason I simply dropped nested send attempts in
> that earlier patch was because their payloads (those 4-byte receipts)
> are only meaningful to a sender honoring "the spec" [1], which says
>
>   The sender should not continue to transmit until the recipient has
>   acknowledged all data already transmitted.
>
> IOW, there shouldn't be prohibitive wire pressure when dealing with an
> obedient sender, so we needn't worry about an outgoing receipt being
> dropped (right?). And for corner-cutting senders, either those just
> treating receipts as heartbeats and ignoring their contents or those
> never bothering to read from the socket at all, "sparse but strictly
> increasing" should always suffice, I think. If I'm wrong on either
> count, we can always add more complexity.

A quick note regarding the proposed implementation: the Qt-based
graphical client KVIrc (free software) takes an identical tack WRT
dropping instead of retrying denied sends.

From DccRecvThread::sendAck in src/modules/dcc/DccFileTransfer.cpp [1]:

  iRet = kvi_socket_send(m_fd, (void *)(ack), ackSize);

  if(iRet == ackSize)
     return true; // everything sent

  // When downloading from a fast server using send-ahead via an
  // asymmetric link (such as the common ADSL lines) it may happen that
  // the network output queue gets saturated with ACKs. In this case the
  // network stack will refuse to send our packet and we get here.

  // We should either retry to send the ACK in a while or avoid sending
  // it at all (as with send-ahead acks aren't usually checked
  // per-packet).

  if(iRet == 0)
  {
     // We can live with this: no data has been sent at all
     // Not sending the ack and hoping that the server will not
     // stall is better than killing the connection from our side
     // anyway.
     return true;
  }

  if(iRet < 0)
  {
  // Reported error. If it's EAGAIN or EINTR then no data has been sent.

  [...]

  if((err != EAGAIN) && (err != EINTR))
  #endif //!(defined(COMPILE_ON_WINDOWS) || defined(COMPILE_ON_MINGW))
  	{
  	   // some other kind of error
  	   postErrorEvent(KviError::AcknowledgeError);
       return false;
  	}

    return true; // no data sent: same as iRet == 0 above.
  }

So if we stick to this approach and it turns out to be inadequate, at
least we won't be alone in having fumbled.

[1] https://github.com/kvirc/KVIrc/blob/e4a34cb9/src/modules/dcc/DccFileTransfer.cpp#L115




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54458; Package emacs. Full text available.

Message received at 54458 <at> debbugs.gnu.org:


Received: (at 54458) by debbugs.gnu.org; 31 Mar 2022 19:18:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Mar 31 15:18:20 2022
Received: from localhost ([127.0.0.1]:39805 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1na0JH-00079q-RM
	for submit <at> debbugs.gnu.org; Thu, 31 Mar 2022 15:18:20 -0400
Received: from mail-108-mta219.mxroute.com ([136.175.108.219]:38393)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jp@HIDDEN>) id 1na0JF-00079a-TT
 for 54458 <at> debbugs.gnu.org; Thu, 31 Mar 2022 15:18:18 -0400
Received: from filter006.mxroute.com ([140.82.40.27]
 140.82.40.27.vultrusercontent.com)
 (Authenticated sender: mN4UYu2MZsgR)
 by mail-108-mta219.mxroute.com (ZoneMTA) with ESMTPSA id
 17fe169e362000fe85.002 for <54458 <at> debbugs.gnu.org>
 (version=TLSv1/SSLv3 cipher=ECDHE-RSA-AES128-GCM-SHA256);
 Thu, 31 Mar 2022 19:18:07 +0000
X-Zone-Loop: 94da7989fa72d8ca43ce3a3d3728468a1caac722d0e9
X-Originating-IP: [140.82.40.27]
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=neverwas.me
 ; s=x;
 h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:References:
 Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=9nLwE2JMY3VuAZnRE9V29/XnxFkmDdTivmmkI4WrvsY=; b=I5LljWGhHcBgwgxMv56YfKF+zO
 ZD6j3f9e2138dJJ1SpSfLOBGqLipT0FbzwD/vnLJ3LZZPeLJgS0PqGZOujV2fDChSWxwYCII5losc
 mj9RQxLvGfnqB5onlegrosKQIwWHaC4U0fnjrU+i8mTAetic7wWcT6oPJanByd8v2F2eY17M77KS3
 HYHkG8FY2GEVT/T8ktqQoRed6WY3ObwPheWPef0K1+wxYiDw4APhORcsqNOsuTDCvSPZkHPeI2YOY
 /qs+pCsfeR9he6Ax09JqFWOMS3iSyePMiTgXOMWipAuUcDVPk3ksXXgyVJVK/fYLZhLgwkhDfG3uT
 sPH+MhRw==;
From: "J.P." <jp@HIDDEN>
To: Mattias =?utf-8?Q?Engdeg=C3=A5rd?= <mattiase@HIDDEN>, Fernando de Morais
 <fernandodemorais.jf@HIDDEN>
Subject: Re: bug#54458: 27.2; erc-dcc-get: Re-entering top level after C
 stack overflow
References: <78459EAB-314B-4122-8E3B-7F82685D0DBA@HIDDEN>
 <B366C0CA-8149-442C-B105-95EE698B340B@HIDDEN> <83a6da9vm8.fsf@HIDDEN>
 <87r16m46uf.fsf@HIDDEN>
 <4DA2DB05-D902-42DF-860D-87617FBB74C8@HIDDEN> <83k0cc907r.fsf@HIDDEN>
 <5A8EE4CF-6F5E-4119-8765-8E301E2BE935@HIDDEN>
 <87czi435nh.fsf@HIDDEN> <87mth8rst7.fsf@HIDDEN>
 <98F3182F-80A4-4131-8E9C-E1576908DF96@HIDDEN>
Date: Thu, 31 Mar 2022 12:18:04 -0700
In-Reply-To: <98F3182F-80A4-4131-8E9C-E1576908DF96@HIDDEN> ("Mattias
 =?utf-8?Q?Engdeg=C3=A5rd=22's?= message of "Wed, 30 Mar 2022 17:28:37
 +0200")
Message-ID: <87sfqygccz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-AuthUser: masked@HIDDEN
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54458
Cc: 54458 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>, emacs-erc@HIDDEN,
 bandali@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Mattias Engdeg=C3=A5rd <mattiase@HIDDEN> writes:

> Thanks for testing. As you say, you probably want to fix this in Lisp in =
ERC
> in any case and doing so does not appear to be very difficult.
>
> Partly for this reason I'm not insisting on the proposed C level fix. It =
does
> seem to be a reasonable change though, and we usually prefer fixing a pro=
blem
> to documenting it.

Whatever happens, its insights have provided the key to fixing things on
the ERC side. So, at the very least, it'll always live on in spirit!

                               . . .

Fernando,

Please forget about the packet-capture thing. Setting that up and poring
over the results is kind of a drag. As far as trying out patches,
there's certainly no rush. While I'm sure you're probably all set,
others wanting to play along may need a hand. I'm no Arch Linux wiz, but
these steps have worked for me in the past:

1. cd ~/my-emacs-arch-repo

2. makepkg --syncdeps --nobuild

3. # if tarball
   cd ./src/emacs-<pkgver> && patch -p1 < /tmp/0002-*.patch && cd -

   # else if git
   git -C ./src/emacs-<pkgver> am /tmp/0002-*.patch

4. makepkg --force --noextract --holdver

5. sudo pacman -U ./emacs-<pkgver>-<pkgrel>-x86_64.pkg.tar.zst

For anyone who cares, there's (at least) one case in which this patch
won't quite cut it. Right now, it assumes that in `send_process', when
`sendto' returns -1 with errno as EAGAIN or EWOULDBLOCK, it's because
there's a maxed-out buffer somewhere, presumably on account of the
sender not buying into the lock-step acknowledgment flow prescribed by
the ancient spec. But if there's a non-remote chance that it could be
something else unrelated to a non-compliant sender, that could be
problematic because a fully compliant one might end up waiting for a
receipt that never comes. Obviously, this never happens in my contrived
repro scenario. But making room for it would probably involve looking
after another timer, which I'd rather avoid if possible.

Just FYI, I've added an additional patch that you can freely ignore (it
won't apply cleanly on 27.2 anyway). Also (just for posterity), I've
updated the helper script to simulate the pedantic case as well.


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0001-Display-error-message-on-incomplete-ERC-DCC-transfer.patch

From 70bb64c3ed0957643c653323cd31d273ba306749 Mon Sep 17 00:00:00 2001
From: "F. Jason Park" <jp@HIDDEN>
Date: Wed, 30 Mar 2022 17:16:11 -0700
Subject: [PATCH 1/2] Display error message on incomplete ERC DCC transfer

* lisp/erc/erc-dcc.el (erc-dcc-get-sentinel): Display error when total
byte count received is lower than expected.
(erc-message-english-dcc-get-failed): Add `dcc-get-incomplete' to
the English catalog.
(erc-dcc-get-file): Tweak initialization of `erc-dcc-entry-data'.
---
 lisp/erc/erc-dcc.el | 36 +++++++++++++++++++-----------------
 1 file changed, 19 insertions(+), 17 deletions(-)

diff --git a/lisp/erc/erc-dcc.el b/lisp/erc/erc-dcc.el
index 59bfd24603..66a5be4ad0 100644
--- a/lisp/erc/erc-dcc.el
+++ b/lisp/erc/erc-dcc.el
@@ -144,6 +144,7 @@ erc-dcc-open-network-stream
    (dcc-get-bytes-received . "DCC: %f: %b bytes received")
    (dcc-get-complete
     . "DCC: file %f transfer complete (%s bytes in %t seconds)")
+   (dcc-get-failed . "DCC: file %f transfer failed at %s of %v in %t seconds")
    (dcc-get-cmd-aborted . "DCC: Aborted getting %f from %n")
    (dcc-get-file-too-long
     . "DCC: %f: File longer than sender claimed; aborting transfer")
@@ -920,8 +921,7 @@ erc-dcc-get-file
             (inhibit-file-name-operation 'write-region))
         (write-region (point) (point) erc-dcc-file-name nil 'nomessage))
 
-      (setq erc-server-process parent-proc
-            erc-dcc-entry-data entry)
+      (setq erc-server-process parent-proc)
       (setq erc-dcc-byte-count 0)
       (setq proc
             (funcall erc-dcc-connect-function
@@ -935,8 +935,8 @@ erc-dcc-get-file
 
       (set-process-filter proc #'erc-dcc-get-filter)
       (set-process-sentinel proc #'erc-dcc-get-sentinel)
-      (setq entry (plist-put entry :start-time (erc-current-time)))
-      (setq entry (plist-put entry :peer proc)))))
+      (setq erc-dcc-entry-data (plist-put (plist-put entry :peer proc)
+                                          :start-time (erc-current-time))))))
 
 (defun erc-dcc-append-contents (buffer _file)
   "Append the contents of BUFFER to FILE.
@@ -990,27 +990,29 @@ erc-dcc-get-filter
         (process-send-string
          proc (erc-pack-int received-bytes)))))))
 
-
-(defun erc-dcc-get-sentinel (proc _event)
+(defun erc-dcc-get-sentinel (proc event)
   "This is the process sentinel for CTCP DCC SEND connections.
 It shuts down the connection and notifies the user that the
 transfer is complete."
-  ;; FIXME, we should look at EVENT, and also check size.
+  (unless (string= event "connection broken by remote peer\n")
+    (lwarn 'erc :warning "Unexpected sentinel event %S for %s"
+           (string-trim-right event) proc))
   (with-current-buffer (process-buffer proc)
     (delete-process proc)
     (setq erc-dcc-list (delete erc-dcc-entry-data erc-dcc-list))
     (unless (= (point-min) (point-max))
       (erc-dcc-append-contents (current-buffer) erc-dcc-file-name))
-    (erc-display-message
-     nil 'notice erc-server-process
-     'dcc-get-complete
-     ?f erc-dcc-file-name
-     ?s (number-to-string erc-dcc-byte-count)
-     ?t (format "%.0f"
-                (erc-time-diff (plist-get erc-dcc-entry-data :start-time)
-                               nil))))
-  (kill-buffer (process-buffer proc))
-  (delete-process proc))
+    (let ((done (= erc-dcc-byte-count (plist-get erc-dcc-entry-data :size))))
+      (erc-display-message
+       nil (if done 'notice '(notice error)) erc-server-process
+       (if done 'dcc-get-complete 'dcc-get-failed)
+       ?v (plist-get erc-dcc-entry-data :size)
+       ?f erc-dcc-file-name
+       ?s (number-to-string erc-dcc-byte-count)
+       ?t (format "%.0f"
+                  (erc-time-diff (plist-get erc-dcc-entry-data :start-time)
+                                 nil))))
+    (kill-buffer)))
 
 ;;; CHAT handling
 
-- 
2.35.1


--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0002-Don-t-send-reports-in-erc-dcc-get-filter-when-nested.patch

From 7d53808298ad59d4d1fb5e97ceba366bf4d34253 Mon Sep 17 00:00:00 2001
From: "F. Jason Park" <jp@HIDDEN>
Date: Mon, 28 Mar 2022 02:24:43 -0700
Subject: [PATCH 2/2] Don't send reports in erc-dcc-get-filter when nested

* lisp/erc/erc-dcc.el (erc-dcc-get-filter): Don't bother sending a
"received so far" receipt if another attempt is ongoing
(Bug#54458)
---
 lisp/erc/erc-dcc.el | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/lisp/erc/erc-dcc.el b/lisp/erc/erc-dcc.el
index 66a5be4ad0..636e5b20b1 100644
--- a/lisp/erc/erc-dcc.el
+++ b/lisp/erc/erc-dcc.el
@@ -986,9 +986,10 @@ erc-dcc-get-filter
          'dcc-get-file-too-long
          ?f (file-name-nondirectory (buffer-name)))
         (delete-process proc))
-       (t
-        (process-send-string
-         proc (erc-pack-int received-bytes)))))))
+       ((not (process-get proc :reportingp))
+        (process-put proc :reportingp t)
+        (process-send-string proc (erc-pack-int received-bytes))
+        (process-put proc :reportingp nil))))))
 
 (defun erc-dcc-get-sentinel (proc event)
   "This is the process sentinel for CTCP DCC SEND connections.
-- 
2.35.1


--=-=-=
Content-Type: application/octet-stream
Content-Disposition: attachment; filename=serve.py
Content-Transfer-Encoding: base64
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--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54458; Package emacs. Full text available.

Message received at 54458 <at> debbugs.gnu.org:


Received: (at 54458) by debbugs.gnu.org; 30 Mar 2022 15:28:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 30 11:28:46 2022
Received: from localhost ([127.0.0.1]:36684 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nZaFZ-0004kV-RF
	for submit <at> debbugs.gnu.org; Wed, 30 Mar 2022 11:28:46 -0400
Received: from mail231c50.megamailservers.eu ([91.136.10.241]:45240
 helo=mail37c50.megamailservers.eu)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mattiase@HIDDEN>) id 1nZaFX-0004kK-8K
 for 54458 <at> debbugs.gnu.org; Wed, 30 Mar 2022 11:28:44 -0400
X-Authenticated-User: mattiase@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=megamailservers.eu;
 s=maildub; t=1648654120;
 bh=JhePOS1LzqTQ9LZMdOU30fL3OGE5Rwu7gMMtINBODwY=;
 h=Subject:From:In-Reply-To:Date:Cc:References:To:From;
 b=InJL3mVcotPRGL8vpUmWTxdv9NCi9GJa/FxZZ5+Uwmj2tqcS1gG9zNYL/3rf1b+eU
 Xo4mkla26u0icma9jihAdgLZzf3ghS68pUtBUIy2WdsyTIzzx0fGvAx8zeiAdahVgL
 FwOz8Jp3ur0GKmkF1N2oZtZYMP7nnU3reY/by75Q=
Feedback-ID: mattiase@HIDDEN
Received: from smtpclient.apple (c188-150-171-71.bredband.tele2.se
 [188.150.171.71]) (authenticated bits=0)
 by mail37c50.megamailservers.eu (8.14.9/8.13.1) with ESMTP id 22UFSbb3002044; 
 Wed, 30 Mar 2022 15:28:39 +0000
Content-Type: text/plain;
	charset=us-ascii
Mime-Version: 1.0 (Mac OS X Mail 14.0 \(3654.120.0.1.13\))
Subject: Re: bug#54458: 27.2; erc-dcc-get: Re-entering top level after C stack
 overflow
From: =?utf-8?Q?Mattias_Engdeg=C3=A5rd?= <mattiase@HIDDEN>
In-Reply-To: <87mth8rst7.fsf@HIDDEN>
Date: Wed, 30 Mar 2022 17:28:37 +0200
Content-Transfer-Encoding: quoted-printable
Message-Id: <98F3182F-80A4-4131-8E9C-E1576908DF96@HIDDEN>
References: <78459EAB-314B-4122-8E3B-7F82685D0DBA@HIDDEN>
 <B366C0CA-8149-442C-B105-95EE698B340B@HIDDEN> <83a6da9vm8.fsf@HIDDEN>
 <87r16m46uf.fsf@HIDDEN> <4DA2DB05-D902-42DF-860D-87617FBB74C8@HIDDEN>
 <83k0cc907r.fsf@HIDDEN> <5A8EE4CF-6F5E-4119-8765-8E301E2BE935@HIDDEN>
 <87czi435nh.fsf@HIDDEN> <87mth8rst7.fsf@HIDDEN>
To: "J.P." <jp@HIDDEN>
X-Mailer: Apple Mail (2.3654.120.0.1.13)
X-CTCH-RefID: str=0001.0A742F19.62447728.006F, ss=1, re=0.000, recu=0.000,
 reip=0.000, cl=1, cld=1, fgs=0
X-CTCH-VOD: Unknown
X-CTCH-Spam: Unknown
X-CTCH-Score: 0.000
X-CTCH-Rules: 
X-CTCH-Flags: 0
X-CTCH-ScoreCust: 0.000
X-Origin-Country: SE
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  30 mars 2022 kl. 06.02 skrev J.P. <jp@HIDDEN>: > FWIW, 
 I ran ERC's I/O heavy test suite (not yet part of Emacs) against > these
 changes, and it passed. I also tried them out on that quasi-repro > recipe
 (the one with the python script), and the pr [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
 0.3 KHOP_HELO_FCRDNS       Relay HELO differs from its IP's reverse DNS
X-Debbugs-Envelope-To: 54458
Cc: Fernando de Morais <fernandodemorais.jf@HIDDEN>,
 Eli Zaretskii <eliz@HIDDEN>, emacs-erc@HIDDEN, bandali@HIDDEN,
 54458 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

30 mars 2022 kl. 06.02 skrev J.P. <jp@HIDDEN>:

> FWIW, I ran ERC's I/O heavy test suite (not yet part of Emacs) against
> these changes, and it passed. I also tried them out on that =
quasi-repro
> recipe (the one with the python script), and the problem vanished
> transparently, as expected.

Thanks for testing. As you say, you probably want to fix this in Lisp in =
ERC in any case and doing so does not appear to be very difficult.

Partly for this reason I'm not insisting on the proposed C level fix. It =
does seem to be a reasonable change though, and we usually prefer fixing =
a problem to documenting it.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54458; Package emacs. Full text available.

Message received at 54458 <at> debbugs.gnu.org:


Received: (at 54458) by debbugs.gnu.org; 30 Mar 2022 04:03:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Mar 30 00:03:00 2022
Received: from localhost ([127.0.0.1]:34119 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nZPXw-00012w-D9
	for submit <at> debbugs.gnu.org; Wed, 30 Mar 2022 00:03:00 -0400
Received: from mail-108-mta66.mxroute.com ([136.175.108.66]:43843)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jp@HIDDEN>) id 1nZPXt-00012h-Q1
 for 54458 <at> debbugs.gnu.org; Wed, 30 Mar 2022 00:02:58 -0400
Received: from filter006.mxroute.com ([140.82.40.27]
 140.82.40.27.vultrusercontent.com)
 (Authenticated sender: mN4UYu2MZsgR)
 by mail-108-mta66.mxroute.com (ZoneMTA) with ESMTPSA id 17fd8fd846b000fe85.002
 for <54458 <at> debbugs.gnu.org>
 (version=TLSv1/SSLv3 cipher=ECDHE-RSA-AES128-GCM-SHA256);
 Wed, 30 Mar 2022 04:02:47 +0000
X-Zone-Loop: 18b7612a5374c7c8194742df2cc2b33e5ce5df60179c
X-Originating-IP: [140.82.40.27]
From: "J.P." <jp@HIDDEN>
To: Mattias =?utf-8?Q?Engdeg=C3=A5rd?= <mattiase@HIDDEN>
Subject: Re: bug#54458: 27.2; erc-dcc-get: Re-entering top level after C
 stack overflow
References: <78459EAB-314B-4122-8E3B-7F82685D0DBA@HIDDEN>
 <B366C0CA-8149-442C-B105-95EE698B340B@HIDDEN> <83a6da9vm8.fsf@HIDDEN>
 <87r16m46uf.fsf@HIDDEN>
 <4DA2DB05-D902-42DF-860D-87617FBB74C8@HIDDEN> <83k0cc907r.fsf@HIDDEN>
 <5A8EE4CF-6F5E-4119-8765-8E301E2BE935@HIDDEN>
 <87czi435nh.fsf@HIDDEN>
Date: Tue, 29 Mar 2022 21:02:44 -0700
In-Reply-To: <87czi435nh.fsf@HIDDEN> (J. P.'s message of "Tue, 29 Mar
 2022 12:44:34 -0700")
Message-ID: <87mth8rst7.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-AuthUser: masked@HIDDEN
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54458
Cc: fernandodemorais.jf@HIDDEN, Eli Zaretskii <eliz@HIDDEN>,
 emacs-erc@HIDDEN, bandali@HIDDEN, 54458 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

"J.P." <jp@HIDDEN> writes:

> Mattias Engdeg=C3=A5rd <mattiase@HIDDEN> writes:
>
>> Attached is a proof of concept: if process-send calls are invoked when
>> another activation already exists, just enqueue the data and let the
>> previous activation deal with the actual transmission. That nips the
>> recursion in the buds.
>
> This seems an ingenious way of helping problematic code that already
> exists. I'll give it a whirl just for fun. (But alas, I know nothing.)

FWIW, I ran ERC's I/O heavy test suite (not yet part of Emacs) against
these changes, and it passed. I also tried them out on that quasi-repro
recipe (the one with the python script), and the problem vanished
transparently, as expected.

BTW (cc. Fernando), the reason I simply dropped nested send attempts in
that earlier patch was because their payloads (those 4-byte receipts)
are only meaningful to a sender honoring "the spec" [1], which says

  The sender should not continue to transmit until the recipient has
  acknowledged all data already transmitted.

IOW, there shouldn't be prohibitive wire pressure when dealing with an
obedient sender, so we needn't worry about an outgoing receipt being
dropped (right?). And for corner-cutting senders, either those just
treating receipts as heartbeats and ignoring their contents or those
never bothering to read from the socket at all, "sparse but strictly
increasing" should always suffice, I think. If I'm wrong on either
count, we can always add more complexity.

QUICK ADMINISTRATIVE NOTE: this whole time, I've been neglecting to Cc
the emacs-erc mailing list (a lapse in professionalism on my part). So
for anyone replying up thread, please cc. emacs-erc@HIDDEN, if you
happen to remember. Thanks.

[1] https://www.irchelp.org/protocol/ctcpspec.html




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54458; Package emacs. Full text available.

Message received at 54458 <at> debbugs.gnu.org:


Received: (at 54458) by debbugs.gnu.org; 29 Mar 2022 19:44:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 29 15:44:55 2022
Received: from localhost ([127.0.0.1]:33655 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nZHlo-00051N-Iz
	for submit <at> debbugs.gnu.org; Tue, 29 Mar 2022 15:44:55 -0400
Received: from mail-108-mta122.mxroute.com ([136.175.108.122]:36109)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jp@HIDDEN>) id 1nZHll-000517-T3
 for 54458 <at> debbugs.gnu.org; Tue, 29 Mar 2022 15:44:46 -0400
Received: from filter006.mxroute.com ([140.82.40.27]
 140.82.40.27.vultrusercontent.com)
 (Authenticated sender: mN4UYu2MZsgR)
 by mail-108-mta122.mxroute.com (ZoneMTA) with ESMTPSA id
 17fd735700e000fe85.002 for <54458 <at> debbugs.gnu.org>
 (version=TLSv1/SSLv3 cipher=ECDHE-RSA-AES128-GCM-SHA256);
 Tue, 29 Mar 2022 19:44:37 +0000
X-Zone-Loop: 07618b2db10de7c118a92d53e674cd42f68ec6ced785
X-Originating-IP: [140.82.40.27]
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=neverwas.me
 ; s=x;
 h=Content-Transfer-Encoding:Content-Type:MIME-Version:Message-ID:
 In-Reply-To:Date:References:Subject:Cc:To:From:Sender:Reply-To:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=drP0MC8BBgBj0WOIRfkYqsSCG5ayBSa/Y3BqqOJR51k=; b=Eo9C2pKFtpjJQXPI9SLHR5uY9A
 IFzAU6CKg04F0OWGTCgGqxsBxy/eSfzQUFL4K/Hr+uvbhpVcF+8ssYop6BtxLNT/pBknE345ytkwl
 tA2ZnHx2qZctUvloEVj8/wiczRrppJaDfTmcI301+QOr1pN7jguvE8HTLdkcgQbHLcqJAAeZ0OzwZ
 /EjikuhT7EE5s8fJFi7rfemhqvNNXvBvM1H1M7RBcocNpDw8Xp8YykdfNyHZn/mfKVbY+UZEcblXT
 FrkOYf1OrF4SvwQ0hnmhASH8QOdlz43U/gwqgWiByRcYnsq6oLRakbMf1Psgz7P7emjX/SxGg8j8j
 IJISVvsA==;
From: "J.P." <jp@HIDDEN>
To: Mattias =?utf-8?Q?Engdeg=C3=A5rd?= <mattiase@HIDDEN>
Subject: Re: bug#54458: 27.2; erc-dcc-get: Re-entering top level after C
 stack overflow
References: <78459EAB-314B-4122-8E3B-7F82685D0DBA@HIDDEN>
 <B366C0CA-8149-442C-B105-95EE698B340B@HIDDEN> <83a6da9vm8.fsf@HIDDEN>
 <87r16m46uf.fsf@HIDDEN>
 <4DA2DB05-D902-42DF-860D-87617FBB74C8@HIDDEN> <83k0cc907r.fsf@HIDDEN>
 <5A8EE4CF-6F5E-4119-8765-8E301E2BE935@HIDDEN>
Date: Tue, 29 Mar 2022 12:44:34 -0700
In-Reply-To: <5A8EE4CF-6F5E-4119-8765-8E301E2BE935@HIDDEN> ("Mattias
 =?utf-8?Q?Engdeg=C3=A5rd=22's?= message of "Tue, 29 Mar 2022 19:47:52
 +0200")
Message-ID: <87czi435nh.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-AuthUser: masked@HIDDEN
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54458
Cc: fernandodemorais.jf@HIDDEN, Eli Zaretskii <eliz@HIDDEN>,
 bandali@HIDDEN, 54458 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Mattias Engdeg=C3=A5rd <mattiase@HIDDEN> writes:

> Although it seems reasonable to require that filter functions abstain
> from sending more data to the process,

I think "app makers" (those of us building on Emacs as a platform) need
a solid, authoritative pattern to mimic. What we at ERC are trying with
our test server is to invert this "reactor pattern" by limiting the role
of the filter to that of "reconstitutor of application frames." When one
or more complete protocol frames arrives (in our case, CRLF delimited),
it enqueues them and returns, perhaps after stashing any residual bytes
for the next invocation. [1]

Then, concurrently, we have our main handler/dispatcher loop, which is
started by a specific sentinel event. It peeks at the queue and then
maybe dispatches a method/reply handler or maybe handles housekeeping
instead. The key for app makers, I think, is that we regain control by
being free to deal with complete messages (remote "method calls" or
"return values," logically) at a time and place of our choosing, rather
than being forced to the dance to the tune of the selector.

> there may be another way: preventing re-entering process-send calls
> from recursing further.
>
> Attached is a proof of concept: if process-send calls are invoked when
> another activation already exists, just enqueue the data and let the
> previous activation deal with the actual transmission. That nips the
> recursion in the buds.

This seems an ingenious way of helping problematic code that already
exists. I'll give it a whirl just for fun. (But alas, I know nothing.)

> Of course, one reason to make the change in ERC is that it would fix the
> problem in all Emacs versions, not just 29.

You mean make the change by abstaining from the antipattern, right? I
think ERC has no choice but to do just that because we're an ELPA
package supporting multiple versions of Emacs.

[1] https://git.neverwas.me/repos/erc-v3/tree/test/erc-d/erc-d.el?id=3Df1af=
52#n442




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54458; Package emacs. Full text available.

Message received at 54458 <at> debbugs.gnu.org:


Received: (at 54458) by debbugs.gnu.org; 29 Mar 2022 17:48:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 29 13:48:01 2022
Received: from localhost ([127.0.0.1]:33505 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nZFwm-00025x-R3
	for submit <at> debbugs.gnu.org; Tue, 29 Mar 2022 13:48:01 -0400
Received: from mail214c50.megamailservers.eu ([91.136.10.224]:51540
 helo=mail193c50.megamailservers.eu)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mattiase@HIDDEN>) id 1nZFwk-00025W-Ja
 for 54458 <at> debbugs.gnu.org; Tue, 29 Mar 2022 13:47:59 -0400
X-Authenticated-User: mattiase@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=megamailservers.eu;
 s=maildub; t=1648576075;
 bh=Y1MHmrzVjtEsUpTuEM1aQkex3PYowLoEdOaOC1JrEas=;
 h=From:Subject:Date:In-Reply-To:Cc:To:References:From;
 b=ecHcOSyzLPq/U9LaS80os3O2RH6z7OZPUjmJd3/Wf9o3Q4+Pf6AaCMDnY9VE0MVs5
 d+JNVpUWOCIGbxwa88bbplR671vO0NeedKQNISeQms37GAyzTk4f+oCrNRM/Q3ZMJG
 2IhHqtN0YTAWIuhzztMAb3kuIHfvobMqpVqsAMrk=
Feedback-ID: mattiase@HIDDEN
Received: from smtpclient.apple (c188-150-171-71.bredband.tele2.se
 [188.150.171.71]) (authenticated bits=0)
 by mail193c50.megamailservers.eu (8.14.9/8.13.1) with ESMTP id 22THlqJS020972; 
 Tue, 29 Mar 2022 17:47:54 +0000
From: =?utf-8?Q?Mattias_Engdeg=C3=A5rd?= <mattiase@HIDDEN>
Message-Id: <5A8EE4CF-6F5E-4119-8765-8E301E2BE935@HIDDEN>
Content-Type: multipart/mixed;
 boundary="Apple-Mail=_EC2C41FA-790C-481D-950E-6EC2C9EF3F9E"
Mime-Version: 1.0 (Mac OS X Mail 14.0 \(3654.120.0.1.13\))
Subject: Re: bug#54458: 27.2; erc-dcc-get: Re-entering top level after C stack
 overflow
Date: Tue, 29 Mar 2022 19:47:52 +0200
In-Reply-To: <83k0cc907r.fsf@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
References: <78459EAB-314B-4122-8E3B-7F82685D0DBA@HIDDEN>
 <B366C0CA-8149-442C-B105-95EE698B340B@HIDDEN> <83a6da9vm8.fsf@HIDDEN>
 <87r16m46uf.fsf@HIDDEN> <4DA2DB05-D902-42DF-860D-87617FBB74C8@HIDDEN>
 <83k0cc907r.fsf@HIDDEN>
X-Mailer: Apple Mail (2.3654.120.0.1.13)
X-CTCH-RefID: str=0001.0A742F1A.6243464B.0072, ss=1, re=0.000, recu=0.000,
 reip=0.000, cl=1, cld=1, fgs=0
X-CTCH-VOD: Unknown
X-CTCH-Spam: Unknown
X-CTCH-Score: 0.000
X-CTCH-Rules: 
X-CTCH-Flags: 0
X-CTCH-ScoreCust: 0.000
X-Origin-Country: SE
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 54458
Cc: fernandodemorais.jf@HIDDEN, bandali@HIDDEN, 54458 <at> debbugs.gnu.org,
 jp@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)


--Apple-Mail=_EC2C41FA-790C-481D-950E-6EC2C9EF3F9E
Content-Transfer-Encoding: 7bit
Content-Type: text/plain;
	charset=us-ascii

29 mars 2022 kl. 18.45 skrev Eli Zaretskii <eliz@HIDDEN>:

> I think this should be conditioned on the same process being used, no?

Oh, yes, that's clearly a valid objection. New attempt attached.


--Apple-Mail=_EC2C41FA-790C-481D-950E-6EC2C9EF3F9E
Content-Disposition: attachment;
	filename=send-process-nesting.diff
Content-Type: application/octet-stream;
	x-unix-mode=0644;
	name="send-process-nesting.diff"
Content-Transfer-Encoding: 7bit

diff --git a/src/process.c b/src/process.c
index 993e1c5603..21ed661062 100644
--- a/src/process.c
+++ b/src/process.c
@@ -6393,6 +6393,13 @@ write_queue_pop (struct Lisp_Process *p, Lisp_Object *obj,
   return 1;
 }
 
+static void
+unwind_send_process (void *arg)
+{
+  struct Lisp_Process *p = arg;
+  p->in_send_process = 0;
+}
+
 /* Send some data to process PROC.
    BUF is the beginning of the data; LEN is the number of characters.
    OBJECT is the Lisp object that the data comes from.  If OBJECT is
@@ -6510,6 +6517,18 @@ send_process (Lisp_Object proc, const char *buf, ptrdiff_t len,
       buf = SSDATA (object);
     }
 
+  if (p->in_send_process)
+    {
+      /* We are already inside a send_process activation higher up the
+	 call chain; let that take care of writing the queued data.  */
+      write_queue_push (p, object, buf, len, 0);
+      return;
+    }
+
+  specpdl_ref count = SPECPDL_INDEX ();
+  record_unwind_protect_ptr (unwind_send_process, p);
+  p->in_send_process = 1;
+
   /* If there is already data in the write_queue, put the new data
      in the back of queue.  Otherwise, ignore it.  */
   if (!NILP (p->write_queue))
@@ -6633,6 +6652,7 @@ send_process (Lisp_Object proc, const char *buf, ptrdiff_t len,
 	}
     }
   while (!NILP (p->write_queue));
+  unbind_to (count, Qnil);
 }
 
 DEFUN ("process-send-region", Fprocess_send_region, Sprocess_send_region,
diff --git a/src/process.h b/src/process.h
index 392b661ce6..dd79548ab3 100644
--- a/src/process.h
+++ b/src/process.h
@@ -173,6 +173,8 @@ #define EMACS_PROCESS_H
     bool_bf is_non_blocking_client : 1;
     /* Whether this is a server or a client socket. */
     bool_bf is_server : 1;
+    /* Whether there is an active send_process loop for this process.  */
+    bool_bf in_send_process : 1;
     int raw_status;
     /* The length of the socket backlog. */
     int backlog;

--Apple-Mail=_EC2C41FA-790C-481D-950E-6EC2C9EF3F9E--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54458; Package emacs. Full text available.

Message received at 54458 <at> debbugs.gnu.org:


Received: (at 54458) by debbugs.gnu.org; 29 Mar 2022 16:45:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 29 12:45:40 2022
Received: from localhost ([127.0.0.1]:33463 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nZEyS-0000XJ-Gb
	for submit <at> debbugs.gnu.org; Tue, 29 Mar 2022 12:45:40 -0400
Received: from eggs.gnu.org ([209.51.188.92]:55504)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1nZEyQ-0000X5-Cx
 for 54458 <at> debbugs.gnu.org; Tue, 29 Mar 2022 12:45:38 -0400
Received: from [2001:470:142:3::e] (port=41574 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1nZEyK-0004gh-HX; Tue, 29 Mar 2022 12:45:32 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-version:References:Subject:In-Reply-To:To:From:
 Date; bh=3eDN2bIp1Y+9BhgkqZDVoIoaY1rXWOY/JxXbs6j8z+c=; b=C+xo/DikZ+m8FE6hlpL7
 3elQGx//FXt5sy1j/jkRML4afkUX82a+3tnnIw4LNwPUiUcB/F4lbSApkleW9dhxTQi+gA/VnFbmq
 ZypqRAe3seuJmlHtOQ+SrUOWHluPywYWSR7bWCHTIslHmGkkoel8tR2vkggutPfLL8t3ca3qJtW9R
 5pF3K6b/Y/mvD9SVzCtsOk+S5lSKK1F1LE2J4vxBvQveInOaokbEYqjWgu9Gx3KKjfvBgsLn/2GL6
 VMRdYuji+UjWWQnAkk+Xh/nQqT5bK3vB6ZHgoM8IJK7/WqDrBEtPKQVMzIu6XxT5JdzyBIQuzSL/7
 bkBxhWTC4JhXmA==;
Received: from [87.69.77.57] (port=3271 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1nZEyC-00054b-0H; Tue, 29 Mar 2022 12:45:29 -0400
Date: Tue, 29 Mar 2022 19:45:28 +0300
Message-Id: <83k0cc907r.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Mattias =?utf-8?Q?Engdeg=C3=A5rd?= <mattiase@HIDDEN>
In-Reply-To: <4DA2DB05-D902-42DF-860D-87617FBB74C8@HIDDEN> (message from
 Mattias =?utf-8?Q?Engdeg=C3=A5rd?= on Tue, 29 Mar 2022 17:49:05 +0200)
Subject: Re: bug#54458: 27.2; erc-dcc-get: Re-entering top level after C stack
 overflow
References: <78459EAB-314B-4122-8E3B-7F82685D0DBA@HIDDEN>
 <B366C0CA-8149-442C-B105-95EE698B340B@HIDDEN> <83a6da9vm8.fsf@HIDDEN>
 <87r16m46uf.fsf@HIDDEN> <4DA2DB05-D902-42DF-860D-87617FBB74C8@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 54458
Cc: fernandodemorais.jf@HIDDEN, bandali@HIDDEN, 54458 <at> debbugs.gnu.org,
 jp@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Mattias Engdegård <mattiase@HIDDEN>
> Date: Tue, 29 Mar 2022 17:49:05 +0200
> Cc: Eli Zaretskii <eliz@HIDDEN>, fernandodemorais.jf@HIDDEN,
>         54458 <at> debbugs.gnu.org, bandali@HIDDEN
> 
> Although it seems reasonable to require that filter functions abstain from sending more data to the process, there may be another way: preventing re-entering process-send calls from recursing further.
> 
> Attached is a proof of concept: if process-send calls are invoked when another activation already exists, just enqueue the data and let the previous activation deal with the actual transmission. That nips the recursion in the buds.
> 
> The principle seems sound but if anyone can think of problems with the approach, please do tell.

I think this should be conditioned on the same process being used, no?
Doing this for two different processes doesn't cause problems, does
it?  If it does, can you describe in more detail how the recursion
happens?

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54458; Package emacs. Full text available.

Message received at 54458 <at> debbugs.gnu.org:


Received: (at 54458) by debbugs.gnu.org; 29 Mar 2022 15:49:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Mar 29 11:49:13 2022
Received: from localhost ([127.0.0.1]:33432 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nZE5p-0007cx-Ly
	for submit <at> debbugs.gnu.org; Tue, 29 Mar 2022 11:49:13 -0400
Received: from mail70c50.megamailservers.eu ([91.136.10.80]:54692)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mattiase@HIDDEN>) id 1nZE5n-0007cm-FF
 for 54458 <at> debbugs.gnu.org; Tue, 29 Mar 2022 11:49:12 -0400
X-Authenticated-User: mattiase@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=megamailservers.eu;
 s=maildub; t=1648568948;
 bh=WNauldWf7zcvnaHvcSJ4a0WgWlz9llZpmnltyFkucb8=;
 h=From:Subject:Date:In-Reply-To:Cc:To:References:From;
 b=EgsY490nNu0FYWH7dm2gKMEzbCFSJHVv8ltHovKU+3Ybg0MoW1CN3PbkvqwsrvPzN
 VL5csp/ZvYsJ4RdY9QJaD2kj4kRLxeU1KOPsJLl/g+AZhNM4bD6Y3AHV/0aOxcfOSO
 fOrcUUyvG4A7H8Ne9wlsRmKs278vMS+Py6NXv3SU=
Feedback-ID: mattiase@HIDDEN
Received: from smtpclient.apple (c188-150-171-71.bredband.tele2.se
 [188.150.171.71]) (authenticated bits=0)
 by mail70c50.megamailservers.eu (8.14.9/8.13.1) with ESMTP id 22TFn5gV013251; 
 Tue, 29 Mar 2022 15:49:07 +0000
From: =?utf-8?Q?Mattias_Engdeg=C3=A5rd?= <mattiase@HIDDEN>
Message-Id: <4DA2DB05-D902-42DF-860D-87617FBB74C8@HIDDEN>
Content-Type: multipart/mixed;
 boundary="Apple-Mail=_9AA5C53A-3A03-405E-9AED-89E4CE343F0E"
Mime-Version: 1.0 (Mac OS X Mail 14.0 \(3654.120.0.1.13\))
Subject: Re: bug#54458: 27.2; erc-dcc-get: Re-entering top level after C stack
 overflow
Date: Tue, 29 Mar 2022 17:49:05 +0200
In-Reply-To: <87r16m46uf.fsf@HIDDEN>
To: "J.P." <jp@HIDDEN>
References: <78459EAB-314B-4122-8E3B-7F82685D0DBA@HIDDEN>
 <B366C0CA-8149-442C-B105-95EE698B340B@HIDDEN> <83a6da9vm8.fsf@HIDDEN>
 <87r16m46uf.fsf@HIDDEN>
X-Mailer: Apple Mail (2.3654.120.0.1.13)
X-CTCH-RefID: str=0001.0A742F25.62432A74.0070, ss=1, re=0.000, recu=0.000,
 reip=0.000, cl=1, cld=1, fgs=0
X-CTCH-VOD: Unknown
X-CTCH-Spam: Unknown
X-CTCH-Score: 0.000
X-CTCH-Rules: 
X-CTCH-Flags: 0
X-CTCH-ScoreCust: 0.000
X-Origin-Country: SE
X-Spam-Score: 1.0 (+)
X-Debbugs-Envelope-To: 54458
Cc: fernandodemorais.jf@HIDDEN, Eli Zaretskii <eliz@HIDDEN>,
 bandali@HIDDEN, 54458 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)


--Apple-Mail=_9AA5C53A-3A03-405E-9AED-89E4CE343F0E
Content-Transfer-Encoding: quoted-printable
Content-Type: text/plain;
	charset=us-ascii

28 mars 2022 kl. 14.08 skrev J.P. <jp@HIDDEN>:

> As you highlighted up thread, inhibited sends appeal to
> `wait_reading_process_output' to try and shake something loose. I =
agree
> such occasions seem likeliest to trigger "unexpected" filter nesting.

Although it seems reasonable to require that filter functions abstain =
from sending more data to the process, there may be another way: =
preventing re-entering process-send calls from recursing further.

Attached is a proof of concept: if process-send calls are invoked when =
another activation already exists, just enqueue the data and let the =
previous activation deal with the actual transmission. That nips the =
recursion in the buds.

The principle seems sound but if anyone can think of problems with the =
approach, please do tell.

Of course, one reason to make the change in ERC is that it would fix the =
problem in all Emacs versions, not just 29.


--Apple-Mail=_9AA5C53A-3A03-405E-9AED-89E4CE343F0E
Content-Disposition: attachment;
	filename=send-process-nesting.diff
Content-Type: application/octet-stream;
	x-unix-mode=0644;
	name="send-process-nesting.diff"
Content-Transfer-Encoding: 7bit

diff --git a/src/process.c b/src/process.c
index 993e1c5603..694307b43a 100644
--- a/src/process.c
+++ b/src/process.c
@@ -6393,6 +6393,14 @@ write_queue_pop (struct Lisp_Process *p, Lisp_Object *obj,
   return 1;
 }
 
+static int send_process_nesting = 0;
+
+static void
+unwind_send_process (void)
+{
+  send_process_nesting--;
+}
+
 /* Send some data to process PROC.
    BUF is the beginning of the data; LEN is the number of characters.
    OBJECT is the Lisp object that the data comes from.  If OBJECT is
@@ -6510,6 +6518,18 @@ send_process (Lisp_Object proc, const char *buf, ptrdiff_t len,
       buf = SSDATA (object);
     }
 
+  if (send_process_nesting > 0)
+    {
+      /* We are already inside a send_process activation higher up the
+	 call chain; let that take care of writing the queued data.  */
+      write_queue_push (p, object, buf, len, 0);
+      return;
+    }
+
+  specpdl_ref count = SPECPDL_INDEX ();
+  record_unwind_protect_void (unwind_send_process);
+  send_process_nesting++;
+
   /* If there is already data in the write_queue, put the new data
      in the back of queue.  Otherwise, ignore it.  */
   if (!NILP (p->write_queue))
@@ -6633,6 +6653,7 @@ send_process (Lisp_Object proc, const char *buf, ptrdiff_t len,
 	}
     }
   while (!NILP (p->write_queue));
+  unbind_to (count, Qnil);
 }
 
 DEFUN ("process-send-region", Fprocess_send_region, Sprocess_send_region,

--Apple-Mail=_9AA5C53A-3A03-405E-9AED-89E4CE343F0E
Content-Transfer-Encoding: 7bit
Content-Type: text/plain;
	charset=us-ascii




--Apple-Mail=_9AA5C53A-3A03-405E-9AED-89E4CE343F0E--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54458; Package emacs. Full text available.

Message received at 54458 <at> debbugs.gnu.org:


Received: (at 54458) by debbugs.gnu.org; 28 Mar 2022 12:09:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 28 08:09:08 2022
Received: from localhost ([127.0.0.1]:57431 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nYoBH-0005jV-SO
	for submit <at> debbugs.gnu.org; Mon, 28 Mar 2022 08:09:08 -0400
Received: from mail-108-mta14.mxroute.com ([136.175.108.14]:35151)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <jp@HIDDEN>) id 1nYoBF-0005iw-Iu
 for 54458 <at> debbugs.gnu.org; Mon, 28 Mar 2022 08:09:06 -0400
Received: from filter006.mxroute.com ([140.82.40.27]
 140.82.40.27.vultrusercontent.com)
 (Authenticated sender: mN4UYu2MZsgR)
 by mail-108-mta14.mxroute.com (ZoneMTA) with ESMTPSA id 17fd06dee6d000fe85.002
 for <54458 <at> debbugs.gnu.org>
 (version=TLSv1/SSLv3 cipher=ECDHE-RSA-AES128-GCM-SHA256);
 Mon, 28 Mar 2022 12:08:59 +0000
X-Zone-Loop: 4a8697d57cdc3eae12d17039e1b5659c714b23a14602
X-Originating-IP: [140.82.40.27]
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=neverwas.me
 ; s=x;
 h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:References:
 Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:List-Subscribe:
 List-Post:List-Owner:List-Archive;
 bh=jvmQaFnw/m0cmyJrrQDlHVOrJHyTACu5e2YpVhMAxRc=; b=JA8IRpeQK5y76lDVetnAIVrXtQ
 TsPfTYkAa4tJGbR2ruD4a1VV7oLEyd6UdeJrCg/I7NndkwCahgNlWxiXIS4/KUHuzdB24v+yexDM7
 FRYk20Vu9dDa1ApXQNb6YpRbzt5yctPNWq67WjO2/02b52xY6s6f3u6yO1YbcUnbfQChQtgb1jECx
 FiTnCmPhDmSFxlQeOGWphcMcFhISS/kKDn9vU+i3ZTVK2NJ7G9qqJ43sHGpcjzh+syU+Yi0BFpO8E
 2rA3ItFAkE879/aQ+uS8IjXUZR9ng8N0KuYYPadGfxFW0VwfY/ToQH4ume1Il6ob9e+pE9M9z+9Tr
 uHvJdiiA==;
From: "J.P." <jp@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#54458: 27.2; erc-dcc-get: Re-entering top level after C
 stack overflow
References: <78459EAB-314B-4122-8E3B-7F82685D0DBA@HIDDEN>
 <B366C0CA-8149-442C-B105-95EE698B340B@HIDDEN> <83a6da9vm8.fsf@HIDDEN>
Date: Mon, 28 Mar 2022 05:08:56 -0700
In-Reply-To: <83a6da9vm8.fsf@HIDDEN> (Eli Zaretskii's message of "Mon, 28 Mar
 2022 14:14:55 +0300")
Message-ID: <87r16m46uf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/29.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-AuthUser: masked@HIDDEN
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54458
Cc: Mattias =?utf-8?Q?Engdeg=C3=A5rd?= <mattiase@HIDDEN>, bandali@HIDDEN,
 54458 <at> debbugs.gnu.org, fernandodemorais.jf@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hi Mattias (and Eli),

Mattias Engdeg=C3=A5rd <mattiase@HIDDEN> writes:

> 27 mars 2022 kl. 22.54 skrev Mattias Engdeg=C3=A5rd <mattiase@HIDDEN>:
>
>> Not sure where this happens but it looks like it might be erc-dcc-send-f=
ilter.
>
> Presumably we should add a note to the documentation of process filter
> functions that they shouldn't be used to send more data to the process. (=
Not
> sure what to recommend, an idle timer maybe?)

As you highlighted up thread, inhibited sends appeal to
`wait_reading_process_output' to try and shake something loose. I agree
such occasions seem likeliest to trigger "unexpected" filter nesting.

As far as best practices go, I'm not sure how a successful
request-response dialog can happen without participants being able to
react in a timely fashion. If the main worry is stack growth, then
perhaps scheduling something on the event loop with a timer (as you say)
makes the most sense.

I actually tried that (via `run-at-time') in the tinkering detailed
below but still managed to incur "error running timer" messages that
referred to "excessive variable binding." Should I have used something
in the "idle" department instead?

The approach that seemed to "work" mimics the one relied on by ERC's
main client filter, which takes pains to ensure overlapping calls merely
stash the input and bail (via `erc-server-processing-p'). Perhaps a
synchronization primitive especially suited to process filters would
make more sense? (No idea.)

> I'm not going to fix this because I don't know ERC very well and wouldn't=
 be
> able to test it sufficiently, but our ERC maintainers do and can!

You're very generous, and your expertise is much appreciated. (But as
Eli says, "hopefully".)


                              . . .

Hi Fernando,

I've managed to trigger behavior (somewhat) resembling what you've
described. It's quite possible, even likely, that this is total baloney,
but please humor me anyway this one round (unless you spot something
totally egregious, that is). The basic "hypothesis" seems to comport
with Mattias's analysis. It posits that the peer you're connecting to is
misbehaving and engaged in some combination of:

 1. not reading frequently enough amid sends

 2. being too stingy with its read buffer

I'd be great if you could confirm this suspicion by checking if the
"window" portion of the TCP ACK segments containing actual payloads go
to zero after a spell. This can be done with tcpdump or wireshark. A
well behaved peer respecting the protocol should normally have nonzero
windows throughout.

On the client side (Emacs master this time), here is what I observe
after following the steps enumerated further down: There appears to be
another buffer of around 64KB that needs filling before I (the receiver)
encounter the error, which in my case is a "variable binding depth
exceeds max-specpdl-size" message along with an unresponsive UI. For me,
this happens without fail at around 800MB after the TCP window goes to 0
(at around 100MB). Strangely, increasing the value of `max-specpdl-size'
doesn't change things perceptively.

Anyway, the file-writing operation continues for around 200MB and
eventually peters out. But the connection only dies after the sender
closes it normally (having sent everything). The IRC connection of
course PINGs out and is severed by the IRC server. The Emacs receiver
process eventually recovers responsiveness (if you wait long enough).

These are the steps I followed. They require two emacs -Q instances, a
server, and the attached script:

 1. connect to the server and make sure the sender can /whois the
    receiver (have them join the same #chan if necessary)
=20
 2. start the script:

    python ./script.py ./some_large_file.bin misbehave
=20
 3. on the sender:

    /msg RecvNick ^ADCC SEND some_large_file.bin 2130706433 9899 1234567890=
^A

    where 1234567890 is the size of the file in bytes and ^A is an
    actual control char
=20
 4. on the receiver:

    /dcc get SendNick some_large_file.bin

As mentioned earlier, I've attached a crude experiment (patch) that just
records whether we're currently sending (so receipts can be skipped when
the flag is set). I used the process plist for now, but erc-dcc does
keep a global context-state object called `erc-dcc-entry-data', which I
suppose may be more fitting. The idea is to roll with the punches from a
pathological peer but also (of course) interoperate correctly with an
obedient, protocol-abiding one.

Normal sender
- Sends 1405135128 bytes
- Sees 343051 reports

Aberrant sender
- Sends 1405135128 bytes
- Ignores 238662 + unknown reports

Let me know if anything needs clarifying. And thanks for your patience!


--=-=-=
Content-Type: application/octet-stream
Content-Disposition: attachment; filename=serve.py
Content-Transfer-Encoding: base64
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--=-=-=
Content-Type: text/x-patch
Content-Disposition: attachment;
 filename=0001-EXPERIMENT-regulate-ACK-updates-in-erc-dcc-get-filte.patch

From 7f9a7fe1a1ea9208841a4ec600ec25e1a464b71d Mon Sep 17 00:00:00 2001
From: "F. Jason Park" <jp@HIDDEN>
Date: Mon, 28 Mar 2022 02:24:43 -0700
Subject: [PATCH] [EXPERIMENT] regulate ACK updates in erc-dcc-get-filter

* lisp/erc/erc-dcc.el (erc-dcc-get-filter): Don't bother sending a
"received so far" receipt if another attempt is in progress.
---
 lisp/erc/erc-dcc.el | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

diff --git a/lisp/erc/erc-dcc.el b/lisp/erc/erc-dcc.el
index cc4143bfa2..aaac2277bf 100644
--- a/lisp/erc/erc-dcc.el
+++ b/lisp/erc/erc-dcc.el
@@ -986,9 +986,10 @@ erc-dcc-get-filter
          'dcc-get-file-too-long
          ?f (file-name-nondirectory (buffer-name)))
         (delete-process proc))
-       (t
-        (process-send-string
-         proc (erc-pack-int received-bytes)))))))
+       ((not (process-get proc :sending))
+        (process-put proc :sending t) ; should maybe use `erc-dcc-entry-data'
+        (process-send-string proc (erc-pack-int received-bytes))
+        (process-put proc :sending nil))))))
 
 
 (defun erc-dcc-get-sentinel (proc _event)
-- 
2.35.1


--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54458; Package emacs. Full text available.

Message received at 54458 <at> debbugs.gnu.org:


Received: (at 54458) by debbugs.gnu.org; 28 Mar 2022 11:15:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 28 07:15:01 2022
Received: from localhost ([127.0.0.1]:57379 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nYnKv-0002Ap-Ic
	for submit <at> debbugs.gnu.org; Mon, 28 Mar 2022 07:15:01 -0400
Received: from eggs.gnu.org ([209.51.188.92]:41534)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1nYnKt-0002Ac-RB
 for 54458 <at> debbugs.gnu.org; Mon, 28 Mar 2022 07:15:00 -0400
Received: from [2001:470:142:3::e] (port=33578 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1nYnKo-0001Rw-99; Mon, 28 Mar 2022 07:14:54 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=MIME-version:References:Subject:In-Reply-To:To:From:
 Date; bh=8aot+2c82OGY8dILZObSKFwkYpLT1ofnglFjWAgWOT4=; b=S9WJkewTBAV5DbbIpUVj
 3Qjo44uZu2Esuuu0smY4KW9fXX0gEPI6yS1vGvIjOuQzwoJebDf8nuPXBQbWJZVpL7OBQY/gdjoOj
 WHj8RMqnpeg0lj8aAPXTSlaRlKWgUvvT8REiG/K3ntLjdPnM1Ff/nSU1Z31JE5WIMZ1Cjoe2nYNFA
 sanLiO96KQ54mzV7Jfuz7k/H+KRkZKtECb9P30DLVTt0m1ZomHpz2dDnVAmUchxZaNhCFshZVeAMt
 WtWla8Fp+39Ghyb0PYkT42hMggDKa4LphfDmZkfEQnFY9Cx8niGIm3KtIec7o3zpsA/dg1IK1z0Yt
 NLHNW9EjDRRDyQ==;
Received: from [87.69.77.57] (port=2174 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1nYnKn-00055C-Ka; Mon, 28 Mar 2022 07:14:53 -0400
Date: Mon, 28 Mar 2022 14:14:55 +0300
Message-Id: <83a6da9vm8.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Mattias =?utf-8?Q?Engdeg=C3=A5rd?= <mattiase@HIDDEN>
In-Reply-To: <B366C0CA-8149-442C-B105-95EE698B340B@HIDDEN> (message from
 Mattias =?utf-8?Q?Engdeg=C3=A5rd?= on Mon, 28 Mar 2022 11:23:09 +0200)
Subject: Re: bug#54458: 27.2; erc-dcc-get: Re-entering top level after C stack
 overflow
References: <78459EAB-314B-4122-8E3B-7F82685D0DBA@HIDDEN>
 <B366C0CA-8149-442C-B105-95EE698B340B@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 54458
Cc: fernandodemorais.jf@HIDDEN, jp@HIDDEN, bandali@HIDDEN,
 54458 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Mattias Engdegård <mattiase@HIDDEN>
> Date: Mon, 28 Mar 2022 11:23:09 +0200
> Cc: Eli Zaretskii <eliz@HIDDEN>, 54458 <at> debbugs.gnu.org, bandali@HIDDEN,
>         jp@HIDDEN
> 
> In Emacs 29 the byte-code engine is more stack-efficient but that just means that bigger files can be transferred without a stack overflow. The bug is still there.

There will always be ways of making Emacs run out of C stack space,
with a sufficiently ... ehm ... sophisticated program.  There's no way
around that, as long as the OS places a limit on the runtime stack.

> Presumably we should add a note to the documentation of process filter functions that they shouldn't be used to send more data to the process.

Yes, please.  With an explicit caveat that it could cause stack
overflow.

> (Not sure what to recommend, an idle timer maybe?)

Yes.  IOW, design change.

> I'm not going to fix this because I don't know ERC very well and wouldn't be able to test it sufficiently, but our ERC maintainers do and can!

Hopefully, yes.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54458; Package emacs. Full text available.

Message received at 54458 <at> debbugs.gnu.org:


Received: (at 54458) by debbugs.gnu.org; 28 Mar 2022 09:23:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Mar 28 05:23:23 2022
Received: from localhost ([127.0.0.1]:57306 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nYlas-0007Xt-RP
	for submit <at> debbugs.gnu.org; Mon, 28 Mar 2022 05:23:23 -0400
Received: from mail1457c50.megamailservers.eu ([91.136.14.57]:44234
 helo=mail267c50.megamailservers.eu)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mattiase@HIDDEN>) id 1nYlaq-0007Xg-Uz
 for 54458 <at> debbugs.gnu.org; Mon, 28 Mar 2022 05:23:22 -0400
X-Authenticated-User: mattiase@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=megamailservers.eu;
 s=maildub; t=1648459393;
 bh=euFZ7wfyTg5NDZ9mJGxVXk3/TwuloVwL0V8ZMPuWZes=;
 h=Subject:From:In-Reply-To:Date:Cc:References:To:From;
 b=boM0fcNsdw/VMkcYDvPhg863b2DNlNNgz4Oi6iYStS347br1C6rZSMNBTetnyvZly
 LfCCNXbyjrWYw+5pqwIs0blvCvdl2yGw4PuM719EumlA2L7sqZsUhQNXv6eXgRVcLq
 uCMiVGfxrfMk5el9fohJJLOCVB+CuGcZHnBfyy4o=
Feedback-ID: mattiase@HIDDEN
Received: from smtpclient.apple (c-b952e353.032-75-73746f71.bbcust.telenor.se
 [83.227.82.185]) (authenticated bits=0)
 by mail267c50.megamailservers.eu (8.14.9/8.13.1) with ESMTP id 22S9NAEO023619; 
 Mon, 28 Mar 2022 09:23:11 +0000
Content-Type: text/plain;
	charset=utf-8
Mime-Version: 1.0 (Mac OS X Mail 14.0 \(3654.120.0.1.13\))
Subject: Re: bug#54458: 27.2; erc-dcc-get: Re-entering top level after C stack
 overflow
From: =?utf-8?Q?Mattias_Engdeg=C3=A5rd?= <mattiase@HIDDEN>
In-Reply-To: <78459EAB-314B-4122-8E3B-7F82685D0DBA@HIDDEN>
Date: Mon, 28 Mar 2022 11:23:09 +0200
Content-Transfer-Encoding: quoted-printable
Message-Id: <B366C0CA-8149-442C-B105-95EE698B340B@HIDDEN>
References: <78459EAB-314B-4122-8E3B-7F82685D0DBA@HIDDEN>
To: Fernando de Morais <fernandodemorais.jf@HIDDEN>
X-Mailer: Apple Mail (2.3654.120.0.1.13)
X-CTCH-RefID: str=0001.0A742F29.62417E81.0042, ss=1, re=0.000, recu=0.000,
 reip=0.000, cl=1, cld=1, fgs=0
X-CTCH-VOD: Unknown
X-CTCH-Spam: Unknown
X-CTCH-Score: 0.000
X-CTCH-Rules: 
X-CTCH-Flags: 0
X-CTCH-ScoreCust: 0.000
X-Origin-Country: SE
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  27 mars 2022 kl. 22.54 skrev Mattias Engdegård <mattiase@HIDDEN>:
    > Not sure where this happens but it looks like it might be erc-dcc-send-filter.
    Some additional notes: 
 
 Content analysis details:   (1.3 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
  0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
  1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
  0.3 KHOP_HELO_FCRDNS       Relay HELO differs from its IP's reverse DNS
X-Debbugs-Envelope-To: 54458
Cc: 54458 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>, bandali@HIDDEN,
 jp@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

27 mars 2022 kl. 22.54 skrev Mattias Engdeg=C3=A5rd <mattiase@HIDDEN>:

> Not sure where this happens but it looks like it might be =
erc-dcc-send-filter.

Some additional notes:

This is not an infinite recursion; eventually the stack will culminate =
and recede, unless (as in this case) we run out of room first.

In Emacs 29 the byte-code engine is more stack-efficient but that just =
means that bigger files can be transferred without a stack overflow. The =
bug is still there.

Presumably we should add a note to the documentation of process filter =
functions that they shouldn't be used to send more data to the process. =
(Not sure what to recommend, an idle timer maybe?)

I'm not going to fix this because I don't know ERC very well and =
wouldn't be able to test it sufficiently, but our ERC maintainers do and =
can!





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54458; Package emacs. Full text available.

Message received at 54458 <at> debbugs.gnu.org:


Received: (at 54458) by debbugs.gnu.org; 27 Mar 2022 22:09:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 27 18:09:33 2022
Received: from localhost ([127.0.0.1]:56716 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nYb4n-0005Fk-FN
	for submit <at> debbugs.gnu.org; Sun, 27 Mar 2022 18:09:33 -0400
Received: from mail-ot1-f45.google.com ([209.85.210.45]:37472)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <fernandodemorais.jf@HIDDEN>) id 1nYb4l-0005FX-Ht
 for 54458 <at> debbugs.gnu.org; Sun, 27 Mar 2022 18:09:32 -0400
Received: by mail-ot1-f45.google.com with SMTP id
 k25-20020a056830151900b005b25d8588dbso9543473otp.4
 for <54458 <at> debbugs.gnu.org>; Sun, 27 Mar 2022 15:09:31 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=f0TdildGnbkkaBmHI1AIdcfl9KK4OWs011LWJ5fDqUk=;
 b=hvU9IXMqXkXy4VRwhEEczmPkUt9Tgzqf1CXTiaPuXy366Xb5RDYV7J1sXOzHePAdIc
 6h3nOdAGPq/6KAcr5ey+bu1wts6LY1D3cQz5wx1Q56wOOZBb0B88MIB+3/38EAEUMb1V
 ghvtMs6K0xPakM/Drs/gL7B+sM9Y42rTpcYT8SQu5XY2WBef7E+AgNYpiReWVNVjtnX7
 n3Zv01DJ9+iRKt7XGuH0Z5A/OUkjXBowY9prMgCvC4AaWKOL3IFhQz3Eh+CzM5pnoEj3
 6U6483+A78Fl3OXAaqC/8nxBtOeg9Ilfdtf1jCcX8AiMCh6qdI60BuFudyffuUonXGty
 T2KA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=f0TdildGnbkkaBmHI1AIdcfl9KK4OWs011LWJ5fDqUk=;
 b=UnweTeizCAeVXNtHJJbGTtpC4O2YvA8J0jJ1rTOY2xvSHskTtzOBNyjxJqWjGM43nf
 wOpy2id58KDz4ClWNtKDrGYhM2vN6x1lEoAoI/uxX5PGnqltUg9BooTa+ZrS4S9y5s/i
 fV2pNgC6VYpEL8m+KZiANXg9CLjSRQ7papGbDK+oG1cp1WifcVwyA17zOIL7P9wLLkFF
 klhYXPy9ypoBUjaYUyzaE10IMplMcNBtrBkyOvvEbfvzRWgGb7xYdT/bHG5qcoKjhPeB
 Jm6ahJnh1JXGns30BzxfYLNarsm11PjKbR91hva53hPJilpD5G1ufa/G9aeZlaBDvkQ8
 EjeQ==
X-Gm-Message-State: AOAM530Oh5WL3UL219KeohF8R2T9cQRbZoElTRpO3a/vPvICb7h9p2ON
 +O6LhHxurebs+MO3eaxHoYEtKap/UmSGsj59
X-Google-Smtp-Source: ABdhPJwp37lWoJqkUdRG7oFXIVJ1usb9WCusicWsv7iY9GEmGPzQ3GXyPhhIvjXcjqkBWi5zJgu6vw==
X-Received: by 2002:a05:6830:1f5b:b0:5a2:2ec7:4ea4 with SMTP id
 u27-20020a0568301f5b00b005a22ec74ea4mr8976313oth.206.1648418965874; 
 Sun, 27 Mar 2022 15:09:25 -0700 (PDT)
Received: from sekai.mylaptop ([2804:14c:da80:8cd9::d4c9])
 by smtp.gmail.com with ESMTPSA id
 e4-20020a056808148400b002d9be41b179sm6582879oiw.50.2022.03.27.15.09.22
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 27 Mar 2022 15:09:24 -0700 (PDT)
From: Fernando de Morais <fernandodemorais.jf@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#54458: 27.2; erc-dcc-get: Re-entering top level after C
 stack overflow
References: <87tubuc1er.fsf@HIDDEN> <87h77rpfcz.fsf@HIDDEN>
 <871qyuxfij.fsf@HIDDEN> <8335jaf405.fsf@HIDDEN>
 <87tubj1eq4.fsf@HIDDEN> <83bkxr9t4c.fsf@HIDDEN>
Date: Sun, 27 Mar 2022 19:09:16 -0300
In-Reply-To: <83bkxr9t4c.fsf@HIDDEN> (Eli Zaretskii's message of "Sun, 27 Mar
 2022 20:56:35 +0300")
Message-ID: <87mthb120j.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 54458
Cc: 54458 <at> debbugs.gnu.org, bandali@HIDDEN, jp@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain

Eli Zaretskii <eliz@HIDDEN> writes:

> It would help if you could reproduce the problem again, this time when
> running Emacs under GDB to begin with.  When Emacs segfaults, please
> do
>
>   (gdb) source /path/to/emacs/src/.gdbinit
>   (gdb) xbacktrace
>
> (replace /path/to/emacs/src with the directory where you have the
> Emacs source tree).  The last command will show the Lisp interpreter
> nacktrace, which will make it easier to understand where the recursion
> happens in Lisp.

Right!

I don't know if something is missing here in my build, but when I
reproduced the problem and source the .gdbinit file, as well as calling
`xbacktrace', only one line appeared as output, as can be seen in the
attached log:

    Cannot access memory at address 0x7fffff66ff4

Just in case, I saved the complete GDB log, from `run' to `xbacktrace'.

Hope it helps.

-- 
Regards,
Fernando de Morais.


--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename=gdb_output.log
Content-Transfer-Encoding: quoted-printable
Content-Description: GDB output log.

Starting program: /home/fernando/Documentos/Projetos/emacs-27/src/emacs=20
[Thread debugging using libthread_db enabled]
Using host libthread_db library "/usr/lib/libthread_db.so.1".
[New Thread 0x7ffff18a2640 (LWP 43727)]
[New Thread 0x7ffff0e58640 (LWP 43728)]
[New Thread 0x7fffeb454640 (LWP 43729)]
[New Thread 0x7fffea78f640 (LWP 43805)]
[New Thread 0x7fffe9f8e640 (LWP 43813)]
[Thread 0x7fffe9f8e640 (LWP 43813) exited]
[New Thread 0x7fffe9f8e640 (LWP 43820)]
[New Thread 0x7fffe978d640 (LWP 43823)]
[Thread 0x7fffe9f8e640 (LWP 43820) exited]
[Thread 0x7fffe978d640 (LWP 43823) exited]
[Detaching after vfork from child process 43835]
[Detaching after vfork from child process 43837]
[Detaching after vfork from child process 43838]
[Detaching after vfork from child process 43839]
[Detaching after vfork from child process 43840]
[Detaching after vfork from child process 43841]
[Detaching after vfork from child process 43842]
[Detaching after vfork from child process 43843]
[Detaching after vfork from child process 43845]
[Detaching after vfork from child process 43846]
[Detaching after vfork from child process 43847]
[Detaching after vfork from child process 43910]
[Detaching after vfork from child process 43911]
[Detaching after vfork from child process 43912]
[Detaching after vfork from child process 43914]
[Detaching after vfork from child process 43917]
[Detaching after vfork from child process 43919]
[Detaching after vfork from child process 43920]
[Detaching after vfork from child process 43921]
[Detaching after vfork from child process 43923]
[Detaching after vfork from child process 43924]
[Detaching after vfork from child process 43926]
[Detaching after vfork from child process 43927]
[New Thread 0x7fffe8e15f40 (LWP 43930)]
[Thread 0x7fffe8e15f40 (LWP 43930) exited]

Thread 1 "emacs" received signal SIGSEGV, Segmentation fault.
0x00005555559e9536 in exec_byte_code (bytestr=3D..., vector=3D..., maxdepth=
=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:372
372	  *top =3D vector; /* Ensure VECTOR survives GC (Bug#33014).  */
Warning: /home/fernando/Documentos/../lwlib: Arquivo ou diret=C3=B3rio inex=
istente.
SIGINT is used by the debugger.
Are you sure you want to change it? (y or n) [answered Y; input not from te=
rminal]
DISPLAY =3D :0
TERM =3D xterm-kitty
Breakpoint 1 at 0x5555557db1f9: file emacs.c, line 379.
Breakpoint 2 at 0x555555768a43: file xterm.c, line 10145.
Cannot access memory at address 0x7fffff66ff4f
quit

--=-=-=--




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54458; Package emacs. Full text available.

Message received at 54458 <at> debbugs.gnu.org:


Received: (at 54458) by debbugs.gnu.org; 27 Mar 2022 20:54:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 27 16:54:20 2022
Received: from localhost ([127.0.0.1]:56645 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nYZu0-0003LF-7d
	for submit <at> debbugs.gnu.org; Sun, 27 Mar 2022 16:54:20 -0400
Received: from mail226c50.megamailservers.eu ([91.136.10.236]:52682
 helo=mail36c50.megamailservers.eu)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <mattiase@HIDDEN>) id 1nYZtx-0003L3-G8
 for 54458 <at> debbugs.gnu.org; Sun, 27 Mar 2022 16:54:18 -0400
X-Authenticated-User: mattiase@HIDDEN
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=megamailservers.eu;
 s=maildub; t=1648414453;
 bh=SRlnSNBb7rzR6cnqO2abi4eIqvtiXVvzJ9IFiEagHZM=;
 h=From:Subject:Date:Cc:To:From;
 b=iadW2YjVjstGA64kfRXBtDtXaYHbmM1J+B+jMLU6zQMX/Bw8nj3IqmSWBSZPMJ42d
 bboub32mUFtj//xLdoIcXyG62y4G5QK722SXvxcCcYSKHb9ptrOH14muyFBt84xdHP
 upmX6cQWvdemrM6w7dcXCsnG2G+XedSfRVV9EN3E=
Feedback-ID: mattiase@HIDDEN
Received: from smtpclient.apple (c-b952e353.032-75-73746f71.bbcust.telenor.se
 [83.227.82.185]) (authenticated bits=0)
 by mail36c50.megamailservers.eu (8.14.9/8.13.1) with ESMTP id 22RKsAqK013597; 
 Sun, 27 Mar 2022 20:54:12 +0000
From: =?utf-8?Q?Mattias_Engdeg=C3=A5rd?= <mattiase@HIDDEN>
Content-Type: text/plain;
	charset=us-ascii
Content-Transfer-Encoding: quoted-printable
Mime-Version: 1.0 (Mac OS X Mail 14.0 \(3654.120.0.1.13\))
Subject: bug#54458: 27.2; erc-dcc-get: Re-entering top level after C stack
 overflow
Message-Id: <78459EAB-314B-4122-8E3B-7F82685D0DBA@HIDDEN>
Date: Sun, 27 Mar 2022 22:54:10 +0200
To: Fernando de Morais <fernandodemorais.jf@HIDDEN>
X-Mailer: Apple Mail (2.3654.120.0.1.13)
X-CTCH-RefID: str=0001.0A742F17.6240CEF5.004C, ss=1, re=0.000, recu=0.000,
 reip=0.000, cl=1, cld=1, fgs=0
X-CTCH-VOD: Unknown
X-CTCH-Spam: Unknown
X-CTCH-Score: 0.000
X-CTCH-Rules: 
X-CTCH-Flags: 0
X-CTCH-ScoreCust: 0.000
X-Origin-Country: SE
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  > I hope the logs can now be more useful. Very useful! If
 I'm reading the stack trace right then someone should tell ERC not to send
 data from a process filter function: (process-send-string) -> send_process
 ; output buffer is full, so we try reading data to unclog it ->
 wait_reading_process_output
 -> { some filter function } -> (process-send-string) ; again, and roun [...]
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 1.0 SPF_SOFTFAIL           SPF: sender does not match SPF record (softfail)
 -0.0 T_SCC_BODY_TEXT_LINE   No description available.
 0.3 KHOP_HELO_FCRDNS       Relay HELO differs from its IP's reverse DNS
X-Debbugs-Envelope-To: 54458
Cc: 54458 <at> debbugs.gnu.org, Eli Zaretskii <eliz@HIDDEN>, bandali@HIDDEN,
 jp@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.0 (/)

> I hope the logs can now be more useful.

Very useful! If I'm reading the stack trace right then someone should =
tell ERC not to send data from a process filter function:

(process-send-string)
-> send_process
; output buffer is full, so we try reading data to unclog it
-> wait_reading_process_output
-> { some filter function }
-> (process-send-string)  ; again, and round it goes...

Not sure where this happens but it looks like it might be =
erc-dcc-send-filter.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54458; Package emacs. Full text available.

Message received at 54458 <at> debbugs.gnu.org:


Received: (at 54458) by debbugs.gnu.org; 27 Mar 2022 17:56:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 27 13:56:48 2022
Received: from localhost ([127.0.0.1]:56509 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nYX8C-0007LB-5m
	for submit <at> debbugs.gnu.org; Sun, 27 Mar 2022 13:56:48 -0400
Received: from eggs.gnu.org ([209.51.188.92]:59224)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1nYX89-0007Kx-WA
 for 54458 <at> debbugs.gnu.org; Sun, 27 Mar 2022 13:56:46 -0400
Received: from [2001:470:142:3::e] (port=47118 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1nYX83-0007dO-V7; Sun, 27 Mar 2022 13:56:39 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=3HmtWO0TxL5yMtPOFRGpM3B7z1ibMECXIisY6RdSFaM=; b=RqGJ1xu/bBZH
 JCVZhlSUGaNmVRk6AD/f2PyfQamjjRiPDAaxICoINGwzsREdQKCXaGnXp/auqDeVxoZe1fhZB4YDP
 VeNCY8upWDm37A8/3hrn1aHWk9IuQ7PPxxZ1fSYZp78SxSbC5ofY0Qc8o6O45wgjA0SqJl0urLXN5
 t6uSI7K59Dnd8lfGtv6Rvuz9fErWm/6eIEQB4p+RSMECGVODWFYkjCHPvPlM91EaZbQ6QXiIkrKmP
 39iuSeocUNEltrhM/qN9VK0aTf5Aq0Lf1zpPHE56RM9a96Edu2BqQ803PUG2Mdi96WpiycIbEq7Tu
 gumhNpbLJHYQL9NOtFdIsw==;
Received: from [87.69.77.57] (port=1319 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1nYX80-0007i9-4X; Sun, 27 Mar 2022 13:56:38 -0400
Date: Sun, 27 Mar 2022 20:56:35 +0300
Message-Id: <83bkxr9t4c.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Fernando de Morais <fernandodemorais.jf@HIDDEN>
In-Reply-To: <87tubj1eq4.fsf@HIDDEN> (message from Fernando de Morais on
 Sun, 27 Mar 2022 14:34:43 -0300)
Subject: Re: bug#54458: 27.2; erc-dcc-get: Re-entering top level after C
 stack overflow
References: <87tubuc1er.fsf@HIDDEN> <87h77rpfcz.fsf@HIDDEN>
 <871qyuxfij.fsf@HIDDEN> <8335jaf405.fsf@HIDDEN> <87tubj1eq4.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 54458
Cc: 54458 <at> debbugs.gnu.org, bandali@HIDDEN, jp@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Fernando de Morais <fernandodemorais.jf@HIDDEN>
> Cc: jp@HIDDEN,  54458 <at> debbugs.gnu.org,  bandali@HIDDEN
> Date: Sun, 27 Mar 2022 14:34:43 -0300
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> > can you rebuild without stripping, or download and install the missing
> > debug symbols somewhere?  Then repeat the experiment and post the
> > backtrace.
> >
> > Thanks.
> 
> Hello Eli,
> 
> I rebuilt Emacs from ``emacs-27'' branch, following the DEBUG guide that
> came in etc folder.
> 
> I hope the logs can now be more useful.

Thanks.  This surely looks like either infinite recursion, or a very
deep recursion that triggers GC, and GC exhausts the stack (since GC
itself is deeply recursive).

It would help if you could reproduce the problem again, this time when
running Emacs under GDB to begin with.  When Emacs segfaults, please
do

  (gdb) source /path/to/emacs/src/.gdbinit
  (gdb) xbacktrace

(replace /path/to/emacs/src with the directory where you have the
Emacs source tree).  The last command will show the Lisp interpreter
nacktrace, which will make it easier to understand where the recursion
happens in Lisp.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#54458; Package emacs. Full text available.

Message received at 54458 <at> debbugs.gnu.org:


Received: (at 54458) by debbugs.gnu.org; 27 Mar 2022 17:35:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Mar 27 13:35:12 2022
Received: from localhost ([127.0.0.1]:56501 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1nYWnH-0006nh-Rq
	for submit <at> debbugs.gnu.org; Sun, 27 Mar 2022 13:35:12 -0400
Received: from mail-oa1-f53.google.com ([209.85.160.53]:33499)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <fernandodemorais.jf@HIDDEN>) id 1nYWnE-0006nS-LK
 for 54458 <at> debbugs.gnu.org; Sun, 27 Mar 2022 13:35:09 -0400
Received: by mail-oa1-f53.google.com with SMTP id
 586e51a60fabf-de3eda6b5dso13079900fac.0
 for <54458 <at> debbugs.gnu.org>; Sun, 27 Mar 2022 10:35:08 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=from:to:cc:subject:references:date:in-reply-to:message-id
 :user-agent:mime-version;
 bh=GohtFBdYCbSLz6gS33QZXEXpldzUukA1l2SJlvtK/7w=;
 b=MIWzLXIZRH63VSDn00xZ9R92Kw5by7XV6f1VbVzXNJvm33uPWJpepibQ72ebmHHrHB
 N1kYbce6LWXdA+hloMRS/WsyYC3BnyFuQyQY5LD8rgbPJ5W7q70arwTztW6mrUw2PB7e
 RIFpz0lckKPEXIls8DIkDnOa7u6KwaaXSQtn6IlK5kx9d1Ao143njeLUz6sASoA1x3Ay
 xdSshhzZ7DtDFhZmiGbm/DL23wkB1YkJupyETH+x3mGAFX54Yina3NhCwhddKGCwnChm
 CON1smimyy+H7vdAyrdEWIb03ohcHmafAVbOcslA6ksx8iR2g+iTqTWjHQFy37d1X+Bt
 KJlg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:from:to:cc:subject:references:date:in-reply-to
 :message-id:user-agent:mime-version;
 bh=GohtFBdYCbSLz6gS33QZXEXpldzUukA1l2SJlvtK/7w=;
 b=BYWlt/D2P2fudOH5VDSBMahaADRMwiw9cJvi/HCk17j6nRyCvKNtaI3c1hIH/Wz3I/
 LwaQRHwo4Vjv7VuLX7m2zV8ngJXRTYfjDIWocIcfPtAIJD21wg2Qf/ZyuQ1VaBrisvJD
 wDtFT5RYL+q1AhLd4ZUYsTr928dTkljkH72svWweIcwESTinnl/DbvKWzLErCIpZdy+m
 koh40Hcvy0cW7KPKAatjxI+i4WYyVYKMMFXfzWldh2aYFxi0FZ+OTpczIkDlK4xNU3Pp
 /Z7ID8rovD4/5/nxbH3d8GiXL+U7bZZHNCVhfXEMAN8zmSc6BCMnuwolr+4NhIKAmAw5
 j9og==
X-Gm-Message-State: AOAM531WeyyyCiSm697Ay3BG9O7O7XLZDZIgmgANIHziRn+Ba1Hg8rUM
 YtkoLJ6KUmRI61lOlabRkTw=
X-Google-Smtp-Source: ABdhPJxWnPy28QHdxT5/S8n/hAFJWSLRbpHsWFXLX68RUqY4nG5Tvzi0SJahlEydDvf2aq27FOvloQ==
X-Received: by 2002:a05:6870:568a:b0:dd:9867:30a4 with SMTP id
 p10-20020a056870568a00b000dd986730a4mr13481322oao.160.1648402501913; 
 Sun, 27 Mar 2022 10:35:01 -0700 (PDT)
Received: from sekai.mylaptop ([2804:14c:da80:8cd9::d4c9])
 by smtp.gmail.com with ESMTPSA id
 m5-20020a056870194500b000d9a0818925sm5375061oak.25.2022.03.27.10.34.47
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Sun, 27 Mar 2022 10:34:59 -0700 (PDT)
From: Fernando de Morais <fernandodemorais.jf@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#54458: 27.2; erc-dcc-get: Re-entering top level after C
 stack overflow
References: <87tubuc1er.fsf@HIDDEN> <87h77rpfcz.fsf@HIDDEN>
 <871qyuxfij.fsf@HIDDEN> <8335jaf405.fsf@HIDDEN>
Date: Sun, 27 Mar 2022 14:34:43 -0300
In-Reply-To: <8335jaf405.fsf@HIDDEN> (Eli Zaretskii's message of "Tue, 22 Mar
 2022 16:36:42 +0200")
Message-ID: <87tubj1eq4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Debbugs-Envelope-To: 54458
Cc: 54458 <at> debbugs.gnu.org, bandali@HIDDEN, jp@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>

--=-=-=
Content-Type: text/plain

Eli Zaretskii <eliz@HIDDEN> writes:

> can you rebuild without stripping, or download and install the missing
> debug symbols somewhere?  Then repeat the experiment and post the
> backtrace.
>
> Thanks.

Hello Eli,

I rebuilt Emacs from ``emacs-27'' branch, following the DEBUG guide that
came in etc folder.

I hope the logs can now be more useful.

Thanks!

-- 
Regards,
Fernando de Morais.


--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename=backtrace.log
Content-Transfer-Encoding: quoted-printable
Content-Description: ./emacs crash backlog.

Fatal error 11: Segmentation violation

lisp.h:1607: Emacs fatal error: assertion failed: 0 <=3D nchars
Abortado (imagem do n=C3=BAcleo gravada)
--=-=-=
Content-Type: text/plain
Content-Disposition: attachment; filename=core.35251
Content-Description: ./emacs crash core dump.

           PID: 35251 (emacs)
           UID: 1000 (fernando)
           GID: 984 (users)
        Signal: 6 (ABRT)
     Timestamp: Sun 2022-03-27 13:58:53 -03 (1min 23s ago)
  Command Line: ./emacs
    Executable: /home/fernando/Documentos/Projetos/emacs-27/src/emacs
 Control Group: /user.slice/user-1000.slice/session-1.scope
          Unit: session-1.scope
         Slice: user-1000.slice
       Session: 1
     Owner UID: 1000 (fernando)
       Boot ID: fe5b19b2c7b54c87946b78a870a782e7
    Machine ID: f23acdc48d5e460e8a25bf774751229e
      Hostname: sekai
       Storage: /var/lib/systemd/coredump/core.emacs.1000.fe5b19b2c7b54c87946b78a870a782e7.35251.1648400333000000.zst (present)
     Disk Size: 33.6M
       Message: Process 35251 (emacs) of user 1000 dumped core.
                
                Module /home/fernando/Documentos/Projetos/emacs-27/src/emacs with build-id 56ae360d308a5927e8450e521f21c832f2069d4c
                Module linux-vdso.so.1 with build-id 59afe9d0f4b3bd2f868275c997bf0a42f9b4d1fc
                Module p11-kit-trust.so with build-id 8b539aa1d5ee1ffc32e4c6f71c132e40e09ffbb7
                Module libnss_resolve.so.2 with build-id a6a782fb6661cb7bf4d167313115e3fe1a517752
                Module libnss_mdns_minimal.so.2 with build-id 8eb55de0d3252a36920a5d74c2da924a902cfff4
                Module libnss_myhostname.so.2 with build-id f02371b14b0605c1501ab8ac48384376970c6143
                Module libnss_mymachines.so.2 with build-id 0603426c0dd45a339e94969ad56ec94ea0b6871f
                Module libcanberra-alsa.so with build-id 118acd4a3e02f5ab369d930792e5ce9007f2de30
                Module libresolv.so.2 with build-id 46ffdf3d477a170314060c26927470d7399bc900
                Module libopus.so.0 with build-id 35fafc4024675e9cfe57c7d50c3965eac6bac358
                Module libFLAC.so.8 with build-id d3c01b1bab8e878ff3928ba64a5817506bad1aa6
                Module libvorbisenc.so.2 with build-id 2b1ce7fcdcc925bc663ebe2c1c008c0dd96e5bd0
                Module libasyncns.so.0 with build-id 6acff139d56b5139ce5eb50a66c62b215e1d332d
                Module libsndfile.so.1 with build-id 72d5531e74ed3e9afe49e95e449c40cb8984a258
                Module libpulsecommon-15.0.so with build-id 1ff39f66b974fdf20be485f556b48ff4e6c33868
                Module libpulse.so.0 with build-id b145e13bdb30c8327de7882ec9976fab38bc3e4a
                Module libcanberra-pulse.so with build-id 400935cdf7789421d57f39ccd113eec132edfddc
                Module libcanberra-multi.so with build-id b387b5d7a6e23d0e79c185dbb9ed60ef960afd98
                Module libpixbufloader-svg.so with build-id d31f1f5a38b6d6ef3a41361bd59a05b82bf8900d
                Module libdconfsettings.so with build-id 7a4ba7af122c4d11168004a9ea6def330f02089f
                Module libgvfscommon.so with build-id 1e5fdb21a6038c78e55a08f2e8d662152d12ae50
                Module libgvfsdbus.so with build-id 11dfa81edeae24b8933cb685d620031dfcf10f2e
                Module libogg.so.0 with build-id ca0cae30a809f10db1f16e54a23b4e5ff7b2c54c
                Module libvorbis.so.0 with build-id f4e086347f6c1a66eb73cfe13974a29bd39aabca
                Module libltdl.so.7 with build-id d2c1c93609da7fc11a1c40381fea72634ad714ed
                Module libtdb.so.1 with build-id 6c9ccf6d9a22d117d984d1666842a49fd7669f09
                Module libvorbisfile.so.3 with build-id 45d2551167a616d448beb033ba49394831992887
                Module libcanberra.so.0 with build-id 379ed64f9d1408a83806cd5d94dc5bb903765615
                Module libcanberra-gtk3.so.0 with build-id 133409dc3e744fe0edc6a4d078714dce82dacf98
                Module libcanberra-gtk-module.so with build-id 72bd14fd5ba4fb0eda082b3daeccc80b796a5586
                Module libgpg-error.so.0 with build-id 82524ee3d1c4c2244d7cfdcc1e6eea5f9855f6c6
                Module libbrotlicommon.so.1 with build-id a4ba3f4b4571c8272343b621da812a6e24a202a7
                Module libstdc++.so.6 with build-id 88ad4eff81a00c684abfe0f863e87434123d8943
                Module librt.so.1 with build-id 4761858b348db8303e872e515aa8d56c046c921c
                Module libblkid.so.1 with build-id 9e4bb910a2e63ba71cae0e3b89c07fdd45033ff2
                Module libdatrie.so.1 with build-id 6fe3b6ece2c8e7d11869fa051375128d8f808f58
                Module libjson-glib-1.0.so.0 with build-id 5865be5fcc01b48a0a113e0145ec45529bff89a6
                Module libsqlite3.so.0 with build-id 06920988a282f8d768fa287fca23c3ccdc73ff0c
                Module libstemmer.so.0 with build-id aa44a40dfb223020ed8e49cd2d28fc3887128463
                Module libatspi.so.0 with build-id 18c5ce5668cd0d627bc961da4cf7ba01ccd0b664
                Module libgcrypt.so.20 with build-id db45f5d5e0f7af1e77324fea1885f974619ad268
                Module libcap.so.2 with build-id eb6dae97527fc89dbb0d5bb581a15acd02ae9f56
                Module liblz4.so.1 with build-id e63600ab23b2f6997f42fac2fa56e1f02ce159a1
                Module libhogweed.so.6 with build-id 2d70cff7b1841b4d9ca4e8e7726cd4b944c07fdc
                Module libnettle.so.8 with build-id 9a878e513c02007598fcf1e2e286c2203f13536e
                Module libtasn1.so.6 with build-id ee3429ca5e94718aea4fe5249fc859e0cd88e4e9
                Module libunistring.so.2 with build-id 015ac6d6bcb60b7d8bea31a80d1941b06e8636ab
                Module libidn2.so.0 with build-id 1ce2b50ad9f9821c2c629b521cf5a3c99593d332
                Module libbrotlienc.so.1 with build-id 81a4bdfe7d85b8daa2297869b1e9b35c28fe189e
                Module libp11-kit.so.0 with build-id cc372ea3c28c4d3dfc633b4d2e933c8584d2af16
                Module libicudata.so.70 with build-id e1dcc2a88cfaafed882d09c90c668af0eed4efed
                Module libicui18n.so.70 with build-id 95af755fca990df26753a7d720b8e3ae24270e42
                Module libexpat.so.1 with build-id a05c64fe82308a309e7653685c94ce71735f8a1a
                Module libbrotlidec.so.1 with build-id 45defc036e918e0140a72f1fbce6e7692d38241d
                Module libbz2.so.1.0 with build-id 919597c477c9b2cb9cdbb7745ed6494ac0e6da60
                Module libicuuc.so.70 with build-id 2e245c2bf12f95fd8ab79b3a4be99524677cbd70
                Module libgcc_s.so.1 with build-id 5d817452a709ca3a213341555ddcf446ecee37fa
                Module ld-linux-x86-64.so.2 with build-id c09c6f50f6bcec73c64a0b4be77eadb8f7202410
                Module libpthread.so.0 with build-id 7fa8b52fae071a370ba4ca32bf9490a30aff31c4
                Module libXdmcp.so.6 with build-id 8ca0792d23c8b8b4c0864297512349292bea5955
                Module libXau.so.6 with build-id 1c67764663e07bec24d8951e5fd93f4d165979ff
                Module libdl.so.2 with build-id bb9bd2657bfba9f60bd34d2050cc63a7eb024bc4
                Module libuuid.so.1 with build-id cc94de1b28210d2b06109bd76c198c80f518aad6
                Module libpcre.so.1 with build-id 845483dd0acba86de9f0313102bebbaf3ce52767
                Module libffi.so.8 with build-id f90d8b734f6de9b25faedb8cbfab7054dafc0a42
                Module libmount.so.1 with build-id 765508fe9812e693ac41fd3d0aedd65d7a78b287
                Module libpixman-1.so.0 with build-id 341f793dcada3a48a306a793d265a517e3f2e7d6
                Module libxcb-shm.so.0 with build-id fb797f299a446f559a95afcc168227482cc800d1
                Module libxcb-render.so.0 with build-id a37bdb37744b508be9dd29fd9ccb9bb0170d43e5
                Module libgraphite2.so.3 with build-id 47761dc11e553f519cde97ed9ee985be12ccdae2
                Module libthai.so.0 with build-id a7ac5010b4275c49308021200d23690533952702
                Module libXcomposite.so.1 with build-id f1bb5ffb6203ab2907ac044a204ce3902a79f1c1
                Module libXdamage.so.1 with build-id a1d867e093c16944b2c0083be98050ef35c9e5c2
                Module libXcursor.so.1 with build-id eb6315bcd7526aaf51b0a1307efdc587cea0a152
                Module libwayland-egl.so.1 with build-id 791e39283cdcc5a08cfd091b8cd4c59869a11278
                Module libwayland-cursor.so.0 with build-id 79d7e67af210407c2afe92ba8c189c8648a6474c
                Module libwayland-client.so.0 with build-id 0a237f2fd096bada4ca381eec5d64474c4078be4
                Module libxkbcommon.so.0 with build-id 3a9338b2085f0af41217bc0a90ffcc941938a16e
                Module libtracker-sparql-3.0.so.0 with build-id b4e5b8fe466888a3125965bc20cd6741700f9b85
                Module libcloudproviders.so.0 with build-id ed1d9c9e60be4e858ad148484767249be1edf95f
                Module libatk-bridge-2.0.so.0 with build-id 1161ebbcc5aa791075dfa026671875e5417287bd
                Module libXi.so.6 with build-id 16603be937a02a7e61b0b0395d064be7efd86f49
                Module libepoxy.so.0 with build-id edc178a150c4255d124e1e1ecbdbecebd1a388cd
                Module libfribidi.so.0 with build-id 79124bad061c2aab4ec89f25d067363d5b781114
                Module libpangoft2-1.0.so.0 with build-id 5ade8d7816bfbda4884f726246bbc1e7050c48df
                Module libgmodule-2.0.so.0 with build-id 5d0db204364cefb16d6d80f9e40df7c3d86023b3
                Module liblzma.so.5 with build-id 8b615460aa230708c5183f16bede67aa0437d95e
                Module libzstd.so.1 with build-id 3bccb8fe08e48d5ea135b1d0f99de0d771dd752f
                Module libc.so.6 with build-id 85766e9d8458b16e9c7ce6e07c712c02b8471dbc
                Module libgmp.so.10 with build-id e58d34ab389d1b649c24195c2d145e3ff2e58290
                Module libjansson.so.4 with build-id 758c6bbb25e0de4909b9b9fd63f0ff6e90e5b225
                Module libsystemd.so.0 with build-id 05d0460efefd339d315812f9506aecc5a5d22200
                Module liblcms2.so.2 with build-id c01e5649a38dbf37768d02dc751b52de0dcbd141
                Module libanl.so.1 with build-id 3f95f6f6f36f5a47d64a5b33c7b47272d6b88019
                Module libgnutls.so.30 with build-id 5b2955e99a56f895cb70144748d096b5c4f7bf83
                Module libm17n-core.so.0 with build-id 691f4c70b00a9814577af69ea28474426d811d0e
                Module libm17n-flt.so.0 with build-id db1568fc7bf5993c0c86db6f6508de89d2d9ddca
                Module libotf.so.1 with build-id 52825e560d30c8f289075112e2e25928338b35ca
                Module libfontconfig.so.1 with build-id 9fdeb38479c4090d673efc2e8cb60176efe65da1
                Module libfreetype.so.6 with build-id 26c5f833068ff72660d1975cbc2074c3eb47fad8
                Module libncursesw.so.6 with build-id 1f873ddb2c32ab39d0b7d8646d03680ffe99de7c
                Module libgpm.so.2 with build-id b40fa7ec9ecf6f54871e4c1879dd72788677fa52
                Module libxml2.so.2 with build-id 34aa03d6fadb52a051964f0e50a977efaea9482e
                Module libXext.so.6 with build-id d70f24beb4fad748d6becffdcc13e51be0a2ebfa
                Module libXfixes.so.3 with build-id 0a05c7e8714522bfbdd7c0027c3e2a94965664b0
                Module libXinerama.so.1 with build-id dbb6adece34ea2766d3efcd628af8f9757344dd6
                Module libXrandr.so.2 with build-id d4e869b5c72541e1de8f96b456248987ea52d51b
                Module libdbus-1.so.3 with build-id 7f4b16b4b407cbae2d7118d6f99610e29a18a56a
                Module libacl.so.1 with build-id 27869ed0219ade5d2ffd50eaee11f967187faa8b
                Module libm.so.6 with build-id 596b63a006a4386dcab30912d2b54a7a61827b07
                Module librsvg-2.so.2 with build-id 4ba856e43fe8cc48a3d8cd6576d57fdffad3199b
                Module libasound.so.2 with build-id b17fc1317a484842433c772360376623b64ec3d8
                Module libXrender.so.1 with build-id 97e0b9ab6ba96ebc86527cc2b3c3078aad8616b3
                Module libXft.so.2 with build-id 21aed1dfa73fa7301e280e3a573cc2523a1f7ff2
                Module libxcb.so.1 with build-id 0d1ef11740a5daad2ee331e812a51aa6574af222
                Module libX11-xcb.so.1 with build-id 0db4f94d8ae31b8dc9a83f825a9171656f1e532c
                Module libX11.so.6 with build-id 5ba5798d193c0065014b8c6252a0678671c8d478
                Module libICE.so.6 with build-id af53458a64fe1e62a4d95606f7b03c210b2b098c
                Module libSM.so.6 with build-id ac7b055fd3f16b4f29373285ab04ed52eebb632d
                Module libglib-2.0.so.0 with build-id d6c7c03d71a1b71f59e10016323136de55f43266
                Module libgobject-2.0.so.0 with build-id f5126c30685462884948f1048f2039305c67f5c5
                Module libgio-2.0.so.0 with build-id 3f16bee59e25c8bfbb70c4e78a3c90ee79ba4469
                Module libgdk_pixbuf-2.0.so.0 with build-id 5b8422ab971b1a8a8e1c43b88738d4ee217f609e
                Module libcairo.so.2 with build-id 254ac8421ae2a823be8ff4eaa219fd220b015bba
                Module libcairo-gobject.so.2 with build-id 44a907a31fa6d2b6d359280ccfe70e50900d8eee
                Module libatk-1.0.so.0 with build-id c2de8b4fcbd9681cef225fe3956a9608a2a664bb
                Module libharfbuzz.so.0 with build-id 8d9453f638db056c15b4c90692fb6fdd69215f5f
                Module libpango-1.0.so.0 with build-id 068b92fa9ba77ac899fd10b29779c07a20c279ed
                Module libpangocairo-1.0.so.0 with build-id 427c905657c2d8a521066b507b4fe2e69df4ba32
                Module libgdk-3.so.0 with build-id deb8ef1b4d664de56af9e42ca1e49ae872f6461b
                Module libgtk-3.so.0 with build-id b4b2e4bf4fd977314b8d6b529ea498d5a0725d0a
                Module libXpm.so.4 with build-id 069e7dac32459567d3e9a6d852ec904c399558e1
                Module libgif.so.7 with build-id 6377b63d77aae3d04283a564860190f5a51a5a99
                Module libz.so.1 with build-id 0c1459c56513efd5d53eb3868290e9afee6a6a26
                Module libpng16.so.16 with build-id 2dc0bce07f199bf983c07a05fb95a6f4af83a9b3
                Module libjpeg.so.8 with build-id 324d9d66f01707241e31af5cc104db3c9122f4c4
                Module libtiff.so.5 with build-id e8d89a0fb0847641ddb75c5f03fa89d68155a75d
                Stack trace of thread 35251:
                #0  0x00007f29ca67a34c __pthread_kill_implementation (libc.so.6 + 0x8f34c)
                #1  0x00007f29ca62d4b8 raise (libc.so.6 + 0x424b8)
                #2  0x000055d3ad91d2f8 n/a (/home/fernando/Documentos/Projetos/emacs-27/src/emacs + 0x2872f8)
                #3  0x000055d3ada42907 n/a (/home/fernando/Documentos/Projetos/emacs-27/src/emacs + 0x3ac907)
                #4  0x000055d3adb11d59 n/a (/home/fernando/Documentos/Projetos/emacs-27/src/emacs + 0x47bd59)
                #5  0x000055d3adb16e7a n/a (/home/fernando/Documentos/Projetos/emacs-27/src/emacs + 0x480e7a)
                #6  0x000055d3ada1ef5e n/a (/home/fernando/Documentos/Projetos/emacs-27/src/emacs + 0x388f5e)
                #7  0x000055d3ada1ecc4 n/a (/home/fernando/Documentos/Projetos/emacs-27/src/emacs + 0x388cc4)
                #8  0x000055d3ada05670 n/a (/home/fernando/Documentos/Projetos/emacs-27/src/emacs + 0x36f670)
                #9  0x000055d3ad9bc03d n/a (/home/fernando/Documentos/Projetos/emacs-27/src/emacs + 0x32603d)
                #10 0x000055d3ad9bffc0 n/a (/home/fernando/Documentos/Projetos/emacs-27/src/emacs + 0x329fc0)
                #11 0x000055d3ad9c0f1c n/a (/home/fernando/Documentos/Projetos/emacs-27/src/emacs + 0x32af1c)
                #12 0x000055d3ad9c106d n/a (/home/fernando/Documentos/Projetos/emacs-27/src/emacs + 0x32b06d)
                #13 0x000055d3ad9cd9bf n/a (/home/fernando/Documentos/Projetos/emacs-27/src/emacs + 0x3379bf)
                #14 0x000055d3ad920805 n/a (/home/fernando/Documentos/Projetos/emacs-27/src/emacs + 0x28a805)
                #15 0x000055d3ad91d29f n/a (/home/fernando/Documentos/Projetos/emacs-27/src/emacs + 0x28729f)
                #16 0x000055d3ad96ba2e n/a (/home/fernando/Documentos/Projetos/emacs-27/src/emacs + 0x2d5a2e)
                #17 0x000055d3ad96ba03 n/a (/home/fernando/Documentos/Projetos/emacs-27/src/emacs + 0x2d5a03)
                #18 0x000055d3ad96ba6f n/a (/home/fernando/Documentos/Projetos/emacs-27/src/emacs + 0x2d5a6f)
                #19 0x000055d3ad96bc13 n/a (/home/fernando/Documentos/Projetos/emacs-27/src/emacs + 0x2d5c13)
                #20 0x00007f29ca62d560 __restore_rt (libc.so.6 + 0x42560)
                #21 0x000055d3ada5624b n/a (/home/fernando/Documentos/Projetos/emacs-27/src/emacs + 0x3c024b)
                #22 0x000055d3ada5688b n/a (/home/fernando/Documentos/Projetos/emacs-27/src/emacs + 0x3c088b)
                #23 0x000055d3ada36890 n/a (/home/fernando/Documentos/Projetos/emacs-27/src/emacs + 0x3a0890)
                #24 0x000055d3ada3b7de n/a (/home/fernando/Documentos/Projetos/emacs-27/src/emacs + 0x3a57de)
                #25 0x000055d3ada40cb0 n/a (/home/fernando/Documentos/Projetos/emacs-27/src/emacs + 0x3aacb0)
                #26 0x000055d3ada40470 n/a (/home/fernando/Documentos/Projetos/emacs-27/src/emacs + 0x3aa470)
                #27 0x000055d3ada40e9e n/a (/home/fernando/Documentos/Projetos/emacs-27/src/emacs + 0x3aae9e)
                #28 0x000055d3ada41078 n/a (/home/fernando/Documentos/Projetos/emacs-27/src/emacs + 0x3ab078)
                #29 0x000055d3ada402e8 n/a (/home/fernando/Documentos/Projetos/emacs-27/src/emacs + 0x3aa2e8)
                #30 0x000055d3ada40f5c n/a (/home/fernando/Documentos/Projetos/emacs-27/src/emacs + 0x3aaf5c)
                #31 0x000055d3ada41078 n/a (/home/fernando/Documentos/Projetos/emacs-27/src/emacs + 0x3ab078)
                #32 0x000055d3ada402e8 n/a (/home/fernando/Documentos/Projetos/emacs-27/src/emacs + 0x3aa2e8)
                #33 0x000055d3ada40f5c n/a (/home/fernando/Documentos/Projetos/emacs-27/src/emacs + 0x3aaf5c)
                #34 0x000055d3ada41078 n/a (/home/fernando/Documentos/Projetos/emacs-27/src/emacs + 0x3ab078)
                #35 0x000055d3ada402e8 n/a (/home/fernando/Documentos/Projetos/emacs-27/src/emacs + 0x3aa2e8)
                #36 0x000055d3ada40f5c n/a (/home/fernando/Documentos/Projetos/emacs-27/src/emacs + 0x3aaf5c)
                #37 0x000055d3ada41078 n/a (/home/fernando/Documentos/Projetos/emacs-27/src/emacs + 0x3ab078)
                #38 0x000055d3ada402e8 n/a (/home/fernando/Documentos/Projetos/emacs-27/src/emacs + 0x3aa2e8)
                #39 0x000055d3ada40f5c n/a (/home/fernando/Documentos/Projetos/emacs-27/src/emacs + 0x3aaf5c)
                #40 0x000055d3ada412d8 n/a (/home/fernando/Documentos/Projetos/emacs-27/src/emacs + 0x3ab2d8)
                #41 0x000055d3ada412d8 n/a (/home/fernando/Documentos/Projetos/emacs-27/src/emacs + 0x3ab2d8)
                #42 0x000055d3ada41088 n/a (/home/fernando/Documentos/Projetos/emacs-27/src/emacs + 0x3ab088)
                #43 0x000055d3ada412d8 n/a (/home/fernando/Documentos/Projetos/emacs-27/src/emacs + 0x3ab2d8)
                #44 0x000055d3ada41088 n/a (/home/fernando/Documentos/Projetos/emacs-27/src/emacs + 0x3ab088)
                #45 0x000055d3ada412d8 n/a (/home/fernando/Documentos/Projetos/emacs-27/src/emacs + 0x3ab2d8)
                #46 0x000055d3ada412d8 n/a (/home/fernando/Documentos/Projetos/emacs-27/src/emacs + 0x3ab2d8)
                #47 0x000055d3ada41088 n/a (/home/fernando/Documentos/Projetos/emacs-27/src/emacs + 0x3ab088)
                #48 0x000055d3ada412d8 n/a (/home/fernando/Documentos/Projetos/emacs-27/src/emacs + 0x3ab2d8)
                #49 0x000055d3ada412d8 n/a (/home/fernando/Documentos/Projetos/emacs-27/src/emacs + 0x3ab2d8)
                #50 0x000055d3ada41088 n/a (/home/fernando/Documentos/Projetos/emacs-27/src/emacs + 0x3ab088)
                #51 0x000055d3ada402e8 n/a (/home/fernando/Documentos/Projetos/emacs-27/src/emacs + 0x3aa2e8)
                #52 0x000055d3ada40f5c n/a (/home/fernando/Documentos/Projetos/emacs-27/src/emacs + 0x3aaf5c)
                #53 0x000055d3ada41078 n/a (/home/fernando/Documentos/Projetos/emacs-27/src/emacs + 0x3ab078)
                #54 0x000055d3ada402e8 n/a (/home/fernando/Documentos/Projetos/emacs-27/src/emacs + 0x3aa2e8)
                #55 0x000055d3ada40f5c n/a (/home/fernando/Documentos/Projetos/emacs-27/src/emacs + 0x3aaf5c)
                #56 0x000055d3ada412d8 n/a (/home/fernando/Documentos/Projetos/emacs-27/src/emacs + 0x3ab2d8)
                #57 0x000055d3ada41088 n/a (/home/fernando/Documentos/Projetos/emacs-27/src/emacs + 0x3ab088)
                #58 0x000055d3ada412d8 n/a (/home/fernando/Documentos/Projetos/emacs-27/src/emacs + 0x3ab2d8)
                #59 0x000055d3ada412d8 n/a (/home/fernando/Documentos/Projetos/emacs-27/src/emacs + 0x3ab2d8)
                #60 0x000055d3ada41088 n/a (/home/fernando/Documentos/Projetos/emacs-27/src/emacs + 0x3ab088)
                #61 0x000055d3ada402e8 n/a (/home/fernando/Documentos/Projetos/emacs-27/src/emacs + 0x3aa2e8)
                #62 0x000055d3ada40f5c n/a (/home/fernando/Documentos/Projetos/emacs-27/src/emacs + 0x3aaf5c)
                #63 0x000055d3ada41078 n/a (/home/fernando/Documentos/Projetos/emacs-27/src/emacs + 0x3ab078)
                
                Stack trace of thread 35252:
                #0  0x00007f29ca6f12af __poll (libc.so.6 + 0x1062af)
                #1  0x00007f29cbd6e976 n/a (libglib-2.0.so.0 + 0xab976)
                #2  0x00007f29cbd156c5 g_main_context_iteration (libglib-2.0.so.0 + 0x526c5)
                #3  0x00007f29cbd15712 n/a (libglib-2.0.so.0 + 0x52712)
                #4  0x00007f29cbd47da5 n/a (libglib-2.0.so.0 + 0x84da5)
                #5  0x00007f29ca6785c2 start_thread (libc.so.6 + 0x8d5c2)
                #6  0x00007f29ca6fd584 __clone (libc.so.6 + 0x112584)
                
                Stack trace of thread 35254:
                #0  0x00007f29ca6f12af __poll (libc.so.6 + 0x1062af)
                #1  0x00007f29cbd6e976 n/a (libglib-2.0.so.0 + 0xab976)
                #2  0x00007f29cbd156c5 g_main_context_iteration (libglib-2.0.so.0 + 0x526c5)
                #3  0x00007f29c4148ebe n/a (libdconfsettings.so + 0x5ebe)
                #4  0x00007f29cbd47da5 n/a (libglib-2.0.so.0 + 0x84da5)
                #5  0x00007f29ca6785c2 start_thread (libc.so.6 + 0x8d5c2)
                #6  0x00007f29ca6fd584 __clone (libc.so.6 + 0x112584)
                
                Stack trace of thread 35253:
                #0  0x00007f29ca6f12af __poll (libc.so.6 + 0x1062af)
                #1  0x00007f29cbd6e976 n/a (libglib-2.0.so.0 + 0xab976)
                #2  0x00007f29cbd176a3 g_main_loop_run (libglib-2.0.so.0 + 0x546a3)
                #3  0x00007f29cbf6d43c n/a (libgio-2.0.so.0 + 0x10a43c)
                #4  0x00007f29cbd47da5 n/a (libglib-2.0.so.0 + 0x84da5)
                #5  0x00007f29ca6785c2 start_thread (libc.so.6 + 0x8d5c2)
                #6  0x00007f29ca6fd584 __clone (libc.so.6 + 0x112584)
                
                Stack trace of thread 35304:
                #0  0x00007f29ca6f12af __poll (libc.so.6 + 0x1062af)
                #1  0x00007f29bf5e702f n/a (libpulse.so.0 + 0x3402f)
                #2  0x00007f29bf5d0751 pa_mainloop_poll (libpulse.so.0 + 0x1d751)
                #3  0x00007f29bf5daafd pa_mainloop_iterate (libpulse.so.0 + 0x27afd)
                #4  0x00007f29bf5dabb1 pa_mainloop_run (libpulse.so.0 + 0x27bb1)
                #5  0x00007f29bf5eb322 n/a (libpulse.so.0 + 0x38322)
                #6  0x00007f29bf5801c7 n/a (libpulsecommon-15.0.so + 0x5d1c7)
                #7  0x00007f29ca6785c2 start_thread (libc.so.6 + 0x8d5c2)
                #8  0x00007f29ca6fd584 __clone (libc.so.6 + 0x112584)
                ELF object binary architecture: AMD x86-64

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Disposition: attachment; filename=gdb_bt_emacs_core.35251.log
Content-Transfer-Encoding: quoted-printable
Content-Description: GDB backtrace for ./emacs core dump.

#0  0x00007f29ca67a34c in __pthread_kill_implementation () at /usr/lib/libc=
.so.6
#1  0x00007f29ca62d4b8 in raise () at /usr/lib/libc.so.6
#2  0x000055d3ad91d2f8 in terminate_due_to_signal (sig=3D6, backtrace_limit=
=3D2147483647) at emacs.c:410
#3  0x000055d3ada42907 in die (msg=3D0x55d3add1b713 "0 <=3D nchars", file=
=3D0x55d3add1b5e0 "lisp.h", line=3D1607)
    at alloc.c:7242
#4  0x000055d3adb11d59 in SCHARS (string=3D...) at /home/fernando/Documento=
s/Projetos/emacs-27/src/lisp.h:1607
#5  0x000055d3adb16e7a in SETUP_SYNTAX_TABLE_FOR_OBJECT (object=3D..., from=
=3D0, count=3D1) at syntax.c:303
#6  0x000055d3ada1ef5e in rpl_re_search_2
    (bufp=3D0x55d3ae31dec0 <searchbufs+32>, str1=3D0x0, size1=3D0, str2=3D0=
x55d3aeb0a7f8 "~/Documentos/Projetos/emacs-27/src/", size2=3D35, startpos=
=3D0, range=3D0, regs=3D0x0, stop=3D35) at regex-emacs.c:3255
#7  0x000055d3ada1ecc4 in rpl_re_search
    (bufp=3D0x55d3ae31dec0 <searchbufs+32>, string=3D0x55d3aeb0a7f8 "~/Docu=
mentos/Projetos/emacs-27/src/", size=3D35, startpos=3D0, range=3D35, regs=
=3D0x0) at regex-emacs.c:3163
#8  0x000055d3ada05670 in fast_string_match_internal (regexp=3D..., string=
=3D..., table=3D...) at search.c:478
#9  0x000055d3ad9bc03d in fast_string_match (regexp=3D..., string=3D...)
    at /home/fernando/Documentos/Projetos/emacs-27/src/lisp.h:4341
#10 0x000055d3ad9bffc0 in Ffind_file_name_handler (filename=3D..., operatio=
n=3D...) at fileio.c:320
#11 0x000055d3ad9c0f1c in Fexpand_file_name (name=3D..., default_directory=
=3D...) at fileio.c:843
#12 0x000055d3ad9c106d in Fexpand_file_name (name=3D..., default_directory=
=3D...) at fileio.c:895
#13 0x000055d3ad9cd9bf in Fdo_auto_save (no_message=3D..., current_only=3D.=
..) at fileio.c:5834
#14 0x000055d3ad920805 in shut_down_emacs (sig=3D11, stuff=3D...) at emacs.=
c:2474
#15 0x000055d3ad91d29f in terminate_due_to_signal (sig=3D11, backtrace_limi=
t=3D40) at emacs.c:393
#16 0x000055d3ad96ba2e in handle_fatal_signal (sig=3D11) at sysdep.c:1795
#17 0x000055d3ad96ba03 in deliver_thread_signal (sig=3D11, handler=3D0x55d3=
ad96ba14 <handle_fatal_signal>)
    at sysdep.c:1769
#18 0x000055d3ad96ba6f in deliver_fatal_thread_signal (sig=3D11) at sysdep.=
c:1807
#19 0x000055d3ad96bc13 in handle_sigsegv
    (sig=3D11, siginfo=3D0x55d3ae31c830 <sigsegv_stack+64496>, arg=3D0x55d3=
ae31c700 <sigsegv_stack+64192>)
    at sysdep.c:1898
#20 0x00007f29ca62d560 in <signal handler called> () at /usr/lib/libc.so.6
#21 0x000055d3ada5624b in dump_bitset_bit_set_p (bitset=3D0x55d3ae336bb0 <d=
ump_private+80>, bit_number=3D653393)
    at pdumper.c:4910
#22 0x000055d3ada5688b in pdumper_marked_p_impl (obj=3D0x7f29c6dbc288) at p=
dumper.c:5088
#23 0x000055d3ada36890 in pdumper_marked_p (obj=3D0x7f29c6dbc288)
    at /home/fernando/Documentos/Projetos/emacs-27/src/pdumper.h:221
#24 0x000055d3ada3b7de in string_marked_p (s=3D0x7f29c6dbc288) at alloc.c:3=
774
#25 0x000055d3ada40cb0 in mark_object (arg=3D...) at alloc.c:6460
#26 0x000055d3ada40470 in mark_compiled (ptr=3D0x7f29c6dbc128) at alloc.c:6=
196
#27 0x000055d3ada40e9e in mark_object (arg=3D...) at alloc.c:6518
#28 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#29 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af4fef70) at allo=
c.c:6154
#30 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#31 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#32 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af54c620) at allo=
c.c:6154
#33 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#34 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#35 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af54c5e0) at allo=
c.c:6154
#36 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#37 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#38 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af6b1b90) at allo=
c.c:6154
#39 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#40 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#41 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#42 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#43 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#44 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#45 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#46 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#47 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#48 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#49 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#50 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#51 0x000055d3ada402e8 in mark_vectorlike (header=3D0x7f29c6aa8470) at allo=
c.c:6154
#52 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#53 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#54 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3b245f260) at allo=
c.c:6154
#55 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#56 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#57 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#58 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#59 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#60 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#61 0x000055d3ada402e8 in mark_vectorlike (header=3D0x7f29c694fb08) at allo=
c.c:6154
#62 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#63 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#64 0x000055d3ada4110a in mark_object (arg=3D...) at alloc.c:6582
#65 0x000055d3ada402e8 in mark_vectorlike (header=3D0x7f29c694f850) at allo=
c.c:6154
#66 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#67 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#68 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#69 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#70 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#71 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#72 0x000055d3ada4110a in mark_object (arg=3D...) at alloc.c:6582
#73 0x000055d3ada402e8 in mark_vectorlike (header=3D0x7f29c6dde750) at allo=
c.c:6154
#74 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#75 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#76 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af689b40) at allo=
c.c:6154
#77 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#78 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#79 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#80 0x000055d3ada4110a in mark_object (arg=3D...) at alloc.c:6582
#81 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af7314c0) at allo=
c.c:6154
#82 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#83 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#84 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af72b980) at allo=
c.c:6154
#85 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#86 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#87 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af72b8f0) at allo=
c.c:6154
#88 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#89 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#90 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#91 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#92 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af758f50) at allo=
c.c:6154
#93 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#94 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#95 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#96 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#97 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#98 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#99 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#100 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#101 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3b09887e0) at all=
oc.c:6154
#102 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#103 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#104 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3b0988860) at all=
oc.c:6154
#105 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#106 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3b0988920) at all=
oc.c:6154
#107 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#108 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#109 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3b09889e0) at all=
oc.c:6154
#110 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#111 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#112 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#113 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#114 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#115 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#116 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#117 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#118 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af8bf9c0) at all=
oc.c:6154
#119 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#120 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#121 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af8be6e0) at all=
oc.c:6154
#122 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#123 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#124 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af8bfd40) at all=
oc.c:6154
#125 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#126 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#127 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#128 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af5516a0) at all=
oc.c:6154
#129 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#130 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#131 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af70c010) at all=
oc.c:6154
#132 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#133 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#134 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af71afa0) at all=
oc.c:6154
#135 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#136 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#137 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#138 0x000055d3ada4110a in mark_object (arg=3D...) at alloc.c:6582
#139 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af716640) at all=
oc.c:6154
#140 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#141 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#142 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#143 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#144 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#145 0x000055d3ada4110a in mark_object (arg=3D...) at alloc.c:6582
#146 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af81d510) at all=
oc.c:6154
#147 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#148 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#149 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af83d9d0) at all=
oc.c:6154
#150 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#151 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#152 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af8ff1b0) at all=
oc.c:6154
#153 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#154 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#155 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#156 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#157 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#158 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#159 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#160 0x000055d3ada4110a in mark_object (arg=3D...) at alloc.c:6582
#161 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3b1a51c20) at all=
oc.c:6154
#162 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#163 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#164 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3b1a59ed0) at all=
oc.c:6154
#165 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#166 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#167 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af4e44a0) at all=
oc.c:6154
#168 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#169 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af4e4510) at all=
oc.c:6154
#170 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#171 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#172 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#173 0x000055d3ada402e8 in mark_vectorlike (header=3D0x7f29c68fc848) at all=
oc.c:6154
#174 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#175 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#176 0x000055d3ada4110a in mark_object (arg=3D...) at alloc.c:6582
#177 0x000055d3ada402e8 in mark_vectorlike (header=3D0x7f29c68fc7d0) at all=
oc.c:6154
#178 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#179 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#180 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af7806d0) at all=
oc.c:6154
#181 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#182 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#183 0x000055d3ada40470 in mark_compiled (ptr=3D0x55d3af7806f0) at alloc.c:=
6196
#184 0x000055d3ada40e9e in mark_object (arg=3D...) at alloc.c:6518
#185 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#186 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#187 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#188 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af724c80) at all=
oc.c:6154
#189 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#190 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af724ca0) at all=
oc.c:6154
#191 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#192 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#193 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#194 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#195 0x000055d3ada402e8 in mark_vectorlike (header=3D0x7f29c68dbde0) at all=
oc.c:6154
#196 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#197 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#198 0x000055d3ada402e8 in mark_vectorlike (header=3D0x7f29c69e7058) at all=
oc.c:6154
#199 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#200 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#201 0x000055d3ada402e8 in mark_vectorlike (header=3D0x7f29c696ad10) at all=
oc.c:6154
#202 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#203 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#204 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#205 0x000055d3ada40470 in mark_compiled (ptr=3D0x7f29c6de7b08) at alloc.c:=
6196
#206 0x000055d3ada40e9e in mark_object (arg=3D...) at alloc.c:6518
#207 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#208 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af4e7720) at all=
oc.c:6154
#209 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#210 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af4e7760) at all=
oc.c:6154
#211 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#212 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#213 0x000055d3ada402e8 in mark_vectorlike (header=3D0x7f29c6ad39f0) at all=
oc.c:6154
#214 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#215 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#216 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af805720) at all=
oc.c:6154
#217 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#218 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#219 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#220 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#221 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#222 0x000055d3ada4110a in mark_object (arg=3D...) at alloc.c:6582
#223 0x000055d3ada402e8 in mark_vectorlike (header=3D0x7f29c68f8bc0) at all=
oc.c:6154
#224 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#225 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#226 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#227 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#228 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#229 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#230 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#231 0x000055d3ada402e8 in mark_vectorlike (header=3D0x7f29c68d4460) at all=
oc.c:6154
#232 0x000055d3ada40533 in mark_buffer (buffer=3D0x7f29c68d4460) at alloc.c=
:6221
#233 0x000055d3ada40e91 in mark_object (arg=3D...) at alloc.c:6510
#234 0x000055d3ada4070b in mark_localized_symbol (ptr=3D0x7f29c6a3ca20) at =
alloc.c:6274
#235 0x000055d3ada4113e in mark_object (arg=3D...) at alloc.c:6591
#236 0x000055d3ada402e8 in mark_vectorlike (header=3D0x7f29c6a5b3e8) at all=
oc.c:6154
#237 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#238 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#239 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3b1bf0080) at all=
oc.c:6154
#240 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#241 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#242 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#243 0x000055d3ada402e8 in mark_vectorlike (header=3D0x7f29c69d22f8) at all=
oc.c:6154
#244 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#245 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#246 0x000055d3ada402e8 in mark_vectorlike (header=3D0x7f29c69d2a90) at all=
oc.c:6154
#247 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#248 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#249 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#250 0x000055d3ada402e8 in mark_vectorlike (header=3D0x7f29c69d1f80) at all=
oc.c:6154
#251 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#252 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#253 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af72b1f0) at all=
oc.c:6154
#254 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#255 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#256 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#257 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#258 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af745d20) at all=
oc.c:6154
#259 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#260 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af745dd0) at all=
oc.c:6154
#261 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#262 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#263 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af83c450) at all=
oc.c:6154
#264 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#265 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#266 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#267 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#268 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#269 0x000055d3ada40470 in mark_compiled (ptr=3D0x55d3b1a59b70) at alloc.c:=
6196
#270 0x000055d3ada40e9e in mark_object (arg=3D...) at alloc.c:6518
#271 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#272 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af4e6e60) at all=
oc.c:6154
#273 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#274 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af4e6ed0) at all=
oc.c:6154
#275 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#276 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#277 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3b0bc3ca0) at all=
oc.c:6154
#278 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#279 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#280 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#281 0x000055d3ada40470 in mark_compiled (ptr=3D0x55d3b37260e0) at alloc.c:=
6196
#282 0x000055d3ada40e9e in mark_object (arg=3D...) at alloc.c:6518
#283 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#284 0x000055d3ada40470 in mark_compiled (ptr=3D0x7f29c6e178e8) at alloc.c:=
6196
#285 0x000055d3ada40e9e in mark_object (arg=3D...) at alloc.c:6518
#286 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#287 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#288 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#289 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#290 0x000055d3ada402e8 in mark_vectorlike (header=3D0x7f29c69d9d78) at all=
oc.c:6154
#291 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#292 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#293 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af660900) at all=
oc.c:6154
#294 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#295 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#296 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#297 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#298 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#299 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#300 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#301 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#302 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#303 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#304 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#305 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#306 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#307 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#308 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#309 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#310 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3b3030520) at all=
oc.c:6154
#311 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#312 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#313 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3b32b0fc0) at all=
oc.c:6154
#314 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#315 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#316 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3b34263e0) at all=
oc.c:6154
#317 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#318 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#319 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#320 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3b342c970) at all=
oc.c:6154
#321 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#322 0x000055d3ada40b6c in mark_hash_table (ptr=3D0x55d3b342c8f0) at alloc.=
c:6362
#323 0x000055d3ada40ee3 in mark_object (arg=3D...) at alloc.c:6532
#324 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3b342ca50) at all=
oc.c:6154
#325 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#326 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#327 0x000055d3ada402e8 in mark_vectorlike (header=3D0x7f29c6e4fad8) at all=
oc.c:6154
#328 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#329 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#330 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#331 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#332 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#333 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#334 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#335 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#336 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#337 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#338 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#339 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#340 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#341 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#342 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#343 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#344 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#345 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#346 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#347 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#348 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#349 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#350 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3b0a94b40) at all=
oc.c:6154
#351 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#352 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#353 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#354 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#355 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#356 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#357 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#358 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#359 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#360 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#361 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#362 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#363 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#364 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af71b200) at all=
oc.c:6154
#365 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#366 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#367 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af724d40) at all=
oc.c:6154
#368 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#369 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#370 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#371 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#372 0x000055d3ada402e8 in mark_vectorlike (header=3D0x7f29c68da5c8) at all=
oc.c:6154
#373 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#374 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#375 0x000055d3ada4110a in mark_object (arg=3D...) at alloc.c:6582
#376 0x000055d3ada402e8 in mark_vectorlike (header=3D0x7f29c68da2e8) at all=
oc.c:6154
#377 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#378 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#379 0x000055d3ada402e8 in mark_vectorlike (header=3D0x7f29c68dcba8) at all=
oc.c:6154
#380 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#381 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#382 0x000055d3ada402e8 in mark_vectorlike (header=3D0x7f29c698e4f0) at all=
oc.c:6154
#383 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#384 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#385 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af8bdd50) at all=
oc.c:6154
#386 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#387 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#388 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af8c0710) at all=
oc.c:6154
#389 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#390 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#391 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#392 0x000055d3ada402e8 in mark_vectorlike (header=3D0x7f29c6ad9238) at all=
oc.c:6154
#393 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#394 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#395 0x000055d3ada402e8 in mark_vectorlike (header=3D0x7f29c6ae4940) at all=
oc.c:6154
#396 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#397 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#398 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af8bfbf0) at all=
oc.c:6154
#399 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#400 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#401 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#402 0x000055d3ada402e8 in mark_vectorlike (header=3D0x7f29c6a04240) at all=
oc.c:6154
#403 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#404 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#405 0x000055d3ada402e8 in mark_vectorlike (header=3D0x7f29c6a045a8) at all=
oc.c:6154
#406 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#407 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#408 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#409 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#410 0x000055d3ada402e8 in mark_vectorlike (header=3D0x7f29c6a18348) at all=
oc.c:6154
#411 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#412 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#413 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#414 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#415 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#416 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#417 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#418 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af724bc0) at all=
oc.c:6154
#419 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#420 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af724bf0) at all=
oc.c:6154
#421 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#422 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#423 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#424 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#425 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#426 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#427 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#428 0x000055d3ada402e8 in mark_vectorlike (header=3D0x7f29c6e41ce0) at all=
oc.c:6154
#429 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#430 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#431 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af716b10) at all=
oc.c:6154
#432 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#433 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#434 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#435 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#436 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af5513a0) at all=
oc.c:6154
#437 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#438 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#439 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#440 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#441 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#442 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#443 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#444 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#445 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#446 0x000055d3ada402e8 in mark_vectorlike (header=3D0x7f29c6902ec0) at all=
oc.c:6154
#447 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#448 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#449 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af70b5d0) at all=
oc.c:6154
#450 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#451 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#452 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af70b620) at all=
oc.c:6154
#453 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#454 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#455 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af70b8d0) at all=
oc.c:6154
#456 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#457 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#458 0x000055d3ada4110a in mark_object (arg=3D...) at alloc.c:6582
#459 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af70b880) at all=
oc.c:6154
#460 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#461 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#462 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af70ba60) at all=
oc.c:6154
#463 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#464 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#465 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af72ac10) at all=
oc.c:6154
#466 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#467 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#468 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#469 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af738240) at all=
oc.c:6154
#470 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#471 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af738250) at all=
oc.c:6154
#472 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#473 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#474 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af4e99f0) at all=
oc.c:6154
#475 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#476 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#477 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#478 0x000055d3ada40b22 in mark_hash_table (ptr=3D0x7f29c69c73d0) at alloc.=
c:6355
#479 0x000055d3ada40ee3 in mark_object (arg=3D...) at alloc.c:6532
#480 0x000055d3ada402e8 in mark_vectorlike (header=3D0x7f29c69c7360) at all=
oc.c:6154
#481 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#482 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#483 0x000055d3ada402e8 in mark_vectorlike (header=3D0x7f29c69f2b90) at all=
oc.c:6154
#484 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#485 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#486 0x000055d3ada402e8 in mark_vectorlike (header=3D0x7f29c6e0e548) at all=
oc.c:6154
#487 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#488 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#489 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af72baf0) at all=
oc.c:6154
#490 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#491 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#492 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af72ba70) at all=
oc.c:6154
#493 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#494 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#495 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#496 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#497 0x000055d3ada40470 in mark_compiled (ptr=3D0x7f29c68fcf78) at alloc.c:=
6196
#498 0x000055d3ada40e9e in mark_object (arg=3D...) at alloc.c:6518
#499 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#500 0x000055d3ada402e8 in mark_vectorlike (header=3D0x7f29c68fcf28) at all=
oc.c:6154
#501 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#502 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#503 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#504 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af731520) at all=
oc.c:6154
#505 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#506 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#507 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af731570) at all=
oc.c:6154
#508 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#509 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#510 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af724240) at all=
oc.c:6154
#511 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#512 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#513 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#514 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#515 0x000055d3ada40b22 in mark_hash_table (ptr=3D0x7f29c6b682d0) at alloc.=
c:6355
#516 0x000055d3ada40ee3 in mark_object (arg=3D...) at alloc.c:6532
#517 0x000055d3ada402e8 in mark_vectorlike (header=3D0x7f29c68f3d40) at all=
oc.c:6154
#518 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#519 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#520 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af558b20) at all=
oc.c:6154
#521 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#522 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#523 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#524 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#525 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#526 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#527 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#528 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af71b040) at all=
oc.c:6154
#529 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#530 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#531 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af725040) at all=
oc.c:6154
#532 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#533 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#534 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#535 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#536 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af4e6f20) at all=
oc.c:6154
#537 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#538 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af4e6f70) at all=
oc.c:6154
#539 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#540 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#541 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#542 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3b0294620) at all=
oc.c:6154
#543 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#544 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#545 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3b02946a0) at all=
oc.c:6154
#546 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#547 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#548 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af541ed0) at all=
oc.c:6154
#549 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#550 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#551 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af558c20) at all=
oc.c:6154
#552 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#553 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#554 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#555 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#556 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#557 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#558 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#559 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#560 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#561 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#562 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#563 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#564 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#565 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#566 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3b20ab8c0) at all=
oc.c:6154
#567 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#568 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#569 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3b209fd00) at all=
oc.c:6154
#570 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#571 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#572 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#573 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#574 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#575 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3b34268d0) at all=
oc.c:6154
#576 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#577 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#578 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3b34269d0) at all=
oc.c:6154
#579 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#580 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#581 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#582 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3b1b4af70) at all=
oc.c:6154
#583 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#584 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#585 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3b1b4ae80) at all=
oc.c:6154
#586 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#587 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#588 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#589 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#590 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#591 0x000055d3ada4110a in mark_object (arg=3D...) at alloc.c:6582
#592 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af8c0500) at all=
oc.c:6154
#593 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#594 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#595 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#596 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af4fee40) at all=
oc.c:6154
#597 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#598 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#599 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af551260) at all=
oc.c:6154
#600 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#601 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#602 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#603 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#604 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#605 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#606 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#607 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#608 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#609 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af6f1960) at all=
oc.c:6154
#610 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#611 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#612 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af72acd0) at all=
oc.c:6154
#613 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#614 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#615 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#616 0x000055d3ada402e8 in mark_vectorlike (header=3D0x7f29c694b5d0) at all=
oc.c:6154
#617 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#618 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#619 0x000055d3ada402e8 in mark_vectorlike (header=3D0x7f29c6f989f8) at all=
oc.c:6154
#620 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#621 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#622 0x000055d3ada402e8 in mark_vectorlike (header=3D0x7f29c6a3dd38) at all=
oc.c:6154
#623 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#624 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#625 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#626 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#627 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#628 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#629 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#630 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#631 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#632 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#633 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#634 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#635 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#636 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#637 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#638 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#639 0x000055d3ada402e8 in mark_vectorlike (header=3D0x7f29c69da7b0) at all=
oc.c:6154
#640 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#641 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#642 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af72cea0) at all=
oc.c:6154
#643 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#644 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#645 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#646 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#647 0x000055d3ada402e8 in mark_vectorlike (header=3D0x7f29c693c910) at all=
oc.c:6154
#648 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#649 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#650 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af738810) at all=
oc.c:6154
#651 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#652 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#653 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af4e9630) at all=
oc.c:6154
#654 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#655 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#656 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#657 0x000055d3ada402e8 in mark_vectorlike (header=3D0x7f29c69da488) at all=
oc.c:6154
#658 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#659 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#660 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#661 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#662 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#663 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#664 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#665 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#666 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3b1bf55c0) at all=
oc.c:6154
#667 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#668 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#669 0x000055d3ada40470 in mark_compiled (ptr=3D0x55d3b1bf55e0) at alloc.c:=
6196
#670 0x000055d3ada40e9e in mark_object (arg=3D...) at alloc.c:6518
#671 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#672 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3b1bf56c0) at all=
oc.c:6154
#673 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#674 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#675 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#676 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#677 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#678 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#679 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#680 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#681 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#682 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#683 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#684 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af7164f0) at all=
oc.c:6154
#685 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#686 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#687 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af716d90) at all=
oc.c:6154
#688 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#689 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#690 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#691 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3b0ede050) at all=
oc.c:6154
#692 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#693 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#694 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#695 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#696 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#697 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af537360) at all=
oc.c:6154
#698 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#699 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#700 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#701 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#702 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#703 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#704 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#705 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#706 0x000055d3ada402e8 in mark_vectorlike (header=3D0x7f29c68d2e88) at all=
oc.c:6154
#707 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#708 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#709 0x000055d3ada402e8 in mark_vectorlike (header=3D0x7f29c68d2b30) at all=
oc.c:6154
#710 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#711 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#712 0x000055d3ada402e8 in mark_vectorlike (header=3D0x7f29c68d2ab0) at all=
oc.c:6154
#713 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#714 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#715 0x000055d3ada402e8 in mark_vectorlike (header=3D0x7f29c68d2a08) at all=
oc.c:6154
#716 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#717 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#718 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#719 0x000055d3ada402e8 in mark_vectorlike (header=3D0x7f29c6958dc0) at all=
oc.c:6154
#720 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#721 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#722 0x000055d3ada402e8 in mark_vectorlike (header=3D0x7f29c69a0728) at all=
oc.c:6154
#723 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#724 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#725 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3b2e80a10) at all=
oc.c:6154
#726 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#727 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#728 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#729 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3b25b7fa0) at all=
oc.c:6154
#730 0x000055d3ada40533 in mark_buffer (buffer=3D0x55d3b25b7fa0) at alloc.c=
:6221
#731 0x000055d3ada40e91 in mark_object (arg=3D...) at alloc.c:6510
#732 0x000055d3ada4070b in mark_localized_symbol (ptr=3D0x55d3ae3400f0 <lis=
psym+36240>) at alloc.c:6274
#733 0x000055d3ada4113e in mark_object (arg=3D...) at alloc.c:6591
#734 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af74eb20) at all=
oc.c:6154
#735 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#736 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af754d00) at all=
oc.c:6154
#737 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#738 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#739 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#740 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#741 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#742 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#743 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#744 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#745 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af70b950) at all=
oc.c:6154
#746 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#747 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#748 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af7213e0) at all=
oc.c:6154
#749 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#750 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#751 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af7241d0) at all=
oc.c:6154
#752 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#753 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#754 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#755 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#756 0x000055d3ada402e8 in mark_vectorlike (header=3D0x7f29c6f9ea90) at all=
oc.c:6154
#757 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#758 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#759 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#760 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#761 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#762 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#763 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af70b570) at all=
oc.c:6154
#764 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#765 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#766 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af720c30) at all=
oc.c:6154
#767 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#768 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#769 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af7170e0) at all=
oc.c:6154
#770 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#771 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#772 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#773 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#774 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af759620) at all=
oc.c:6154
#775 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#776 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#777 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#778 0x000055d3ada402e8 in mark_vectorlike (header=3D0x7f29c6b21038) at all=
oc.c:6154
#779 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#780 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#781 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3b3702e60) at all=
oc.c:6154
#782 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#783 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#784 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#785 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#786 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#787 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#788 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#789 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#790 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#791 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#792 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#793 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#794 0x000055d3ada402e8 in mark_vectorlike (header=3D0x55d3af71a5c0) at all=
oc.c:6154
#795 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#796 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#797 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#798 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#799 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#800 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#801 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#802 0x000055d3ada402e8 in mark_vectorlike (header=3D0x7f29c6e41ea8) at all=
oc.c:6154
#803 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#804 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#805 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#806 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#807 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#808 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#809 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#810 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#811 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#812 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#813 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#814 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#815 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#816 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#817 0x000055d3ada402e8 in mark_vectorlike (header=3D0x7f29c68d33d0) at all=
oc.c:6154
#818 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#819 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#820 0x000055d3ada412d8 in mark_object (arg=3D...) at alloc.c:6625
#821 0x000055d3ada41088 in mark_object (arg=3D...) at alloc.c:6579
#822 0x000055d3ada402e8 in mark_vectorlike (header=3D0x7f29c6952278) at all=
oc.c:6154
#823 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#824 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#825 0x000055d3ada402e8 in mark_vectorlike (header=3D0x7f29c6952390) at all=
oc.c:6154
#826 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#827 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#828 0x000055d3ada402e8 in mark_vectorlike (header=3D0x7f29c6f9d0a0) at all=
oc.c:6154
#829 0x000055d3ada40f5c in mark_object (arg=3D...) at alloc.c:6563
#830 0x000055d3ada41078 in mark_object (arg=3D...) at alloc.c:6578
#831 0x000055d3ada3f297 in mark_object_root_visitor (root_ptr=3D0x55d3ae31c=
d10 <buffer_defaults+80>, type=3DGC_ROOT_BUFFER_LOCAL_DEFAULT, data=3D0x0) =
at alloc.c:5736
#832 0x000055d3ada3f07d in visit_vectorlike_root (visitor=3D..., ptr=3D0x55=
d3ae31ccc0 <buffer_defaults>, type=3DGC_ROOT_BUFFER_LOCAL_DEFAULT) at alloc=
.c:5687
#833 0x000055d3ada3f17b in visit_buffer_root (visitor=3D..., buffer=3D0x55d=
3ae31ccc0 <buffer_defaults>, type=3DGC_ROOT_BUFFER_LOCAL_DEFAULT) at alloc.=
c:5702
#834 0x000055d3ada3f1c5 in visit_static_gc_roots (visitor=3D...) at alloc.c=
:5714
#835 0x000055d3ada3f7f6 in garbage_collect () at alloc.c:5935
#836 0x000055d3ada3f5a9 in maybe_garbage_collect () at alloc.c:5847
#837 0x000055d3ada96b49 in maybe_gc () at /home/fernando/Documentos/Projeto=
s/emacs-27/src/lisp.h:5066
#838 0x000055d3adaa2310 in Ffuncall (nargs=3D3, args=3D0x7ffdfac48730) at e=
val.c:2779
#839 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfac487e0) at eva=
l.c:2425
#840 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#841 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) at=
 process.c:5989
#842 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716a=
 <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb472=
05 <read_process_output_error_handler>) at eval.c:1380
#843 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b3=
384130, chars=3D0x7ffdfac488f0 "\220p.Iz\335\371\211c\323e\271*\265\241U\27=
6\365\260=D4=BDg=E8=A0=AF\216=E1=85=95&\036\225\331\375=CE=B6T\214\321R\377=
\271\063%\030\363\061\305\302m\263\334\341FO\303P?\224\020\300H\375F\234.\2=
76\017\214", nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#844 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) a=
t process.c:6121
#845 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, nse=
cs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait_=
proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#846 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e34e28 "=
\n+=CA=A8", len=3D4, object=3D...) at process.c:6620
#847 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D..=
.) at process.c:6697
#848 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_se=
nd_string>, numargs=3D2, args=3D0x7ffdfac49fc0) at eval.c:2870
#849 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfac49fb8) at e=
val.c:2795
#850 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., max=
depth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#851 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vector=
=3D0x55d3b2e12fe5) at eval.c:3068
#852 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfac4a4d0) at e=
val.c:2797
#853 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfac4a580) at eva=
l.c:2425
#854 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#855 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) at=
 process.c:5989
#856 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716a=
 <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb472=
05 <read_process_output_error_handler>) at eval.c:1380
#857 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b3=
384130, chars=3D0x7ffdfac4a690 "\253\340\222\254\244\266\332\376\267\bzW\23=
4\251\226iuHP\373\367\302s=C3=A7\263\276%\252\343\023{=CE=A5\266\060v\371\3=
34\364\336xvg4\216I\270Bd\336X=C3=8CJ\005\327~\034\032=3Dx_\250B=CA=98@\373=
X\310\003\237\210\023\310\n", nbytes=3D4096, coding=3D0x55d3b3915cd0) at pr=
ocess.c:6210
#858 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) a=
t process.c:6121
#859 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, nse=
cs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait_=
proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#860 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e34e18 "=
\n+\272\250", len=3D4, object=3D...) at process.c:6620
#861 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D..=
.) at process.c:6697
#862 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_se=
nd_string>, numargs=3D2, args=3D0x7ffdfac4bd60) at eval.c:2870
#863 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfac4bd58) at e=
val.c:2795
#864 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., max=
depth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#865 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vector=
=3D0x55d3b2e12fe5) at eval.c:3068
#866 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfac4c270) at e=
val.c:2797
#867 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfac4c320) at eva=
l.c:2425
#868 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#869 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) at=
 process.c:5989
#870 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716a=
 <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb472=
05 <read_process_output_error_handler>) at eval.c:1380
#871 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b3=
384130, chars=3D0x7ffdfac4c430 "\313\357\320=CD=BE\262\202\362\320(\304=D4=
=839'wr\251\213\260g\211\321X=D9=AC\356\262|\374@a)\210OX\313x\031`\271\256=
\261\217\251?\345\375atoz\021\246\232\236\303e\f\273\031\272y\377\357\374j\=
312S\305.\325\021\264y{5\261g\372\\#[h\341G\234\243\241\032,\234\350\361:\2=
01\030\v\221\205\247\240i@9t\225^\234LQ`\256\233\275\357\023\357^\363v0\242=
\227\063`B\270$\216\211!\227\204\205C*=DD=B2\201\274", nbytes=3D4096, codin=
g=3D0x55d3b3915cd0) at process.c:6210
#872 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) a=
t process.c:6121
#873 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, nse=
cs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait_=
proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#874 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e34e08 "=
\n+\252\250", len=3D4, object=3D...) at process.c:6620
#875 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D..=
.) at process.c:6697
#876 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_se=
nd_string>, numargs=3D2, args=3D0x7ffdfac4db00) at eval.c:2870
#877 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfac4daf8) at e=
val.c:2795
#878 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., max=
depth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#879 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vector=
=3D0x55d3b2e12fe5) at eval.c:3068
#880 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfac4e010) at e=
val.c:2797
#881 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfac4e0c0) at eva=
l.c:2425
#882 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#883 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) at=
 process.c:5989
#884 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716a=
 <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb472=
05 <read_process_output_error_handler>) at eval.c:1380
#885 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b3=
384130, chars=3D0x7ffdfac4e1d0 "wU=DB=94\226\274\003\262\343=C6=AB\227(osdf=
-\027\226\257\r\270\270\232!?\240\\\207\027\317\367\377?hHq\004\353\303\343=
Q\357^\303]\035\277l\204M\320=DB=AF;v\324\027\r{i\303?+\377\066c\246\255\30=
3r\357%\345\205\315-\311=D4=A0\203\354\363\027Id\033V\002\025\244!\223\246b=
\205x\250\223=CA=80=D6=AE\320P=D1=8C\240=CE=89\375#m\202(\342\226\002\243\2=
27;\220\256\031\231x\001\365\223'b\032\306M\301\300\005\252\326\365%SI46x\2=
77=C5=A8=CA=B8\311G\352\062J\243\342e\224@||\335\067\a\032e=C8=9B\307<X\240=
\223\276\b\262x\005\033%\311&\201\205\005\025E \223J\\\306\360\241\\S\020".=
.., nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#886 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) a=
t process.c:6121
#887 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, nse=
cs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait_=
proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#888 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e34df8 "=
\n+\232\250", len=3D4, object=3D...) at process.c:6620
#889 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D..=
.) at process.c:6697
#890 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_se=
nd_string>, numargs=3D2, args=3D0x7ffdfac4f8a0) at eval.c:2870
#891 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfac4f898) at e=
val.c:2795
#892 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., max=
depth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#893 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vector=
=3D0x55d3b2e12fe5) at eval.c:3068
#894 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfac4fdb0) at e=
val.c:2797
#895 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfac4fe60) at eva=
l.c:2425
#896 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#897 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) at=
 process.c:5989
#898 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716a=
 <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb472=
05 <read_process_output_error_handler>) at eval.c:1380
#899 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b3=
384130, chars=3D0x7ffdfac4ff70 "\006\334S\264=CA=9A\246\241\352\316HCN\332\=
363\276\311=D3=BC0\257=DD=B3\205\021EM\225\035\220", nbytes=3D4096, coding=
=3D0x55d3b3915cd0) at process.c:6210
#900 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) a=
t process.c:6121
#901 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, nse=
cs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait_=
proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#902 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e34de8 "=
\n+\212\250", len=3D4, object=3D...) at process.c:6620
#903 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D..=
.) at process.c:6697
#904 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_se=
nd_string>, numargs=3D2, args=3D0x7ffdfac51640) at eval.c:2870
#905 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfac51638) at e=
val.c:2795
#906 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., max=
depth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#907 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vector=
=3D0x55d3b2e12fe5) at eval.c:3068
#908 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfac51b50) at e=
val.c:2797
#909 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfac51c00) at eva=
l.c:2425
#910 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#911 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) at=
 process.c:5989
#912 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716a=
 <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb472=
05 <read_process_output_error_handler>) at eval.c:1380
#913 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b3=
384130, chars=3D0x7ffdfac51d10 "\377\313#\304d\263\350N\263\367\345|\356\27=
2@n\322\035\023C\354\211)\306\351\065\271U\325\360\317\376\fFI5=CF=9DE\203=
=C9=98\016\307\341\357=D6=8Ek\327/\326\304,#\223`\207\306@\260\023\340${+o\=
"\215xMP\031\372\363\260\a|\372\005\344\303\315[", nbytes=3D4096, coding=3D=
0x55d3b3915cd0) at process.c:6210
#914 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) a=
t process.c:6121
#915 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, nse=
cs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait_=
proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#916 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e34dd8 "=
\n+z\250", len=3D4, object=3D...) at process.c:6620
#917 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D..=
.) at process.c:6697
#918 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_se=
nd_string>, numargs=3D2, args=3D0x7ffdfac533e0) at eval.c:2870
#919 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfac533d8) at e=
val.c:2795
#920 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., max=
depth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#921 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vector=
=3D0x55d3b2e12fe5) at eval.c:3068
#922 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfac538f0) at e=
val.c:2797
#923 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfac539a0) at eva=
l.c:2425
#924 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#925 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) at=
 process.c:5989
#926 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716a=
 <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb472=
05 <read_process_output_error_handler>) at eval.c:1380
#927 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b3=
384130, chars=3D0x7ffdfac53ab0 "\377\030\036!\\\275^\333@tE\245", nbytes=3D=
4096, coding=3D0x55d3b3915cd0) at process.c:6210
#928 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) a=
t process.c:6121
#929 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, nse=
cs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait_=
proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#930 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e34dc8 "=
\n+j\250", len=3D4, object=3D...) at process.c:6620
#931 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D..=
.) at process.c:6697
#932 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_se=
nd_string>, numargs=3D2, args=3D0x7ffdfac55180) at eval.c:2870
#933 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfac55178) at e=
val.c:2795
#934 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., max=
depth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#935 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vector=
=3D0x55d3b2e12fe5) at eval.c:3068
#936 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfac55690) at e=
val.c:2797
#937 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfac55740) at eva=
l.c:2425
#938 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#939 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) at=
 process.c:5989
#940 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716a=
 <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb472=
05 <read_process_output_error_handler>) at eval.c:1380
#941 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b3=
384130, chars=3D0x7ffdfac55850 "U\371V\372\371u\373A\377\373\330=E9=8D=A2y\=
343\037\254\201ra\035Js;\354\327\064\343mN_\213P!v\261\316\340+l\373\\\030\=
251\257\353s\331S8\335\343]\225\vzZ\a\335\343\356\274=C7=B7\340=D3=87\037\2=
56\341\037\350\352Se\272\234\064\347Ww&\376\"=C7=A0b\377", nbytes=3D4096, c=
oding=3D0x55d3b3915cd0) at process.c:6210
#942 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) a=
t process.c:6121
#943 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, nse=
cs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait_=
proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#944 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e34db8 "=
\n+Z\250", len=3D4, object=3D...) at process.c:6620
#945 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D..=
.) at process.c:6697
#946 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_se=
nd_string>, numargs=3D2, args=3D0x7ffdfac56f20) at eval.c:2870
#947 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfac56f18) at e=
val.c:2795
#948 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., max=
depth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#949 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vector=
=3D0x55d3b2e12fe5) at eval.c:3068
#950 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfac57430) at e=
val.c:2797
#951 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfac574e0) at eva=
l.c:2425
#952 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#953 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) at=
 process.c:5989
#954 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716a=
 <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb472=
05 <read_process_output_error_handler>) at eval.c:1380
#955 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b3=
384130, chars=3D0x7ffdfac575f0 "u9\213\177|\310=E9=B0=97\356\023nHM\270\267=
=DC=8A\214\214wG\210\314\371F\031\300\021@\246\201#\255\023gu\350]*'\304\36=
1\236\307o\210\031\323=C5=9A\351A,\016}Sov\016\211\067*7\316\202\273\332\36=
6)G\263\231z\265\351\334\320\343\066\241\065\200dVT=C9=A3\tc\221B6\243\277\=
345m=D9=9F\350\071\277\t\231t\\?:\236\017\245N\367\367f\353`\304\376;\364\2=
51\373\177\236\256\224A\"a\271\004mB\361\326b\a\260\350D\022e\237\304R\326=
=3D\325=C9=AF=E2=94=81qy\315^\363bA\261\335\037\377\215\026PmLi\230pQ\366\3=
50\355t8@/\021\210\035\325d\227+\246P\331r\211\226\346\231=3D\352d\254"...,=
 nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#956 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) a=
t process.c:6121
#957 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, nse=
cs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait_=
proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#958 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e34da8 "=
\n+J\250", len=3D4, object=3D...) at process.c:6620
#959 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D..=
.) at process.c:6697
#960 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_se=
nd_string>, numargs=3D2, args=3D0x7ffdfac58cc0) at eval.c:2870
#961 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfac58cb8) at e=
val.c:2795
#962 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., max=
depth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#963 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vector=
=3D0x55d3b2e12fe5) at eval.c:3068
#964 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfac591d0) at e=
val.c:2797
#965 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfac59280) at eva=
l.c:2425
#966 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#967 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) at=
 process.c:5989
#968 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716a=
 <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb472=
05 <read_process_output_error_handler>) at eval.c:1380
#969 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b3=
384130, chars=3D0x7ffdfac59390 "\214x1q\001\063\001\256=D4=84!\315\b\312\00=
5\274!]=C3=B5\226\251\022\006\004\273\224\070Od=C5=9E\032\331\361#\250\244\=
330\t=C9=BD\375\322\306\324J\243\367\270\033\353\356\375\354~\035V\321l\v\n=
B\030\350sj\334\374\324\300I\273\266P\260=CB=AA=C2=A5P=C9=8CC\\9\346Ykw\215=
I-\263\023=D5=A4\261\na\232\036\224\314\002\224\215\245|\\.<\321\373v_8\034=
b\252\357\342\a\356i\021S\277\252\254\374\062\025\225w\315u\356=C9=B7N\025\=
224`\366\064\003\025d\300C\241\273=C3=BB\343O=3D\367r4\260\031\310\336d\346=
\273w&\220\322=DA=A6\020\314\354\016XM\215=EE=9A=AE\235\034oF\236I^\303\062=
+GJ\323N\357\064"..., nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:=
6210
#970 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) a=
t process.c:6121
#971 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, nse=
cs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait_=
proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#972 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e34d98 "=
\n+:\250", len=3D4, object=3D...) at process.c:6620
#973 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D..=
.) at process.c:6697
#974 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_se=
nd_string>, numargs=3D2, args=3D0x7ffdfac5aa60) at eval.c:2870
#975 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfac5aa58) at e=
val.c:2795
#976 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., max=
depth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#977 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vector=
=3D0x55d3b2e12fe5) at eval.c:3068
#978 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfac5af70) at e=
val.c:2797
#979 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfac5b020) at eva=
l.c:2425
#980 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#981 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) at=
 process.c:5989
#982 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716a=
 <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb472=
05 <read_process_output_error_handler>) at eval.c:1380
#983 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b3=
384130, chars=3D0x7ffdfac5b130 "\371\261#\327Bw\306\322\t\321\367\240J\233\=
370\267\345\274/\201@\016\063yk\355e\324y2rR\300\264\351\337\034\243\307\a\=
231JVP\216\251\373=EA=BC=A8&l\035+=CB=83\240\030\244\213\240\374s\252\305\3=
47\300ab\334:\272\277\063T\203\002\343\205t{S\210\027\317)3\n\274d4\314\001=
q\v,\230Mr\310\070v\212[l\325,\200\271\274\025\034+\216\210c\276J\306\016=
=E1=92=85\315\353\304\363\257\b&\366\331\035[-w$\276\036\247\205\331\371\37=
2\206F\250\344-rV\316G=DA=B64=D8=89\372K[\322J\310A\350\316\304\364\325\323=
T\307\367P\261\246\271\065(\354\260=CB=AEw\216\230\324\356\370\251\n\\\201\=
032\247\271]=DB=80"..., nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.=
c:6210
#984 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) a=
t process.c:6121
#985 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, nse=
cs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait_=
proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#986 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e349a8 "=
\n+*\250", len=3D4, object=3D...) at process.c:6620
#987 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D..=
.) at process.c:6697
#988 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_se=
nd_string>, numargs=3D2, args=3D0x7ffdfac5c800) at eval.c:2870
#989 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfac5c7f8) at e=
val.c:2795
#990 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., max=
depth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#991 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vector=
=3D0x55d3b2e12fe5) at eval.c:3068
#992 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfac5cd10) at e=
val.c:2797
#993 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfac5cdc0) at eva=
l.c:2425
#994 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#995 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) at=
 process.c:5989
#996 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716a=
 <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb472=
05 <read_process_output_error_handler>) at eval.c:1380
#997 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b3=
384130, chars=3D0x7ffdfac5ced0 "4A)\031r\364\030\071\371\220\376\232\356\23=
4aC\035\b\377\201\230\030q&\212\062\315\326\336\336\375\251\253\002\242hom5=
\334\016oM;ps\201\261\352V\265\b\256`\233\003\326\374\345M\214\016\235`\327=
\004\263wM\027h\267\200\376\365\350d\207\251\266r\023\375w\370\271c\273\207=
Y\260\177\306\001\207]\261\222{=C7=BAh*\237\267&", <incomplete sequence \33=
7>, nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#998 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) a=
t process.c:6121
#999 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, nse=
cs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait_=
proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1000 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e34998 =
"\n+\032\250", len=3D4, object=3D...) at process.c:6620
#1001 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1002 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfac5e5a0) at eval.c:2870
#1003 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfac5e598) at =
eval.c:2795
#1004 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1005 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1006 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfac5eab0) at =
eval.c:2797
#1007 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfac5eb60) at ev=
al.c:2425
#1008 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1009 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1010 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1011 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfac5ec70 "\233i\257\370\235\320%\236Nt\242=C6=94[\33=
2@g\210\210\244\211\026\036\301^\017$`\003\342\r\005Ij\240\261gF&C=EC=8A=A4=
L\373\245\204BXY3\361\236\261\335\070\004\230 T\260\036Y+\035\262\035r\301/=
\203\276=C5=BA\274\230\\_\232\357Z\322Zi\354\244UV=3DeXu\342\204\027B\273\0=
66\070\254l\t\006\325Q\005S\360\002\352C9z7\234\233\a", nbytes=3D4096, codi=
ng=3D0x55d3b3915cd0) at process.c:6210
#1012 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1013 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1014 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e34988 =
"\n+\n\250", len=3D4, object=3D...) at process.c:6620
#1015 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1016 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfac60340) at eval.c:2870
#1017 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfac60338) at =
eval.c:2795
#1018 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1019 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1020 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfac60850) at =
eval.c:2797
#1021 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfac60900) at ev=
al.c:2425
#1022 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1023 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1024 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1025 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfac60a10 "\366\002_1\034\345)\361\341\274&\216\361\a=
=3Dt\vSd\"\316k>=DD=AC[\343\067\373\252\345\372=CE=B5v\036\223\005\350Q7\21=
3\267\214\366\261\212=E7=9A=98\244\355\351\005-\321oW\006\363]\270\213\324\=
305*\234z\206@\303bmp\035\353\375\345\023\300hE\355\065\353\062\356F\363\21=
4{\372\216>W\352f\253\356\003\331P\225=DF=98`Z\215\f\340 A\341\n\t7\230\244=
\027\a\245\231\202n\334\060\277\361\331iyZ\002\305$\037\257=DB=8EI=3D\301.\=
242\323b\026B\210\370\301\351iF'\273`I\237\060e\367@t\026\205\333!fm\304\35=
0O\002\252\330`R\021Y`)\371\212\033h\224%5\333\060\257=CD=8C\001v\\<\346\02=
7"..., nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#1026 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1027 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1028 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e34978 =
"\n", <incomplete sequence \372\250>, len=3D4, object=3D...) at process.c:6=
620
#1029 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1030 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfac620e0) at eval.c:2870
#1031 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfac620d8) at =
eval.c:2795
#1032 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1033 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1034 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfac625f0) at =
eval.c:2797
#1035 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfac626a0) at ev=
al.c:2425
#1036 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1037 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1038 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1039 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfac627b0 "=DB=A3\307\365\256h\027\061P#\343\326=CF=
=94\274\237-{-\377\026\034\275s6j\210L\277c\265w\003s\362\266\032\212\307\0=
63z\300\335M\203\311v5m<\364\f\235\064\367SQ\034E\033\211Bz^V\325\370\376\0=
22?=D8=83/\327\274\234uG\023M\257\230\337J\373Y\306f\016\215\317D\265\226=
=E8=8E=8FB\037\364\263\343t5\377\016\337x\351G4\r|\355\022rHx\032\315n\224\=
035\071g\216Jfi\260\037\304\034\233\243cM9j\310}Sy\313\037@\340\375=D7=864.=
\212\225\225W\370C\024\206\070\005\276I\251\203\224\354\064/\344\071\024?\2=
23N63=CF=939)=D7=9E\226)~O\253DF\260\364A\247[\b\246", <incomplete sequence=
 \325>..., nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#1040 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1041 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1042 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e34968 =
"\n", <incomplete sequence \352\250>, len=3D4, object=3D...) at process.c:6=
620
#1043 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1044 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfac63e80) at eval.c:2870
#1045 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfac63e78) at =
eval.c:2795
#1046 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1047 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1048 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfac64390) at =
eval.c:2797
#1049 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfac64440) at ev=
al.c:2425
#1050 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1051 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1052 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1053 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfac64550 "P\215'=E7=88=A5\344 \214\235<}=D4=A1\264}Z=
\265\004i\002\245\330\035.\370B\214\fk\372LB\354v\205\355<M\231\363\265\333=
\364\064\062\350g^=C7=8E\300p7\003\220\070B\032\354\061=DB=93&\217=C9=93\35=
4\322Tlt+\016s\263\001t\356X%\355\223;g%_~\300\201\342\264\030]W\267\267'\3=
37G=C3=9Fqo\020Z\333=D8=8C\255\023\016o\253QD\024\220\240\230\f\274H\030=DD=
=8F\317\350\245a\276'\004\315\016\357\346\314\371>\261Q\330\367=DD=93\022/\=
204\067\v^\340`%\036\260\227S", nbytes=3D4096, coding=3D0x55d3b3915cd0) at =
process.c:6210
#1054 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1055 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1056 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e34958 =
"\n*=DA=A8", len=3D4, object=3D...) at process.c:6620
#1057 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1058 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfac65c20) at eval.c:2870
#1059 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfac65c18) at =
eval.c:2795
#1060 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1061 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1062 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfac66130) at =
eval.c:2797
#1063 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfac661e0) at ev=
al.c:2425
#1064 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1065 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1066 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1067 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfac662f0 "2\023\377r\002\002F+\217\237=D8=80\241V^K\=
237\214Nu\270i\017\064\311\371\017\312\022w\266g\367\344\263\355e\n\263,\36=
1\252\347\070C!\335d\336\034\366Y\244\241?d\350(\\I\212\006\064\314|\017\03=
6\335\027\364\355 <\263\n\251\372\020\b\270b\035\363c\332@#\342T\220\322}.\=
212\364\066\254;v\352\027D\256\372\257\307.^Bav", nbytes=3D4096, coding=3D0=
x55d3b3915cd0) at process.c:6210
#1068 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1069 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1070 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e34948 =
"\n*=CA=A8", len=3D4, object=3D...) at process.c:6620
#1071 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1072 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfac679c0) at eval.c:2870
#1073 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfac679b8) at =
eval.c:2795
#1074 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1075 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1076 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfac67ed0) at =
eval.c:2797
#1077 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfac67f80) at ev=
al.c:2425
#1078 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1079 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1080 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1081 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfac68090 "D[F\021\326hr\266\377\360\022\026f\020\257=
_\357\004\354\251\377\272\vqJi\346\314\002\372+\003\312\374\210\273\250D\25=
5\363ij", nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#1082 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1083 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1084 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e34938 =
"\n*\272\250", len=3D4, object=3D...) at process.c:6620
#1085 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1086 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfac69760) at eval.c:2870
#1087 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfac69758) at =
eval.c:2795
#1088 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1089 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1090 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfac69c70) at =
eval.c:2797
#1091 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfac69d20) at ev=
al.c:2425
#1092 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1093 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1094 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1095 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfac69e30 "\327\177\262\006\316v\233@\343\371E\214\35=
4\177P\311\357\vv\317\360)3\234<\202\064\f\370S.\266\233\341\330\027\204+\2=
61\364\"\f\271\216\205\062\203\024\342\217\316\035nsk\207\253\237\376=3Dv\3=
05\367E8A\375\062\371\322w\352{\246\340\230S%\226\036,\265\255N=C3=92\302\3=
16\066/:\362\266\226:\351'\372\377\037\230\003u\177:\344\347b\022\242\366\0=
70\276\335J\375\362\257c\241\035=D2=93\224J.I\371%\375\205\273!\364\273.\02=
6\202j\177N\a\036H\363=C7=89\322_Q\251\246\372\253\375T\024\264\257\024\226=
\235\272wE\265\204\342,\202\362\025\275\271\230Q\372\356\333\301=CF=BF\311i=
{\336R\324Y\026\037\332\tk\315 L\271\265\217"..., nbytes=3D4096, coding=3D0=
x55d3b3915cd0) at process.c:6210
#1096 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1097 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1098 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e34928 =
"\n*\252\250", len=3D4, object=3D...) at process.c:6620
#1099 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1100 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfac6b500) at eval.c:2870
#1101 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfac6b4f8) at =
eval.c:2795
#1102 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1103 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1104 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfac6ba10) at =
eval.c:2797
#1105 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfac6bac0) at ev=
al.c:2425
#1106 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1107 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1108 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1109 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfac6bbd0 "\271\334=C3=A2\021\017\232\334?9\240\243KV=
\202\016\071\206\aA\f`D\262`u`\\_:\265!\n\016\063?\037\371\375\005)Ia\001\2=
20=D8=88u\b\235\235\234q=DA=8B\353\327=D3=A4\322\304\061\320@=3DG\360s_y^\3=
63\t\022\322\a\026T\250\230\213\370\352R\265\303\374\250\230\357-C\371\n\01=
6\032\263\230}8\360;\312`+\224\221@\341)2U\265\251\204\020:\260\312\311\025=
\332(c\v\352/r[.\332 \"7E\003\220uOm&=C4=9C\240\002\336\"\001\251#o\v4y\034=
'\002\374dv\373.>\223tG\363\273*EA=DB=8A\252c\245\363S\362\357\321c \213,\0=
16I\270\256\003\036\324\n\b*\250\n\302A\211"..., nbytes=3D4096, coding=3D0x=
55d3b3915cd0) at process.c:6210
#1110 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1111 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1112 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e34918 =
"\n*\232\250", len=3D4, object=3D...) at process.c:6620
#1113 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1114 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfac6d2a0) at eval.c:2870
#1115 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfac6d298) at =
eval.c:2795
#1116 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1117 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1118 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfac6d7b0) at =
eval.c:2797
#1119 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfac6d860) at ev=
al.c:2425
#1120 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1121 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1122 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1123 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfac6d970 "\315\f\345\255\307\036\027\f\364K\342zA\30=
2,\"=C4=96\300\366\201\251Xi\360\067S\351'\004\210X\250\016x\271\244Z=C4=8D=
t*zUt\317\022a\357\207>rM\334\"\305A \274\033dB\214\305<\027Qd\004\302~\313=
\344\003i*\216\310\034\206M\017=C4=A71\212\247\315=E5=B1=BB=CF=A4\264G\v\30=
5!\027I\345;\225\315g\372\062\177\223\203\301\273q\024\265U=D1=9F&\355I\241=
\066=D4=95\247)=D7=9AVs\245\253\066\t6\371\334\371m\272\031\022\211vl\241Xt=
\223\016\344\062/u\001<\261e\363\364=C6=BCB\037\021\346\226\310l=D0=95\274d=
=C7=84\036T\374l]e\006\064(\363\003\200H\336\332T\300\024c7M\206\232", <inc=
omplete sequence \304>..., nbytes=3D4096, coding=3D0x55d3b3915cd0) at proce=
ss.c:6210
#1124 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1125 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1126 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e34908 =
"\n*\212\250", len=3D4, object=3D...) at process.c:6620
#1127 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1128 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfac6f040) at eval.c:2870
#1129 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfac6f038) at =
eval.c:2795
#1130 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1131 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1132 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfac6f550) at =
eval.c:2797
#1133 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfac6f600) at ev=
al.c:2425
#1134 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1135 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1136 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1137 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfac6f710 "\037\004\257\251\237S\030\372\070o\225\323=
yz\373\005=C9=BF\344=D5=8Em\370\377\204\065\355!V=DF=AF\215[\300=D9=93\347\=
207\342\264&\325\300\271pA\202\a$\274p\342\205C\227\b~\370\231/g\243\061HD\=
262\242\301\036\340\351F\033\027\221\022\021]Y\245\221%oc=D3=A4W]\372\031\2=
15M<;\277\267\230*\210\200\016\030\261\344!\273,=DA=B0{\263\307\357\317cB\2=
30,OL\035\224\354\253\374\225\006\262\065\066\"`y-V\237\332\006\323\b\017a<=
6\a\270=EC=A6=A6\363\330\375+o\324!?!=D3=A8U}%\354\210|\266\033!j\302\037=
=CF=96L\367\255$\232\350\246\031\364 \236t]h\226\303A\344P=CA=9A\316\065(\2=
16", <incomplete sequence \342>..., nbytes=3D4096, coding=3D0x55d3b3915cd0)=
 at process.c:6210
#1138 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1139 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1140 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e348f8 =
"\n*z\250", len=3D4, object=3D...) at process.c:6620
#1141 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1142 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfac70de0) at eval.c:2870
#1143 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfac70dd8) at =
eval.c:2795
#1144 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1145 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1146 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfac712f0) at =
eval.c:2797
#1147 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfac713a0) at ev=
al.c:2425
#1148 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1149 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1150 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1151 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfac714b0 ">\227\214\300\206\272fHD\r@\261\061\332\31=
1=E3=A6=8B\307\002\034\372\t4|\264>[\310\342Q\232\a\030\277\213\321\070\025=
\016\070=C5=97\350#\320OR{\344\222x6\231\262\002\326\065\262=3D\322\363\216=
\275fk\361<-\331=D6=BF}/\v\314\023\070\354Q\327\270O\023\224\321\"\340\350P=
\375\371\202\061\300\n\253\306\375\003\362\317^\357\b(\251\300\020\033=C5=
=8A\373\334\f\030|9\372;\326X\361K]\005=CA=89\f\303\366\003\200\021\325\006=
\376\060-x2\201ZLF\225\323cog\301yb\351\065\v=E7=BA=966\347]>=CF=80*0\336\2=
64z\351\300\021\f\236r\230J?\177\204*x\345`\242B+=CF=9A?\"\027V\355z$4qV"..=
., nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#1152 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1153 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1154 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e348e8 =
"\n*j\250", len=3D4, object=3D...) at process.c:6620
#1155 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1156 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfac72b80) at eval.c:2870
#1157 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfac72b78) at =
eval.c:2795
#1158 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1159 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1160 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfac73090) at =
eval.c:2797
#1161 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfac73140) at ev=
al.c:2425
#1162 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1163 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1164 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1165 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfac73250 "\232\001\262\227J\246k\370#\211\242\030T+\=
215KJ/C@\367\035\362\375\321i\243'=E7=96=B7\301;\247\301\314E\363\067\301\0=
33\020\250\372\365_=DF=A4[\276\315~\nM\373\063=CC=8D\026\335Gg\360\262\326H=
f#e4\362\365\005\307\322\347rM\311\006\271\361\031=C5=AEF\376h\325-\247\274=
=DE=83\351\364\335q\020\263\203Bx\354`\033\ve\001A+W\177C\311?\200\232\031\=
307\n\031\341-\360\203\336e\351\363\226(\366\244J\220j\026L\214\202\271\344=
\331\001\234\227;\t\231\247\001\206\360\210<\024\037\336\264\300?[\v\001\37=
1\225\a\255\212\311\n", nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.=
c:6210
#1166 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1167 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1168 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e348d8 =
"\n*Z\250", len=3D4, object=3D...) at process.c:6620
#1169 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1170 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfac74920) at eval.c:2870
#1171 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfac74918) at =
eval.c:2795
#1172 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1173 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1174 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfac74e30) at =
eval.c:2797
#1175 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfac74ee0) at ev=
al.c:2425
#1176 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1177 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1178 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1179 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfac74ff0 "60\373nf=D9=98\311\337\361\004[<z\035\372\=
336\263\347\376m\331\315r\330", <incomplete sequence \364\265>, nbytes=3D40=
96, coding=3D0x55d3b3915cd0) at process.c:6210
#1180 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1181 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1182 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e348c8 =
"\n*J\250", len=3D4, object=3D...) at process.c:6620
#1183 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1184 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfac766c0) at eval.c:2870
#1185 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfac766b8) at =
eval.c:2795
#1186 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1187 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1188 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfac76bd0) at =
eval.c:2797
#1189 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfac76c80) at ev=
al.c:2425
#1190 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1191 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1192 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1193 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfac76d90 "\225P\372\342\276\022\317Z$\320v\342\261\3=
60C0\262/5Vm7\200\256(\v@V)\271\061=EE=9A=86\217\332\035\071\243+\356\006\3=
76U\311\b\005b\025\004\035]=C5=B3\361\n\223XL\177\377>\366\265\071\005\223\=
060E\302\022IW\001\002\310\334\315\b\344\365\232R\265\a\177\272\220\216-U\t=
\276*]\311\305\302\222\071I\206%Z=3D\237\177\336\275*\005\265\020\241L\344\=
221f\321Q\204f{\362$\261\330A=C2=B4\377e\217\277\030I\262\373\252=EE=91=96\=
001R\275\303\020\026'\004\300hO\003x\346k\362t\351\f=C3=B3\224\266\363\226\=
373[NY\024d\354\006{\360Z\227\310\027\257\016\212", nbytes=3D4096, coding=
=3D0x55d3b3915cd0) at process.c:6210
#1194 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1195 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1196 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e348b8 =
"\n*:\250", len=3D4, object=3D...) at process.c:6620
#1197 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1198 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfac78460) at eval.c:2870
#1199 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfac78458) at =
eval.c:2795
#1200 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1201 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1202 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfac78970) at =
eval.c:2797
#1203 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfac78a20) at ev=
al.c:2425
#1204 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1205 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1206 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1207 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfac78b30 "{<\331)\303\b\346S\300la\244\353\t\200|\02=
7EbY=3D\244=D4=B9\201Po\026|Bh\a\376V\314\026\061\245\215!\310\061\063\265\=
276\265\246<\220\062\315&\340p&\342=D0=97v>J2\264\214?\316\004w<\323\030\24=
2\001\347\003\237\316\351\rya.\316}#\261q\241\254eJ\253v!\305\366\"\251\277=
\266,f\277\267\366!Ib\356j\"\274\017c\350\251h.\366n\026\251\237\231|\347\3=
02\342\351\325=DC=98)*\245\203\002\303\065\257tt9\216K\271}>\237=D1=A6\301\=
315\374\071\002\231=CF=A4\272\355=E9=B9=B4\222\033\355\065.<\326G\027\243|L=
\315b\t\037\350\017RF\211|\306^\002\340t\230;du\367\332=CF=93^"..., nbytes=
=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#1208 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1209 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1210 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e348a8 =
"\n**\250", len=3D4, object=3D...) at process.c:6620
#1211 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1212 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfac7a200) at eval.c:2870
#1213 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfac7a1f8) at =
eval.c:2795
#1214 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1215 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1216 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfac7a710) at =
eval.c:2797
#1217 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfac7a7c0) at ev=
al.c:2425
#1218 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1219 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1220 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1221 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfac7a8d0 "\203\026#y\304)\325[6\022\257\357\222\006\=
340=D8=8C\244Q", <incomplete sequence \367>, nbytes=3D4096, coding=3D0x55d3=
b3915cd0) at process.c:6210
#1222 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1223 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1224 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e34898 =
"\n*\032\250", len=3D4, object=3D...) at process.c:6620
#1225 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1226 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfac7bfa0) at eval.c:2870
#1227 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfac7bf98) at =
eval.c:2795
#1228 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1229 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1230 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfac7c4b0) at =
eval.c:2797
#1231 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfac7c560) at ev=
al.c:2425
#1232 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1233 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1234 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1235 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfac7c670 "\033o\036\005K\371o\243\255\372\206\230]\2=
20LF=D6=A1\025=D5=88d}\234L%\372\216d\350\\/sF\n\202\f\021\360\035\273F\326=
a\343\355\232\a\231\v\003\031\371H\210,\314]^\221\226\267r\300\371u\307s\36=
4om\271W\212\272\024t\305%YQ)4\365\212=D8=A9\306\030\271\252\004=D7=AAhm[=
=3D\331\331\066\270\365\233\304t\357\257\310\n\374\246e\004\311Y\360\331F\2=
72\203\006f\301v_\205fX\033\027\220\213\212\275\256\217\267\212\361\340\003=
E\216v\256\032\337xf\272\247\230/\364\003=EB=86=94\363\345\373q\202\357\256=
<\017I\323=C7=BF\273s\312\032\017\071\206\331#5\250\261\017$a\364B\364h5\21=
6\303F\315\270Z=C9=A8"..., nbytes=3D4096, coding=3D0x55d3b3915cd0) at proce=
ss.c:6210
#1236 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1237 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1238 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e34888 =
"\n*\n\250", len=3D4, object=3D...) at process.c:6620
#1239 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1240 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfac7dd40) at eval.c:2870
#1241 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfac7dd38) at =
eval.c:2795
#1242 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1243 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1244 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfac7e250) at =
eval.c:2797
#1245 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfac7e300) at ev=
al.c:2425
#1246 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1247 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1248 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1249 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfac7e410 "\036Z\307\023=E5=AC=94\017@\002\252Z\242\2=
32\212\270\200\210H\340!cx\322\330\353Ok-k;\352\344 \212ofv\204=DF=92,\265\=
307r\325\064I|\226=DA=9Esk\220H>\022\021\332\021t\276W\333%\325WD\027\232\3=
21J\257f\030\271_O\017\316\023I\312\371\367\362\211\245D)r\226v\244\315\325=
\306P\274\271\334=DC=8B\254DB\264\026\"\027\002\314`\232\254\037\262\b\001h=
R\311\004e=C2=A0\232\177\262\016$g\357\nX\242w\023\365\265\354\022`(F\nE\25=
7\221\261r\246\326\353\351\034\243J\226\202\f\343\206\aA\035\337\354\225`\\=
\225\223!\n\025\035\025\207Bt\241\034h6\b\205\004'7\022\373\263\247\243\360=
\366\"/"..., nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#1250 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1251 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1252 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e34878 =
"\n", <incomplete sequence \372\250>, len=3D4, object=3D...) at process.c:6=
620
#1253 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1254 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfac7fae0) at eval.c:2870
#1255 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfac7fad8) at =
eval.c:2795
#1256 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1257 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1258 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfac7fff0) at =
eval.c:2797
#1259 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfac800a0) at ev=
al.c:2425
#1260 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1261 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1262 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1263 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfac801b0 "\006Y\021\257\301;\312\064!\267]\017\025\\=
\351\335F%x\346v\271v\242\062F\aRP\205\351\063f=C6=B4\323z#@\003\352\350\01=
6-\370)m>\235~B?_*\025;\026\333,\337\330\034\203A!\260D\253\005\201\214\203=
\212\360z\351!\341xL\250\345\344aF\033.\244\070=DB=A5P\332\006\001\245\360\=
f=3Dk\262\206\220\362\315=D3=A4\200\275'\nA\262\336)\234\226\331a\347\345F\=
006/\352$\026=CE=B2\374\236X\377j=C4=99\202\327\316+\340\022\033#f\031\026=
=D2=B1\361\a\031\372\337\370\320\337\032pe\375:\270\303\032Z3\357\302\317l$=
v\025\353=E6=BB=A2=3D\032\366\263+$\016\373_=DB=8F\250A\217\252\362V\257\06=
4\240;=3D"..., nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#1264 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1265 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1266 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e34868 =
"\n", <incomplete sequence \352\250>, len=3D4, object=3D...) at process.c:6=
620
#1267 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1268 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfac81880) at eval.c:2870
#1269 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfac81878) at =
eval.c:2795
#1270 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1271 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1272 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfac81d90) at =
eval.c:2797
#1273 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfac81e40) at ev=
al.c:2425
#1274 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1275 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1276 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1277 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfac81f50 "sH\200S\250\357p.\300\004\312\350)\262T\26=
1\004\no\217\214d\345\316\064\212\344\233\335k\017\017'\226\337\027\215O\02=
1=DA=B8m\365}\375\243\312\317\025)\206\276\035\345\005\063\365=C7=90O\nl\26=
1'\300a\326\340XV\tH\325@\256\005Ziok\031\376\066\257:\217", <incomplete se=
quence \375>, nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#1278 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1279 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1280 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e34858 =
"\n)=DA=A8", len=3D4, object=3D...) at process.c:6620
#1281 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1282 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfac83620) at eval.c:2870
#1283 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfac83618) at =
eval.c:2795
#1284 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1285 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1286 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfac83b30) at =
eval.c:2797
#1287 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfac83be0) at ev=
al.c:2425
#1288 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1289 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1290 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1291 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfac83cf0 "=D5=B9O\311-\t\221\324\063\246\303\034f\26=
2'L\210\264\343q\263\060G\203\231=D2=8E;=E7=BE=A3wK-\261\300ax\307?\200vbH\=
330\032Kp\231\v\345\027\227>\032=D0=AB@\261\204\360=DB=9C\314\"\030m9\nQH\3=
73\026\247\030=E5=A1=BB\212\006/\001\307\372d\221\243\212J\370\370G,\357\17=
7\024\037\266<=3D=E9=87=82\233\316\035'l[\350\323o{\271_\361F\356\300\216\2=
00p=3Dh\210i\356\331\376_2}PF=C6=AC\020\tu\251\220\021\306w\376\355\217]\22=
3\062\303?w0\025=D5=A0x\025\243\070\226\225\214@(\033\341\322p\363zBz\016Z\=
022M\331\357 \303q\356p\373\\\251{\021\374\364z+uy\203\231\232;"..., nbytes=
=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#1292 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1293 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1294 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e34848 =
"\n)=CA=A8", len=3D4, object=3D...) at process.c:6620
#1295 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1296 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfac853c0) at eval.c:2870
#1297 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfac853b8) at =
eval.c:2795
#1298 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1299 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1300 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfac858d0) at =
eval.c:2797
#1301 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfac85980) at ev=
al.c:2425
#1302 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1303 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1304 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1305 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfac85a90 "Q\325i\037e\367\324L=3D\004\205\065I\304nf=
1\322{&\363\036\207 [\201\206j\203\343\n\257f\021\206C\375\201\027\357\354;=
m\315\313\355\376\020^DT\200\020\367\377\327\254\365=DD=ADM\270k\365]j\027\=
241\032\030\261~M\016\065\b\261Z}\265=3D\304R\230m\311=D3=A9D\311\tc\036\02=
5\330=E5=99=B8y\006(\364\061l6N3\325>\212", nbytes=3D4096, coding=3D0x55d3b=
3915cd0) at process.c:6210
#1306 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1307 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1308 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e34838 =
"\n)\272\250", len=3D4, object=3D...) at process.c:6620
#1309 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1310 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfac87160) at eval.c:2870
#1311 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfac87158) at =
eval.c:2795
#1312 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1313 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1314 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfac87670) at =
eval.c:2797
#1315 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfac87720) at ev=
al.c:2425
#1316 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1317 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1318 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1319 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfac87830 "\223\331\"<\346\271\314U\265\066\331&\020\=
320/\226Q\265\200\300\277\261+\272\345z\177", nbytes=3D4096, coding=3D0x55d=
3b3915cd0) at process.c:6210
#1320 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1321 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1322 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e34828 =
"\n)\252\250", len=3D4, object=3D...) at process.c:6620
#1323 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1324 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfac88f00) at eval.c:2870
#1325 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfac88ef8) at =
eval.c:2795
#1326 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1327 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1328 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfac89410) at =
eval.c:2797
#1329 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfac894c0) at ev=
al.c:2425
#1330 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1331 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1332 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1333 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfac895d0 "@k\264/\026@\242", nbytes=3D4096, coding=
=3D0x55d3b3915cd0) at process.c:6210
#1334 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1335 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1336 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e34818 =
"\n)\232\250", len=3D4, object=3D...) at process.c:6620
#1337 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1338 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfac8aca0) at eval.c:2870
#1339 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfac8ac98) at =
eval.c:2795
#1340 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1341 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1342 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfac8b1b0) at =
eval.c:2797
#1343 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfac8b260) at ev=
al.c:2425
#1344 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1345 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1346 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1347 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfac8b370 "\332S\203\273G=E0=A2=B6,\270\363\247\353\2=
15{\275\270F\303\bu\237N\342\356=3D\364=CA=85l\357\365r\206T%K\233\377]\244=
\352Y\337v\322\345\224q\365$\016\372U{\034B\242\b\237\367\343\227\032\224\3=
27O\340~yr\026\067\223\\\302o\235\267\001\253\253M]N\272n\254\236\005\023\3=
21 !\301\322!\375tud\206*Q\377\271\264\216\235./1@=D6=88\251\333\a'\202\355=
+\270=D8=B1d\224 [\261W\032\235\237\022\205\252\371\200?h\322H\245,s\r{\023=
\231\205PE-p\rfV\244H$\037#\300\220\030t\371y\367\322\017 \273\062\322.\371=
\061^ \225\374+wq\232\031g\377@\026\003\236\327}\326Z\243\020"..., nbytes=
=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#1348 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1349 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1350 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e34808 =
"\n)\212\250", len=3D4, object=3D...) at process.c:6620
#1351 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1352 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfac8ca40) at eval.c:2870
#1353 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfac8ca38) at =
eval.c:2795
#1354 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1355 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1356 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfac8cf50) at =
eval.c:2797
#1357 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfac8d000) at ev=
al.c:2425
#1358 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1359 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1360 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1361 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfac8d110 "1|q6\342\262\314*\253\020\251\"\324\"\311\=
371\241\305\355\034\230:\261\215Z\327\307S\333\346\376\227\207\063\\\003\"/=
;-\371\276~\260G\303g\310\060\064\005LM\217\325\003\302\236m\264\243\320\01=
7\b\264\343\212\001\215\276\231\231\241L=C5=80\f,=C4=B7d\257\355\361\306\36=
4\351\360\353C{f\260=3DK\032\374<F\307\344D\024<\251\332- JHK\031K\224\024r=
\243(\373U", nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#1362 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1363 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1364 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e347f8 =
"\n)z\250", len=3D4, object=3D...) at process.c:6620
#1365 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1366 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfac8e7e0) at eval.c:2870
#1367 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfac8e7d8) at =
eval.c:2795
#1368 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1369 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1370 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfac8ecf0) at =
eval.c:2797
#1371 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfac8eda0) at ev=
al.c:2425
#1372 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1373 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1374 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1375 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfac8eeb0 "y)=D9=ADV\330Y\333/\346'\006h\311AT\021\06=
3]\375\\o\030E\340\016\274#^\004\037KS\345\224l\"\037", nbytes=3D4096, codi=
ng=3D0x55d3b3915cd0) at process.c:6210
#1376 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1377 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1378 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e347e8 =
"\n)j\250", len=3D4, object=3D...) at process.c:6620
#1379 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1380 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfac90580) at eval.c:2870
#1381 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfac90578) at =
eval.c:2795
#1382 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1383 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1384 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfac90a90) at =
eval.c:2797
#1385 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfac90b40) at ev=
al.c:2425
#1386 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1387 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1388 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1389 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfac90c50 "\fT\320&\242\035\354\035\202\210\347T\322G=
=C5=89]\017\312=C9=A8\232", <incomplete sequence \333>, nbytes=3D4096, codi=
ng=3D0x55d3b3915cd0) at process.c:6210
#1390 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1391 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1392 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e343f8 =
"\n)Z\250", len=3D4, object=3D...) at process.c:6620
#1393 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1394 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfac92320) at eval.c:2870
#1395 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfac92318) at =
eval.c:2795
#1396 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1397 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1398 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfac92830) at =
eval.c:2797
#1399 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfac928e0) at ev=
al.c:2425
#1400 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1401 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1402 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1403 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfac929f0 "C\253\263\060\214\342\271\312>\a\233[\361s=
=C8=BF", nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#1404 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1405 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1406 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e343e8 =
"\n)J\250", len=3D4, object=3D...) at process.c:6620
#1407 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1408 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfac940c0) at eval.c:2870
#1409 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfac940b8) at =
eval.c:2795
#1410 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1411 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1412 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfac945d0) at =
eval.c:2797
#1413 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfac94680) at ev=
al.c:2425
#1414 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1415 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1416 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1417 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfac94790 "\023q|\353\211\027\233\244\220jM@gs\225u\2=
20K2\207\215\367\263\210C\316T\024f\022\351BkL\345\344\315\350?\355\215\367=
yQ5\235\177=D5=84\343\v\302/\233\005\222\253\335\363#\263\062\321l\017G=D3=
=9DJP\202~\324\373\326\301*f\301\264\273O\271\313\340\rTN \020=C8=BB\265\33=
3h1\\\270\333y\255kj\bB\340\246!\016\201P\207\332\363z\221", nbytes=3D4096,=
 coding=3D0x55d3b3915cd0) at process.c:6210
#1418 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1419 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1420 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e343d8 =
"\n):\250", len=3D4, object=3D...) at process.c:6620
#1421 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1422 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfac95e60) at eval.c:2870
#1423 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfac95e58) at =
eval.c:2795
#1424 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1425 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1426 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfac96370) at =
eval.c:2797
#1427 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfac96420) at ev=
al.c:2425
#1428 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1429 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1430 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1431 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfac96530 "@\002\206\252I\b\301\210\255$T*=D9=BC.\322=
-\036\347R\227\202\362\234\355.\272\273\332\350\364\233\235\210\343Y\340\26=
1\366\353c\215\032\177\342\a\003a=D4=A1\316\021-)Y\v\241\006\270\354>:o\205=
\376=D2=A6\271\342=DE=96<\202\233\346\224\064'>0\376^A\257=C6=A3I\243\372\3=
36o\356z\"K\035\071\263sT \304\004\335\362\313q\017\221\252$\v3\376&\020\36=
6\035\377\240*\177!D\336\336C\241w\315e\361\353\364\211\"\030\033\002\b\220=
\200\243\r=3D_\307M\321\017\363\307]\341\210S\254\006\275\322\023oWF\"\217\=
236\326\311\002b\362\334\027\237\202\006S\256f\n@\365\227h\331W\236=D9=A4\3=
50j\376\006=D1=97\f\302", <incomplete sequence \372>..., nbytes=3D4096, cod=
ing=3D0x55d3b3915cd0) at process.c:6210
#1432 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1433 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1434 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e343c8 =
"\n)*\250", len=3D4, object=3D...) at process.c:6620
#1435 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1436 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfac97c00) at eval.c:2870
#1437 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfac97bf8) at =
eval.c:2795
#1438 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1439 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1440 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfac98110) at =
eval.c:2797
#1441 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfac981c0) at ev=
al.c:2425
#1442 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1443 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1444 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1445 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfac982d0 "\367\071\071i\214 \271\033^\273\301XnA1=CA=
=8C\200Hd2\361R\223[\353A\341y{\003q\260]84\"50\225\022\001\325", <incomple=
te sequence \346>, nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#1446 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1447 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1448 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e343b8 =
"\n)\032\250", len=3D4, object=3D...) at process.c:6620
#1449 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1450 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfac999a0) at eval.c:2870
#1451 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfac99998) at =
eval.c:2795
#1452 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1453 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1454 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfac99eb0) at =
eval.c:2797
#1455 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfac99f60) at ev=
al.c:2425
#1456 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1457 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1458 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1459 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfac9a070 "y\351<Dw\310\352G'\356)y\305|\263\211=D5=
=8C9\226q\031\207 ;\206\303\035\250\363\240\374\225\060\225\332~\272\277\25=
0\346CB\277\021\306F<\345i\253r\361\265=CF=80\022\231\240\343I\356\\\031\25=
6\264@p\226\032\027\065\327\063\317\061\004\213\240\224\v\224$\251?\255\021=
\265<\243X\335o\350X\352\222z}q\216\030\326\002\375\234\362\266\065\324,\37=
3\222>\200`J\211\215>\325e/\302\177\061\031\265\242\025\273gj\216r=DE=88g\3=
01i[\n\311ZHU|\330\357F\323\312\020\267\270LK\020\256\002\250\300\366\310\3=
26\060\033h#\246\344\004\307\022L\271\021y\204\004\353\024\234\275\024C\021=
\254\022\316/\035\327`\306\310\322d\200z"..., nbytes=3D4096, coding=3D0x55d=
3b3915cd0) at process.c:6210
#1460 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1461 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1462 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e343a8 =
"\n)\n\250", len=3D4, object=3D...) at process.c:6620
#1463 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1464 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfac9b740) at eval.c:2870
#1465 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfac9b738) at =
eval.c:2795
#1466 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1467 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1468 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfac9bc50) at =
eval.c:2797
#1469 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfac9bd00) at ev=
al.c:2425
#1470 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1471 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1472 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1473 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfac9be10 "Y\373\201a\342\350\001\253\230**\251\267\3=
24wv\031\233h\354j\006\034!\033\202I\350=C9=80\237@\324_a\216/|\307;\244s\3=
42/M\230;p|\266\300A\220\032\f\232A\325\035\207\332O\300\374\034\372\"\204l=
\207cXdxP\246A+jq8\364\233=D5=AF6#\366\277\344\236?\365]3\275\330x4\031\303=
\326rK\004'\357\b=DB=8Dw\225\272\033\307H\301\226\261o\223\350<\372w\003\20=
1\310\031\331\372\a\215\245=D6=89\270\245Hw\266*J\302\374\242\345\301\233$\=
360\006\261\346\324_\212L\005\350\027P\375t\a =3Dy\\\314O=D7=9C\317\026T21\=
317\003\211\262c\352\307\066\215\362\257{:\220^\037!\225\030=C2=AF\004"...,=
 nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#1474 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1475 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1476 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e34398 =
"\n", <incomplete sequence \372\250>, len=3D4, object=3D...) at process.c:6=
620
#1477 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1478 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfac9d4e0) at eval.c:2870
#1479 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfac9d4d8) at =
eval.c:2795
#1480 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1481 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1482 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfac9d9f0) at =
eval.c:2797
#1483 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfac9daa0) at ev=
al.c:2425
#1484 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1485 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1486 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1487 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfac9dbb0 "\034\002\356\001\352\061`\230Q\231?2\342^|=
\237d\331\341\357k\020\250\002b\\u\317\305=CB=9B\221\242=DA=8C%8\345\234\02=
4\346\060q\207\022\202\341A\257\347D\334\005D;ba\210\033\070I\t\255\001\065=
\023\205\303?^\002RQc\271|\202\313\030\217^\236~\177T3?\260\356\326b\212\25=
5?\243\225\356D\251B", nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c=
:6210
#1488 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1489 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1490 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e34388 =
"\n", <incomplete sequence \352\250>, len=3D4, object=3D...) at process.c:6=
620
#1491 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1492 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfac9f280) at eval.c:2870
#1493 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfac9f278) at =
eval.c:2795
#1494 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1495 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1496 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfac9f790) at =
eval.c:2797
#1497 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfac9f840) at ev=
al.c:2425
#1498 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1499 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1500 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1501 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfac9f950 ">\330\030\065w3\027\213\367\337o\265W\310y=
\341\025\235\255S\260\323\342vn\244\034;\203\224\377\030\235\266\221\262\27=
5q?\350\213>!\225+\035\034\027[\026\214!\365\016!\032/\353\f\303u\vh1{\202\=
224B(\005\275\366\224D,\325\rqP\276+\336t\364=C8=AAYtN\210\357\224\320W\361=
\365>\205\020)o\253=D3=BC\374\302=D6=99B\272", <incomplete sequence \343>, =
nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#1502 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1503 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1504 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e34378 =
"\n(=DA=A8", len=3D4, object=3D...) at process.c:6620
#1505 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1506 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfaca1020) at eval.c:2870
#1507 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfaca1018) at =
eval.c:2795
#1508 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1509 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1510 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfaca1530) at =
eval.c:2797
#1511 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfaca15e0) at ev=
al.c:2425
#1512 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1513 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1514 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1515 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfaca16f0 "a\320\021\304\343\274\304\v\250\001\067\35=
0\063[\230\001\020\312.\234", nbytes=3D4096, coding=3D0x55d3b3915cd0) at pr=
ocess.c:6210
#1516 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1517 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1518 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e34368 =
"\n(=CA=A8", len=3D4, object=3D...) at process.c:6620
#1519 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1520 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfaca2dc0) at eval.c:2870
#1521 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfaca2db8) at =
eval.c:2795
#1522 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1523 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1524 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfaca32d0) at =
eval.c:2797
#1525 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfaca3380) at ev=
al.c:2425
#1526 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1527 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1528 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1529 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfaca3490 "}\016:\215\064\305=D5=9A\323\320\362W\265K=
\v\f:\251|X\262\206\"\250\251\ndK\027@\250)\250r\232\353\025\357\251\300\03=
6*g\020\373\231\032\255\267\016\201#U\276a\224^\245\371\001\343\351\206\031=
T\273\b9\227\363#\304\337?\t\215\362\024\275\232ZnM\255or\306L\240\220\250\=
245Y\367\f\352\b\252\327eK\363\221\315[\366JOS\321=CF=BD`<K\272", nbytes=3D=
4096, coding=3D0x55d3b3915cd0) at process.c:6210
#1530 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1531 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1532 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e34358 =
"\n(\272\250", len=3D4, object=3D...) at process.c:6620
#1533 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1534 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfaca4b60) at eval.c:2870
#1535 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfaca4b58) at =
eval.c:2795
#1536 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1537 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1538 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfaca5070) at =
eval.c:2797
#1539 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfaca5120) at ev=
al.c:2425
#1540 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1541 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1542 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1543 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfaca5230 "5\267\211\252\071N}\202\225\241t@\331X\340=
\273T/=D9=B5u7k\v\327\a\241", <incomplete sequence \370>, nbytes=3D4096, co=
ding=3D0x55d3b3915cd0) at process.c:6210
#1544 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1545 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1546 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e34348 =
"\n(\252\250", len=3D4, object=3D...) at process.c:6620
#1547 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1548 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfaca6900) at eval.c:2870
#1549 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfaca68f8) at =
eval.c:2795
#1550 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1551 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1552 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfaca6e10) at =
eval.c:2797
#1553 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfaca6ec0) at ev=
al.c:2425
#1554 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1555 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1556 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1557 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfaca6fd0 "\006\377%\017\177\254=DC=AC\216\321\004\32=
0\030\257\177[\332g\265\361l\231\227\065<W&\220\025\261f\020=D8=8D\347f\214=
|\002\033\337=EB=AD=95\375\373\216\036k6\276\231\"\330\024\270\273\370qi\03=
1m\215\307\370\211}ji\016\n\325@\030\021M\321f^>_\b\332\335=C7=9B\r%\337/\3=
14#\302J\364\016\256\244I\274I\026\022)9\333u@\375=D1=B6=D2=AE\230\336\344J=
\244\fT;\001-\204\333F\267\273p\254\244\273=DE=9E=3D\245\236#\303\343\310c\=
221\226\275\360S.\206=DE=87\346n\225\002\355\225N\364\327\005\024V=D4=95i\2=
00p\231\313\034\t\020\205w\340[\002\365\256,EZ\024\031\233\223/=DE=82\223\2=
00\232Hs\247\b\361\061w"..., nbytes=3D4096, coding=3D0x55d3b3915cd0) at pro=
cess.c:6210
#1558 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1559 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1560 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e34338 =
"\n(\232\250", len=3D4, object=3D...) at process.c:6620
#1561 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1562 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfaca86a0) at eval.c:2870
#1563 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfaca8698) at =
eval.c:2795
#1564 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1565 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1566 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfaca8bb0) at =
eval.c:2797
#1567 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfaca8c60) at ev=
al.c:2425
#1568 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1569 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1570 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1571 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfaca8d70 "\250r(\213?,\247\202\236 \256\006\227\065S=
=E1=A7=B7\027o\223iq\004\207\327\352w?A\275\223N\300)=C6=8B'G\222$Y\233F=CA=
=A9\v\227\367\211\f\334\024Ccc\317\062<Z\347<\027B_W\271\254=CD=B4u\031]\30=
2I\243}\322\024^\275\351\t\362\350\275C\024\237~\276D\377\255\230\203E(\302=
m'_\005\212\254\362\306TW\375\306\023\340V\226\364\331.\"\025\321l\\\366\\%=
\243zM;\fN\264\337 s%=C5=B6\300\335\036\255\t\260\244zy\177\031\373H\030\37=
5\375\300\062\005\304\nf\256\354\347N\374\243\244O\305 b=CA=B3gC^\235\071N=
=C5=BA\021\315`\214\027\250\371b\036\031\276\031\255\\:\017;\262"..., nbyte=
s=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#1572 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1573 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1574 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e34328 =
"\n(\212\250", len=3D4, object=3D...) at process.c:6620
#1575 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1576 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfacaa440) at eval.c:2870
#1577 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfacaa438) at =
eval.c:2795
#1578 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1579 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1580 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfacaa950) at =
eval.c:2797
#1581 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfacaaa00) at ev=
al.c:2425
#1582 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1583 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1584 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1585 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfacaab10 "\254\345\254=CD=B5y\f\017\245bw\335\351\03=
1~\221Dn\225@\\p\273\346s\b\r\327et*#\227\071\017\262\062H\231\216\266\022\=
275\311\032\341\200/\215\220\244a\346d\r\350\215K\be\224\\\300\336\022\333y=
sd?=C2=BD=C8=84\213\234%=CA=B5\205\203\355=C9=84bO\362\071ken]\215JKX\201\3=
40\265EF+}\256\273\332d\251\272>j^GIaPxy#k\342\002nQ\312J'\212\210J5\210Eo\=
352\255D-\245*\202l_\n\201\207\067\250}qm}T\233p\206\261\235:o\241\001\247?=
\"\204Y6\321aE\204\301\242\373=D3=92U\212 =D0=92\322\030\355\003\330\350\36=
5\341\034yn\263\271\274\277\364\271\066"..., nbytes=3D4096, coding=3D0x55d3=
b3915cd0) at process.c:6210
#1586 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1587 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1588 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e34318 =
"\n(z\250", len=3D4, object=3D...) at process.c:6620
#1589 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1590 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfacac1e0) at eval.c:2870
#1591 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfacac1d8) at =
eval.c:2795
#1592 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1593 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1594 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfacac6f0) at =
eval.c:2797
#1595 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfacac7a0) at ev=
al.c:2425
#1596 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1597 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1598 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1599 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfacac8b0 "", nbytes=3D4096, coding=3D0x55d3b3915cd0)=
 at process.c:6210
#1600 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1601 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1602 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e34308 =
"\n(j\250", len=3D4, object=3D...) at process.c:6620
#1603 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1604 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfacadf80) at eval.c:2870
#1605 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfacadf78) at =
eval.c:2795
#1606 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1607 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1608 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfacae490) at =
eval.c:2797
#1609 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfacae540) at ev=
al.c:2425
#1610 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1611 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1612 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1613 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfacae650 "\206l9\aJ\265\230\275\031MU\250'\252\341oV=
=CE=9D|\215\335\066\307\362\362\063\343cd\260\315\341B}\021\342\243\020_\24=
6Kr\251{d\207\217\\\236\065\235\363\303K\311\016=CB=BEW=D6=95\245\243\353o6=
`\312T\262\344\220=DC=A6oUN*b\344\230\003\243p", nbytes=3D4096, coding=3D0x=
55d3b3915cd0) at process.c:6210
#1614 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1615 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1616 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e342f8 =
"\n(Z\250", len=3D4, object=3D...) at process.c:6620
#1617 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1618 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfacafd20) at eval.c:2870
#1619 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfacafd18) at =
eval.c:2795
#1620 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1621 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1622 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfacb0230) at =
eval.c:2797
#1623 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfacb02e0) at ev=
al.c:2425
#1624 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1625 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1626 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1627 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfacb03f0 "\372=C7=A1\177\020\274\354cw\362\211\203\2=
01\071-\206=CA=94\370=E8=AB=AF_EKT$\275=DC=B1\031\300\277", <incomplete seq=
uence \313>, nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#1628 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1629 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1630 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e342e8 =
"\n(J\250", len=3D4, object=3D...) at process.c:6620
#1631 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1632 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfacb1ac0) at eval.c:2870
#1633 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfacb1ab8) at =
eval.c:2795
#1634 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1635 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1636 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfacb1fd0) at =
eval.c:2797
#1637 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfacb2080) at ev=
al.c:2425
#1638 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1639 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1640 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1641 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfacb2190 "B\003)s\371\v\364\344\347Qz\361\200l\227d&=
kI\034\263\025\"\351\026 \301\376\242&#\343'\276kf\225X\313sJ\237\253J\203\=
341l:\320\377\260t\331\344B1\346W\337=D2=9D\213\316\215=C4=B1y\003\345\337\=
022\066\350\033\036\003X\005\307\066\367I\273\257\210Sp[m\377\024\376\267\0=
36\032\354\035\364n2\236)\221\357bum\252\063=CA=BC\252\225\307\004_=C5=A4s\=
355\024\375\256=D7=80\353^\272\225&\363G\027yo\241\336@%t\211\352K~M\303\02=
1\321\036\217f\230m\267\241\317g\215u\243\065\fU\327GdU\337p\345C\322K\314\=
366\204=E3=B7=A4v\236\v\214\275vf2\275znyB=3D\274\034\200\327\254\037/"...,=
 nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#1642 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1643 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1644 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e342d8 =
"\n(:\250", len=3D4, object=3D...) at process.c:6620
#1645 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1646 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfacb3860) at eval.c:2870
#1647 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfacb3858) at =
eval.c:2795
#1648 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1649 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1650 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfacb3d70) at =
eval.c:2797
#1651 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfacb3e20) at ev=
al.c:2425
#1652 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1653 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1654 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1655 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfacb3f30 "\252[,^Q*c\341\260\032H\347o\022zF\031j\23=
7\204p,\"\216\021\t\023P\266\371\021\305\371\177f\374\260\v\260\fT\204`\315=
\311[Z\232Bb\266\226\252\016\324@8\031S\031\217g\361-\273;3\306a\035\060)\0=
26\024\fr4\356\232\344=3D\277{\233\350\225F\035\067p\250\332N\367\376\v\362=
\020\316\306pf$\230\253\257=C4=89\367\266\220\026\\\324\362\242\341\a\024Q\=
242\357\344#\363\256\247|cT\321\326\321$\022\276\307:\314=CB=872\354_\024.\=
026\330\020f\344\357Yw\200u&nY\325|\300=D5=B8b~=D5=9C\217\203}]\023\226\256=
=D2=8F\a\002\\\224\v\237<#3\304\036\062\336pr\276H\004\026ZI\335\\"..., nby=
tes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#1656 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1657 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1658 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e342c8 =
"\n(*\250", len=3D4, object=3D...) at process.c:6620
#1659 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1660 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfacb5600) at eval.c:2870
#1661 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfacb55f8) at =
eval.c:2795
#1662 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1663 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1664 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfacb5b10) at =
eval.c:2797
#1665 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfacb5bc0) at ev=
al.c:2425
#1666 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1667 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1668 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1669 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfacb5cd0 "VP\225\254O \211\346\255\025\364*\360o#\37=
6I\020\250i\234\301\362\275\256\035\210o#L\271q\266\031Mx=DF=91\224kH\003]\=
271\233\003\063\230\017M'\331,\022\310V\240\244#\372\234\b T\207\327\376\r7=
\177^\017\071y\273.z\t\b\200\035,\340\346m\340Pc\227\233s\t\306&\322\n\035\=
202\004\214=ED=91=85\351'\274", nbytes=3D4096, coding=3D0x55d3b3915cd0) at =
process.c:6210
#1670 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1671 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1672 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e342b8 =
"\n(\032\250", len=3D4, object=3D...) at process.c:6620
#1673 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1674 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfacb73a0) at eval.c:2870
#1675 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfacb7398) at =
eval.c:2795
#1676 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1677 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1678 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfacb78b0) at =
eval.c:2797
#1679 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfacb7960) at ev=
al.c:2425
#1680 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1681 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1682 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1683 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfacb7a70 "\004\036T\307*iJ\362\022|QI\227\252\334[\3=
61\261\253CFx\003\214/z<$\275\271<\215\346X\252\064\354\312\303\344^\032\\{=
P`VK\206\267\256\234c\302\224Z\226\060\300\373\252A\357x\241\207\231',4J=D2=
=B2\273\031-4\300\256\031\264^_=CA=9Ck}\244W=C8=98CR\026\035\212\256\223[\2=
55\314>&\207\330\006\316\324>\367#\267Y&\037r\260?\261\\=D5=AD6\236\370\065=
\221\333u\314ui^\202\003\264\263\232\t=D5=84=DE=8E\207\060\061\313\061\351\=
060r=D6=A2\216=D4=BB\311#\355\371\v^\207[YpX\324\317,L\237\352\377b=3DI\177=
\177\001cA\003\361\342S\204\241~J\367\226\017o\v\333\n\205\031\242"..., nby=
tes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#1684 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1685 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1686 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e342a8 =
"\n(\n\250", len=3D4, object=3D...) at process.c:6620
#1687 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1688 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfacb9140) at eval.c:2870
#1689 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfacb9138) at =
eval.c:2795
#1690 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1691 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1692 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfacb9650) at =
eval.c:2797
#1693 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfacb9700) at ev=
al.c:2425
#1694 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1695 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1696 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1697 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfacb9810 "\231", nbytes=3D4096, coding=3D0x55d3b3915=
cd0) at process.c:6210
#1698 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1699 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1700 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e34298 =
"\n", <incomplete sequence \372\250>, len=3D4, object=3D...) at process.c:6=
620
#1701 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1702 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfacbaee0) at eval.c:2870
#1703 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfacbaed8) at =
eval.c:2795
#1704 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1705 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1706 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfacbb3f0) at =
eval.c:2797
#1707 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfacbb4a0) at ev=
al.c:2425
#1708 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1709 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1710 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1711 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfacbb5b0 "\232~#\203\216\331\021\201F\004\371q\340\2=
35\205\tg\273\353\234\373x\261\203\341u.\334/k =CE=AC=C4=90[\337\036\347rU*=
@\214\276\337\003\314h4\270\306T)\024\245\233\206'\335\033=C6=B6\233\224\03=
0p\350M\202\252H9\262\276/S\213A?;v=D7=93\326\314{K\021\070a6\370\243J!\202=
\a\216\206\aA\245\221\270\233\240\206\311!\n\016\270\212z", nbytes=3D4096, =
coding=3D0x55d3b3915cd0) at process.c:6210
#1712 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1713 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1714 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e34288 =
"\n", <incomplete sequence \352\250>, len=3D4, object=3D...) at process.c:6=
620
#1715 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1716 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfacbcc80) at eval.c:2870
#1717 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfacbcc78) at =
eval.c:2795
#1718 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1719 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1720 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfacbd190) at =
eval.c:2797
#1721 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfacbd240) at ev=
al.c:2425
#1722 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1723 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1724 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1725 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfacbd350 "+e\351\330'\017\244\217T\360-\023\276\336f=
u\004\357\356P<=CF=A4\245\375\001.rj\t&F\277\a\255\241\203.\312\060\250\304=
\303\003\307\366\245\312(\022\rIf\023\235lE\311|\246\024\235\364\377\260\00=
4\302\233L/\002$\263\307b\304\356{S\036-\017\211\356\017\367\213Zx=CC=88\36=
6\257L\231\004=C5=B4m\354\244Qo?\271=3DS\304\020\212\370\216\251\376\205\24=
1\nj\263[\214\244\070\263\244\234\202\066\255\061\266`\366\070$\024\344.", =
nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#1726 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1727 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1728 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e34278 =
"\n'=DA=A8", len=3D4, object=3D...) at process.c:6620
#1729 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1730 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfacbea20) at eval.c:2870
#1731 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfacbea18) at =
eval.c:2795
#1732 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1733 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1734 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfacbef30) at =
eval.c:2797
#1735 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfacbefe0) at ev=
al.c:2425
#1736 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1737 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1738 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1739 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfacbf0f0 "\250u!Q\235z\001\030n\372\274%\v\212I\027\=
213\204\323\376Dg~F\035xW\257\305UH\363\bI=CE=8E\350\366\372\362\\\354\363\=
177rs\276\354=CD=93\374%\v\332\346\026\342\341w\261\237|\325w\313\n~\004\v=
=D8=9F\373R\270?=D3=8E\317(\342{\f&\300\070\034\227\022\vf$A\017\300\"\037\=
366\205qq\307\002\341\322\360t\177il(\357\065I6\177\375=CF=BB\317C\330Y1\25=
3\311\332=C6=81Sy\325\022p\225\v\224\363\316\037\241\256#3R2x\311~@\031\004=
\037\272\306m\373\023P\360d\bb\315I\240q\333\337A\276\206\303\356H\004G\321=
=C4=9AV\370*m\f\240\377n\201\371\316\300F\303Q\240\204\062\255\272\213"...,=
 nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#1740 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1741 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1742 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e34268 =
"\n'=CA=A8", len=3D4, object=3D...) at process.c:6620
#1743 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1744 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfacc07c0) at eval.c:2870
#1745 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfacc07b8) at =
eval.c:2795
#1746 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1747 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1748 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfacc0cd0) at =
eval.c:2797
#1749 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfacc0d80) at ev=
al.c:2425
#1750 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1751 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1752 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1753 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfacc0e90 "PG\254\032=F3=BF=99=BF=C8=B2o\265\257\023\=
323\356\362=EF=9D=A5i\t\340]M\215X\353\240\065I\373\063\310\021\030`\204", =
nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#1754 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1755 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1756 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e34258 =
"\n'\272\250", len=3D4, object=3D...) at process.c:6620
#1757 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1758 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfacc2560) at eval.c:2870
#1759 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfacc2558) at =
eval.c:2795
#1760 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1761 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1762 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfacc2a70) at =
eval.c:2797
#1763 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfacc2b20) at ev=
al.c:2425
#1764 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1765 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1766 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1767 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfacc2c30 "\020\272\025\346\234k\275{1\307<\025).\312=
\376\326\345\241,\242a\310c\033\200\004\304@OAd\250J\303CM$\343_qT\240E\271=
\r]\372*=DB=87\372\023\237?\231Nv#\026\371\251\221\036\272\202@\234\231$I\3=
14\312A\234\026\254f\272\071\236\245a\252\276\313\335\303h\220?\243\334\305=
\036=CC=80\003Q\027\276\216;\256]\370uz\346", <incomplete sequence \367\210=
\234>, nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#1768 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1769 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1770 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e34248 =
"\n'\252\250", len=3D4, object=3D...) at process.c:6620
#1771 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1772 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfacc4300) at eval.c:2870
#1773 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfacc42f8) at =
eval.c:2795
#1774 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1775 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1776 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfacc4810) at =
eval.c:2797
#1777 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfacc48c0) at ev=
al.c:2425
#1778 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1779 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1780 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1781 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfacc49d0 "<\301\302\066\064=C5=94\"\320o:\334t\006\0=
60y_\337\060/\335%8a7\223Ii\346\347\066)Q=D3=B1^\231\272|9s\177\064\004P\27=
7\264\033\240{z+z=C4=80\344\267I\262\071Q\226\024\201\357", <incomplete seq=
uence \304>, nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#1782 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1783 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1784 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e34238 =
"\n'\232\250", len=3D4, object=3D...) at process.c:6620
#1785 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1786 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfacc60a0) at eval.c:2870
#1787 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfacc6098) at =
eval.c:2795
#1788 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1789 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1790 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfacc65b0) at =
eval.c:2797
#1791 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfacc6660) at ev=
al.c:2425
#1792 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1793 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1794 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1795 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfacc6770 "\271\221\032!*\202f\327,5\177\361\327\211o=
\213\021\002\347=D0=93\201\263\314\032\344en\274\023\226\271\023\227\327w\3=
25:\270E ;nEW\373\221\225\211\372\250T\306bMy\020D{\216U\255\375x\177\261\2=
41\343\367x\002\361\005\071\213RW\217\300\033\060\256\247|w&\300D\361\374b\=
177\005\036\237\261\311J\245\277\276\236\361\341%#&\255\035\205XG\247(ZsTg=
=C9=8C\n\361\234E\375>\362\273\351\324Nz\253b\204ED\352Z6\\\236\227\277\262=
S\201\023\r\v=E4=87=BCi\255\062B\"\357\233\020\353H\236\034w\027\r}l\n\034\=
321\375\311\303nz\220\252YU&\217@\221=CC=BAV\303@\320\026\322FBT\v\322V"...=
, nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#1796 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1797 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1798 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e33e48 =
"\n'\212\250", len=3D4, object=3D...) at process.c:6620
#1799 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1800 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfacc7e40) at eval.c:2870
#1801 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfacc7e38) at =
eval.c:2795
#1802 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1803 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1804 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfacc8350) at =
eval.c:2797
#1805 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfacc8400) at ev=
al.c:2425
#1806 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1807 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1808 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1809 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfacc8510 "\024\202S\342\070e Rk\212\023\226YCR\364\2=
53\001\243\310>=C4=9Bw\375I\272\207l\375\276\200-\220@\266\246:=C6=B0\006\3=
34`\361Ig\a\204\376\233\323\003[\343TE\314\353=D2=A9\234\270\063\207,\"\202=
\250=EE=8E=AF\345\276[.O\234\022\067\342GBt\020\376\020=C9=B8Zd\001<\352\37=
0\362\324@]\035Vp\363\213&_\306\350\245zu\221\354\214\txC&\277A\355X\235\27=
4J\267\221\227Woq\004(=C8=A1\301K>1\252\363LL`\374\060\221", nbytes=3D4096,=
 coding=3D0x55d3b3915cd0) at process.c:6210
#1810 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1811 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1812 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e33e38 =
"\n'z\250", len=3D4, object=3D...) at process.c:6620
#1813 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1814 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfacc9be0) at eval.c:2870
#1815 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfacc9bd8) at =
eval.c:2795
#1816 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1817 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1818 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfacca0f0) at =
eval.c:2797
#1819 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfacca1a0) at ev=
al.c:2425
#1820 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1821 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1822 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1823 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfacca2b0 "\006T\265\021=E1=93=82\345\223\330=3D\254O=
/\246\363\r~\330\fl\"\331=DC=BD\206^~\030Z\270\353\213\333\177\305\300j/\20=
6=D3=81\312:\317G8uL\234D\203\316%\310\360\020\273\353\002\212\273\001->\21=
2\f\313\t\332U\n=E9=86=9D\330=CC=A5\036\373\003\246#\201\357\023\364\275\33=
7%\025\261\262\210\233\066>\307[[\275\327\330_=CA=88\370\322\004\022\204b\2=
47\300U\356\"8\251\224\221\036\334,\226\333\320\326D\215\023\235\320()J\236=
\203\323\342tG\247*\024l\334\317z\244T\264\065=E7=A7=93\230}$\244\"\262\b\r=
\273\020\303\065m\357\343\017\330p\252\225\231\020J\301\266=C4=85ol\a=E9=8F=
=A8\016{\260A\025j},ud9"..., nbytes=3D4096, coding=3D0x55d3b3915cd0) at pro=
cess.c:6210
#1824 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1825 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1826 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e33e28 =
"\n'j\250", len=3D4, object=3D...) at process.c:6620
#1827 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1828 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfaccb980) at eval.c:2870
#1829 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfaccb978) at =
eval.c:2795
#1830 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1831 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1832 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfaccbe90) at =
eval.c:2797
#1833 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfaccbf40) at ev=
al.c:2425
#1834 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1835 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1836 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1837 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfaccc050 "n\334\032\212\321y$\234\370o\210V\343#O\25=
6\274\037\017@n\257\267\247\226\071O`\021eK\270\330|7.5=C4=AA\004U\231=DF=
=9B\370w\024\346\370\313\021>\203", nbytes=3D4096, coding=3D0x55d3b3915cd0)=
 at process.c:6210
#1838 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1839 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1840 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e33e18 =
"\n'Z\250", len=3D4, object=3D...) at process.c:6620
#1841 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1842 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfaccd720) at eval.c:2870
#1843 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfaccd718) at =
eval.c:2795
#1844 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1845 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1846 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfaccdc30) at =
eval.c:2797
#1847 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfaccdce0) at ev=
al.c:2425
#1848 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1849 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1850 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1851 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfaccddf0 "\r^O\304n\346(\036\334\aznV\354=CD=97%\035=
\017\377Z}9\006h\226\326=CC=B3\035\067t\222d\031:\245\327\t\226\264\210\236=
\220I\372\271\060=D9=94\r\364\325\352\336)\263K \212\b\310Y\206\201h\343`\2=
15\266\221\237m]", nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#1852 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1853 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1854 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e33e08 =
"\n'J\250", len=3D4, object=3D...) at process.c:6620
#1855 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1856 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfaccf4c0) at eval.c:2870
#1857 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfaccf4b8) at =
eval.c:2795
#1858 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1859 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1860 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfaccf9d0) at =
eval.c:2797
#1861 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfaccfa80) at ev=
al.c:2425
#1862 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1863 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1864 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1865 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfaccfb90 "asc\\f\017\263C\207A\300!\n\f\353\037\366\=
005}<&\207%C\251\020\216\021;\303=CB=A7\214\220`\370\201\241q\004\207\001MN=
I\251\241\233\241l", nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6=
210
#1866 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1867 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1868 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e33df8 =
"\n':\250", len=3D4, object=3D...) at process.c:6620
#1869 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1870 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfacd1260) at eval.c:2870
#1871 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfacd1258) at =
eval.c:2795
#1872 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1873 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1874 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfacd1770) at =
eval.c:2797
#1875 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfacd1820) at ev=
al.c:2425
#1876 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1877 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1878 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1879 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfacd1930 ".\317w\213$\262\275R\220=C5=84T\205\004Fs,=
\302\375\272\230\210\310=C3=89&\031\025\066\205s\262\032\200\271\337\025R\2=
40\311B\242\362\034\351Y\313\340\344\261F\343C\215\031\241&\n\337\360f\320\=
350\237=D9=B5\225j\a=C4=BF\346\367\225d\305\362y\242\020l\273\300<\257\347\=
031\374OY\272\355\261I\364\250=D2=91U\271\210\274}\237\232M\226\357/\375\25=
6\024\365l\334\346\070\312<\022\363d\316[h\374RU\275\305\aM\370]z\226\205V\=
326\060d=3D\210\062:S\006\220\021\352D\221A\335\v\230'`\347\357*\034N\"\255=
\266\256\030y#\340\210\353D\"\264$\252\017\347~f\a\277a\b\224\201\227}0o\22=
0L*\273G=C6=85("..., nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6=
210
#1880 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1881 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1882 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e33de8 =
"\n'*\250", len=3D4, object=3D...) at process.c:6620
#1883 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1884 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfacd3000) at eval.c:2870
#1885 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfacd2ff8) at =
eval.c:2795
#1886 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1887 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1888 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfacd3510) at =
eval.c:2797
#1889 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfacd35c0) at ev=
al.c:2425
#1890 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1891 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1892 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1893 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfacd36d0 "\025\211\023\025\027\221\305h\271\217f\202=
\016h\\\035\032r\314\037o\344s\255\340\251.F.;\356\063\251_h\211\351\235\36=
3\330\033\236\225\250\"5\342\360\026\262\372(=E7=BF=B0\b\372[\236+a X\003\v=
\356\006\006\267\345lVBX_p|L\217c\373\003\226\342\177\070=3D\361\016OkL3\30=
3q\017\227\062\233\206p\261\247\t\313h\203a|\025\032VK\036H\277\062M\316\34=
6\066E\273X\374\246\222\036:e\021#l}W\312\061\357(\225\r\026\332k\255\371K*=
\377\216>\002w\250C\215-6\360\322`\361?}\022\352X\234\201A\265y\215\314U~IY=
\305S\002\205\322I7E\207\262\370\341\a\356rA4\352a,", <incomplete sequence =
\373>..., nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#1894 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1895 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1896 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e33dd8 =
"\n'\032\250", len=3D4, object=3D...) at process.c:6620
#1897 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1898 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfacd4da0) at eval.c:2870
#1899 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfacd4d98) at =
eval.c:2795
#1900 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1901 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1902 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfacd52b0) at =
eval.c:2797
#1903 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfacd5360) at ev=
al.c:2425
#1904 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1905 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1906 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1907 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfacd5470 "H\005\032!BXIZ\264\316\343\376\312\060x\22=
3\024\256#\323H\371P\210\355x\017v\320\020/\016\330\301j\237Q\276\003\334}Y=
\355/\330\033\273W{\026\235\373/\216)*v#\210\070\226\237\252:r\037\272ml\24=
5\243^$I\357k$\303;`\347s@UV\251-", nbytes=3D4096, coding=3D0x55d3b3915cd0)=
 at process.c:6210
#1908 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1909 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1910 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e33dc8 =
"\n'\n\250", len=3D4, object=3D...) at process.c:6620
#1911 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1912 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfacd6b40) at eval.c:2870
#1913 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfacd6b38) at =
eval.c:2795
#1914 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1915 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1916 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfacd7050) at =
eval.c:2797
#1917 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfacd7100) at ev=
al.c:2425
#1918 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1919 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1920 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1921 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfacd7210 "\301\372\233\064=D2=98\377+3\030\351\001\2=
53\271\245\234\n\245\303\374\374\362\275\020\202\252\350\372xR\363\311 \356=
=DE=82u\202`d\f\r_\021\300=CD=A1=EB=A7=AB6@1{\220\231=D8=B0=CB=A6\026&\314\=
035\202dY~Ke bm\210\235\251C=D9=82\274=C6=ABi\365\030\032\005\353-\207\025\=
nh\234\363\205\244~\376`\231\366\233\376\065\326\310\310Q\271\f\251\372\243=
.W\302^y\242.\237\345\266\331i\317#=CE=86\251M=E4=B2=8Bd\224\025T\230j\354\=
004p=DE=86\231\356\301L\352\031&!-\233j\a", nbytes=3D4096, coding=3D0x55d3b=
3915cd0) at process.c:6210
#1922 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1923 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1924 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e33db8 =
"\n", <incomplete sequence \372\250>, len=3D4, object=3D...) at process.c:6=
620
#1925 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1926 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfacd88e0) at eval.c:2870
#1927 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfacd88d8) at =
eval.c:2795
#1928 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1929 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1930 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfacd8df0) at =
eval.c:2797
#1931 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfacd8ea0) at ev=
al.c:2425
#1932 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1933 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1934 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1935 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfacd8fb0 "Q\367+\001\232\371\003\347\311\364\274\375=
|\260\374\203d\222Q \204\017\261\267\017v\376\356\342Q\234\211\277c\033\225=
s\212\274X\301\375\031\212\334b\261\277/\330\356q\350%-\354\354u\270\355M_>=
\371jX9\206\370?:^\233.\244kS?&\260\a\371O\t=C4=9Av\356\237\031\f$\274\216[=
\224r\246h\303\344=3DLoO=C7=8A\250C\273R\005D\001dZ:v\207\324\320\336{}\262=
\233bI\351L\302]\abM_|\367\303\373\037\020\063!R`\025\230\025A\vr| \260P\03=
1\274\350?\276(\375}\362:\207\336[\272\233\336\307\330\320\324\350\337J\241=
\016\021\205\370\231N`\255\372\310\a\027\275\016\237\310\356\067on"..., nby=
tes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#1936 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1937 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1938 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e33da8 =
"\n", <incomplete sequence \352\250>, len=3D4, object=3D...) at process.c:6=
620
#1939 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1940 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfacda680) at eval.c:2870
#1941 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfacda678) at =
eval.c:2795
#1942 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1943 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1944 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfacdab90) at =
eval.c:2797
#1945 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfacdac40) at ev=
al.c:2425
#1946 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1947 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1948 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1949 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfacdad50 "\341\v\244\305\062=3D\347\365\065\032\362^=
\346\375\353\031\217U\026\337\313]\204l\212\033\217\356\303\360Q\252\030\37=
4\326q\266\316X\214\276\246\244\066\302Y;\343D\245\312\067\363\rd\347ZE\243=
\350\301\257\021\064DA\361\210\212\260\033\250s\255\026\300hrE\267\364\354~=
r\264\236\205\202\336\f\032*\305\af\n\261\244D\221\272\340\262\065\004<\212=
\200Y\365\350\\\300E\355\023\203p\301\361=DA=A4", nbytes=3D4096, coding=3D0=
x55d3b3915cd0) at process.c:6210
#1950 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1951 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1952 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e33d98 =
"\n&=DA=A8", len=3D4, object=3D...) at process.c:6620
#1953 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1954 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfacdc420) at eval.c:2870
#1955 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfacdc418) at =
eval.c:2795
#1956 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1957 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1958 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfacdc930) at =
eval.c:2797
#1959 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfacdc9e0) at ev=
al.c:2425
#1960 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1961 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1962 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1963 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfacdcaf0 "p\210\306R\035\260\216\f\020\224\006q8\032=
C\322X\306Tex%\235\031ne\230u\tc\244\322\b\236\066\343\367Oqe+\n\036\006\03=
6\237\247", <incomplete sequence \306>, nbytes=3D4096, coding=3D0x55d3b3915=
cd0) at process.c:6210
#1964 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1965 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1966 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e33d88 =
"\n&=CA=A8", len=3D4, object=3D...) at process.c:6620
#1967 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1968 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfacde1c0) at eval.c:2870
#1969 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfacde1b8) at =
eval.c:2795
#1970 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1971 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1972 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfacde6d0) at =
eval.c:2797
#1973 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfacde780) at ev=
al.c:2425
#1974 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1975 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1976 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1977 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfacde890 "\273\"\317\036", nbytes=3D4096, coding=3D0=
x55d3b3915cd0) at process.c:6210
#1978 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1979 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1980 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e33d78 =
"\n&\272\250", len=3D4, object=3D...) at process.c:6620
#1981 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1982 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfacdff60) at eval.c:2870
#1983 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfacdff58) at =
eval.c:2795
#1984 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1985 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#1986 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdface0470) at =
eval.c:2797
#1987 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdface0520) at ev=
al.c:2425
#1988 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#1989 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#1990 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#1991 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdface0630 "^_\266\n\254l\032\210\373\210\244#2d\031\3=
31\066\317\070\351}\316\321*F\341bH\254\235P\027y\256oMAj\323T97\311=C4=B0\=
222\326{\036cX\251\232\022w\212\246\261\362=D8=98E?=D8=9E\"\351?\231y\303\3=
61\355\374\067\267\234\367~p\331\357mk\356\265\022<\024L\266\245\"\226N\207=
B\357K!\243\366\311\031\200\353Z\032\316Z=E6=92=8C&\375\300\314=DB=B6A\nt\2=
46\217\020\362#=C7=82\016]\346\366\273?h\266-l\\a\216\336<\"p!\361c\n+\005Z=
?=DB=B7=C4=A0]\206\350=CB=92A\233\366\061j?\366\223\265J$\377\066\204\236?Q=
\377\030\264CR\202-\307\366\301\022\004\002u\365\215%\345,\023"..., nbytes=
=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#1992 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#1993 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#1994 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e33d68 =
"\n&\252\250", len=3D4, object=3D...) at process.c:6620
#1995 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#1996 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdface1d00) at eval.c:2870
#1997 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdface1cf8) at =
eval.c:2795
#1998 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#1999 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2000 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdface2210) at =
eval.c:2797
#2001 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdface22c0) at ev=
al.c:2425
#2002 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2003 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2004 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2005 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdface23d0 "\350/\234u\375\311\313V\267\n\021\263L\232=
\213\363=CD=B6\353\036C\\GK\026\267\nJ+h\247a=CF=A6'\206\247\352x\301\361\3=
76\224v\301V\345m+O=CD=88\037\r\352\200S\267\373Hnu\242Q\360H\236VR\213\325=
.R\312\024(Jk=D3=94\232\177\301Lo\a\353\377\242\236\367(oE\267\030\340\336P=
\213:\004p/\177\027-=DF=A5T\364i\b-\360|_,y\346g\022\243\271=3D", nbytes=3D=
4096, coding=3D0x55d3b3915cd0) at process.c:6210
#2006 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2007 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2008 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e33d58 =
"\n&\232\250", len=3D4, object=3D...) at process.c:6620
#2009 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2010 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdface3aa0) at eval.c:2870
#2011 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdface3a98) at =
eval.c:2795
#2012 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2013 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2014 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdface3fb0) at =
eval.c:2797
#2015 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdface4060) at ev=
al.c:2425
#2016 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2017 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2018 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2019 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdface4170 "$\034vv\352\v\334n=C7=B4D=CF=A1GJ\377j9\25=
1=DE=A6\230\305\345\262^\372\237`H\340e\vi<\262\246\035^{\251\265\201q\265\=
321\032dT\005\225\352\065\b\023\251\030\366\340:X\201\210\304\021\324\364\2=
36\263 D:=CA=ABgXa\374;\343p\336NO\030B\rF\320\335tz\201\202\022\201Z2iP\26=
4\031\261\223\274\220\314\067U9\355~\232\006\061\255L\355\350q\371\033\030z=
\f\032\341SaS\212", nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:62=
10
#2020 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2021 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2022 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e33d48 =
"\n&\212\250", len=3D4, object=3D...) at process.c:6620
#2023 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2024 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdface5840) at eval.c:2870
#2025 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdface5838) at =
eval.c:2795
#2026 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2027 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2028 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdface5d50) at =
eval.c:2797
#2029 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdface5e00) at ev=
al.c:2425
#2030 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2031 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2032 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2033 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdface5f10 "D\221d\325_/\367\265=D0=86\257\346T=D0=9A\=
310S\260\224\253\345kI\017\342;X=3DP\271M\244\247\253\003\230y\303\303u\362=
\061x\211\342(\326\"\207\210\256O\321\321|=E2=A6=8E\337wX\224\\\035\244", n=
bytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#2034 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2035 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2036 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e33d38 =
"\n&z\250", len=3D4, object=3D...) at process.c:6620
#2037 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2038 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdface75e0) at eval.c:2870
#2039 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdface75d8) at =
eval.c:2795
#2040 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2041 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2042 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdface7af0) at =
eval.c:2797
#2043 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdface7ba0) at ev=
al.c:2425
#2044 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2045 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2046 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2047 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdface7cb0 "\263\340g\247%\300\256Z%=CF=AEU\214\376\32=
7\016\362\200QEt\230Q=E9=B7=9F=D2=84\001,Z\337[\372\f*\353!E", nbytes=3D409=
6, coding=3D0x55d3b3915cd0) at process.c:6210
#2048 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2049 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2050 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e33d28 =
"\n&j\250", len=3D4, object=3D...) at process.c:6620
#2051 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2052 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdface9380) at eval.c:2870
#2053 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdface9378) at =
eval.c:2795
#2054 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2055 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2056 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdface9890) at =
eval.c:2797
#2057 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdface9940) at ev=
al.c:2425
#2058 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2059 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2060 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2061 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdface9a50 "\346\365\375\016\312x=D3=99p\212\021\342\3=
60\023\355@,\215=DB=AA\017\343\060\273\231)\a\016", nbytes=3D4096, coding=
=3D0x55d3b3915cd0) at process.c:6210
#2062 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2063 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2064 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e33d18 =
"\n&Z\250", len=3D4, object=3D...) at process.c:6620
#2065 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2066 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfaceb120) at eval.c:2870
#2067 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfaceb118) at =
eval.c:2795
#2068 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2069 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2070 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfaceb630) at =
eval.c:2797
#2071 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfaceb6e0) at ev=
al.c:2425
#2072 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2073 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2074 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2075 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfaceb7f0 "\254E\267\225}\221^\314)e\224\\\225\346NLS=
\372\320\062|\236\223\266\212q=C9=B6\335\n=DA=B5\350", <incomplete sequence=
 \371\220>, nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#2076 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2077 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2078 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e33d08 =
"\n&J\250", len=3D4, object=3D...) at process.c:6620
#2079 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2080 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfacecec0) at eval.c:2870
#2081 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfaceceb8) at =
eval.c:2795
#2082 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2083 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2084 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfaced3d0) at =
eval.c:2797
#2085 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfaced480) at ev=
al.c:2425
#2086 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2087 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2088 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2089 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfaced590 "\266fR5\023=D6=8E\215)h\357\271\304\314QK\=
326\062\226\062w5\324\361,\332\fgi\317yo\235\242`~\270oIY#\315-@\216LQ\352\=
346\004)\204\t\301\227\226\034RaZtY\377\016\tXy\237\361}S\256\330IQ\327\003=
\254z<n\206\314=E6=86=93\311\016\353\231[\037\227^k\301\067\062zT\332\336\1=
77\vc\247\026\t\344\364\360v\367\332\063\n\273t\316\213\247?H\f\246\325B\02=
7\371=CF=BA\302IL\371w-\326\070=CE=ACE4\221\232Nvk\257\333i\261k\242pYd\304=
?\356\317\330)M\275\315\335\347\224+\362J+B\361\022\027\254\376\026\241\211=
\316PC/(\004\226\344@r\337\357=DF=9F'\231]P"..., nbytes=3D4096, coding=3D0x=
55d3b3915cd0) at process.c:6210
#2090 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2091 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2092 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e33cf8 =
"\n&:\250", len=3D4, object=3D...) at process.c:6620
#2093 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2094 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfaceec60) at eval.c:2870
#2095 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfaceec58) at =
eval.c:2795
#2096 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2097 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2098 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfacef170) at =
eval.c:2797
#2099 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfacef220) at ev=
al.c:2425
#2100 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2101 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2102 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2103 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfacef330 "\343\034\336\031P{\317s\247M\234\220\a\373=
R\275\276|\016\221=DB=88K\253UHDh\333\340Z\322\340\255\061\001-\177\333\002=
\300\374\060\240=3D\036%\342\300\274d\365%FV\022P$\300o>\261L\307xM\037\266=
\301\236\275TN5\327\300\256\374\020\370\224H\231\300\352\272\001", nbytes=
=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#2104 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2105 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2106 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e33ce8 =
"\n&*\250", len=3D4, object=3D...) at process.c:6620
#2107 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2108 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfacf0a00) at eval.c:2870
#2109 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfacf09f8) at =
eval.c:2795
#2110 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2111 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2112 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfacf0f10) at =
eval.c:2797
#2113 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfacf0fc0) at ev=
al.c:2425
#2114 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2115 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2116 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2117 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfacf10d0 "J\306N\303\t\212m#\343i\264D\261m\334F\310=
m\033\371\070\274\032\236=CF=9C\b=E9=B5=B8\311m\252d9\243\025#\224`\220\036=
\345\213\352\302/lC(\235\332\340(\255}D\003\001.7\004\020\266\370\260\200w\=
305\325<\f\021\336~\261\030\062\367\316\r\315=3Dce\t\355\216\066\276m\265R\=
177\262XMZ\232\022\364!\263\254\333w\231\003|TZM\353w\347\356\360\204\375\3=
26\n\023\333=DB=8A\325[&xO\005\272\025\253\071\250\005ah\251@\242g\002\035\=
216XTyR\230ks\200\254\314Mu^app\374=E9=A6=98;\354\372G4\316\323Nu\367\312^B=
\305\342\226[`4\037\241\375U\353\066\325>IR\377\\\310", <incomplete sequenc=
e \374>..., nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#2118 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2119 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2120 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e33cd8 =
"\n&\032\250", len=3D4, object=3D...) at process.c:6620
#2121 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2122 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfacf27a0) at eval.c:2870
#2123 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfacf2798) at =
eval.c:2795
#2124 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2125 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2126 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfacf2cb0) at =
eval.c:2797
#2127 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfacf2d60) at ev=
al.c:2425
#2128 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2129 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2130 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2131 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfacf2e70 "\225~N\246\tu$f\032\244\333\303m)\246C\243=
x\307\036\232\225Wi\263\374>\307z\342!=D9=B1\364\065\213\330C\232\250!_\005=
\230", <incomplete sequence \364>, nbytes=3D4096, coding=3D0x55d3b3915cd0) =
at process.c:6210
#2132 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2133 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2134 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e33cc8 =
"\n&\n\250", len=3D4, object=3D...) at process.c:6620
#2135 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2136 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfacf4540) at eval.c:2870
#2137 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfacf4538) at =
eval.c:2795
#2138 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2139 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2140 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfacf4a50) at =
eval.c:2797
#2141 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfacf4b00) at ev=
al.c:2425
#2142 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2143 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2144 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2145 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfacf4c10 "-]5\373a\"\022\233\034\005C\f(\260=3D\312>=
\035\276#\372\204\255\066\035J{C\337\352b\036o}#+D\324\035\b\235\071\213\02=
7.c\335\315$d\005\356<AEC\215\335\035\332\070\b\033u\222\316k\256\226\304\3=
60o\001\221o\032\fO\002\266\237z\\\030\347R\335\352Gx\312y/\320\305\025c\24=
1fe\252\215\255\313\061\223\016^C\037A\004\214\063\364\250\336g\347 \003H\2=
64\321\346\a\220\234\017|n2\370[*\235Q:\310o\250\067r=C9=A0x\244\274\216$d\=
311|\023\222\333\302\347=CC=87d\030;=3D\214=DA=98n\252s(", nbytes=3D4096, c=
oding=3D0x55d3b3915cd0) at process.c:6210
#2146 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2147 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2148 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e33cb8 =
"\n", <incomplete sequence \372\250>, len=3D4, object=3D...) at process.c:6=
620
#2149 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2150 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfacf62e0) at eval.c:2870
#2151 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfacf62d8) at =
eval.c:2795
#2152 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2153 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2154 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfacf67f0) at =
eval.c:2797
#2155 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfacf68a0) at ev=
al.c:2425
#2156 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2157 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2158 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2159 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfacf69b0 "'\257a\270\315z\373\234\f\257\066\312j\017=
\262tT=D5=81\245\232=D5=BC\234vh,\271\314\341\211\004\330Z)\370\025\366\"\3=
27\bM\026\257,\263\375\371\304\376H\211E\031[=C4=A59\"7\265\213\337\350\364=
\341\314\337\347?\271\345ogX\317\017M\020\034\356\005G\222\v\277\352\030\37=
0\fz\354\002\213\200\326=CB=97\fB\271\262$$[\242=D0=AD\004\020\037\221,\036=
=3Dq-\f\336\062\364^Rr\337\306\030F\373c\270.\312<\214@\243_.T~\245\366\360=
/\250o\204\360\226\233\251i\252\310=3D\257/\261\063\020\003q)<\244XN\217FU\=
362", <incomplete sequence \343\264>, nbytes=3D4096, coding=3D0x55d3b3915cd=
0) at process.c:6210
#2160 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2161 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2162 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e33ca8 =
"\n", <incomplete sequence \352\250>, len=3D4, object=3D...) at process.c:6=
620
#2163 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2164 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfacf8080) at eval.c:2870
#2165 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfacf8078) at =
eval.c:2795
#2166 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2167 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2168 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfacf8590) at =
eval.c:2797
#2169 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfacf8640) at ev=
al.c:2425
#2170 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2171 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2172 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2173 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfacf8750 "\006\005=CC=87", nbytes=3D4096, coding=3D0=
x55d3b3915cd0) at process.c:6210
#2174 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2175 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2176 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e33c98 =
"\n%=DA=A8", len=3D4, object=3D...) at process.c:6620
#2177 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2178 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfacf9e20) at eval.c:2870
#2179 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfacf9e18) at =
eval.c:2795
#2180 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2181 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2182 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfacfa330) at =
eval.c:2797
#2183 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfacfa3e0) at ev=
al.c:2425
#2184 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2185 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2186 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2187 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfacfa4f0 ",=DE=A4\347\224{\304Q\200\030=CB=B8\367=CF=
=B3\212\t|\254\070[\227S=C5=84\034\375\356\332\352(?&\245\022\242^\277t", n=
bytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#2188 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2189 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2190 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3e33c88 =
"\n%=CA=A8", len=3D4, object=3D...) at process.c:6620
#2191 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2192 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfacfbbc0) at eval.c:2870
#2193 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfacfbbb8) at =
eval.c:2795
#2194 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2195 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2196 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfacfc0d0) at =
eval.c:2797
#2197 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfacfc180) at ev=
al.c:2425
#2198 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2199 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2200 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2201 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfacfc290 "\023\242\237\351+\202e\027\332$ko\206\031\=
356$j\351=C5=AAS\251\266=EC=9F=A4j\300\372j\216Y\261\250=D1=BE[r4;\033\326\=
344\177\034G\370\067\240H\242\\\274\066\b\027\365l8\370\256\216z=C8=A2\324a=
\017ZaE\253\070GK", nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:62=
10
#2202 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2203 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2204 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b28418 =
"\n%\272\250", len=3D4, object=3D...) at process.c:6620
#2205 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2206 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfacfd960) at eval.c:2870
#2207 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfacfd958) at =
eval.c:2795
#2208 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2209 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2210 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfacfde70) at =
eval.c:2797
#2211 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfacfdf20) at ev=
al.c:2425
#2212 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2213 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2214 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2215 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfacfe030 "\305\036S=C4=A0Q$\214K.\357>N\200=D5=9E\02=
7sy\216=DC=84\376>2\006\001 =D5=9CS\341\071\216vE\205*\260\023u\a\365\tD\25=
5#\315N\255I\255)\356\026e\346N\355\032\273\177#D\235[Cg\267\006<\240{2\004=
~P\261^\025m\016.\237Q\340\"\250w\376-h\304\\\375\256E\363mBg L\220\250a\33=
4\344\272?\347\344O&\r\027\301\066\333\034\017j?T1\"\343\362\342i\002\066=
=3D\301\004\365\251\345\032Y\222A\236*\317z[\360\323\371\027\003\025{=E9=A4=
=B5\267\355\371\301\363J\213\004\211M\203\062\067\344$\003\245\236\276\235D=
\037\245m\"V\332\375t\224a\372G\003\016\267\234\364\333e\224", <incomplete =
sequence \323>..., nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#2216 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2217 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2218 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b28408 =
"\n%\252\250", len=3D4, object=3D...) at process.c:6620
#2219 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2220 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfacff700) at eval.c:2870
#2221 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfacff6f8) at =
eval.c:2795
#2222 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2223 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2224 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfacffc10) at =
eval.c:2797
#2225 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfacffcc0) at ev=
al.c:2425
#2226 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2227 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2228 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2229 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfacffdd0 "/7\244\031\065 \307:\362\321\022N\345&\034=
\247\331q}{$\364\032\003\373=DD=BAF\240`\222U]\344\200I\fN\370\334\004\021%=
R\242u\346S\367xY\204\f\031(G>\355_b\372j\312i\251\276S\224\254\300\226Qd\3=
50w\327z\322\320\356\026\223\265\361\226Y\236\355X\034\221\354\301\037?\300=
a\330=E1=9B=94^\203.\016=D8=B9_\374\232K/\200=C3=A3/\177=DF=B4\225\006\252a=
\314,k\252\277\\\230\323\326\340\235\200|\341\005\356\367\275\361\231\032hw=
\367\317P\333:W=C5=99\333)U\003\024=D8=8D\b}\036\347b?\021\377\066<\376g\37=
0\264\367;F)\264\337\006a\275", nbytes=3D4096, coding=3D0x55d3b3915cd0) at =
process.c:6210
#2230 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2231 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2232 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b283f8 =
"\n%\232\250", len=3D4, object=3D...) at process.c:6620
#2233 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2234 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad014a0) at eval.c:2870
#2235 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad01498) at =
eval.c:2795
#2236 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2237 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2238 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad019b0) at =
eval.c:2797
#2239 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad01a60) at ev=
al.c:2425
#2240 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2241 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2242 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2243 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad01b70 "=DB=86\363\346=E8=A2=86\312VO3j\241\245\36=
2\230\017\261\002\350\276\021\\\316\362\262\340\317\326\071\032\004\250\275=
+W\022eiS\363\224s)\003\322", <incomplete sequence \306>, nbytes=3D4096, co=
ding=3D0x55d3b3915cd0) at process.c:6210
#2244 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2245 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2246 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b283e8 =
"\n%\212\250", len=3D4, object=3D...) at process.c:6620
#2247 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2248 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad03240) at eval.c:2870
#2249 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad03238) at =
eval.c:2795
#2250 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2251 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2252 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad03750) at =
eval.c:2797
#2253 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad03800) at ev=
al.c:2425
#2254 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2255 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2256 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2257 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad03910 "\001F\263\236\276r\003\256z\037\232m\n\n\2=
10\365OU\244\316\313S\371F\250\274\306\350\323\034\245\267\260\063<*2G\245n=
\230\207\337\002\346\030P\337N=D9=A5/G!U\340\062=CD=9EJ\031K\241\023p\265{C=
E)1\357\355\372\rC\202E\037\316\317m\244h\243)\331\"\277\065aa\274\362\006\=
211<\361\377Nk\365\r\317J~\212D\033\335f=DA=BF/\320M\311<N\377F\223g\347D\0=
02\222=C6=B9\240:m\204t\221\215(c\234\024-\376\243-2=3D\257m\256\200\305!\2=
30\035;#\r6\222\b?=3D\254\360\327\363\245\276\330l\221y4\032\206\002=C2=BC\=
350\362=C8=B8\024\346\270=C3=BA'0\200\205;(=3D\225\266]=C6=AF\241"..., nbyt=
es=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#2258 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2259 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2260 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b283d8 =
"\n%z\250", len=3D4, object=3D...) at process.c:6620
#2261 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2262 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad04fe0) at eval.c:2870
#2263 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad04fd8) at =
eval.c:2795
#2264 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2265 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2266 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad054f0) at =
eval.c:2797
#2267 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad055a0) at ev=
al.c:2425
#2268 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2269 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2270 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2271 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad056b0 "\003\353=CD=84\344\357RL\340\323x\365>3\26=
6\223sw~_\026\303e\222=C3=B0+>\302\312dz\277\336 i\345\367\035\206\261:R&\2=
51\254=CA=95", nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#2272 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2273 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2274 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b283c8 =
"\n%j\250", len=3D4, object=3D...) at process.c:6620
#2275 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2276 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad06d80) at eval.c:2870
#2277 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad06d78) at =
eval.c:2795
#2278 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2279 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2280 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad07290) at =
eval.c:2797
#2281 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad07340) at ev=
al.c:2425
#2282 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2283 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2284 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2285 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad07450 "i\302\036ZD^!Oi\235\020T\253\004\307r\a=DD=
=87\241\237*D\f\365\236=DD=98,\367aM\206z\213\261\244\261\061\310_C0\321yF\=
354\366\337\066\004J\301\006\202\325~\313&\327T=D9=A9%\245.j\267\016y\365\2=
46\066\252\264\327u\217M\200\334\030)~\333\061\b\352\357)e)\342?O\251ck~\36=
3=D9=A4AT\237\270\344\320\061B\250\330Dn\271Zj\325\307\301\250\304\005\n\02=
3", nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#2286 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2287 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2288 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b283b8 =
"\n%Z\250", len=3D4, object=3D...) at process.c:6620
#2289 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2290 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad08b20) at eval.c:2870
#2291 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad08b18) at =
eval.c:2795
#2292 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2293 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2294 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad09030) at =
eval.c:2797
#2295 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad090e0) at ev=
al.c:2425
#2296 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2297 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2298 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2299 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad091f0 ":\030W\330\022Q(E\231\312\376XB\231", nbyt=
es=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#2300 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2301 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2302 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b283a8 =
"\n%J\250", len=3D4, object=3D...) at process.c:6620
#2303 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2304 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad0a8c0) at eval.c:2870
#2305 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad0a8b8) at =
eval.c:2795
#2306 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2307 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2308 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad0add0) at =
eval.c:2797
#2309 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad0ae80) at ev=
al.c:2425
#2310 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2311 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2312 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2313 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad0af90 "\364\202KX\374,\314\352G\300\fP\321p'\304\=
006\225\333\347D\241\060\064#kb5\004\350\240^=CF=9F9\025i\325\"\027\316\201=
\255GO\364c\300`\001\327a\266=DA=8Aa\f\324yg\006D\276z8\017}@\363=DF=B2\002=
\006\264\365\247\025a\233\017`\177\366Pm\235)\321=3D\351C=C8=AC\204\312\315=
v\353\342\237AA\003\233\251\061\350f\372\310\367j=D1=8C\334\323\017\353x\01=
6K\312#{\031\060\311\360z\305n\325=E8=BF=A4g|Ms\336\376g\273\217\225\070^\3=
65\216d\203\242\274\030\003O\356\035\371\066\231\261\316pJ-\225%\203\216'=
=C9=94\232\003\204\233\333\070\024$\265\371\247\365\003\373\326\016\374.\20=
4\376\211S\021\332\vtk"..., nbytes=3D4096, coding=3D0x55d3b3915cd0) at proc=
ess.c:6210
#2314 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2315 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2316 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b28398 =
"\n%:\250", len=3D4, object=3D...) at process.c:6620
#2317 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2318 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad0c660) at eval.c:2870
#2319 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad0c658) at =
eval.c:2795
#2320 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2321 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2322 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad0cb70) at =
eval.c:2797
#2323 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad0cc20) at ev=
al.c:2425
#2324 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2325 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2326 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2327 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad0cd30 "\024\316=C3=8C\214\305G\267M\224\"l", nbyt=
es=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#2328 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2329 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2330 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b28388 =
"\n%*\250", len=3D4, object=3D...) at process.c:6620
#2331 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2332 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad0e400) at eval.c:2870
#2333 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad0e3f8) at =
eval.c:2795
#2334 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2335 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2336 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad0e910) at =
eval.c:2797
#2337 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad0e9c0) at ev=
al.c:2425
#2338 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2339 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2340 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2341 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad0ead0 "\021%\220\254\216\322Y\207,\276\270\266\26=
4\364\302\030\302\201\062?=D3=A1\030\375\020\221\214\355=E5=BA=A7\276\016,\=
227\034!L\217!\264\216\270u/\234\232j\276=DA=9A~\214\061_a\351=C4=AD\350\34=
3=C7=8A\360w\326\070\222FF\367\360\233\242\b)\332.(\277\270\310\031q\\\263\=
327=D4=9C\225\277\364\341=D4=BF\002\016V@^.0\273X\377\273K}\230 \232\251=D8=
=89o\023=D0=8E\317+=CF=95P\200j\360\273\330\037N\250\236i\270\307p\321\022\=
343\360$Y\276\r\av\265\324h\006\206\020~\312+N\v\265\254*\243\324W\245Ug\24=
1\351T\266\202{\263\335\364ru\374\244|R\220t5R\217\363\277\033\327\254\216J=
\355ws\253\063\276", <incomplete sequence \361>..., nbytes=3D4096, coding=
=3D0x55d3b3915cd0) at process.c:6210
#2342 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2343 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2344 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b28378 =
"\n%\032\250", len=3D4, object=3D...) at process.c:6620
#2345 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2346 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad101a0) at eval.c:2870
#2347 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad10198) at =
eval.c:2795
#2348 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2349 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2350 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad106b0) at =
eval.c:2797
#2351 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad10760) at ev=
al.c:2425
#2352 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2353 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2354 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2355 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad10870 "\376s", nbytes=3D4096, coding=3D0x55d3b391=
5cd0) at process.c:6210
#2356 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2357 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2358 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b28368 =
"\n%\n\250", len=3D4, object=3D...) at process.c:6620
#2359 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2360 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad11f40) at eval.c:2870
#2361 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad11f38) at =
eval.c:2795
#2362 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2363 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2364 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad12450) at =
eval.c:2797
#2365 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad12500) at ev=
al.c:2425
#2366 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2367 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2368 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2369 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad12610 "y0\f&hg\365\071\311\303\026&\363\026\351\2=
63=DC=A5\340\373\245/bb8\024\036\373\371@|.\267\244q5e\004p$\036\027\302vRG=
l\316\301=DB=90\030\232s\211\001\356\322w\340\233\031Y", <incomplete sequen=
ce \334>, nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#2370 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2371 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2372 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b28358 =
"\n", <incomplete sequence \372\250>, len=3D4, object=3D...) at process.c:6=
620
#2373 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2374 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad13ce0) at eval.c:2870
#2375 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad13cd8) at =
eval.c:2795
#2376 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2377 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2378 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad141f0) at =
eval.c:2797
#2379 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad142a0) at ev=
al.c:2425
#2380 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2381 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2382 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2383 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad143b0 "\273\257\306K\250\264o1\203\261\322MJ\370\=
324\374\273\247b.\273", nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.=
c:6210
#2384 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2385 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2386 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b28348 =
"\n", <incomplete sequence \352\250>, len=3D4, object=3D...) at process.c:6=
620
#2387 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2388 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad15a80) at eval.c:2870
#2389 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad15a78) at =
eval.c:2795
#2390 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2391 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2392 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad15f90) at =
eval.c:2797
#2393 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad16040) at ev=
al.c:2425
#2394 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2395 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2396 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2397 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad16150 "\267\310\n\327\347S\230", nbytes=3D4096, c=
oding=3D0x55d3b3915cd0) at process.c:6210
#2398 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2399 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2400 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b28338 =
"\n$=DA=A8", len=3D4, object=3D...) at process.c:6620
#2401 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2402 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad17820) at eval.c:2870
#2403 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad17818) at =
eval.c:2795
#2404 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2405 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2406 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad17d30) at =
eval.c:2797
#2407 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad17de0) at ev=
al.c:2425
#2408 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2409 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2410 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2411 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad17ef0 "\267\207\177\357X\343\325\350\026\263\206=
=C9=85\350\343dKH\021Y\274_\223\370Y\235\n\264\210q;;\313<\356v\214\262\023=
Xd\023Q[\005>\310\335\371\227\fI6\243\230=CF=94\032j\246d\306b\253\306\312\=
300!\177c\244\343\202k=D5=A5\344\374=D3=A7\344\346i\257\354)?\226MM\200\006=
\063p\244V*M\377\034\262=D3=AA_\337\301l\037C\r\021\215\366*=D0=AB\001\343=
=3D\006\257\337!\030\271T=DE=966rw\254[Qd\356\300\250q\216\221_\031\203Bn\0=
02\365J8\377@K^+\016\254\225{\212\342\362Fh\255g\343\245?\236&\213\337m;nN\=
342\323=CC=85\360+\031VT\261;\257V\037Mu\317=DB=B7\240\350B/"..., nbytes=3D=
4096, coding=3D0x55d3b3915cd0) at process.c:6210
#2412 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2413 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2414 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b28328 =
"\n$=CA=A8", len=3D4, object=3D...) at process.c:6620
#2415 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2416 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad195c0) at eval.c:2870
#2417 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad195b8) at =
eval.c:2795
#2418 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2419 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2420 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad19ad0) at =
eval.c:2797
#2421 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad19b80) at ev=
al.c:2425
#2422 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2423 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2424 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2425 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad19c90 "\355\352W\aB\026\360\373o\357\017\"\370\36=
4\366bA\222\065\023\264\375\244#k\312\020\375U+\373\354o!\202y`Y \304h\217`=
\377\261\340\224\327\334\330\317\377\335c\346\270\373J\020=C3=B0\275\201\35=
4H\241y\t_F\031a\202=E1=B9=80\a\224\265\212\333`v\266\026\366(5K\017\311Kh=
=D3=912\r\260\"F\237\356pOz\303\061\003\026\271$\300\262\016#(\201!0\213NI-=
\207E\250\332X\375\261&\237f\217NL3j\363zj|\036\024\035\340\236@5G=C3=AC\00=
1\067\210\023g\207\343\341\376\213\361\225\221\036\254|wv\332KH\371u\250\23=
4\\\372H\233\325#\032|7\200\216\036\061\361\267=D4=83\235W\250\263", <incom=
plete sequence \366\202>..., nbytes=3D4096, coding=3D0x55d3b3915cd0) at pro=
cess.c:6210
#2426 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2427 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2428 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b28318 =
"\n$\272\250", len=3D4, object=3D...) at process.c:6620
#2429 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2430 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad1b360) at eval.c:2870
#2431 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad1b358) at =
eval.c:2795
#2432 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2433 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2434 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad1b870) at =
eval.c:2797
#2435 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad1b920) at ev=
al.c:2425
#2436 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2437 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2438 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2439 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad1ba30 "\264x~\352s\337a'\274E*\227\201\343\030$\3=
62\t!=CB=AB\315K'YO\345\273Q\005}=EF=BD=96\200Zq\251\347\260k\253\363 vYN\3=
25~J\021\216\016=D7=B4\356\060\265\345\204o\272\216\204\b\017\203=D8=A6t\24=
7\234\252\376'\214\071\201\b\314j\356\364u[hN\212\304{\323\335B\023p\031\21=
5P\222)\276sj{1\267=CC=AD\214*?\005t\223(\273r=D9=B0Da\021\326\364@\274\275=
\203\340\021\063\002\332 \246\030\037\276\f\034 .\334{p\v\027\306\307\334\0=
63\325J6@\373W\003\346<\271\353/,=D5=B71\362=C4=A9\022:_\253\216\313\035\20=
3t\330s\252\217\234\277d^b\275\253\252\177\002\347\240\\\261\223\217\220"..=
., nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#2440 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2441 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2442 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b28308 =
"\n$\252\250", len=3D4, object=3D...) at process.c:6620
#2443 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2444 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad1d100) at eval.c:2870
#2445 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad1d0f8) at =
eval.c:2795
#2446 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2447 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2448 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad1d610) at =
eval.c:2797
#2449 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad1d6c0) at ev=
al.c:2425
#2450 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2451 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2452 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2453 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad1d7d0 "\223\211\064r\226\377$\030\020\t\362\tG\25=
1\325\"-\224\063\220l\216\206\200\327d\213\062\017t=DA=A8+.\356\033'\342}\3=
34\373\232\\\327\336=CB=97v}v%\272\235\247\371Y\246\372\372\064\347\311\343=
h\305\361\371\256\261\226\017\006bm\317c*\273\302\203\360K\202\327yx\341\20=
6\340\002=DD=82\031\373=D0=A1\211\250\227\t\270\005P\311}=DB=9E\253>A\027Uc=
EF\027,\372\347\066\347\370@V\034Q\020=D1=91\300\034\301\060`=C7=BELI\371\2=
14M\224C\247\226? `\004\356Ad\363D\203\343\244\330G\363\v;hP=DB=AC\331\346 =
\236\244N\366\354\270}\035\017bu\224.=D1=9B\t\n\347\066\262v\206\224\312\34=
3\017f\206%\324\376"..., nbytes=3D4096, coding=3D0x55d3b3915cd0) at process=
.c:6210
#2454 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2455 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2456 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b282f8 =
"\n$\232\250", len=3D4, object=3D...) at process.c:6620
#2457 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2458 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad1eea0) at eval.c:2870
#2459 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad1ee98) at =
eval.c:2795
#2460 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2461 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2462 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad1f3b0) at =
eval.c:2797
#2463 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad1f460) at ev=
al.c:2425
#2464 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2465 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2466 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2467 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad1f570 "\225\177\"t\354Y\024\037\030\016!\a\231\25=
5\225X\273\036v\016\342\005\216\232\354\262\002\225Q\017\026\374]\035\233h\=
030\341Wx\256\213\261_\374%,!\036\177\061\366)k\341\030\271'\253\002jm\225\=
237?\237\031,Pk\332\024\004\272\257\f\240\001\344j<\025\362\340\020\374\346=
=EC=83=84\227\331r\337\066Y24\237\067r\213=C5=A3\030c\033\204lJ\252U+:\362\=
226\333\360\221\342\021\335+_=D9=A2r\031\217\323;\266\213\263Vk\356W=EB=BE=
=9A\370\213\304R\341XmPA\214y\\\301\251\252S=3D\257u\\\300\237M\217\373\372=
#(\236\372,x\254a\201{\255=E7=A6=81\273\320\062\025\335{<\225\026B\262+\251=
\347\253o\315p\274"..., nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.=
c:6210
#2468 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2469 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2470 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b282e8 =
"\n$\212\250", len=3D4, object=3D...) at process.c:6620
#2471 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2472 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad20c40) at eval.c:2870
#2473 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad20c38) at =
eval.c:2795
#2474 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2475 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2476 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad21150) at =
eval.c:2797
#2477 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad21200) at ev=
al.c:2425
#2478 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2479 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2480 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2481 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad21310 "\347\030=CE=A5\335\034\061G\306\334\337!@\=
226)I\215\360\311\030\036\266\270\250=CA=BC\n\020\f\300\242N\362\023@\250\3=
47K\313\307(<\357\257L\177\242\222\266\247h\314\331*\260\023s\213:=D4=A2\31=
7lgU\200F\327:\ah\362\260J", nbytes=3D4096, coding=3D0x55d3b3915cd0) at pro=
cess.c:6210
#2482 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2483 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2484 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b282d8 =
"\n$z\250", len=3D4, object=3D...) at process.c:6620
#2485 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2486 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad229e0) at eval.c:2870
#2487 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad229d8) at =
eval.c:2795
#2488 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2489 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2490 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad22ef0) at =
eval.c:2797
#2491 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad22fa0) at ev=
al.c:2425
#2492 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2493 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2494 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2495 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad230b0 "\023A74\230/=3D\371\325#\001\250}\307\305N=
Q@\375!\305E\200m\232\226\234\355\177\b\271A\253\212!\300!j\b\016pW\334\305=
\\!\230\206!\260P\342\065#Y\036b4^\224\341\001v\307Nh\026\365=C6=A6\035\345=
\316-\027\310\002\372C\003\235\250\226\307\067Z\365\243!\201/0\250\034\177(=
\"\341\070\031\250\022\357\312.\260\256&I\235\303\177\357\021\212\034\361AE=
?,F\235\070=D2=89s\267\060\362\201\340\267o\025\177\027L\024\373\225\254\22=
7\t\206+\356B\362=CF=9A\236r\302\004\002\215)\335\n@9\263\060\336+\207`x\02=
4\365\332=3D\330]s\367\200\030H<z\362\061b\210\266\037\233\334>\243\322d\23=
4\363\030*\373", <incomplete sequence \340>..., nbytes=3D4096, coding=3D0x5=
5d3b3915cd0) at process.c:6210
#2496 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2497 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2498 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b282c8 =
"\n$j\250", len=3D4, object=3D...) at process.c:6620
#2499 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2500 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad24780) at eval.c:2870
#2501 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad24778) at =
eval.c:2795
#2502 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2503 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2504 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad24c90) at =
eval.c:2797
#2505 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad24d40) at ev=
al.c:2425
#2506 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2507 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2508 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2509 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad24e50 "\215\214r\205\355\373m\360\370=CA=BE`\252#=
\210j=D9=A9\201k\303{%\252\220\237W\240\305\351\066\346z\267=3D\351\204ve\v=
\256\316\345x]\vZ\376\231\300k\362\315\351P'\260\320W\377\246)\034\006d\351=
=3D\347NY\324h\272d1j\236\365\020\207d\345\203R\273QB\372\263m\227\320bx\30=
2a\355\024\242\362TK\321\027Bo\vV\365\347\227C\212\207\233M\030Z~\337Y\272\=
350\337=DC=B5\221#D\326%\241\220\fj2\313\315l\371@n\301I|=DA=99=D5=95\006b\=
314=D7=B2\374\n\023\223\261\251zR\306&l\032\202\210\003\254Q=3D\343Y\222(!P=
8\317^c\314\356i\206\060\063\032\352q\031\332\\\v=D8=81a\035\006"..., nbyte=
s=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#2510 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2511 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2512 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b282b8 =
"\n$Z\250", len=3D4, object=3D...) at process.c:6620
#2513 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2514 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad26520) at eval.c:2870
#2515 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad26518) at =
eval.c:2795
#2516 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2517 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2518 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad26a30) at =
eval.c:2797
#2519 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad26ae0) at ev=
al.c:2425
#2520 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2521 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2522 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2523 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad26bf0 "\246\336Q(0#0\264\355F\345\031\341O=C6=BE\=
004r\210\273N\351\316h\023\030\236\231\021u;\212>\253=CC=83\004%[#VT\276\24=
7\306\064D\312u\345\027\342\231U\271L\214<v\226\252\211\025\227\036\341z\27=
0\250\247\024!\253\313\301s\327F\004;\321\003\216\367\002\272\310\347\r\f\2=
25C\250]\346\345\r\\S\222\263P\257\301\210I\365\205^\367\005\026\364\332\34=
5w\372% z\351[\233\355d\241\066\204\236i\362Qj\220N\266\262\350\210Y\334\02=
7\024v\366\205\213\357:\200\234jH\224\071\343\357\373\242\257\352\342\325:#=
|\351\273)\260\021\023\257\062+\334\313\f;\273\327\031\271\061A\227\022\346=
E\314P\377\016\237Vi\221=3D", <incomplete sequence \311>..., nbytes=3D4096,=
 coding=3D0x55d3b3915cd0) at process.c:6210
#2524 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2525 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2526 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b282a8 =
"\n$J\250", len=3D4, object=3D...) at process.c:6620
#2527 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2528 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad282c0) at eval.c:2870
#2529 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad282b8) at =
eval.c:2795
#2530 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2531 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2532 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad287d0) at =
eval.c:2797
#2533 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad28880) at ev=
al.c:2425
#2534 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2535 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2536 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2537 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad28990 "y\346\344\255\361\335L\205F\254z%\330O\271=
\t\240\266\236\220\373\252\323w=EB=AF=B8J\331\351\031\001~\301=DA=8Bc\245\3=
56=CE=95\277-\254\275Mm^Le\246\230\244\060A\255\327\370\213\221\337\066D\20=
3\030\254\342\261\324\365\322\307\303\316\030\372y\236\366\r&\325\352kk\365=
\365\344\"\201\063\275\bl\311V\207S\316\b3\273\067\205\275\343\002,\bH}\342=
\060#\005\230,W\225b\003;\251\307=C2=BE\234\063\f\234(\267\024 \032\242\260=
\251\207\334@$\360{\353\311 \303\315\"=D3=AB\211Z\243\307\317\066i-\366M\37=
5\214_\202\276=D2=87\332\355R~\177\264\060\236\266\020\361=C6=A2$MfY\265\27=
0\362\345.1\274\241]\211L\374\255", <incomplete sequence \357>..., nbytes=
=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#2538 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2539 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2540 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b28298 =
"\n$:\250", len=3D4, object=3D...) at process.c:6620
#2541 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2542 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad2a060) at eval.c:2870
#2543 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad2a058) at =
eval.c:2795
#2544 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2545 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2546 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad2a570) at =
eval.c:2797
#2547 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad2a620) at ev=
al.c:2425
#2548 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2549 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2550 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2551 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad2a730 "=CF=99\341i\260\a\321\375^=DE=A7\230\276Ax=
+w\260\247\337\317U\377\315C\312C\271\252\260{\322\311\331e\367\315\021\333=
\024a{\202\217j\304\070\205\061\341\305=EF=98=AA\201m?H\276\342\221\230\213=
\345/\211\065\236\344\061\247\300\201\252\251T\237\277\261-g\020\243\032\31=
2\035 X\036\n\017^aKqak\311\352bp%?\204To\250h\243=D1=B6\200-\021", nbytes=
=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#2552 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2553 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2554 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b28288 =
"\n$*\250", len=3D4, object=3D...) at process.c:6620
#2555 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2556 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad2be00) at eval.c:2870
#2557 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad2bdf8) at =
eval.c:2795
#2558 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2559 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2560 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad2c310) at =
eval.c:2797
#2561 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad2c3c0) at ev=
al.c:2425
#2562 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2563 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2564 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2565 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad2c4d0 "\r@:\374G\223\270\340:V\332TL\345Q\223y\35=
7\300G\367=CF=88\037\204_\257.>L\234k\277\064\350#\314G=CC=B3\233\270\b\336=
 `\t3\b\374\006*\024\066W\230\367\263\265\250\300\245\020\337w&x\277\001>*\=
243.\363\325\t\305\337\025H-Ck\374\242%k\265\267E8\030\324%\272\033O\022\26=
5o", nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#2566 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2567 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2568 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b28278 =
"\n$\032\250", len=3D4, object=3D...) at process.c:6620
#2569 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2570 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad2dba0) at eval.c:2870
#2571 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad2db98) at =
eval.c:2795
#2572 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2573 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2574 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad2e0b0) at =
eval.c:2797
#2575 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad2e160) at ev=
al.c:2425
#2576 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2577 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2578 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2579 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad2e270 "\325C\350\"\212C\363\250\327h\262\256\234\=
336c\253\202\325\306\376\252\t\323\312X\205\251\325S\337\327\277}|\346?0\26=
2\264K&\353b/\332\005\310\aT\005>\315\361\255\025k\212\001\274T!(\327A\231r=
\321t\273<\271cA\035\v\355=C5=87\240\023\a\033aj\361\027\fr\030}\001J=CA=A6=
\214\030>8\230\262=EA=B9=83\237\032g\374\360P\270B\336g\236<\266P\271C\264e=
5\366\304k\027\232s\263\314l\342=DC=B8\202\340\245\004\305\343'\005\343\356=
\333V\301Z\223\065\027{\361{f\265=3D;k\242J\310\035\210um\333\307{T H^I\301=
\n\226iUox\300\332\356\336\374\341ZJ\rx=C7=A3\244X\310\v\210\376\262"..., n=
bytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#2580 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2581 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2582 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b28268 =
"\n$\n\250", len=3D4, object=3D...) at process.c:6620
#2583 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2584 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad2f940) at eval.c:2870
#2585 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad2f938) at =
eval.c:2795
#2586 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2587 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2588 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad2fe50) at =
eval.c:2797
#2589 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad2ff00) at ev=
al.c:2425
#2590 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2591 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2592 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2593 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad30010 "\256\300\250,\362\062\035\363v\320\362\361=
\026\244\004nZb\353M1\366\220)\341`\256\311\037\375\326\313}I\326^\267C$\32=
6\023j\273\016\316\333g\006x\177\253\226\201\070\256ve;L\262=DD=AB\325\"\33=
4LF&/\304|\177\304\325G1\025\331Es\313x\221\361Q<\215\066\304\\\221\274:\02=
1\235\004\260\373o<(}FGC\377\340=DF=A0\307\071\233\204\060]\361O|w^6\326w,l=
\316\343;W\220\062\032\201\243\331\017\345\342V\360\232=EE=B3=86i\030~-g\01=
7\364\201]\322#\304\345bB^>~\333o5\224\034s\321\320\375N\"7c\227-\354k5b\00=
5\201\"\037=DA=8E\344\347\327\335\336\036\004\200", nbytes=3D4096, coding=
=3D0x55d3b3915cd0) at process.c:6210
#2594 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2595 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2596 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b28258 =
"\n", <incomplete sequence \372\250>, len=3D4, object=3D...) at process.c:6=
620
#2597 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2598 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad316e0) at eval.c:2870
#2599 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad316d8) at =
eval.c:2795
#2600 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2601 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2602 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad31bf0) at =
eval.c:2797
#2603 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad31ca0) at ev=
al.c:2425
#2604 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2605 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2606 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2607 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad31db0 "\322&=CF=AFl\206\020\222=D0=B8?4\r\021\016=
z\252\\\300\\\016*\217\275\b\352\025\027\264S\251\315-kj\256\\\034a!;\216l\=
372k\221E\336Ev\316\070\332Z\232\260\060t\242<$yb=3D\244\305\"m\022bX\242>M=
9\251cW\304\b\212\064\242'Tl\224y-\255\016\305h[\232k\247\213\363\356\335\0=
20\021N\214\n\207\001\225P\205=C3=A5\265\033\063\350i;\324\n\004\343\326\32=
5)\366\002\255\220\336\314\037?-B\375\243\304\311(=E2=90=98^.?\313'\371h\32=
4W\204\031\071\221b\304k\002]\342\346\372\027\034\350\226n:\020Y*\232\344\3=
54R\372\375\356q\221p\200\235\354\227b\006\366\350\"\250\253(fh\366\020"...=
, nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#2608 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2609 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2610 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b27e68 =
"\n", <incomplete sequence \352\250>, len=3D4, object=3D...) at process.c:6=
620
#2611 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2612 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad33480) at eval.c:2870
#2613 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad33478) at =
eval.c:2795
#2614 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2615 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2616 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad33990) at =
eval.c:2797
#2617 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad33a40) at ev=
al.c:2425
#2618 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2619 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2620 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2621 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad33b50 "\352\f\301\"\364\065\362\345mG\020Ef\322\0=
03yWk\032\031T\225?\200n \341\066\222H|\346\065\220\"\vF\035B\036.|d\262\33=
3\306d\326\315tw\272y\374\207w\275y\245p=D4=8F\fQ.\362\354ps2\027\353\374b\=
251\327\253\265\256\023)a(\020\371xXXA}\375\275o>\032\274\035m/ \002\067\07=
0W=D3=A1\231\020\070=D5=AE\025k\227t\300\225\001\271=DE=A9\334\037\231\260F=
J\371\327\366\365q\335o\310\032\276t=EF=8C=9E\221\365~+\262q\255\264|F\b/\2=
50\264P\230\211$OC\254\245\f\302\201{\031\230X\177O\222\271\333\035\211eK\"=
\235\257Em\306`\255\301e\307D\254=E3=97=82\217\063\234", <incomplete sequen=
ce \373>..., nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#2622 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2623 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2624 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b27e58 =
"\n#=DA=A8", len=3D4, object=3D...) at process.c:6620
#2625 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2626 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad35220) at eval.c:2870
#2627 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad35218) at =
eval.c:2795
#2628 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2629 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2630 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad35730) at =
eval.c:2797
#2631 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad357e0) at ev=
al.c:2425
#2632 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2633 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2634 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2635 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad358f0 "\205\006L\255^@\244\250\t\360SJ\006\245\26=
6\036\064-r\fg\256\303BG\354q\361Xt\331\334\003=3D\346\003w\\\245\267\364\0=
26\365\200i\001d]\036d};\a\213)0\253\214-n\245J\322\341\270\320\337a\227\31=
2\177\256\021H\240\215=3D9\237\361cQw\033\026v\213\327+\006\243\224\021\277=
W\200\362\212\364\005\027\033o=CF=AB8:i\320\366yo\220\\\322\065h\274\227\22=
5z-O\271F\031\235{\271\321\033\340\316\066\345\334\345C\355 &\v\311?->BTA=
=CB=9DD.\\#\342\340]1\323\340)\253[\341d:\232\220\037V\305\024\264;36\023\2=
43\303\375\rc\266\034\005d#\271\032\211\360\227=EB=A9=93Zi", <incomplete se=
quence \304>..., nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#2636 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2637 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2638 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b27e48 =
"\n#=CA=A8", len=3D4, object=3D...) at process.c:6620
#2639 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2640 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad36fc0) at eval.c:2870
#2641 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad36fb8) at =
eval.c:2795
#2642 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2643 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2644 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad374d0) at =
eval.c:2797
#2645 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad37580) at ev=
al.c:2425
#2646 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2647 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2648 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2649 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad37690 "\326\030\330\f\306%\243\310\343\214\025\24=
0\376:\a\323%\266\363f=EE=AE=A5\266Q=D5=83\274*\206\207\b\317E\361\372\276`=
\345\200\360\257\345{#&\374\263\256\216\360\253^b\255m\027+\033 \261\210\31=
1Y=DF=9C\277\205\306\354\346\306\002\031W>\317F\237UC\303\034P\266;vz=3D\03=
2\213\223\255[\217?\344\200\330*\304\365\366\300\\\235\320t\001\063\346\256=
Y=C5=BC\033A\267\020\247\370\027-\244O\342\025\223\367\061=3DB\332zP\024\35=
2#.", nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#2650 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2651 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2652 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b27e38 =
"\n#\272\250", len=3D4, object=3D...) at process.c:6620
#2653 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2654 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad38d60) at eval.c:2870
#2655 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad38d58) at =
eval.c:2795
#2656 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2657 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2658 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad39270) at =
eval.c:2797
#2659 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad39320) at ev=
al.c:2425
#2660 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2661 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2662 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2663 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad39430 "\a\265v\t\237\372=3D\231/\336=CD=AC#\rd\37=
4\212F\276\354\370\346\016\213\bV\035\354\216\353\375\005\215\341\361^\354\=
034\314sc~\265!\355do\313uv\325\316\301\214%\245\vxV\023IE|J CGc\371F=E6=8C=
=84\262B\245\365\070\016\217\206|\f2\234\251\004\327\303\033\244gu\364v\361=
n$\367\216\202\244\233\331\342uV\252\320\302'\312n\377\244\357P\036;\002\35=
3\204\"\211'\240 \256C\335\351\377\035{y\342J\270hey\377r\343\067\066\212W\=
361\267\210\352Y\355[\263\317zVo\301u\237\071n\377\321\022\276\070S", nbyte=
s=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#2664 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2665 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2666 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b27e28 =
"\n#\252\250", len=3D4, object=3D...) at process.c:6620
#2667 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2668 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad3ab00) at eval.c:2870
#2669 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad3aaf8) at =
eval.c:2795
#2670 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2671 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2672 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad3b010) at =
eval.c:2797
#2673 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad3b0c0) at ev=
al.c:2425
#2674 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2675 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2676 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2677 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad3b1d0 "\355\373\r\002$Q\237\236S\203\371%\362\241=
`\027\232\060\333\023\213\374e\233\223\271(DD\rC\021\204\066U\003H\214-\274=
\357\261\\\350r+\024\223\363;\211j\225=DD=81\023\356\034\033\035TX\332N\337=
c\334\026^\026*\r;\351\203\f\212_{\234\071r;x\350~\r\001\304w\025=3D\003\20=
7\367\317)\237\262\273/x\335^\331$\330\066qr\036\027R\226cA\214\214v=C4=9F_=
\253\220~*\370&\351\266>k\213+_q\320\062+u\356\370\327\376s*Q\230\310\021\2=
22M", nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#2678 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2679 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2680 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b27e18 =
"\n#\232\250", len=3D4, object=3D...) at process.c:6620
#2681 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2682 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad3c8a0) at eval.c:2870
#2683 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad3c898) at =
eval.c:2795
#2684 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2685 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2686 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad3cdb0) at =
eval.c:2797
#2687 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad3ce60) at ev=
al.c:2425
#2688 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2689 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2690 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2691 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad3cf70 "\035=D1=B9\226\300\330\345\326\373hK\275\r=
\314B\201\255:q\322\004\200\356\364\036t\025D\254)\332z\225\271\362\352+\31=
7\347\346\276\002R]\a`fhV\341\062O\361?\030\205\307\373L\203\364\a\273}\363=
\372\374f\357|\006\211O\202\252V\351\353\244k\215\327\313\\Z\212\364\ny|\37=
6\\l\332\371\063\267\341\nT\225j\021\314J\001\375\005\307\024|Y\326\t3<E\02=
2\375\005S\242\016\002\r@s\024\067\306-\302\212>\372=C3=83\227\337\326=D7=
=B3\032\262\353\254\356\025\a\374:\255\016=ED=86=B3Tw6k\220\271Y\311\071Yk\=
213\246=DB=A74\373\312\027\274=D4=B4\372\370\354\374B)\256\273\066\272\212\=
263\204O\346y\235\313\330", <incomplete sequence \343\245>..., nbytes=3D409=
6, coding=3D0x55d3b3915cd0) at process.c:6210
#2692 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2693 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2694 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b27e08 =
"\n#\212\250", len=3D4, object=3D...) at process.c:6620
#2695 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2696 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad3e640) at eval.c:2870
#2697 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad3e638) at =
eval.c:2795
#2698 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2699 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2700 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad3eb50) at =
eval.c:2797
#2701 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad3ec00) at ev=
al.c:2425
#2702 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2703 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2704 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2705 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad3ed10 "\304/\364\005\236\\Q7\377\376\067/\037k2\2=
43\263\036\231\064:\237@\340\302\066-\b\230ZE\327\304\375\313'\321\344 \001=
=D4=9A\265e\233\f\341\220\001}\262}suby\200;\217\277?\025F\276\372\232t\034=
\254\"\325\315\317=D1=B9\204\223\026\372&\rk\210\251O\252C=EA=96=99U\r\355\=
065\v\340\254\060K\251\254\262@ =DE=812)\355=D4=B6k\362=CE=AE\360\332G\266\=
316\307J\334n\244\033\261\357F\227\333,\300\326m#=D8=AEs\370\347\200\001\32=
7\035D\313\350*o$\005K\336&\251PR6i\036\n\267\266\230!", nbytes=3D4096, cod=
ing=3D0x55d3b3915cd0) at process.c:6210
#2706 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2707 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2708 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b27df8 =
"\n#z\250", len=3D4, object=3D...) at process.c:6620
#2709 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2710 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad403e0) at eval.c:2870
#2711 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad403d8) at =
eval.c:2795
#2712 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2713 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2714 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad408f0) at =
eval.c:2797
#2715 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad409a0) at ev=
al.c:2425
#2716 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2717 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2718 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2719 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad40ab0 "\221\017\037\256=3D\252i\306\067\323\371\2=
54\a\256=E2=97=99]\034\215f\333\371ga\r\027\030h\233\n\323+\275\064\262\031=
!i'\t{\026\333S\001\344\255O\022\067\232\n\311=D1=81\\\216i#h\340\225\323B\=
372_Q\372\327\037\034\244c\354\375\325\355[\306\rl\350:3\n\n\213:`\250\200\=
253!4\f`0D\352 \214\243D6\201", nbytes=3D4096, coding=3D0x55d3b3915cd0) at =
process.c:6210
#2720 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2721 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2722 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b27de8 =
"\n#j\250", len=3D4, object=3D...) at process.c:6620
#2723 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2724 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad42180) at eval.c:2870
#2725 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad42178) at =
eval.c:2795
#2726 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2727 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2728 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad42690) at =
eval.c:2797
#2729 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad42740) at ev=
al.c:2425
#2730 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2731 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2732 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2733 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad42850 "{Xplyw\270\347Y\254\363\324\002\256S&T+\02=
6Hx\240\237_\253\004\034\252\262\273\"=C6=8D\035\035.\236IP\200\213D,e\336\=
262]\250\301\236\225=CD=90\277\267G\315=CB=A3D&w;\342\022H\005\225\033\315K=
\003\330\335o\274\243\v\344\234hl\346\355S'~6\374ug\225\"%\035\360\001K2\20=
6\354\304\335 kD\030\324\334C=DB=BA\236\370\371\001^M2\002\061\032\025\342\=
006\232\017O\277\354\016\025\315h\272r\235\374\f\214It7\343\377vk\271\035\3=
32W\255=D3=99\252\023\230R\261\266\340\202=3D\316\301\333*tlL\376\210A\246\=
240\306\027\a=CC=83h\271\305\060\006n \252\331\366&\243s=CE=B6a\301\v\210\\=
"..., nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#2734 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2735 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2736 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b27dd8 =
"\n#Z\250", len=3D4, object=3D...) at process.c:6620
#2737 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2738 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad43f20) at eval.c:2870
#2739 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad43f18) at =
eval.c:2795
#2740 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2741 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2742 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad44430) at =
eval.c:2797
#2743 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad444e0) at ev=
al.c:2425
#2744 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2745 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2746 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2747 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad445f0 "1 \351\201\314\307(Q", nbytes=3D4096, codi=
ng=3D0x55d3b3915cd0) at process.c:6210
#2748 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2749 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2750 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b27dc8 =
"\n#J\250", len=3D4, object=3D...) at process.c:6620
#2751 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2752 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad45cc0) at eval.c:2870
#2753 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad45cb8) at =
eval.c:2795
#2754 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2755 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2756 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad461d0) at =
eval.c:2797
#2757 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad46280) at ev=
al.c:2425
#2758 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2759 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2760 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2761 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad46390 "\333J\341E\005C\016\302\"n\222\207:\t=EE=
=BD=87\323\003zk\361\214\242\244=DE=A9\272\206=D0=A0\206=C8=88\302X=DB=AAD\=
352\a\346\265p\250P\204X\036@D\313z\247\345\276\312\342\210:\333\301\323\aZ=
z\356\032=D5=BC~\224\347\365\240\n\a", nbytes=3D4096, coding=3D0x55d3b3915c=
d0) at process.c:6210
#2762 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2763 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2764 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b27db8 =
"\n#:\250", len=3D4, object=3D...) at process.c:6620
#2765 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2766 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad47a60) at eval.c:2870
#2767 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad47a58) at =
eval.c:2795
#2768 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2769 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2770 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad47f70) at =
eval.c:2797
#2771 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad48020) at ev=
al.c:2425
#2772 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2773 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2774 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2775 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad48130 "\034\350\035\062#\362B\277\f\361\364\"\254=
\313\345xs\023R\031\210.9\003r\262\337\004\233=D2=AA\211\206\020O\005J\213\=
250?\207Z,X.\361\324!\275;@\370\346\351\332'\245\026\362\034", nbytes=3D409=
6, coding=3D0x55d3b3915cd0) at process.c:6210
#2776 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2777 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2778 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b27da8 =
"\n#*\250", len=3D4, object=3D...) at process.c:6620
#2779 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2780 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad49800) at eval.c:2870
#2781 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad497f8) at =
eval.c:2795
#2782 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2783 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2784 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad49d10) at =
eval.c:2797
#2785 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad49dc0) at ev=
al.c:2425
#2786 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2787 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2788 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2789 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad49ed0 "~\037\347\375\300i*\207\264\370Z=E6=A4=9D=
=C5=9B\201`GD\377\t\003S\224\260J\201\314=CD=B4@t\375\373\372C\271U=CB=B8\2=
46\253s2\200+x0@\361\332\367\264\352\nOBy\033\255-_CL\356\375Oyb[\303\177\f=
\362H\343\266&\215C\031v\364mD\324\362\331I\345\030\aw\177\004\220\201\070;=
\002\066\255[<\243\267\022\r\260Z\350r\237p0]=EA=87=B0\350\203X\v_\220\355V=
XT*\336\037\301\360\250\v$4p\261\201WN\375\216y\337\370\355\r\273\375\203\2=
34\307<Vi\373\232b\203\211j\365\366\267ud\026\225Z\362\341:\210cF\023m\032\=
204f\023\245|%\032r\277\004\261=EC=82=A1O\377\002\017"..., nbytes=3D4096, c=
oding=3D0x55d3b3915cd0) at process.c:6210
#2790 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2791 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2792 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b27d98 =
"\n#\032\250", len=3D4, object=3D...) at process.c:6620
#2793 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2794 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad4b5a0) at eval.c:2870
#2795 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad4b598) at =
eval.c:2795
#2796 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2797 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2798 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad4bab0) at =
eval.c:2797
#2799 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad4bb60) at ev=
al.c:2425
#2800 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2801 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2802 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2803 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad4bc70 "\305J|N\240\344\234\037\344\023](?3\027\32=
4\307\023sw\271\232%/6\336\021n6\340\214=3DJ2C3.\274\063\257\314\345U\213\3=
06MK\352\255bMH\333\033\v\f:=CF=84\210\367\205O<\202\071\302\035\302\205\37=
5\272W\025\331\060\020V\fN\n\331dI\221\177\245\255\205v\r=CE=BFw\361\331=EF=
=B5=94p\203\036O\231\367t\210t14x\261\001\227\201\371\377\070\030\357+\300f=
\375\276\001\001\036\364\235\212*\377&\023\037\065\276\037\346\002\354\067\=
b\354\020\065PO\235=DE=97\352\243;\003\376~\243\260\200\220\226\260y\270H\3=
76\b=CA=B2gV\275\327jHm3\\7x\200Y\251\200'\fA\025)\355=C4=9A\362\336i\274O\=
206"..., nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#2804 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2805 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2806 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b27d88 =
"\n#\n\250", len=3D4, object=3D...) at process.c:6620
#2807 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2808 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad4d340) at eval.c:2870
#2809 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad4d338) at =
eval.c:2795
#2810 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2811 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2812 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad4d850) at =
eval.c:2797
#2813 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad4d900) at ev=
al.c:2425
#2814 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2815 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2816 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2817 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad4da10 "n&E\341\235tD\021\254\271\357\356\300\237\=
213\267\263Zu\025<\234\026\006B\243\200\204e\026\342&\006'\372h|\026\344\06=
6p\027\034\r\303\bsoe\325\377\356\345\272+\224<s<\246\063\317\302}\031\065\=
025\232J2\370\232]\312\001\272\022\315O\315\b\200\a\031\366w_Z\363\002\213\=
344\345+\234s\202\067[=D0=83{\235w\275\341T\033\275_\355=D5=B0\217 B@+\034\=
026\275s\211}\212<\002\031\247ML\245 1\001\032\247\003v\274<\033\312\070K\3=
10J\354\306S\347\377\037\266\026\251W\355/\312~7\236\331\060\342\"\t)+k=3Dm=
=D1=83\356S\256\255\b\177", nbytes=3D4096, coding=3D0x55d3b3915cd0) at proc=
ess.c:6210
#2818 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2819 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2820 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b27d78 =
"\n", <incomplete sequence \372\250>, len=3D4, object=3D...) at process.c:6=
620
#2821 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2822 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad4f0e0) at eval.c:2870
#2823 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad4f0d8) at =
eval.c:2795
#2824 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2825 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2826 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad4f5f0) at =
eval.c:2797
#2827 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad4f6a0) at ev=
al.c:2425
#2828 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2829 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2830 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2831 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad4f7b0 "\352|\245N!)F2\265\213/y\026\023\002A\030\=
177=DC=9B\305\322\353!\355\001\273R\246\213\204=CA=85\352\211\065\064.=CF=
=A2\357d\276\220G2\374\351;\212\064\234\327^zsC\334\364\005h\236\326\214BtE=
\247\001\"\334\065\245\217\253EE\264\350\245\066\242\002\305Rc\002\251\302o=
\n\354\356xoiZ\022\262=CC=90\272\326O\373\205\n\361\362\343PU\221\331\360[\=
177\026Y\257O\243\027\240l\350=E9=A8=80p\207#\275\326\003\277!\271\276$\312=
\300\261\221\f\r1=DA=90\211=DF=8Ft\371\276ce\232!\210\227\225\023Q\343\367p=
\372\257\317\300\357E\277_}\034\256\063\250\264\065F/\336o\343\302=DD=A4\26=
4\262\022\335\067t\b\365\273", <incomplete sequence \343>..., nbytes=3D4096=
, coding=3D0x55d3b3915cd0) at process.c:6210
#2832 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2833 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2834 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b27d68 =
"\n", <incomplete sequence \352\250>, len=3D4, object=3D...) at process.c:6=
620
#2835 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2836 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad50e80) at eval.c:2870
#2837 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad50e78) at =
eval.c:2795
#2838 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2839 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2840 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad51390) at =
eval.c:2797
#2841 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad51440) at ev=
al.c:2425
#2842 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2843 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2844 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2845 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad51550 "\237O\027\032\356\347Yz\330-4\255\345N=C6=
=B7\233?\352oP4*\271{\026`*\275#\022\355\311L\313\064\272\347:\034\016|\234=
\002\210\313\357(\v\034\245e:)\367^\210\n'q{\224\224\346N=D2=94\361\231\061=
\244\267\316sR%<\370\363\332\r\310\374]d\035\305W\247\312\005=DA=93b\353O\2=
03\026\220\375\270\375!k=DE=8E\023\024:\036;y=CC=96=3D\363\372zl\365\246\a\=
231=3D\336tK\220X\323b\273\r\313\320\v\221~8=3DY\342\345un.h\200\262=C4=83\=
243\211\363\060$9\305\376\n\020]|{\331zR\260\247j=C6=904\364\271\036\250\24=
0\211\362\312+\200\tL\324WiF\233\330@\276|\023\243\342\022@:"..., nbytes=3D=
4096, coding=3D0x55d3b3915cd0) at process.c:6210
#2846 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2847 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2848 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b27d58 =
"\n\"=DA=A8", len=3D4, object=3D...) at process.c:6620
#2849 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2850 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad52c20) at eval.c:2870
#2851 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad52c18) at =
eval.c:2795
#2852 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2853 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2854 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad53130) at =
eval.c:2797
#2855 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad531e0) at ev=
al.c:2425
#2856 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2857 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2858 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2859 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad532f0 "\351`s\233[GdQ\nx\275\274\035\032:\357=CE=
=BE\275\252=CB=A3\260#C;\372\322T\023\032|rA\240\067\306\343\350\345\r\036\=
004\236}\227\212=C2=BE\356TV\370t\224\213\256\064Z\227?g\272D\256qQ >\205\2=
52P\215\277S\026q\340\377\f\371\336\177=D8=B0g\220c\226\065\363\254\201\262=
\246S\260\206=CC=A2\225\060~\343c\373\024\063\263]\355\020vI)=3D\350\066C\3=
66%PQ\006\071\063\243\341\372=C7=98j5\223\313 \214Y\207T\327Y!\212\277\003\=
242\245x\202\233\354\022=3D\221\234\335\372=CD=95q\370rY\365'", nbytes=3D40=
96, coding=3D0x55d3b3915cd0) at process.c:6210
#2860 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2861 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2862 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b27d48 =
"\n\"=CA=A8", len=3D4, object=3D...) at process.c:6620
#2863 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2864 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad549c0) at eval.c:2870
#2865 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad549b8) at =
eval.c:2795
#2866 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2867 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2868 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad54ed0) at =
eval.c:2797
#2869 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad54f80) at ev=
al.c:2425
#2870 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2871 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2872 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2873 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad55090 "\232\336(\332W=D5=BD\363@GSRO=C6=87\030\23=
3\316n\225=CA=B0\350\234h\353\347\005x\274\336h\333N\251\021d\351\367\317\0=
33X\252\264\244j\020\302\032\223i\024_\240\212e\200\264\246\307\023\267\001=
:\322V\246\316\362\305\060<\322Pw\300\263\315E(\177\326\306e\336w\371\362\0=
06\372\063)\325\336\324\tZI&\262\266.7\262a=C4=A8f-=CD=87\031\331\n\361\305=
\357\244\370\220\310\342\b\336\026\327w\251\237\205\065\223\002\204\371\343=
\234\347\216(\250\360\210#Y\031+\251D~\244\340\021\236\001\320:\253\341\306=
\370\061\252\257\036b\351\356J\222`\254\205\330\033\300K=3D\247\341\017\020=
!6\031\023H=C9=9C\273\315\271=C7=87l\262ARr\217"..., nbytes=3D4096, coding=
=3D0x55d3b3915cd0) at process.c:6210
#2874 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2875 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2876 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b27d38 =
"\n\"\272\250", len=3D4, object=3D...) at process.c:6620
#2877 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2878 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad56760) at eval.c:2870
#2879 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad56758) at =
eval.c:2795
#2880 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2881 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2882 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad56c70) at =
eval.c:2797
#2883 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad56d20) at ev=
al.c:2425
#2884 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2885 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2886 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2887 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad56e30 "\305\345\373\205\336\326\320\372/OFD=D7=83=
\236-\033\265`\036=C8=AC6\326TW\313\343\352\247\062(\t\205\243ZK", nbytes=
=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#2888 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2889 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2890 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b27d28 =
"\n\"\252\250", len=3D4, object=3D...) at process.c:6620
#2891 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2892 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad58500) at eval.c:2870
#2893 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad584f8) at =
eval.c:2795
#2894 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2895 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2896 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad58a10) at =
eval.c:2797
#2897 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad58ac0) at ev=
al.c:2425
#2898 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2899 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2900 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2901 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad58bd0 "\306P\363\260F\330a>YE\307\bo\002\242\177\=
034|\201\031\211\333k?gH\221\221\066.@RJ\261\353\221\177\360A\354\006\032\0=
61\064\353J\301=C5=89\246\064\060T|~\252r\202=C7=97\b,\033\305\372\331\033\=
346\340d\311\022]#~\217\301\210KU\217%\304\065=DF=A4\363'z\236r\367\r\260",=
 <incomplete sequence \344\241>, nbytes=3D4096, coding=3D0x55d3b3915cd0) at=
 process.c:6210
#2902 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2903 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2904 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b27d18 =
"\n\"\232\250", len=3D4, object=3D...) at process.c:6620
#2905 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2906 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad5a2a0) at eval.c:2870
#2907 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad5a298) at =
eval.c:2795
#2908 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2909 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2910 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad5a7b0) at =
eval.c:2797
#2911 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad5a860) at ev=
al.c:2425
#2912 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2913 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2914 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2915 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad5a970 "_,=CA=87\315\270,\245\220\177\362\222\252\=
363@\016\242g\322\021\345+\371\254q\234\354q\364\005\260/r\250\006@WE\031Q\=
020\236cl^\324=D4=89|En\017~=D0=A7\306=DE=85\n\034i^\334=C6=A8\203\250\217\=
236\275aa\027\374G\227\001\335^e`{\022\352*\345Q\241%\003\232\313sA=C3=B1\2=
52\021\356\316\370@\311\035=D3=A3\277\365\221\032\256Y?\242\200\355\260%\27=
4\206q\323?\330\347\353zd\374w6\200BCQ$\241\213W\224\253\247\326c?\311\n\32=
6oq\237\266\300V9qAN\333\036=D0=8D-\244WClh\021s\253D?\004&\306v\332\355\06=
1\265\005\375\022\323\064\243=DF=93\230k\331\374\023j D\374K*"..., nbytes=
=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#2916 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2917 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2918 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b27d08 =
"\n\"\212\250", len=3D4, object=3D...) at process.c:6620
#2919 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2920 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad5c040) at eval.c:2870
#2921 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad5c038) at =
eval.c:2795
#2922 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2923 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2924 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad5c550) at =
eval.c:2797
#2925 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad5c600) at ev=
al.c:2425
#2926 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2927 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2928 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2929 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad5c710 "\220\017\060\221,\302v\241\370\321&\255O\a=
4S+\234\271&C\\\021\272\365\241%\263\322=3D\326K\376=D1=A21\363=3D\200<FW>\=
267H!\001m\330t\274B\314=C5=98\275$\346\026\375\230\260}F\243\022\357\030\2=
21\016\337T\275d\372\031\357d\221\337", <incomplete sequence \350>, nbytes=
=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#2930 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2931 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2932 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b27cf8 =
"\n\"z\250", len=3D4, object=3D...) at process.c:6620
#2933 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2934 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad5dde0) at eval.c:2870
#2935 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad5ddd8) at =
eval.c:2795
#2936 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2937 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2938 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad5e2f0) at =
eval.c:2797
#2939 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad5e3a0) at ev=
al.c:2425
#2940 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2941 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2942 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2943 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad5e4b0 "9)i\005\066\355\325\021>\311^=CA=B4m9\371O=
=CE=B5K\020\210=3D\354\362\031", nbytes=3D4096, coding=3D0x55d3b3915cd0) at=
 process.c:6210
#2944 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2945 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2946 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b27ce8 =
"\n\"j\250", len=3D4, object=3D...) at process.c:6620
#2947 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2948 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad5fb80) at eval.c:2870
#2949 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad5fb78) at =
eval.c:2795
#2950 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2951 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2952 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad60090) at =
eval.c:2797
#2953 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad60140) at ev=
al.c:2425
#2954 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2955 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2956 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2957 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad60250 "\211\377\070O\374p\020\006\034\021f\265\07=
1\030\377\203\327R%\362[5:\274c\345k)gy[\254\310\341=CC=83\326\301:\231\266=
\360H\262\v\367'\336C\210\023Qf\353s\230\376\033w\002J\340=E9=BB=97\240\265=
\257\n\311Y\203M\254\257\315\033\234\271\352\300\206G%\370Z2\016\211\"_JP\3=
54\a\303e6*=EF=91=B4r\203\276\305< \316\201\241S3\261a2t&\237y&\320a\">rI\3=
12\070\033=3Dk=DB=90\001M\022=DB=8D,\022[M\204\020h\264\003_\377\330B=D8=AA=
u\350&3\302\204\"\021\034\200\350\332\333R\356t\305\355+\"\223\321|\005\227=
\213\340\020\071\020\037NUWp\256h\354/\313\315\330\060\033\264", <incomplet=
e sequence \327>..., nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6=
210
#2958 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2959 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2960 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b27cd8 =
"\n\"Z\250", len=3D4, object=3D...) at process.c:6620
#2961 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2962 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad61920) at eval.c:2870
#2963 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad61918) at =
eval.c:2795
#2964 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2965 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2966 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad61e30) at =
eval.c:2797
#2967 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad61ee0) at ev=
al.c:2425
#2968 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2969 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2970 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2971 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad61ff0 "\245\027\206LMi\270$5#\253=CF=A8\256\343\0=
25=DE=9AR\237\234OU\032\270\312\365Y\006\330\334\303a\216s\276\071W\276\314=
\062\265P>\342.<\270\317\360\215\"\350\241\303\315Ks\217\062F\177\203\027\0=
25\247%S\266\234#-\350\354\300N}G/D\355\261z\034\357E9\224\276\356|\nD\016\=
a\022&\f{M\"\345O\334\071\020\343\272\357Ki=3D*)=CF=AF\346=DB=8A\334{\351\2=
16\t]\245\363m\360\234#wV#\326H\250Hs\357#=DE=807\245j\245i*\273#&q\317\302=
\217\032<J#\231\267\224\271[e.\323D\273J\356\212s\212}1\022\221\322\025\267=
`\t\215\255=3D\253I\361\a \260\347\215\332\324`9", nbytes=3D4096, coding=3D=
0x55d3b3915cd0) at process.c:6210
#2972 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2973 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2974 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b27cc8 =
"\n\"J\250", len=3D4, object=3D...) at process.c:6620
#2975 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2976 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad636c0) at eval.c:2870
#2977 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad636b8) at =
eval.c:2795
#2978 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2979 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2980 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad63bd0) at =
eval.c:2797
#2981 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad63c80) at ev=
al.c:2425
#2982 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2983 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2984 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2985 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad63d90 "\253\033\310\344h\304E\347\323E\311=C9=BF\=
360L\355=D2=BE}\224\317\363\211\312!\364=D5=BA\362~Olt\240\262\070J\244\027=
\241u\371\063\006\245\252\337si\027\203\204\270\r#\346\257F\377\355\333\341=
\352\320k\351}V\366\262\267\274\201#u\227\363f=D1=8F\345\345l\344\061Eq\202=
\205\320j\307\005R)&\\\005-~rrd\302vC\310\356>\211\343=D0=B5=CC=913!\225T\3=
03\350ke13\t\252T=C3=99{\300C\002\345\366\305\337&f\354=DB=BF\\\375\335=D9=
=83\376I#w\256-\\\003\266\315\"\222\205x\336=C7=8E\021\351S=CF=BD\026\f\317=
=3Db\266J\351\005\227\351B\027]\375 -=C3=901\275\320|\254i\240\211\036\320{=
"..., nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#2986 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#2987 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#2988 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b27cb8 =
"\n\":\250", len=3D4, object=3D...) at process.c:6620
#2989 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#2990 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad65460) at eval.c:2870
#2991 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad65458) at =
eval.c:2795
#2992 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#2993 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#2994 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad65970) at =
eval.c:2797
#2995 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad65a20) at ev=
al.c:2425
#2996 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#2997 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#2998 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#2999 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad65b30 "\004\362|\226P\272/\365\332\061$\241b\205H=
|\003\215\303\027?\367s#\354\217\t\256\254\305\356;\347+Yo\220Ld=D5=A8=DB=
=9C\303}\023\064\023\301\035\361\276\346\211\366\060\232\371]d\343\234*\276=
DJ~=DC=B3\263f\267\247p \326=C2=B2\344\341\233\276\344\031\326\031\354k\251=
V\034\024\017\275\224\301\242\373\216\336\355\222f\305MvN\253V\271!\306X\n\=
322\067\341\002\213E\n\020\223\363R\032=D9=A4\231o\020\207\005\377\217\337=
=C6=A9Y<a6dePml\rX\250\263\"\310\070\203\373X\245\002\326\071\256\235\276\2=
74\223\305r\272s\336=C8=8A\021'U\224\tR\371?A\v!`b=D1=AF\004\357\247r\212\2=
31\215V\334=CB=A6\300"..., nbytes=3D4096, coding=3D0x55d3b3915cd0) at proce=
ss.c:6210
#3000 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3001 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3002 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b27ca8 =
"\n\"*\250", len=3D4, object=3D...) at process.c:6620
#3003 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3004 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad67200) at eval.c:2870
#3005 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad671f8) at =
eval.c:2795
#3006 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3007 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3008 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad67710) at =
eval.c:2797
#3009 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad677c0) at ev=
al.c:2425
#3010 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3011 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3012 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3013 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad678d0 "b\004N\004}\222v\300\260\nM\025\064\272]\0=
23Z\311\n\325OU\026\bb\310\320O\224+\326\070r\346=D8=A0\256\"=CD=A4\272\026=
\354]\324K\306\362^\264\371\214\260=CB=92\003z,\025\241:+\204\267U\200\223n=
\363\352\263Y\024]\352\351\276\017D\310\313\065%\362M\035Fm\327\364\027\035=
\032\fst\232\200\207\252\245\v\252T\354\321\303<\243\255=D1=AFG\037s\216\21=
2\256u\317'\226\367V\347)=CE=87]u\364\003\332\035$\370\374#\214\320\317@\35=
3^@\334\335>\006L\331\372\242\251\037!M%b\311O\346e2=DF=BD\226\033\300\320\=
033\340n\371\220X\020\260\203\241S\373c\254\264\221\032\177\023!=D0=85\342\=
252L+\264\270\nq"..., nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:=
6210
#3014 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3015 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3016 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b278b8 =
"\n\"\032\250", len=3D4, object=3D...) at process.c:6620
#3017 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3018 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad68fa0) at eval.c:2870
#3019 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad68f98) at =
eval.c:2795
#3020 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3021 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3022 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad694b0) at =
eval.c:2797
#3023 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad69560) at ev=
al.c:2425
#3024 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3025 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3026 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3027 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad69670 "", nbytes=3D4096, coding=3D0x55d3b3915cd0)=
 at process.c:6210
#3028 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3029 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3030 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b278a8 =
"\n\"\n\250", len=3D4, object=3D...) at process.c:6620
#3031 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3032 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad6ad40) at eval.c:2870
#3033 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad6ad38) at =
eval.c:2795
#3034 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3035 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3036 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad6b250) at =
eval.c:2797
#3037 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad6b300) at ev=
al.c:2425
#3038 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3039 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3040 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3041 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad6b410 "os\356\r\026\061\310\001})\030>\206\234\03=
3=E9=81=8D\270\230A\310y\310\331qn5\354\360\255\274ujKTH1\355]\254\244\355\=
254\377` \b\256\233`C\242Iwu\247\236h\241\247\217ab\354\270\t\362')\271\337=
R\315\001@\364n<\355=DB=AD\347]1OM\211=D6=99P\307_[\a&\236\320\355\211s>\27=
7\332=DA=99o\336x\311\371\343\376\221\207\277=CF=89L\315\004\255'8\213\032\=
363\210\023\366\243\301\352\070b.=C2=A1C\304\004\024\371C\312]\220uY\216&Si=
j0z\020\276\240\033\214o\272\372j\312\033\362G3\271m\314\335=D2=B9\350=C7=
=B0\032\352Bq\235\245\225\371Q\271l\241\330}\277\251i\262\001=D1=A7"..., nb=
ytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#3042 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3043 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3044 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b27898 =
"\n", <incomplete sequence \372\250>, len=3D4, object=3D...) at process.c:6=
620
#3045 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3046 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad6cae0) at eval.c:2870
#3047 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad6cad8) at =
eval.c:2795
#3048 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3049 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3050 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad6cff0) at =
eval.c:2797
#3051 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad6d0a0) at ev=
al.c:2425
#3052 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3053 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3054 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3055 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad6d1b0 "Qa\336\334\070\255\276\061\201J\327\312\30=
7 :\226\027A=D1=A7\370\361,\bS\272G\027g\344\373\034\017\001U\016\067\035\0=
06\213B\304N\276\316kF\262\207w\367H$q\274\345\273PG=DF=B6\024\302\354\062\=
060\266\300\n\036G\247+Xo\364\357\034(\017{\361\273Q\313q\263\356\343Y\242\=
272X\363\063=CF=BC\"\207\275\022\200~\260|P\375\241\307\065_=3DC\004\213\23=
2\325vX\302\062\254d=D6=A4\214\251\331D()\003\201\242WK=D9=89d\032f\265\071=
,\003|\373\315D\267\330v)\253\264\221\235\067\031QP\336TQ{6\003L\374\226\22=
7iR\367{Jf\241\375\366\240\344\224<p\336n\305\366\177\034\356\362\016\210\0=
20\334Htb"..., nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#3056 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3057 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3058 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b27888 =
"\n", <incomplete sequence \352\250>, len=3D4, object=3D...) at process.c:6=
620
#3059 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3060 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad6e880) at eval.c:2870
#3061 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad6e878) at =
eval.c:2795
#3062 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3063 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3064 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad6ed90) at =
eval.c:2797
#3065 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad6ee40) at ev=
al.c:2425
#3066 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3067 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3068 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3069 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad6ef50 "=EC=AF=AA\200f\345\177\367=EF=AA=96\035\03=
3\"\275t=C9=B5\372\226f\205&\244iu\030\326O\201U\317\035d\332\371\275\271\3=
05\001\024:\232\034\302\373\003\327A\211\303![\003%Bf\254\t\035\026\244hf)\=
240\067\256\275\343)\260", nbytes=3D4096, coding=3D0x55d3b3915cd0) at proce=
ss.c:6210
#3070 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3071 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3072 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b27878 =
"\n!=DA=A8", len=3D4, object=3D...) at process.c:6620
#3073 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3074 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad70620) at eval.c:2870
#3075 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad70618) at =
eval.c:2795
#3076 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3077 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3078 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad70b30) at =
eval.c:2797
#3079 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad70be0) at ev=
al.c:2425
#3080 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3081 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3082 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3083 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad70cf0 "@u}\305'z[\300m\213\324\024\062\344\rH=C4=
=AB\245\024\"\346\342R\351~\266'#", nbytes=3D4096, coding=3D0x55d3b3915cd0)=
 at process.c:6210
#3084 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3085 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3086 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b27868 =
"\n!=CA=A8", len=3D4, object=3D...) at process.c:6620
#3087 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3088 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad723c0) at eval.c:2870
#3089 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad723b8) at =
eval.c:2795
#3090 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3091 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3092 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad728d0) at =
eval.c:2797
#3093 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad72980) at ev=
al.c:2425
#3094 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3095 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3096 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3097 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad72a90 "\330\360\034\320\061\333\v\001t\200K\347\2=
27\071{\003\245\263\214\021\253g\f\360t\217W\255\225\335\374\021\335=DE=88\=
355\265\232\201\266\063(\230\273\327\254m\312\375A\315\036Z\377\005\276S\34=
6\036@(<\273%\246\376/\370\212p\213\210\361ER=CE=91J\340\356\003G?\247\200\=
357\234\373\315YR\211\324r\367\nA\r\371\233\316@w\350-\344w\303\371\005=D7=
=830\205\241=CC=96\357`\261$\225\205\036N\262\033\360\206sS\212\273\215:#a(=
\331]s\255\216=EB=88=88y-t\257\250\t\327\063\031]\016\316j\364\272\222Y\337=
=D1=A9\262\275\003=3D:\320k\325P~\341o?\234M\021\064\252\\\322QO\343\r\024\=
200?R0\215G\001\344", <incomplete sequence \303>..., nbytes=3D4096, coding=
=3D0x55d3b3915cd0) at process.c:6210
#3098 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3099 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3100 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b27858 =
"\n!\272\250", len=3D4, object=3D...) at process.c:6620
#3101 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3102 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad74160) at eval.c:2870
#3103 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad74158) at =
eval.c:2795
#3104 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3105 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3106 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad74670) at =
eval.c:2797
#3107 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad74720) at ev=
al.c:2425
#3108 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3109 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3110 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3111 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad74830 "\252,\373\236=CD=B6\020\247 \202\334h\232w=
\225Y\303[\304\356+\223\223\376\225@\006\341\351;\332\006=3DwH=DF=81\344s\2=
35\321\065\003R\367aR\205Dv1\254\207g\231\360\033\257c\021B~\225\240\260\37=
1\305^=C5=89\235\202\004\f\232]\006(\317\016\247E\236\356^\231\374=DB=99NTb=
0=DA=89\374\r\255[\277\321\027\236N\r\335\fK\032\300\236\003\263\354B\205\3=
54V\347\330\026n\362\365c\304(\342\375=DF=A4o\251[\323\067\226\273?\016\b\3=
13\032\022\340\360\222\254=E2=97=8CZ\373\352?}-,*\352=C3=A5^\361\204\277y\v=
\031=C3=B4\335\342(\372\034\003\332\302\371-u\271\375[=CA=93\002\063n\235o\=
322q\301\065\215\"5|"..., nbytes=3D4096, coding=3D0x55d3b3915cd0) at proces=
s.c:6210
#3112 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3113 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3114 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b27848 =
"\n!\252\250", len=3D4, object=3D...) at process.c:6620
#3115 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3116 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad75f00) at eval.c:2870
#3117 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad75ef8) at =
eval.c:2795
#3118 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3119 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3120 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad76410) at =
eval.c:2797
#3121 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad764c0) at ev=
al.c:2425
#3122 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3123 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3124 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3125 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad765d0 "\354\213.8\325\301\317S\274\343HL,}\252\bI=
-f9\203K\373D\244\270\036\005\342C\360Dc\276\201=D0=A33\n\333L\304(#\241=CE=
=87\251\303\346\222\036AQ\237D\270\333\061\267\311\061\264\372\237\f.\033R\=
235\037\272\237\201\352^L9\n \v\355\232=C5=A0\254\243\177\271x\261", nbytes=
=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#3126 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3127 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3128 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b27838 =
"\n!\232\250", len=3D4, object=3D...) at process.c:6620
#3129 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3130 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad77ca0) at eval.c:2870
#3131 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad77c98) at =
eval.c:2795
#3132 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3133 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3134 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad781b0) at =
eval.c:2797
#3135 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad78260) at ev=
al.c:2425
#3136 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3137 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3138 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3139 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad78370 "\254PZ\261%}\251\256\023xv\240?/\362G\374\=
235\023\204=C4=B6\364\365jK\026\024\234\365ot\360\005\\\335.f\353q\031\255\=
203:\360\027\351AJ\366\067\206\023Zqe\201\203\353I\314\373,\fr\256<\270\303=
r\027\205r\244\305BfY\255\303\032\247\274\216R\275\323\376-\212\022P4=CF=B3=
@\217\234\037X0\243\006\003/\301\070`\022\064\004\024u\366\031\032#}T\016\0=
37\350I\374\356\345\021\033/`\033\266\321q\327\061\324w &\304_C\336\032=D5=
=80\204\266\223\035u@=D7=96W\270;\311\351\261\006\271q!Jg\373\360\071\351\0=
34- 6y\300\230~i\362*\aT\217\321\r\232\327\254\373\323e\367\334e(\260\335",=
 <incomplete sequence \375>..., nbytes=3D4096, coding=3D0x55d3b3915cd0) at =
process.c:6210
#3140 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3141 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3142 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b27828 =
"\n!\212\250", len=3D4, object=3D...) at process.c:6620
#3143 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3144 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad79a40) at eval.c:2870
#3145 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad79a38) at =
eval.c:2795
#3146 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3147 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3148 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad79f50) at =
eval.c:2797
#3149 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad7a000) at ev=
al.c:2425
#3150 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3151 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3152 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3153 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad7a110 "\362g6}\213\vs\324\005\215\225\336@\021L\2=
05\333-\253\365=D9=88\026'\241\306\063A\037\314\323\302\\\017\232\037c\376`=
\227\267\362=CC=BC2v\202:\021-\223\341?\344\200(#\251\n\233\r\b3\245\275\36=
1\033\311\337\300\365b\003\274\034&\377\241\355|(\213\377\253n^\004`d\227\a=
6\f\361\r\367\240\071\071:S\320l\277\b\314=C8=BA\205\"\203l\234\ble\220\317=
\305\071=CF=83qv\373\376\204\f\253<=DC=A4Lb\272\241D+y[\020t\312Zo>\005\371=
\224\366\234`S\242\316\364\226f\341\337q\222\243\375\061\344\362\006D\023\3=
13\063VT\032\035\371\211\025\225\322\067\202B{T\312\355\377\201\035=CC=BE/i=
\273\222\332\341\020"..., nbytes=3D4096, coding=3D0x55d3b3915cd0) at proces=
s.c:6210
#3154 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3155 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3156 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b27818 =
"\n!z\250", len=3D4, object=3D...) at process.c:6620
#3157 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3158 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad7b7e0) at eval.c:2870
#3159 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad7b7d8) at =
eval.c:2795
#3160 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3161 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3162 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad7bcf0) at =
eval.c:2797
#3163 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad7bda0) at ev=
al.c:2425
#3164 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3165 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3166 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3167 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad7beb0 "\f:I\277\255\253=D2=B1D\361\306D`<\275\367=
\346s\315\306(\360\365\315\316a\v\003\210", nbytes=3D4096, coding=3D0x55d3b=
3915cd0) at process.c:6210
#3168 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3169 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3170 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b27808 =
"\n!j\250", len=3D4, object=3D...) at process.c:6620
#3171 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3172 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad7d580) at eval.c:2870
#3173 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad7d578) at =
eval.c:2795
#3174 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3175 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3176 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad7da90) at =
eval.c:2797
#3177 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad7db40) at ev=
al.c:2425
#3178 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3179 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3180 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3181 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad7dc50 "=D9=9D\206\a\220\251\320\303W\216\363J\017=
Q=D3=94+\254\311\\\266gy\305\033\223\203\020V,\323)j];\270\223\266m\334\355=
ADY\350\337\345\033Q/\270\201\230\206\235\247xY.\343\\\202\\U\210\024\376\3=
20-4s\202\032\221\356\r{wx\353\356J\005\344\324ML \274'\276\245\225r\365T=
=D1=ABB=C8=8E\274\025(,\227\214\005\202\016D\234&S\026h@\033)", nbytes=3D40=
96, coding=3D0x55d3b3915cd0) at process.c:6210
#3182 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3183 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3184 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b277f8 =
"\n!Z\250", len=3D4, object=3D...) at process.c:6620
#3185 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3186 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad7f320) at eval.c:2870
#3187 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad7f318) at =
eval.c:2795
#3188 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3189 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3190 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad7f830) at =
eval.c:2797
#3191 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad7f8e0) at ev=
al.c:2425
#3192 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3193 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3194 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3195 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad7f9f0 "v+c\210\021\004\310\366\210\256\260n\206C\=
006\301\220\267D\252\251+\345vi=DE=AEW\364\367A\204 \310\317,\332F\372\207\=
300|=3D\253\a\375\226\267\032\203K\245\243R=C7=A3", nbytes=3D4096, coding=
=3D0x55d3b3915cd0) at process.c:6210
#3196 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3197 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3198 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b277e8 =
"\n!J\250", len=3D4, object=3D...) at process.c:6620
#3199 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3200 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad810c0) at eval.c:2870
#3201 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad810b8) at =
eval.c:2795
#3202 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3203 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3204 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad815d0) at =
eval.c:2797
#3205 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad81680) at ev=
al.c:2425
#3206 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3207 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3208 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3209 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad81790 "+\273\337#\335.\315\071D", <incomplete seq=
uence \335>, nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#3210 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3211 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3212 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b277d8 =
"\n!:\250", len=3D4, object=3D...) at process.c:6620
#3213 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3214 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad82e60) at eval.c:2870
#3215 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad82e58) at =
eval.c:2795
#3216 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3217 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3218 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad83370) at =
eval.c:2797
#3219 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad83420) at ev=
al.c:2425
#3220 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3221 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3222 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3223 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad83530 "\005\251\203s\352\331P=E2=90=91\204\204a5\=
316\321m\357\064T\243\231\312\002-a@US\302?CU\257\324u\200\270\254\022\245\=
245\023\264\304o\264Y\365\275\065\321I?\340\032\242\v\311^\031*$\005QR\205'=
\222\030#}@\236tW\024=D4=98\351-\360\230\372\200\352\365\310\315_\366\342\3=
12\321BO\253\377\002\343L(\r\252\366]\311\335=CB=8C\357vY\356\353\022r\336w=
\346\064y\aX\246\357+U=DB=87a\256\v)=E6=AA=A2", nbytes=3D4096, coding=3D0x5=
5d3b3915cd0) at process.c:6210
#3224 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3225 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3226 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b277c8 =
"\n!*\250", len=3D4, object=3D...) at process.c:6620
#3227 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3228 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad84c00) at eval.c:2870
#3229 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad84bf8) at =
eval.c:2795
#3230 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3231 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3232 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad85110) at =
eval.c:2797
#3233 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad851c0) at ev=
al.c:2425
#3234 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3235 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3236 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3237 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad852d0 "E\b\023\b\017\306\001w\227\303y\215\375j\2=
27\064\032,\274\225", nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:=
6210
#3238 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3239 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3240 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b277b8 =
"\n!\032\250", len=3D4, object=3D...) at process.c:6620
#3241 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3242 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad869a0) at eval.c:2870
#3243 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad86998) at =
eval.c:2795
#3244 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3245 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3246 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad86eb0) at =
eval.c:2797
#3247 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad86f60) at ev=
al.c:2425
#3248 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3249 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3250 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3251 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad87070 "b\240\221\345\230S\024\200~2\261\212\216\2=
43D\v\201\f\265\001", nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:=
6210
#3252 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3253 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3254 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b277a8 =
"\n!\n\250", len=3D4, object=3D...) at process.c:6620
#3255 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3256 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad88740) at eval.c:2870
#3257 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad88738) at =
eval.c:2795
#3258 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3259 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3260 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad88c50) at =
eval.c:2797
#3261 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad88d00) at ev=
al.c:2425
#3262 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3263 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3264 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3265 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad88e10 "\237\260\227\200\033Q\350\210\306B\331\a\3=
70\222\261\r\024\062\071\227vh\202\355\030=D5=84\002%\031Vo\223G\337\035\30=
2x\202L\340s\375\207\217-\344\256bLp\257\257f\371Y\240\002\037\341\273\377\=
322W\205k\275\247*vvim=D9=86\003\020d\337=D6=894(\346F\362\016\217\346^ihL\=
032\211\231\262c\276B\311y\354\347\217=DF=8B\272\360|\374\225\206\376\354\"=
\232\203\372\231\246\276z\003\355e^\017\237+\264\303\035#\031~\031\347*M\22=
1T=C6=9AK\247\022\205\315\347\322@-aDc\bL\003Wd\322\063\237\207\177A\211\\W=
\266\254\202\247x\360\t\300%\330A\236by\361\300\351N\342-\320t\315Z\275\362=
\205\265\210\071"..., nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:=
6210
#3266 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3267 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3268 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b27798 =
"\n", <incomplete sequence \372\250>, len=3D4, object=3D...) at process.c:6=
620
#3269 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3270 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad8a4e0) at eval.c:2870
#3271 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad8a4d8) at =
eval.c:2795
#3272 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3273 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3274 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad8a9f0) at =
eval.c:2797
#3275 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad8aaa0) at ev=
al.c:2425
#3276 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3277 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3278 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3279 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad8abb0 "e4cw\334\060\023@\220\060]t\006\020=D3=88\=
306Z\324\311\\\267\027\260R^\305,&Y\a\227\372Py\362:\355\242\265F\367\060\3=
40W\v8o\213\\O\266\034\205?65\nB\254\252L\266\066\377\bV\363=C5=BC\241}\262=
\243\071\262:\374\246@\t\251O\213\\\276\070\a\a\277\331.\234\061\303\060p\3=
00\374\060\276\065\337\070\353V\335C\026\363:\026fK\277\037\377\n\324\036\2=
50\277um|s;\277\220\026\275-", <incomplete sequence \333>, nbytes=3D4096, c=
oding=3D0x55d3b3915cd0) at process.c:6210
#3280 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3281 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3282 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b27788 =
"\n", <incomplete sequence \352\250>, len=3D4, object=3D...) at process.c:6=
620
#3283 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3284 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad8c280) at eval.c:2870
#3285 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad8c278) at =
eval.c:2795
#3286 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3287 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3288 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad8c790) at =
eval.c:2797
#3289 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad8c840) at ev=
al.c:2425
#3290 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3291 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3292 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3293 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad8c950 "\254\251\026w\247\240\065\212=C2=B4?}@\233=
\200W\\h\211\336\342\016\272i\205&\020sm_\f&\272\316\037\023\231\226EQ\327\=
371F\261\070pcH&\202A*SN\034G\f\361W\303\372J\253\276\024z\321]\022\332*We\=
234X\020(r\237,I\fV=CE=9F=D0=83\002\036\002\310:\006\224\224c\265u\301\225\=
233\300=DE=9D=3D\311\026M%\225z\250[\370\374\346\253\341\225@\204-\231`)\03=
2\346\247\370\233\264\342y\016\205\216\212\351\v@\227`\022L\370\024\200o\24=
1)\223\016o\262\241\026\213\001=E7=AF=97\245\065}\301>\346\371\363q\372=CD=
=80\036\230\070f\232\275|d\031\002\356\333S\225O\211~H\210\231\022\031f>\24=
5\354\002"..., nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#3294 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3295 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3296 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b27778 =
"\n =DA=A8", len=3D4, object=3D...) at process.c:6620
#3297 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3298 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad8e020) at eval.c:2870
#3299 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad8e018) at =
eval.c:2795
#3300 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3301 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3302 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad8e530) at =
eval.c:2797
#3303 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad8e5e0) at ev=
al.c:2425
#3304 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3305 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3306 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3307 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad8e6f0 "H\372Y/\262)\220\024;\355=D1=A6\374\062\r\=
276?J0\177-\343a\345\225\303\002v=E4=AE=97\243i\v]\317\324&mA\350\227\370H=
=D3=80\177\260-\017\370\321\322t&\005\026\023\067\202\340\275\340\212\345\0=
05\263~\247\376\257\071\061\331\aT\004\306\332\030\264=D0=8A-=DD=AD\347\351=
\030\361M\357\061\233z\271,_\343\266\006.|\330/YK\321=C6=8A\255\002\323^\35=
0\177\315\355u\264\020\243y\037aG\034\224\226\227\001<8\344\037\320\017fh\0=
26\375~c\031a\001\a\362\274K\245\267\061=3D\353\066\325X(|\237=DD=8E\226D\2=
73\327TZ\264\005\311\034\376.\314\rQ=CB=80D=E1=BF=A3af\247\320\320\324j\234=
U\333\370\006d\n", <incomplete sequence \316>..., nbytes=3D4096, coding=3D0=
x55d3b3915cd0) at process.c:6210
#3308 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3309 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3310 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b27768 =
"\n =CA=A8", len=3D4, object=3D...) at process.c:6620
#3311 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3312 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad8fdc0) at eval.c:2870
#3313 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad8fdb8) at =
eval.c:2795
#3314 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3315 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3316 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad902d0) at =
eval.c:2797
#3317 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad90380) at ev=
al.c:2425
#3318 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3319 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3320 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3321 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad90490 "\327\304\027n`\203\374\204\304\066\027\222=
$\302\335\004\fL\026i3\333k\331\177\033n6\335I}\300\277\216\324\036E\265\20=
4\375\225V\235\365\207\230>\267\350\065!\376>\203\217\203\257@f\247\270\310=
Fc_\266\311\300\377\205l\321K\243\f6\324=EA=8F=A0x\260=CF=B3m\235\066#\252\=
\>z\253]C\234\f\243|\204F3\362,L-AS\335m\236\362\tK\005\362\277\211\bi\374\=
005\060\371,\225\355\223l\365\377\nH\210v\316E=3DEJe\222]i\336\374\233\070\=
361Z\365\364A\332g'Xi\002P\265\210\003u^s\262\070?Y\376u=D4=A3\037\322\367\=
036\266\274\035z'", nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:62=
10
#3322 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3323 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3324 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b27758 =
"\n \272\250", len=3D4, object=3D...) at process.c:6620
#3325 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3326 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad91b60) at eval.c:2870
#3327 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad91b58) at =
eval.c:2795
#3328 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3329 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3330 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad92070) at =
eval.c:2797
#3331 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad92120) at ev=
al.c:2425
#3332 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3333 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3334 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3335 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad92230 "M\206\340{m@\a\004\357=DA=A1\032\030.Y\260=
\222\272HH\340\250\264\232'3\216\aI0\037\304\320\300\323\345\266G\343\336?\=
370\025\323\062\"\234\060\241\324\006\305pb\034\276\326\314\341\203[\a\001\=
253\303\\\240\262=3D\367|\335Y\344$\216\342@\227\272\300\243k\235\024w\027t=
\037=CD=85\a U\325=D3=9Fw\002D\245\323!U>\337=D6=AB\316\062\002\363\227y\37=
5\227Q\354\022\222\035\237\225\375c\215Q\345\221\335\063\323d=3DC\225\203\0=
36'\226\341(#\230\322\061\234+\355\354\355\314WA\372\304_v\016\247\256\362\=
025\244\\=CE=94>\302\307\372\320\337\303\066+\250r\253\025\237\232Bc\222\01=
7\252\224\265\257\217\a\250\340\031\371\231=D4=81\r"..., nbytes=3D4096, cod=
ing=3D0x55d3b3915cd0) at process.c:6210
#3336 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3337 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3338 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b27748 =
"\n \252\250", len=3D4, object=3D...) at process.c:6620
#3339 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3340 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad93900) at eval.c:2870
#3341 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad938f8) at =
eval.c:2795
#3342 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3343 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3344 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad93e10) at =
eval.c:2797
#3345 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad93ec0) at ev=
al.c:2425
#3346 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3347 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3348 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3349 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad93fd0 "\035\275|=C6=94W\362\256\037E\363?\a\270\0=
71T\350i\320\023K\336\067g\202\240\324$\251\233=3D\332@\271\233\350\343&q\3=
51j\310i\373]\021{=C5=B6{\214T\031\260=E4=87=A5\377\061\032\276\373\272zP=
=3D\323\361\ri\t=DC=B3\335\346`\316\326\063\231\221\321\a\340x\275\270\330+=
\322c\360\357\260\347\205M\245,}]=C4=A7\352\063\223\v\f\346\036\177\307\025=
\220\200\031\363\244\371}\021\241\260N\235=D9=BB\244\224%):\276=3D\217x\261=
\r\036\257\333b\\\346n\272_\025Su-\341\263\302\003\207\067\371.b\006\366\02=
5\221\330\023\221\032\365\351k\265\264\034\315_\333\370b|\375=DE=920[\234\0=
26\370\341b\023\020?\262\\=D8=97\034SY"..., nbytes=3D4096, coding=3D0x55d3b=
3915cd0) at process.c:6210
#3350 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3351 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3352 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b27738 =
"\n \232\250", len=3D4, object=3D...) at process.c:6620
#3353 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3354 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad956a0) at eval.c:2870
#3355 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad95698) at =
eval.c:2795
#3356 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3357 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3358 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad95bb0) at =
eval.c:2797
#3359 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad95c60) at ev=
al.c:2425
#3360 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3361 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3362 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3363 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad95d70 "\305\064\264\f\337\v\364\337p6~!\275w&\252=
,:\305\304\020\261\315\310\022L\310\361\217\246\070$W\375\366\033\255h\034\=
r\203aF\206-\344W:\206N\243\237\265\022u<\222\f\022\226=E2=9A=B5\255\315\34=
5=3D\207|\311\375e^|\376\261\250\315l\266|\362\330=3D\004\231c\226\363\341=
=D8=B3\266H\366i\204\t+8\333f\212\234\262[Mec\237^\212\036\247\b\366\352\24=
7x\210\373z1t\345\351\b\022\254\214\232\n\352\242E\335w\327=DE=8E\003=D8=B2=
~\237,\315\063\212\205\224\202\362Tz\375Q\017\303=C9=B2/", nbytes=3D4096, c=
oding=3D0x55d3b3915cd0) at process.c:6210
#3364 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3365 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3366 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b27728 =
"\n \212\250", len=3D4, object=3D...) at process.c:6620
#3367 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3368 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad97440) at eval.c:2870
#3369 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad97438) at =
eval.c:2795
#3370 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3371 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3372 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad97950) at =
eval.c:2797
#3373 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad97a00) at ev=
al.c:2425
#3374 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3375 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3376 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3377 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad97b10 "u=DA=A7\216\200\231\034\201)\317\030\232\3=
44\247N(\371(\202=3D\005\346\004\270\ah\022\244p\246c\216\342%\026\335V\230=
r\255\063\065\271\350\227%=D9=A5l\337c<.\331\311\060\071l\345\257%Gd\362\34=
7\017\242\371\f*\357FkbVi\017SzG\"\361\366H\324\351\273\023Y\247(\332r5\211=
\060\034\264\326}\225{\265\061\027\256\006\251]d\373g\302\314\342\351\232\3=
17B1TA\226hv,q\016=C3=89\373\355\270=3D\031\027i\276\225\070E@\240'\377\231=
\020\212\321By\227\022\221>\033\061P\r\265\215b\227\220\226g\360\344)\002\2=
16\005\254\354X\240\242#\270\232\202V\201\004\355\346\216\313%i\246\037\f)\=
301\334W\004\302\032"..., nbytes=3D4096, coding=3D0x55d3b3915cd0) at proces=
s.c:6210
#3378 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3379 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3380 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b27718 =
"\n z\250", len=3D4, object=3D...) at process.c:6620
#3381 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3382 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad991e0) at eval.c:2870
#3383 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad991d8) at =
eval.c:2795
#3384 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3385 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3386 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad996f0) at =
eval.c:2797
#3387 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad997a0) at ev=
al.c:2425
#3388 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3389 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3390 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3391 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad998b0 "\327%\344\276\020\027\326A\276\355\356]\20=
5\016kKN\261K\334=D6=97CL\257\357\330\377\300I\202]\224\033\307\374M\273=CF=
=8E\226],&\226`\002>\334T\231C\231PP\260\202\357\213s\214\230\247\211\332!\=
353\017\253n\001=DC=B3\365\246Z\231\253\301l\300\202\233\211\321T\351\330J#=
Ga\206\223\370\355\242\241\v:\274E\335\302\066\343\242?r\245\254!x\313\177\=
064G/u\022\036\226\240\066\250\213\063@g\330\b\271\310\312>N\003g\023uDg\31=
7\317\326\220\177\036~\\\343\317i\260\305\025\337@\313AM\b\231-\372=DF=822\=
255\332\370\277}\344a\217\201\200\202\\\272\235\211\247\316QU\225\372\060\3=
57,s\304\331\177Ui\336H"..., nbytes=3D4096, coding=3D0x55d3b3915cd0) at pro=
cess.c:6210
#3392 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3393 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3394 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b27708 =
"\n j\250", len=3D4, object=3D...) at process.c:6620
#3395 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3396 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad9af80) at eval.c:2870
#3397 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad9af78) at =
eval.c:2795
#3398 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3399 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3400 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad9b490) at =
eval.c:2797
#3401 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad9b540) at ev=
al.c:2425
#3402 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3403 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3404 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3405 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad9b650 "\216\250y\361p\020\317\322\030\372V\027/&\=
261\025\265\"\212\060\035\314\333c\330\335\326\n\331\310\032\271D\031?\257}=
LW\347\247l\023\016\n\251\r\370A\032K\302T(\277\237i\307S=C4=B64\313\340\20=
4\223<\025\340rx\026\375a=3D\360\365^\277w=DC=8C\210B:\n\276/\321x=D7=A0\00=
4\no\346]\301OH\333\367B\030G\265\227\367\367\204bz\272\214P\263oen}/\365|\=
371n\253?x\234.#|pJ\230\354\244\022\245\223\204\253~>C\351R\332l\254\201G\2=
47M\371\221n\"\252\064X\332", <incomplete sequence \354>, nbytes=3D4096, co=
ding=3D0x55d3b3915cd0) at process.c:6210
#3406 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3407 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3408 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b276f8 =
"\n Z\250", len=3D4, object=3D...) at process.c:6620
#3409 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3410 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad9cd20) at eval.c:2870
#3411 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad9cd18) at =
eval.c:2795
#3412 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3413 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3414 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad9d230) at =
eval.c:2797
#3415 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad9d2e0) at ev=
al.c:2425
#3416 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3417 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3418 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3419 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad9d3f0 "\002\036\330q\222=C4=82\030\b\020\n\323\37=
6\215\204\266\026\377\060M\a\302U<\230\r\272\311=CE=BF\257\272\251i\376\f1*=
\034aT\353\322=E4=A2=8EE\260\204\270\276\304^\235B|\201=3Dq\232\316\n,\025M=
r\205\271\002\263\361\342g\267:ZN\033D\313\363\274Nl\235\004\346\b\301\352\=
214\064\026?\232E\244\376<\236\177\201T\024y\306\313P", <incomplete sequenc=
e \372>, nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#3420 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3421 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3422 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b27308 =
"\n J\250", len=3D4, object=3D...) at process.c:6620
#3423 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3424 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfad9eac0) at eval.c:2870
#3425 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfad9eab8) at =
eval.c:2795
#3426 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3427 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3428 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfad9efd0) at =
eval.c:2797
#3429 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfad9f080) at ev=
al.c:2425
#3430 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3431 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3432 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3433 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfad9f190 "\224\250>N\243,\207\r\035\377B=3Dm\316\372=
\225}\n)\177\034\024!z\367\061\214\a\272Nz/\221r\301\210\324=3D\200\221^\25=
3G\235=C9=89L", nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#3434 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3435 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3436 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b272f8 =
"\n :\250", len=3D4, object=3D...) at process.c:6620
#3437 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3438 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfada0860) at eval.c:2870
#3439 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfada0858) at =
eval.c:2795
#3440 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3441 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3442 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfada0d70) at =
eval.c:2797
#3443 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfada0e20) at ev=
al.c:2425
#3444 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3445 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3446 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3447 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfada0f30 "\027P\332\017om\031}\024n#\301x{\332k \240=
\220\303\071#\017\236cJ\243\205d\310Xe\214\315;\020\363\070\006\034fo5\225\=
027\a\233H\216u\244\243\006\022\201\327\305r\354E\302B{~0}_\250\003=CB=A3\2=
23\266\273\027~\307b\036\t^\274\032\065Ds=CD=87\021\274\271Q\037\270P=CF=81=
\372t,\376=CE=86\216\021=D8=82%\234\200\310;=D3=86\341r.=E1=81=AE\030L\302\=
203Q~\367\250$y\367\364\207^\r3\274\304!\256H:`t\376\062jmF\223\260\"\300\2=
57\f\362R9\264\341\316d\r\216\246[\307h\252%dn\354\304c\347e\334\313T\252=
=3D\254\232\355k8I\037\370\071\071\242@\377\372K\214\257,"..., nbytes=3D409=
6, coding=3D0x55d3b3915cd0) at process.c:6210
#3448 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3449 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3450 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b272e8 =
"\n *\250", len=3D4, object=3D...) at process.c:6620
#3451 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3452 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfada2600) at eval.c:2870
#3453 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfada25f8) at =
eval.c:2795
#3454 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3455 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3456 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfada2b10) at =
eval.c:2797
#3457 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfada2bc0) at ev=
al.c:2425
#3458 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3459 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3460 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3461 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfada2cd0 "\310\352k\233\226MH!s\220\207\345>wx\026Z\=
322\366\360\211\027e\\\357\f)\271{=E2=A9=9A\366Fd\006\016A\260\350\341\316m=
\254\306l[\374\332\070\265Om}\b\016\244\300\203\224\236\321D\365\323\333/MJ=
\255\373\022\r\310\335N,\241vZ=C3=974\365\332>\016\f\315\027\247=C5=B9N\233=
:V#\365\242\320'\021\367\341\b\361\001\r\230h`\266\242\277=D0=BB\225\233\32=
1s\b^U\334d\035L#\224t\212\367\354\066\304?\234\200A\035\066\215\344\363\37=
1#+S\344\225\017\336xdioCv\t\264p%\220\233\030\301\360a\214\067N\234\217\30=
7I\033\367\263=DF=A6=D3=B1\233c\016\030\023=CE=BFN=DF=B6uy \261g\250", <inc=
omplete sequence \332>..., nbytes=3D4096, coding=3D0x55d3b3915cd0) at proce=
ss.c:6210
#3462 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3463 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3464 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b272d8 =
"\n \032\250", len=3D4, object=3D...) at process.c:6620
#3465 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3466 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfada43a0) at eval.c:2870
#3467 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfada4398) at =
eval.c:2795
#3468 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3469 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3470 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfada48b0) at =
eval.c:2797
#3471 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfada4960) at ev=
al.c:2425
#3472 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3473 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3474 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3475 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfada4a70 "\247,\177=C4=A5<L\250\215p\211x=3D\035\\\0=
03\231\276\252\033<ZA\240\260\026\"d\274xe\317V\a\212xu/=CA=B7{\331\tcG=D6=
=95\306$\266\261vT]{\247\313{=CA=BARID\374\312w&\034hy\306\071\206\003\361o=
vA\034=DA=A3\037\206u\322|=E9=B8=8CZe\272\030\322\346\367\242\071\330\343gn=
\361\061\203\362\340\302\234\264=D1=BA\017\224\036uk\004\272\271\250\323!'\=
bY\256\315@lI\\\360\213s\221\341p\237=E0=A4=AE\322\060I\350\"=DE=8E(\315\fA=
\273\231\264\261\316p<\374\t\366\354JY\234E\301\351;;\334\064=3D\305-\220\0=
20\206\256\366\333fj\021z\251y}\360\347oou\347p\025\345", <incomplete seque=
nce \347>..., nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#3476 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3477 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3478 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b272c8 =
"\n \n\250", len=3D4, object=3D...) at process.c:6620
#3479 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3480 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfada6140) at eval.c:2870
#3481 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfada6138) at =
eval.c:2795
#3482 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3483 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3484 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfada6650) at =
eval.c:2797
#3485 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfada6700) at ev=
al.c:2425
#3486 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3487 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3488 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3489 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfada6810 "y\355i\346R,%E\b=C9=A59\374\261\061\034vOT=
\021\r\245q\214\027\201\223=D1=9D\370\217x\365\032`\265\363O\022}\031\221!\=
\\023?\363\360Y\233\330=C6=90p\205\342\367\302@mz91\320~+t/X\204\240\335\02=
2\017v\be\224\a\277\345\b\265BGRrJ\364\006\234H\254H2\vk\220L?\242\071\016\=
255\262\036<\350\027Qq\264\323\365\215B\364\201Y\220wtW\301\252=CB=99\036\2=
40\321\346\033#\"7\201_9(\037\332\070\061\024\243\357YY/\326\322\066\064\24=
5\205\256", <incomplete sequence \352>, nbytes=3D4096, coding=3D0x55d3b3915=
cd0) at process.c:6210
#3490 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3491 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3492 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b272b8 =
"\n", <incomplete sequence \372\250>, len=3D4, object=3D...) at process.c:6=
620
#3493 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3494 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfada7ee0) at eval.c:2870
#3495 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfada7ed8) at =
eval.c:2795
#3496 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3497 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3498 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfada83f0) at =
eval.c:2797
#3499 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfada84a0) at ev=
al.c:2425
#3500 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3501 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3502 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3503 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfada85b0 "S>\"\207\352\025\372Q\335C\346]K\a/\236O\3=
17\335Ic\030\217\070g<\253tWT\261\324\357\266Gg\300P\326H\260z9p7\362\220\2=
11+\212\274\356\064l\347\240P\004 \224\376C\215T\220\371\256\256\267\345\24=
0\350\350\331\034\021\066\212\323\366\360\266=D1=A7>\335\344v\204\306N\231\=
030+)`\003NJ\307Zc", nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6=
210
#3504 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3505 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3506 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b272a8 =
"\n", <incomplete sequence \352\250>, len=3D4, object=3D...) at process.c:6=
620
#3507 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3508 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfada9c80) at eval.c:2870
#3509 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfada9c78) at =
eval.c:2795
#3510 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3511 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3512 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfadaa190) at =
eval.c:2797
#3513 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfadaa240) at ev=
al.c:2425
#3514 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3515 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3516 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3517 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfadaa350 "\204hN\246\221\265\377t\227X2e\234Ng$=D6=
=AF\367E\257\030\367t=C5=A7\352=3D\203\321d\303ZR\236=D4=81\215^\036\324+b\=
277e\260\200A\315RV(1=C4=97\031\273\356\061W0\276\233\033O.-\203\005=D3=A9\=
324\306\026\002\204\031=DB=8C\231V\002\377d\266{\f\232\323\377\\\346\025\23=
7w\202\226Zhs\332\bWL\313\017\373\347`Q\240\302\061|=C2=B9\261\017f\216\332=
\006\066'\225\035=CF=A1\354iT_\267r~a\232<\255G`\354\235F#\002\370\037\305\=
002y%\\\341\212 @\221T~\276\200U\225=C4=9Dm\353Z_~#I\360\345\212\347U\343\2=
40\004:\277\211\353\245\313Z[\324KQ\374'\370\243U\234", <incomplete sequenc=
e \347>..., nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#3518 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3519 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3520 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b27298 =
"\n\037=DA=A8", len=3D4, object=3D...) at process.c:6620
#3521 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3522 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfadaba20) at eval.c:2870
#3523 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfadaba18) at =
eval.c:2795
#3524 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3525 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3526 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfadabf30) at =
eval.c:2797
#3527 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfadabfe0) at ev=
al.c:2425
#3528 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3529 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3530 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3531 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfadac0f0 "\024\314E\246\271\061,x>9\210\215\064\034+=
M =D9=A5\336:h=DF=B7Os\035\314=DD=A7\263\207Y\231F\231b\262!\211\364\270\32=
0\035\210\065\231K\371\326A\275b\262\025\005R\243\034=DA=A2)\\\344\314\032\=
314\025lB\321\336M\273?V\377\373\253\205N\031l'\265\005\255-\021\254\061\06=
1\036\230L\227\367\315oS\037\031\345\215\002\035\334iu\333\325\327nq\262\34=
1\302V\267\362\366#\016\373\020\067\266\r\236T\317fO\267\065\230lU\234\343X=
tm\023\342:m\267G$X\223E\217\342\b&aB\350\036\361kg\fe\363\266Y\264\300\252=
\336xt!o\310\025\032\207\344\277\331\037z\231_V\361\270^H\236\265f;\v\241n"=
..., nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#3532 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3533 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3534 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b27288 =
"\n\037=CA=A8", len=3D4, object=3D...) at process.c:6620
#3535 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3536 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfadad7c0) at eval.c:2870
#3537 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfadad7b8) at =
eval.c:2795
#3538 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3539 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3540 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfadadcd0) at =
eval.c:2797
#3541 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfadadd80) at ev=
al.c:2425
#3542 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3543 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3544 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3545 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfadade90 "\255-\020\263\023C\330YIu|\034\230\233]U\2=
24\225I\366\017\345qW\233x\344k\310=CE=AB\225\367O\357\207\346\245qp\235\22=
1h\365b\365\323\033\204uQv\231\313`\340g&ZY\347=C9=9A1\232\352\346c;|\036Y\=
372r\234|`t\305H\315[\207`\224=C2=AF\262\034\224\340\a\245\001D\364H\223\25=
5\223#=CA=83=CB=91\205\002\252\316v5\243\260\246o\364:\224\067\333H~\227O\0=
03\"\366da$q?\365\246\341\066=D5=9A.\030e\a\365/:=D5=9D<\365\206{7\"\005\00=
4=E7=88=90M\236\375\331O\272\211\301\232\311H\270\tN\027\031\212\360\247S\3=
34\f\377\326\347\334{\221\251\003\177=CD=AEg\347tn]\312\376\025\207"..., nb=
ytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#3546 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3547 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3548 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b27278 =
"\n\037\272\250", len=3D4, object=3D...) at process.c:6620
#3549 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3550 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfadaf560) at eval.c:2870
#3551 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfadaf558) at =
eval.c:2795
#3552 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3553 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3554 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfadafa70) at =
eval.c:2797
#3555 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfadafb20) at ev=
al.c:2425
#3556 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3557 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3558 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3559 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfadafc30 "\316O\315\357\327\334\340\vs\037\035\341\0=
22=D6=AD\325h2\317\371\306=DE=A0\211I\366\027v\324Z\016\240\253\376\244\207=
=C9=92&\345\215\363W\r\361\356(\230\024\257\250`\325\022\003\225\362\215=D5=
=B4\205xz\345\345[\232\247\346\353\026\022\360C\"\256+\360\253\062w\025\364=
\304Lr\023\063\363\v\254v\236t\302\323\f\375\205\024\201$\260szs\033*WCE\34=
1\351+u[OsO=ED=98=A9L\025\301\234q\320\347\321GU\265\217)\273\vA\236\243~\2=
72ci\bU6^9\272L[`a\377\b\373\225[ZX]\357\066BiM\214\222\250\244$f\325?\213\=
\\365\071\205\201\001\261\fx\207S\323\060=DB=B3\031\213\033\250K\213o\220\2=
64"..., nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#3560 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3561 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3562 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b27268 =
"\n\037\252\250", len=3D4, object=3D...) at process.c:6620
#3563 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3564 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfadb1300) at eval.c:2870
#3565 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfadb12f8) at =
eval.c:2795
#3566 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3567 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3568 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfadb1810) at =
eval.c:2797
#3569 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfadb18c0) at ev=
al.c:2425
#3570 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3571 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3572 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3573 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfadb19d0 "\313l/\255\225\343rS>\374\357\v{b\352\065\=
027$,ve\217U\257\261\206=EF=A6=AC\367=3D\376\331;\025V3O\t\331\063&\274\274=
\271\004\230V\300\243C\353\201\v=3D\001", nbytes=3D4096, coding=3D0x55d3b39=
15cd0) at process.c:6210
#3574 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3575 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3576 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b27258 =
"\n\037\232\250", len=3D4, object=3D...) at process.c:6620
#3577 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3578 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfadb30a0) at eval.c:2870
#3579 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfadb3098) at =
eval.c:2795
#3580 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3581 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3582 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfadb35b0) at =
eval.c:2797
#3583 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfadb3660) at ev=
al.c:2425
#3584 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3585 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3586 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3587 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfadb3770 "R\024/\234\211\251\232b\263MJ\214\205oY\24=
3u\247\032\202RT\223)UQ\257W\256\364\201\351\023[\240K\202=D9=AC\210:\343\3=
27\071\264\365\023\a*fJ\356\377\317V\271%\024d\347\312\361\334\370\355\377+=
\344\033j^\350\216\336\316S\215PI9k=D1=BAazhG=3D\005\363i\afm\005\357\307/\=
035a\241\210\300&\342\242\375\345g\031uv\353[\374M\005\276\354{Q)\256lX=E2=
=AA=93v\212\267\357j\227\257=D5=BEp^\357\017\245(yT\221\334\336.=E1=BD=95t\=
003'\302;\223\372\222\252QD\235\217Q\226^\221\305`0l&\v^`\375\016=C4=8B\234=
\322\rE\266\034I\vvm", nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c=
:6210
#3588 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3589 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3590 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b27248 =
"\n\037\212\250", len=3D4, object=3D...) at process.c:6620
#3591 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3592 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfadb4e40) at eval.c:2870
#3593 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfadb4e38) at =
eval.c:2795
#3594 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3595 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3596 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfadb5350) at =
eval.c:2797
#3597 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfadb5400) at ev=
al.c:2425
#3598 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3599 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3600 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3601 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfadb5510 "rm", <incomplete sequence \327>, nbytes=3D=
4096, coding=3D0x55d3b3915cd0) at process.c:6210
#3602 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3603 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3604 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b27238 =
"\n\037z\250", len=3D4, object=3D...) at process.c:6620
#3605 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3606 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfadb6be0) at eval.c:2870
#3607 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfadb6bd8) at =
eval.c:2795
#3608 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3609 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3610 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfadb70f0) at =
eval.c:2797
#3611 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfadb71a0) at ev=
al.c:2425
#3612 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3613 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3614 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3615 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfadb72b0 "\337h\251\373\313M&\203\061\225\274iV\355\=
264\377\366", <incomplete sequence \366>, nbytes=3D4096, coding=3D0x55d3b39=
15cd0) at process.c:6210
#3616 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3617 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3618 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b27228 =
"\n\037j\250", len=3D4, object=3D...) at process.c:6620
#3619 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3620 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfadb8980) at eval.c:2870
#3621 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfadb8978) at =
eval.c:2795
#3622 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3623 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3624 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfadb8e90) at =
eval.c:2797
#3625 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfadb8f40) at ev=
al.c:2425
#3626 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3627 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3628 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3629 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfadb9050 "7\351E!\241\372<\367\264\342\232\356 w\277=
e:\252\255\301\317\321\016\274K+\232\214=3D\246mb&\023\360=D1=B4\342\202\02=
5\216\206\263=CD=80\333h!\353\033\332\035\375\230;=D6=8Au#\265\342\333\340\=
277\346m\213l\231\031;WSz=CC=8E:\301\247\251\243;\240Nl\213D\003|\244e\300\=
243u\n\221\374\375-U\263\277\006\314\025/\372\037\v\214A\331\307y_\263y\201=
[\250\270\031\375\335\365\263#\357]3\026\\\276=3D\326D=D9=804\313X\002\243\=
315\016\234\321=DC=8B4\026\277Nx\352\313\333\356i\024\356(U\036{p\353\347w3=
\361P-\034wJ\300\200\006\335\"\027\261\036\260=E8=A8=B4\305$N \352\261#\310=
wV", <incomplete sequence \305>, nbytes=3D4096, coding=3D0x55d3b3915cd0) at=
 process.c:6210
#3630 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3631 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3632 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b27218 =
"\n\037Z\250", len=3D4, object=3D...) at process.c:6620
#3633 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3634 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfadba720) at eval.c:2870
#3635 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfadba718) at =
eval.c:2795
#3636 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3637 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3638 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfadbac30) at =
eval.c:2797
#3639 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfadbace0) at ev=
al.c:2425
#3640 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3641 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3642 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3643 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfadbadf0 "\320\345\064@\245\002\307#\301\200\254\256=
\236\357\253\243'=CB=B3\020\026\371\371\241W\016\365h\244A\363\344\275\305>=
m\003j\210\220\004L\033\306\341\365=CA=B9\037FP(\026\213\071f\270=E3=BF=8Dl=
7=CF=B2c\216\310\366'N\265\206\256=D5=AA\266\r3\373o6=DD=BD\246\232\305\005=
{\026\023\324\334`b]\243{]\b\261\265\353\207\063\021\334\026\023\223\275\37=
5K\020l6li\213\200\374]\260\243V\353\066\032\n\212\016\225\017\340/\241{\30=
5X\261t\301Z\tOaU\326\035!\247 Q|\227n\212\272\214\243\031\271\377[=CC=90\2=
50\360\v\023'\236\325\020\335=E6=93=A1P\204!\226v9\207\020\002\266\351\301\=
066]\270\310w\315\bA\375", <incomplete sequence \374\225>..., nbytes=3D4096=
, coding=3D0x55d3b3915cd0) at process.c:6210
#3644 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3645 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3646 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b27208 =
"\n\037J\250", len=3D4, object=3D...) at process.c:6620
#3647 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3648 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfadbc4c0) at eval.c:2870
#3649 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfadbc4b8) at =
eval.c:2795
#3650 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3651 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3652 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfadbc9d0) at =
eval.c:2797
#3653 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfadbca80) at ev=
al.c:2425
#3654 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3655 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3656 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3657 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfadbcb90 "p*=CF=94}.\305\364\252\251\357\200\n\v}Y\3=
27z\343\242C=3D\336/=C7=96\356=DE=AA\003\244{\226\370\062\210\261kUk\342[\2=
70\235\337\062I\377F=C6=92\334/=D8=A8D|Ny#!\272x\252\vC\302\355\311O\251n\3=
61\020\337E3\341l\336V\r\257\377\362\\\363\276\214Z\276}\255\071\317\354Lj\=
374\277=D7=83,[\345s{\230\342\030\034X\373n8j\326K\371\243W\217\226\346u?\2=
37\243\375/\273v\201\221R\330\375c\251)3\022\200\347q\f\202\372\065\252\226=
\316\030\067\317Q\336\r\\\003\265\032\263$\v\202B\332\353\376\330\021\224\3=
67p\257J\276?\016\265\270\026\001\204\252\264\241o\372\236X\213TH\026\067",=
 <incomplete sequence \315>..., nbytes=3D4096, coding=3D0x55d3b3915cd0) at =
process.c:6210
#3658 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3659 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3660 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b271f8 =
"\n\037:\250", len=3D4, object=3D...) at process.c:6620
#3661 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3662 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfadbe260) at eval.c:2870
#3663 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfadbe258) at =
eval.c:2795
#3664 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3665 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3666 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfadbe770) at =
eval.c:2797
#3667 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfadbe820) at ev=
al.c:2425
#3668 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3669 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3670 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3671 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfadbe930 "\277\315\371=3D\237\321\301\265\271j\225i\=
225\321Gt'\277\256\065&\f\214U\226\307\325t>\003\307\062\260\005<*'>;Z\215e=
F\026'\376Nq\373\376\220)\030\245\255\341L\201nc0\230Ifp\004\353cyT`+\300(\=
247\037\t\314#\n=C9=8C\371S\300s%\345\060\375\325i\314\310[\207F\212\325\00=
4\332Z_Y\242&<n\026\352\200\030\374\066\204-\v\243\323\360\n\021\070\066\25=
3\370\344\b'\016\035\324\021k\377\272", <incomplete sequence \357>, nbytes=
=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#3672 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3673 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3674 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b271e8 =
"\n\037*\250", len=3D4, object=3D...) at process.c:6620
#3675 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3676 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfadc0000) at eval.c:2870
#3677 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfadbfff8) at =
eval.c:2795
#3678 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3679 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3680 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfadc0510) at =
eval.c:2797
#3681 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfadc05c0) at ev=
al.c:2425
#3682 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3683 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3684 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3685 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfadc06d0 "\273 v\241\024=CE=84\334#g\021\354c\004\36=
6\273w\242\300\252\240u\034\002&j\246@\257\375\204=D4=95\371]\"=DD=B8\024\3=
77\215\224tg=3Dv\360\213\256v\264\031\f\310m\r\177\r\376\277\215\345\331\32=
6G\366=DE=9F.\016\372\006BAS_\\c=C5=AE\222\f\317;=D9=94\004\330Y\246\024&\2=
21\244%\177/\355~\334\061\026\316;\355\366\004^\322\351\373c2%\b\244p\264\0=
25n\340\300 \236u\003\026\064J\207\264\324\177K\001 z\275\225G\216\267\322T=
\347V\020\021~\274\355\026;\025", nbytes=3D4096, coding=3D0x55d3b3915cd0) a=
t process.c:6210
#3686 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3687 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3688 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b271d8 =
"\n\037\032\250", len=3D4, object=3D...) at process.c:6620
#3689 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3690 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfadc1da0) at eval.c:2870
#3691 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfadc1d98) at =
eval.c:2795
#3692 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3693 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3694 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfadc22b0) at =
eval.c:2797
#3695 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfadc2360) at ev=
al.c:2425
#3696 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3697 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3698 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3699 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfadc2470 "\255(\344\254E\220\240\202\022\226f!p\336\=
b\256\275\371=D3=AE\374\264\061\037@+\211|w\275T\002i\354b\177\256{\345^\03=
6\266\017c,\032\317\313\333J\334\327{W\252\177\\\353\200\333\tA=D0=A2e\245\=
v]S=D7=90>?=EB=B5=9F \272\324\360\005\266$\220\225Y\233\260\276\213&u\024\2=
07\363\303h\234c\016\344\016\276|\315@W\203=D0=B1bd\367\265N\373\033\240\01=
6\211=D5=BA\361\350\"\267D\342=CC=82\234\071\276t\036TX\276*h\343\215=DC=98=
*\275\v\026\020Y\236\311q\200\246\227\371=3D\275\003\375a\351o\333\037\355K=
(\325\035E\235rpS\251,'o~\264\331\372\227\064\060\025\346\263\315=E4=94=B09=
m\245~>\262"..., nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#3700 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3701 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3702 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b271c8 =
"\n\037\n\250", len=3D4, object=3D...) at process.c:6620
#3703 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3704 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfadc3b40) at eval.c:2870
#3705 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfadc3b38) at =
eval.c:2795
#3706 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3707 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3708 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfadc4050) at =
eval.c:2797
#3709 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfadc4100) at ev=
al.c:2425
#3710 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3711 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3712 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3713 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfadc4210 "\263\r\021\234\247\320\335^\217\312\363\30=
1C\320\350\343\377^\257\rr\"@|xyD\340\016*8\333\021HrY\360\212\271\027\325s=
\035[\320C(\263p\230t\f\367\244\270\214\226\221\336=DF=9Cfa=D0=8A=D4=B2\365=
\347PH!\220v\213b\337\314\351\352\231\355\274w\260/\022\217\b\a9=E3=95=AB)\=
300\233-#9J\374g%\032\266>2\b\205\274\312/u\210\305\r\203=E1=91=B2\212\065\=
325 \253\335\035Iu\253\211\314\005\"fE\342gN\037z\311=DE=AD\207\264\\\256\f=
\357=C6=81\022\271q\333\365\272\360\036\300\b\"\004=DC=A9T\200\033\204-\303=
-\024\337\352\070>\343U%\311x\263=3D\375\317\343\nQ% t\212\230\275\242'\032=
"..., nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#3714 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3715 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3716 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b271b8 =
"\n", <incomplete sequence \372\250>, len=3D4, object=3D...) at process.c:6=
620
#3717 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3718 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfadc58e0) at eval.c:2870
#3719 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfadc58d8) at =
eval.c:2795
#3720 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3721 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3722 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfadc5df0) at =
eval.c:2797
#3723 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfadc5ea0) at ev=
al.c:2425
#3724 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3725 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3726 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3727 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfadc5fb0 "~\177}\377\242\262Y*\343\325\066\360\036\2=
46\266uw\241cv\362\225\224\361\334\321\354\035(L\026\250\255\004\177\\\352\=
215\306q\255!\277\264szsmv\267qE\374f g\271N\242[O\240B\020'r\005\376\301\2=
53tK!Q\302\330HL\222;\034r=D7=96d\314a\303\065\220\272\240\002\022\213g\317=
a\037\025\062\311\332jW\371\035\031\061\367\222\021<\252|\213e=DB=AF\033\03=
3\315*5\351\067\201<2\227\217\027\064\251\251j\023T\375=C9=A6\315=DB=AC\211=
#\317{\236TS\257\374\363\305\320\034\247\226;\321\067S\255\207\374\235A\247=
\343'5\317\375\005Un\017\061$\355=C5=AB \367|\343\177\330\023.J\303w\370\34=
6\254\303", <incomplete sequence \356>..., nbytes=3D4096, coding=3D0x55d3b3=
915cd0) at process.c:6210
#3728 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3729 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3730 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b271a8 =
"\n", <incomplete sequence \352\250>, len=3D4, object=3D...) at process.c:6=
620
#3731 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3732 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfadc7680) at eval.c:2870
#3733 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfadc7678) at =
eval.c:2795
#3734 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3735 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3736 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfadc7b90) at =
eval.c:2797
#3737 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfadc7c40) at ev=
al.c:2425
#3738 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3739 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3740 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3741 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfadc7d50 "\215\005\034\f\027\306P\371\062I\257\251\3=
04\037\223S\a\304\364\221)l\204\376A\370\254+_}'\273\275\224\v\373\360>\230=
\300\253\b\374V\204\372\235\024[\352]L\267\032\245\201\032\362\065d\006=EC=
=9A=BDQDl\342\t\355\227\334E\262p\230\030\375\361\226y\370\267\255\352\230V=
\351\301\262L\274=C6=9B=D8=A1\024e=DB=B0#\346=CF=BCP2o=DB=B3\365HJ\351\233=
=DF=B8[\036\bl\354+v3c\304\336\375\307=3DTFL\254\321\037\070b\017\376.\035=
=C4=BC\204!\022\206\305\036\365rB\031\304=D5=8D\"\371O,\270r[nP\324\025\207=
?", nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#3742 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3743 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3744 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b27198 =
"\n\036=DA=A8", len=3D4, object=3D...) at process.c:6620
#3745 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3746 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfadc9420) at eval.c:2870
#3747 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfadc9418) at =
eval.c:2795
#3748 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3749 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3750 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfadc9930) at =
eval.c:2797
#3751 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfadc99e0) at ev=
al.c:2425
#3752 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3753 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3754 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3755 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfadc9af0 "\261\204d\233\355\017h\020=D8=88nlc\363\27=
5\003=EF=8E=92e\312\375+\275\331\002%\314\320\322 I\004\274\017W[\340`\301\=
026ZY\246\302\367\363\315\307a\nFv\024\301H\362\367\232\244\071\rzk3o9\347\=
065\204;\240\221\\TE\264c@\266s^C\025\017\241\063=D9=92\257/VS\356\035=CA=
=8F\377\365<\234\357}2xOO\244\212 DDE\362K\340=D9=BAB\231\366s,\373=E5=B6=
=96\t$\331\325\v\216\r=3D\266\201)ab]\251mj\024\245\234\071b-\363\071\213\3=
01_\002\226\277\020hO\341\002O\206\063\305r\240\241\n\355}\241\274\340\250\=
062\204\254\262'\177}\003\353~PG\306\341&\255\325&\376\tDc\227"..., nbytes=
=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#3756 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3757 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3758 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b27188 =
"\n\036=CA=A8", len=3D4, object=3D...) at process.c:6620
#3759 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3760 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfadcb1c0) at eval.c:2870
#3761 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfadcb1b8) at =
eval.c:2795
#3762 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3763 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3764 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfadcb6d0) at =
eval.c:2797
#3765 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfadcb780) at ev=
al.c:2425
#3766 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3767 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3768 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3769 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfadcb890 "\360\320;\221=DC=AA\373-,G\311K\026Kn\314:=
Q\376\264pB\231\332Q\331x\tn=D3=AF\203\v\370P?\017^\353RrQ\270=CF=84\021\33=
1\356\253\377\020\242K\277>n\224\204\nmH\350\212I\317\070V\245\353\243^\262=
\225\300\365\332\332\367\362Q\361\365\273\246\315m\205\067=C9=87\225E\006\3=
02\226\067", nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#3770 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3771 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3772 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b27178 =
"\n\036\272\250", len=3D4, object=3D...) at process.c:6620
#3773 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3774 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfadccf60) at eval.c:2870
#3775 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfadccf58) at =
eval.c:2795
#3776 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3777 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3778 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfadcd470) at =
eval.c:2797
#3779 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfadcd520) at ev=
al.c:2425
#3780 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3781 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3782 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3783 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfadcd630 "\353\375\216\323=3D\342\nM\255\376\023\315=
,T\031$R\265|\254g\265s.\tX\343\250\025;Tho\r\342\341V\331\332%,\232*\302\3=
41\235\020\204\062/\336\070\375 \346\360\301=C6=A6\377\314\342\036\020\350r=
\277w\035ske\"\372\060\313U\205\277F$\370\063\230\232\246b\324\036\061\256\=
321\066\066\221\302q\203\374\217\231\034\202A\002\236\300\030\255)\323\033\=
064I\025&:\234\355\305L\355`\304kn:\233\022\342G\243n=D8=87%\003\301\025\26=
3;\022=3De\302\207w\240xn)\223\070\267\271J\314N\024\246\234'\344\242\363\2=
16K\352m\025\067\235\250\004\310\033\v\203C1m\001\360WS\352\266\017\241\202=
 \004\274@\v\370\343\036\226m"..., nbytes=3D4096, coding=3D0x55d3b3915cd0) =
at process.c:6210
#3784 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3785 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3786 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b27168 =
"\n\036\252\250", len=3D4, object=3D...) at process.c:6620
#3787 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3788 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfadced00) at eval.c:2870
#3789 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfadcecf8) at =
eval.c:2795
#3790 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3791 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3792 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfadcf210) at =
eval.c:2797
#3793 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfadcf2c0) at ev=
al.c:2425
#3794 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3795 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3796 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3797 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfadcf3d0 "\340~`\367\373\035\213/\314:\020\250`~\260=
\002tn\202\220\340k\234=D8=9B", nbytes=3D4096, coding=3D0x55d3b3915cd0) at =
process.c:6210
#3798 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3799 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3800 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b27158 =
"\n\036\232\250", len=3D4, object=3D...) at process.c:6620
#3801 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3802 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfadd0aa0) at eval.c:2870
#3803 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfadd0a98) at =
eval.c:2795
#3804 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3805 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3806 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfadd0fb0) at =
eval.c:2797
#3807 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfadd1060) at ev=
al.c:2425
#3808 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3809 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3810 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3811 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfadd1170 "9\f\020\252fg+\253\245\264\375\326\030An\3=
00\373\311=D6=AD4\237\017f\347M\254pb\322H\204\177O\200jh\235s\326\316A2vEo=
\211\"9b\251\250\221\021\213\376^\215\003\374r\a\367X\224V=D0=BD\027H\032\3=
44:\361{\232\215e\316m\205e+\016\371\070\064\337K\241\307\363z\254=C9=BE\26=
1\221\371.\020\065\267\024\f\277\340\372\320jr\327=DA=86=C8=85\241\205\305j=
\317\310&\372U\245\240Y=E7=A3=81Zh\256\335\fI\217\360\261\a=D7=83\fS\331`*\=
224P\343\267\346G\332\363\236\241k\272\067\216Jo\021\221\372\250\022\261\31=
0NSle\277D\a\332Q\305e/B\376\263\003\216b\273\240\230\350\200", <incomplete=
 sequence \314>, nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#3812 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3813 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3814 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b27148 =
"\n\036\212\250", len=3D4, object=3D...) at process.c:6620
#3815 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3816 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfadd2840) at eval.c:2870
#3817 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfadd2838) at =
eval.c:2795
#3818 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3819 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3820 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfadd2d50) at =
eval.c:2797
#3821 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfadd2e00) at ev=
al.c:2425
#3822 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3823 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3824 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3825 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfadd2f10 "I\346=D0=B1e\323s\346\270\362\264[\304\001=
\003\366\356\033G\307\036=D8=92[1#\352\266\"u\rs\003\335Yp\177\306\307}o\20=
7S\372\346\nD\226H\301V6\354\206@\220S\022a\231\033\071-\033\t\n\321B#rO\34=
5\244\301W\022@\001 \267\025\206~g\346\216D\367G\222\336N+\315\372\070j\216=
F\325\n\351\033y\361\332^(\346:\354\v\033\366\220N\341_\020\310P8}\362\257\=
231\266\215i\274a\344\256\373\237Q\031\347b\271,G@f\303\333\003\027\060\213=
W\367\237\336\003\234\235\023", nbytes=3D4096, coding=3D0x55d3b3915cd0) at =
process.c:6210
#3826 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3827 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3828 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b26d58 =
"\n\036z\250", len=3D4, object=3D...) at process.c:6620
#3829 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3830 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfadd45e0) at eval.c:2870
#3831 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfadd45d8) at =
eval.c:2795
#3832 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3833 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3834 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfadd4af0) at =
eval.c:2797
#3835 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfadd4ba0) at ev=
al.c:2425
#3836 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3837 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3838 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3839 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfadd4cb0 "I2tJCi\217\220\227\302\023F\243e\344\241\3=
57\327\373\217\353\373:\216\230\244\251\212A,\213=D5=92\220\021\005=CB=B2H2=
H\220\256\257)|\364\340tDf\021\366=3D\204\347=C9=85\360\332\023\266^n=3D6\2=
13O\261\366\376\217\222\003\244\356\232rw\030=DE=8Bn\234-f\227]F\005\005\27=
6\304\r\303\356\037\\*\356$\b}\366;dr\032e#\377\241\265\005a\264\005\066=C9=
=A5\347.\330\f\275K\226b\037\253B\223", <incomplete sequence \332>, nbytes=
=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#3840 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3841 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3842 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b26d48 =
"\n\036j\250", len=3D4, object=3D...) at process.c:6620
#3843 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3844 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfadd6380) at eval.c:2870
#3845 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfadd6378) at =
eval.c:2795
#3846 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3847 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3848 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfadd6890) at =
eval.c:2797
#3849 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfadd6940) at ev=
al.c:2425
#3850 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3851 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3852 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3853 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfadd6a50 "xL\231\026\240\005\233D\t\aB\f\231=D9=A8\3=
44\340l\263\240\060\a", nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.=
c:6210
#3854 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3855 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3856 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b26d38 =
"\n\036Z\250", len=3D4, object=3D...) at process.c:6620
#3857 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3858 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfadd8120) at eval.c:2870
#3859 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfadd8118) at =
eval.c:2795
#3860 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3861 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3862 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfadd8630) at =
eval.c:2797
#3863 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfadd86e0) at ev=
al.c:2425
#3864 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3865 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3866 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3867 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfadd87f0 "\341-\177\207Dm\177\311\303\323=C3=83\004O=
\333D`\201\277k=C9=B2\n\202#J\327\310\023`\253\245v\242\263\026\b\363\330\0=
33g=CC=96=D0=BF\374g:y\335\067M\026\341=CD=8F\026;\335'\254+(\362x", nbytes=
=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#3868 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3869 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3870 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b26d28 =
"\n\036J\250", len=3D4, object=3D...) at process.c:6620
#3871 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3872 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfadd9ec0) at eval.c:2870
#3873 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfadd9eb8) at =
eval.c:2795
#3874 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3875 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3876 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfadda3d0) at =
eval.c:2797
#3877 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfadda480) at ev=
al.c:2425
#3878 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3879 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3880 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3881 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfadda590 "G\321u,\370\347\066\a\350\255g\226\026=D4=
=A70\243\314\022\006n\220\313\067\240\033\232\226\317\317O`=DF=A9b\230\a\35=
7\215i\225\312V-N\345\255\343ZD\\\232\232\263\235`W4\bh\247\065\340i\264\37=
6\323[\212\020\370\274~k\223\243\023\272]\210;gK\234\263\026V\321iX\326\177=
\375\276\375\321\312\034\216\036#FL\272)\261\277(z$\324\033\307IY\373\327A\=
342\017\223\377\365\372\322*2j\247Rm1z\203On\343\026\207\355\025S\031\036\3=
60.:{\b\276\205\235E\361:\225\200\346$X\364\334\337\063\355\253\236S\231\21=
6f\257\226\365,sl\353\033+\222f3\373\265\310p\217\003N\033\254\264.\310\002=
i'6#"..., nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#3882 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3883 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3884 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b26d18 =
"\n\036:\250", len=3D4, object=3D...) at process.c:6620
#3885 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3886 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfaddbc60) at eval.c:2870
#3887 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfaddbc58) at =
eval.c:2795
#3888 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3889 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3890 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfaddc170) at =
eval.c:2797
#3891 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfaddc220) at ev=
al.c:2425
#3892 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3893 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3894 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3895 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfaddc330 "^\372=C6=BE65$)\221\310\005\225\366\320ezu=
\342/\ah=DC=BA\301\365y\317\a\207\315%\220f\272\022\037sH|F!\264\342gRE\027=
\255\v\025\223\267O\206L\v\260\221\071N\342<\216A\205\021\351\371\201\\\277=
\060R$\"\357\071\063\226\256\032\035\310Z\361O\224\271T\214(|=C2=A45\023\25=
3+\347+=DB=BE\177\244j^\371\207\364=CB=A6\373\250\270ESi\352cO\016\025ZI\21=
0\352\067h6=D0=A8\217[O\206\006\343\266\062\070T\362JK\247\067\367sY\213\34=
2\021=D2=AFe=D9=9DK\\q\320w\a\242\225\336z\031\377\060\226\025\220\017\212Y=
b\360\264=DF=A4t\365\002\347\"\031s\247\264\006\264q\212\220vnO\234v"..., n=
bytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#3896 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3897 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3898 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b26d08 =
"\n\036*\250", len=3D4, object=3D...) at process.c:6620
#3899 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3900 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfaddda00) at eval.c:2870
#3901 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfaddd9f8) at =
eval.c:2795
#3902 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3903 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3904 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfadddf10) at =
eval.c:2797
#3905 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfadddfc0) at ev=
al.c:2425
#3906 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3907 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3908 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3909 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfadde0d0 "XT\375\065A\264;\357\006O\217\342T\346\211=
K\223\225\256\027@\376\277\216\256\223\206n@.o\020\240B\206\306\362`\241\20=
4,!\t\004N3n\207:\214=3D\272\061\326I\314\352\270Y\242", nbytes=3D4096, cod=
ing=3D0x55d3b3915cd0) at process.c:6210
#3910 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3911 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3912 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b26cf8 =
"\n\036\032\250", len=3D4, object=3D...) at process.c:6620
#3913 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3914 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfaddf7a0) at eval.c:2870
#3915 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfaddf798) at =
eval.c:2795
#3916 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3917 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3918 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfaddfcb0) at =
eval.c:2797
#3919 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfaddfd60) at ev=
al.c:2425
#3920 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3921 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3922 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3923 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfaddfe70 "\324\001\332\341\340l=E6=80=B0a.\226]\311'=
\250\270\233\203\230[1\322\060\230\357\355\227K]\262=DB=A7\227\207\216=D6=
=BF\253\236\274+\232\177~L\356=D1=96\311\340\006\331%\233\335$", <incomplet=
e sequence \334>, nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#3924 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3925 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3926 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b26ce8 =
"\n\036\n\250", len=3D4, object=3D...) at process.c:6620
#3927 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3928 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfade1540) at eval.c:2870
#3929 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfade1538) at =
eval.c:2795
#3930 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3931 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3932 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfade1a50) at =
eval.c:2797
#3933 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfade1b00) at ev=
al.c:2425
#3934 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3935 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3936 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3937 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfade1c10 "^O\331\005K\205\016\225\004\375E~\306H\017=
\321\345\256=D5=93\271\335k0\215\344\021s\320\336\271=E5=AD=84\220j;--\323\=
374\005}\231\211\261\326\036\202\027V\036Fl\325*\247l,\356F?=DB=BA*RgT%\205=
\210'\001\265\272\372|\354\226\313Q\301\207 \355\006\216\001|\001WZ\274\362=
p\\\322y\224z\264i\307\032-\314.;;\366\376d3\234\357.\f\272t=CC=98*\002\001=
\215\005\034izTV\253\234_\207\b<w\251qW9\004?\020R\356=DF=AC=C4=A9W\265\034=
_\034\375\022\343\203@\376_R\265HD+\317\366\244>\016\004P\241\332R\372\241\=
300|\036+\201\362\340nT\276\267j\035\275\024\022\301\224", <incomplete sequ=
ence \365\232>..., nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#3938 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3939 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3940 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b26cd8 =
"\n", <incomplete sequence \372\250>, len=3D4, object=3D...) at process.c:6=
620
#3941 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3942 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfade32e0) at eval.c:2870
#3943 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfade32d8) at =
eval.c:2795
#3944 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3945 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3946 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfade37f0) at =
eval.c:2797
#3947 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfade38a0) at ev=
al.c:2425
#3948 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3949 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3950 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3951 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfade39b0 "=D7=9C\360k\222I\275\216\303c\275\255\302^=
(\220\253i\212\002\204\277\275a\275\230\231s\252\017/\243\227\t\327\021\021=
>R\252\202\027\204\251\230S\025X\264\025\255\213\263\356\033\023~\316\316H\=
225z\322S>\363d^=D7=9BD_\023iZ\214!\236\360\t\241>\024\277\322\371\372\370\=
016W2;\v;;\370\264\202\307\375\357tdx\236\216t\310\375B#=C3=8C\346\371\202\=
vS\322[4\316\333\344=DC=A0\200x\246\306\f\307~\211)I\027\004\326}\326)E4A\2=
24\224\223a\207\257!\246\223\066vrt\201\374|\003\330YS\375\374\361=DD=B1\37=
7\070\255\021L\244\253\271\023\265\304c=3D\224\235\t\026\202v=D5=9D\263U\33=
7\354\006\245\004,L"..., nbytes=3D4096, coding=3D0x55d3b3915cd0) at process=
.c:6210
#3952 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3953 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3954 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b26cc8 =
"\n", <incomplete sequence \352\250>, len=3D4, object=3D...) at process.c:6=
620
#3955 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3956 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfade5080) at eval.c:2870
#3957 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfade5078) at =
eval.c:2795
#3958 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3959 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3960 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfade5590) at =
eval.c:2797
#3961 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfade5640) at ev=
al.c:2425
#3962 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3963 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3964 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3965 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfade5750 "89S^>\332\"z\235\204\365\375*\257\037gd\tl=
B\263\205<\207\n%2\272\006\061\351_\331(1]\207d\325AQ\001Ff\240@=D3=97\274r=
\365\063g\373\236\375G\306\070\377\374{c\245/uB\344c\367\325\070=D8=93=DD=
=8A-\v\267\235v\366\343^r\"\177\356\334\344\063\216\206\027\325r\326=DF=B9=
=D6=8AbJ\006\316\362\\ooe\362\210\211\247\205\037\004\276\301Q\262\024\027\=
243\250\002y\320\a\372\224\005;\370\224*", <incomplete sequence \302>, nbyt=
es=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#3966 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3967 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3968 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b26cb8 =
"\n\035=DA=A8", len=3D4, object=3D...) at process.c:6620
#3969 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3970 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfade6e20) at eval.c:2870
#3971 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfade6e18) at =
eval.c:2795
#3972 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3973 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3974 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfade7330) at =
eval.c:2797
#3975 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfade73e0) at ev=
al.c:2425
#3976 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3977 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3978 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3979 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfade74f0 "9\253\316\025M\354\230\022U\r5W2r\265\207\=
"\367\065W\210\003\036\212H\267J\332\177\237\374\n\371\250\224\364x\203^]\2=
12\326I0\032\336\035/=C3=A3\004\301\340J~]\307,Q\273\035~\315\a\005\361\266=
|\376{\004\367\002P(\002\236\353\024M\rbO\376\377\300\060\a#\272\363\276\23=
4\032\272%N.?P\317\022\374G\020\343\016\322P\254\273\253m\022=DD=B9\025\037=
\354B\334\341)\020\a0\273\334\003-\270\335r\223\032\247R\245\244\210=CC=AE\=
253\062mu\225\330;\203\066\032.-/8e/\365\316\333\330QIC\273\252Y=CD=8Fiaoo\=
264\351]\315v\235E\002\rd\244\221\375w\207\364\317\037\364\204Kj>l\344Y"...=
, nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#3980 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3981 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3982 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b26ca8 =
"\n\035=CA=A8", len=3D4, object=3D...) at process.c:6620
#3983 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3984 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfade8bc0) at eval.c:2870
#3985 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfade8bb8) at =
eval.c:2795
#3986 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#3987 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#3988 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfade90d0) at =
eval.c:2797
#3989 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfade9180) at ev=
al.c:2425
#3990 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#3991 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#3992 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#3993 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfade9290 "\315\020\211p\245=C9=9D=DF=AD\273\260\361\=
261\352\303`\225\331j=DA=9CR=D5=BA\250\035\302\332m\300\365\314\366\032\256=
}\030\265\250c\234\367\260\342'\356\070\200S\255a>=3D\351\346\301\341\312\3=
56\320X\t\242a\224\365)\242\263\354U9-^=3D\022=DC=BFN\023\067\310=DC=B0\217=
\203\233@ \272\217V~\220\021v8\334\370B\273\214%\006\235\347\037I1!V\036\35=
5\032\036\261\374\v\207K\342\206\351\200\071\337c\376\024\213f\037\372\204\=
263k\364#xh\002\201\fp\343\316P\215\207\031O", nbytes=3D4096, coding=3D0x55=
d3b3915cd0) at process.c:6210
#3994 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#3995 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#3996 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b26c98 =
"\n\035\272\250", len=3D4, object=3D...) at process.c:6620
#3997 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#3998 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfadea960) at eval.c:2870
#3999 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfadea958) at =
eval.c:2795
#4000 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4001 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4002 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfadeae70) at =
eval.c:2797
#4003 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfadeaf20) at ev=
al.c:2425
#4004 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4005 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4006 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4007 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfadeb030 "=CA=8BP4\005\070\364\252E\016\034\265\067\=
233\334\067;\355\060\360\350Q\374&\241F\"\345R\366\265\231\177\374\371g?\01=
7\325\336-\003\337\060\367/0\263\270\020\016\035X\024[)\366\210=DA=BAJ\321h=
o\347x\tLW\262\200\060\273\245\320jRu\016p\036\002t\275\036\333\360\350\257=
\346\371x\021O\240\260\033y\221\037\342q\203B=3Dg\272\300\346\376f\377=DB=
=9A\274=C5=89$\236\236)l\366=C7=B8\016.\222\320\033\064\237\270)\244[#wv\27=
3\360>y0T=C6=9A\305-~\036\031j\f_\233=CA=AA\235p\371?TJ5\225p>W\347\002\344=
\302\003$\367k\243\310v\203u\234\243}\212R\223\071c\233\233\025\247\254\375=
\257\063\276f"..., nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#4008 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4009 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4010 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b26c88 =
"\n\035\252\250", len=3D4, object=3D...) at process.c:6620
#4011 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4012 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfadec700) at eval.c:2870
#4013 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfadec6f8) at =
eval.c:2795
#4014 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4015 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4016 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfadecc10) at =
eval.c:2797
#4017 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfadeccc0) at ev=
al.c:2425
#4018 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4019 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4020 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4021 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfadecdd0 ":\324F\032\306=D3=8Fr\315l\262\224\344\036=
:\242\030\063\350\341\255\351\b{\223zX\345\375\360?\364\303a6\337#\227J\271=
g=CF=A9n=ED=80=8Dz\203\351\031c\303\376\255\037\002\003*\b\250:=C9=85\252`\=
004$\343=CA=AD\372\217-l;\030ek\036>\373", <incomplete sequence \321>, nbyt=
es=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#4022 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4023 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4024 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b26c78 =
"\n\035\232\250", len=3D4, object=3D...) at process.c:6620
#4025 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4026 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfadee4a0) at eval.c:2870
#4027 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfadee498) at =
eval.c:2795
#4028 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4029 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4030 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfadee9b0) at =
eval.c:2797
#4031 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfadeea60) at ev=
al.c:2425
#4032 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4033 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4034 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4035 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfadeeb70 "\r\027\260,\340\213\027x\177G*2\221T", nby=
tes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#4036 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4037 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4038 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b26c68 =
"\n\035\212\250", len=3D4, object=3D...) at process.c:6620
#4039 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4040 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfadf0240) at eval.c:2870
#4041 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfadf0238) at =
eval.c:2795
#4042 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4043 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4044 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfadf0750) at =
eval.c:2797
#4045 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfadf0800) at ev=
al.c:2425
#4046 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4047 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4048 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4049 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfadf0910 "\307\323\300m/\224v=D5=B5/\003\242|xS\353\=
257$=E6=8B=80&\205\344m\276\326`\311\375t\034\370\235\202\261)\353\216\321-=
\374 O\256\346\036\224", nbytes=3D4096, coding=3D0x55d3b3915cd0) at process=
.c:6210
#4050 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4051 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4052 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b26c58 =
"\n\035z\250", len=3D4, object=3D...) at process.c:6620
#4053 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4054 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfadf1fe0) at eval.c:2870
#4055 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfadf1fd8) at =
eval.c:2795
#4056 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4057 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4058 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfadf24f0) at =
eval.c:2797
#4059 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfadf25a0) at ev=
al.c:2425
#4060 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4061 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4062 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4063 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfadf26b0 "//3\222S\322RKc\234\346\"(_}\001\265\226\2=
11vY}=D0=8E\241o\016\321\016'\001\303=D0=849x6\327\347\256\305Bb=E9=8D=B3\3=
04b\035\360\265\367\a\004d\017N\004\066\016$\254H\n6N\335\354S:sRi=CF=88}\3=
25iF\200\255\350\231>\232y\251L\366\355\213>\300=D6=BEu#\241/\fa8 \345\301\=
034}i\vx\aU[\264u)pE\251\n_\234\177;\006\301\377\236T\006q\362\003\367\025\=
217\224t\367\323G\224]\253\312r\367\031,\003\221=CB=8B#\024\246\236O\353`\2=
67=DF=84\272d\331~=CE=94&\240\320]\003\245K\221Q8\360G\260\267\370\377C\351=
\206j6vp\331~\024\203\262\071Hu"..., nbytes=3D4096, coding=3D0x55d3b3915cd0=
) at process.c:6210
#4064 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4065 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4066 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b26c48 =
"\n\035j\250", len=3D4, object=3D...) at process.c:6620
#4067 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4068 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfadf3d80) at eval.c:2870
#4069 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfadf3d78) at =
eval.c:2795
#4070 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4071 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4072 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfadf4290) at =
eval.c:2797
#4073 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfadf4340) at ev=
al.c:2425
#4074 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4075 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4076 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4077 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfadf4450 "\206\021\375K\275p\362\244=D4=A4\215\361\2=
33\240\347T\300{\252", <incomplete sequence \331>, nbytes=3D4096, coding=3D=
0x55d3b3915cd0) at process.c:6210
#4078 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4079 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4080 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b26c38 =
"\n\035Z\250", len=3D4, object=3D...) at process.c:6620
#4081 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4082 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfadf5b20) at eval.c:2870
#4083 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfadf5b18) at =
eval.c:2795
#4084 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4085 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4086 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfadf6030) at =
eval.c:2797
#4087 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfadf60e0) at ev=
al.c:2425
#4088 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4089 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4090 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4091 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfadf61f0 <incomplete sequence \361>, nbytes=3D4096, =
coding=3D0x55d3b3915cd0) at process.c:6210
#4092 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4093 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4094 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b26c28 =
"\n\035J\250", len=3D4, object=3D...) at process.c:6620
#4095 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4096 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfadf78c0) at eval.c:2870
#4097 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfadf78b8) at =
eval.c:2795
#4098 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4099 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4100 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfadf7dd0) at =
eval.c:2797
#4101 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfadf7e80) at ev=
al.c:2425
#4102 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4103 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4104 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4105 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfadf7f90 "zV7f\r%\303qE\242\354iY\026\352&\343,u\275=
\366RSS\024\345\033\063\244\237\206\373$<\254\222", nbytes=3D4096, coding=
=3D0x55d3b3915cd0) at process.c:6210
#4106 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4107 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4108 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b26c18 =
"\n\035:\250", len=3D4, object=3D...) at process.c:6620
#4109 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4110 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfadf9660) at eval.c:2870
#4111 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfadf9658) at =
eval.c:2795
#4112 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4113 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4114 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfadf9b70) at =
eval.c:2797
#4115 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfadf9c20) at ev=
al.c:2425
#4116 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4117 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4118 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4119 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfadf9d30 "YD~\211\257\247\301\320\v\220\017\062\017]=
\253\317\026-\246\324l\201\340\230\342\060\b\223\253g\n.O\212\307\356h\274\=
272\346|\376_m\220\364\347\031\r\232\321=D9=B3\324FC\004\025\317yk\241\365\=
223\223\376\301?\314\307\032P\360\347}q=D9=AB\204\\\216U7A\364\340\371\330i=
Tg4\351\216t\250\363\263\374D\217\222\221A1\374G\203h\242DV+\313\003\033\37=
2\250\023\264e\f\364^\317\375\344\336\354#\334z\241=D1=AB.\362y)\225\352l\3=
55c\230\271o\246\350\031X\251h=D5=B7&\305G=CD=A4\v\231\062r=C3=ACFP\353'\27=
3#\037\316\020\362\211\301\004\300\252=E9=96=A4f/=C8=ACJ\366\265\024\323vx+=
\262\247\330", <incomplete sequence \304>..., nbytes=3D4096, coding=3D0x55d=
3b3915cd0) at process.c:6210
#4120 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4121 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4122 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b26c08 =
"\n\035*\250", len=3D4, object=3D...) at process.c:6620
#4123 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4124 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfadfb400) at eval.c:2870
#4125 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfadfb3f8) at =
eval.c:2795
#4126 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4127 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4128 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfadfb910) at =
eval.c:2797
#4129 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfadfb9c0) at ev=
al.c:2425
#4130 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4131 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4132 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4133 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfadfbad0 "1,i\036|", nbytes=3D4096, coding=3D0x55d3b=
3915cd0) at process.c:6210
#4134 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4135 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4136 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b26bf8 =
"\n\035\032\250", len=3D4, object=3D...) at process.c:6620
#4137 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4138 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfadfd1a0) at eval.c:2870
#4139 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfadfd198) at =
eval.c:2795
#4140 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4141 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4142 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfadfd6b0) at =
eval.c:2797
#4143 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfadfd760) at ev=
al.c:2425
#4144 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4145 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4146 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4147 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfadfd870 "\003\004\345\204\r\031o,\036%=DD=821-\032\=
371\005\362\062F/\221;=D5=A1\262\257\200\232\254\070\233\372I\375\244(\264\=
370x`g\364\271\231\002/,\232\a<\353X\320\023\062\344K\002=ED=80=82\026\311>=
-\231=3D9\244\r\241\"-5\021\322\070\316\301\314\niX\266?\035\306+>R\301W\21=
7\213\237\025P\031a\213e\236?\245\021\276=D5=91Y\016\344\354\367\320Ht\323=
=DC=AB%I\265\300\005\346\252~~X\001\251\242\251\250\210\v'\025\275\023M^\33=
6\033eG\351\277=CA=B7\243\307\317\345\301\377A<y\262\265\222V\035\030n\205\=
361\243d<\006\067=C9=9D\203\313\071f\255\031I\235\362\277\325\301\021\246\3=
17,\274\364a\364=DF=98\224\244"..., nbytes=3D4096, coding=3D0x55d3b3915cd0)=
 at process.c:6210
#4148 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4149 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4150 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b26be8 =
"\n\035\n\250", len=3D4, object=3D...) at process.c:6620
#4151 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4152 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfadfef40) at eval.c:2870
#4153 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfadfef38) at =
eval.c:2795
#4154 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4155 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4156 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfadff450) at =
eval.c:2797
#4157 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfadff500) at ev=
al.c:2425
#4158 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4159 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4160 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4161 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfadff610 "\205\251c\243\257.\344\316B-=D3=AEv\340\31=
0\323\v6\332\342\024l=C7=9F\350\200R\362\a\247\335\373%\032\221\254\b\302w\=
314\023\r\005A2m\300\241\232\031\264g\207\302\207>UG\310\310\341\035\242s\2=
45W\276\070", nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#4162 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4163 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4164 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b26bd8 =
"\n", <incomplete sequence \372\250>, len=3D4, object=3D...) at process.c:6=
620
#4165 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4166 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae00ce0) at eval.c:2870
#4167 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae00cd8) at =
eval.c:2795
#4168 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4169 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4170 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae011f0) at =
eval.c:2797
#4171 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae012a0) at ev=
al.c:2425
#4172 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4173 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4174 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4175 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae013b0 "\372=C6=96(\352_u\214$=C6=87R \"\313\335\3=
53\\$\242;$S`\231\364\262k\212\271\071\245\315\031\061a\375D\177\213\215\03=
6\026\377s\240ok=CD=91Z\315\024\004j\213\251\340=C7=9E\234<7\022\250\332\35=
6\302\301RrI=D9=A6\332\001\024\250F\206/u=CA=94\212\037j@\v\220\204\065}\n\=
rB\263\357\003\341J\336<P\316`v=DD=83\301U\223G\ag\035\271uv\314\311\\\332\=
363=D0=8A\211L\364\200\032\067\005=D0=83\373?00\303\021Ls\340~\341M\241}=DE=
=9D\340\034\300po.7\361\233q\200J\350j\272\221%\224\354\004\265\333\f=CD=8C=
\370=C9=9Dg\305\022\066\203\377\335\334P\271_ \300L#}\003b\240Xa"..., nbyte=
s=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#4176 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4177 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4178 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b26bc8 =
"\n", <incomplete sequence \352\250>, len=3D4, object=3D...) at process.c:6=
620
#4179 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4180 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae02a80) at eval.c:2870
#4181 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae02a78) at =
eval.c:2795
#4182 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4183 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4184 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae02f90) at =
eval.c:2797
#4185 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae03040) at ev=
al.c:2425
#4186 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4187 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4188 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4189 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae03150 "\004\360\003\265\"\030\037=D0=B8Fg{J\177\2=
02=DB=84\016\304=3Dc\357$-vj\340\323C#=E3=9D=9E\346;\004=CD=91L\004\345\025=
\217$C\t\020b\200\031\307'\033\335ufgZ\273\063\214y9\261\255PD\177\070\t6t\=
242\021\032\273\v=C8=8E\001\256[6)_\256\037E,\260S=E0=BE=96\303\030\250\207=
dC\354s&){\266i\b/\332\316?\274\257l_Zr\272`\v\270\320\331\001F\262w\326\v\=
025 Vp(\226\f@\f0\275\bV\242\327O=DC=A8", nbytes=3D4096, coding=3D0x55d3b39=
15cd0) at process.c:6210
#4190 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4191 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4192 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b26bb8 =
"\n\034=DA=A8", len=3D4, object=3D...) at process.c:6620
#4193 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4194 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae04820) at eval.c:2870
#4195 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae04818) at =
eval.c:2795
#4196 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4197 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4198 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae04d30) at =
eval.c:2797
#4199 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae04de0) at ev=
al.c:2425
#4200 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4201 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4202 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4203 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae04ef0 "2\302\321b\224\034#\005\070\344\314\322=C7=
=BE\\\317\376\266\300M\350\t5\211\035\301a\247\065\305\344\224Y5 \263\222\2=
01\220\023\037J\343J\004\216/\246\\\322\307\"N\024\t*D\256\033\065\224\231\=
254\350A\001\222\345\366\247\065\r\256\250\250\375\271\363X\372[]=DF=AB\311=
I\300=D9=96\035\345,\003|\a^\234\335\037\017=DA=8F\274\255%\b\fP", nbytes=
=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#4204 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4205 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4206 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b26ba8 =
"\n\034=CA=A8", len=3D4, object=3D...) at process.c:6620
#4207 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4208 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae065c0) at eval.c:2870
#4209 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae065b8) at =
eval.c:2795
#4210 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4211 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4212 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae06ad0) at =
eval.c:2797
#4213 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae06b80) at ev=
al.c:2425
#4214 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4215 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4216 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4217 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae06c90 "|\242_\241*\213\345{\002\353m\217\324\357\=
024\023\355\377zfv\203\027Y\033\326\003\a\353\334u\243\364|\271\322\r\a\032=
)w\353\341\023\035\205@b\210\327^\026<\254=C8=B5\202\200C\374P<\213L\257=DC=
=B9f&B\023\271\255\340\026_\377\344\005aO\230\025|\370\276\322La(\337/\344\=
\\177\032\302\071Yb\215\377\f=E5=94=BCm\335u\300\374\210\340\365\333,Q;\373=
\363\031\066J=C8=87\017\365\221X)\003\223&\240\345\303\347>\227\377\223\304=
\001\363SJ\375& \006\237\275 \206\264\372\246\261\062\373a\334.}\363\260\34=
1h:E(\304^\253\373\213k\253\370B=DA=B1\177\003\250\311\375L+<\340^\211\217\=
343E\247A\003\202"..., nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c=
:6210
#4218 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4219 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4220 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b3b26b98 =
"\n\034\272\250", len=3D4, object=3D...) at process.c:6620
#4221 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4222 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae08360) at eval.c:2870
#4223 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae08358) at =
eval.c:2795
#4224 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4225 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4226 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae08870) at =
eval.c:2797
#4227 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae08920) at ev=
al.c:2425
#4228 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4229 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4230 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4231 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae08a30 "\316<lwQ=CA=82.=3D\f8)\351\212h\357cr\372\=
301f\"", nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#4232 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4233 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4234 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b2206148 =
"\n\034\252\250", len=3D4, object=3D...) at process.c:6620
#4235 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4236 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae0a100) at eval.c:2870
#4237 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae0a0f8) at =
eval.c:2795
#4238 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4239 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4240 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae0a610) at =
eval.c:2797
#4241 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae0a6c0) at ev=
al.c:2425
#4242 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4243 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4244 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4245 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae0a7d0 "(Q\327\265\023i${V", nbytes=3D4096, coding=
=3D0x55d3b3915cd0) at process.c:6210
#4246 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4247 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4248 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b2206138 =
"\n\034\232\250", len=3D4, object=3D...) at process.c:6620
#4249 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4250 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae0bea0) at eval.c:2870
#4251 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae0be98) at =
eval.c:2795
#4252 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4253 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4254 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae0c3b0) at =
eval.c:2797
#4255 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae0c460) at ev=
al.c:2425
#4256 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4257 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4258 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4259 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae0c570 "\034\035c\310E\302\377Y\204{\036\247\227\0=
17k\f\246\221\254\177S\247\361\t\v\356\335\327\342js\020T\312\346ND\367=DB=
=9A\353\024s}\211c\233cckv3\237\240+kh\227\310\367F1\366\213\352\341\017Q\3=
42g\326aw\351RMK\302o\264\301*\237\277A\264\061\256\021\275p>\034G\273Tp-\2=
34\222a\344\017~#\017\270Y\255%", nbytes=3D4096, coding=3D0x55d3b3915cd0) a=
t process.c:6210
#4260 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4261 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4262 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b2206128 =
"\n\034\212\250", len=3D4, object=3D...) at process.c:6620
#4263 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4264 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae0dc40) at eval.c:2870
#4265 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae0dc38) at =
eval.c:2795
#4266 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4267 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4268 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae0e150) at =
eval.c:2797
#4269 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae0e200) at ev=
al.c:2425
#4270 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4271 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4272 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4273 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae0e310 "J\207\234\245\002\321j\224,\250iQ'\031=DD=
=9C\330e\374\334n\214(\034\006x\t\036F+\370\317\033\037\v\307\065&-P\242=C3=
=BED\337u\301\355v\257`\247\020\247\032\241C\352\235\334eB~\350\\\253F\t9\3=
43\221'\032\371\257\253\235\250GZ|\027}\365\066=C4=B1zm\306\366\202\326\065=
\251l5\206\065\342\245H\352\241\315\313N\200\205\325\230\257\035\071=CE=A4\=
343\304sp\022~V\372t\303_\214\001sv\256\314\374\060\243s\344\201\ts", nbyte=
s=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#4274 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4275 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4276 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b2206118 =
"\n\034z\250", len=3D4, object=3D...) at process.c:6620
#4277 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4278 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae0f9e0) at eval.c:2870
#4279 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae0f9d8) at =
eval.c:2795
#4280 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4281 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4282 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae0fef0) at =
eval.c:2797
#4283 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae0ffa0) at ev=
al.c:2425
#4284 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4285 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4286 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4287 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae100b0 "3d\310=3Dz>3\"\273v\263^\350\352\364\063$\=
202)\016\070=3Df\r\231\257\250\241c\263\352\031\323\322\017=EB=9D=9E\342\37=
2\341\243\004T\276\367p\246\321=DD=AB\273G\354\033V{\275D\266\271\f@\020\37=
1\251\024K\346\341=D5=A7\204+\355@\375j\v\307r\364\325uE\304\344\066\330\35=
0\350\323Q}=D8=91\354Kp&\vK\233a\232\001\374\310K\t\204]\271F\213\tm\317g\0=
22\362O\r\344~\352\070\033Z=CC=BDf\033\245Gm\202\022\246]dT\354GEQ(\245\027=
\232\257\v\203\360\224\222\067\303\342\352/[\003W\217c~\017|\206\261\277-I\=
226\b\257Su&\003=D3=BD)\336\061\020\377(\204\375\335=C7=AA\227\312\336\020\=
262", <incomplete sequence \324>..., nbytes=3D4096, coding=3D0x55d3b3915cd0=
) at process.c:6210
#4288 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4289 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4290 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b2206108 =
"\n\034j\250", len=3D4, object=3D...) at process.c:6620
#4291 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4292 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae11780) at eval.c:2870
#4293 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae11778) at =
eval.c:2795
#4294 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4295 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4296 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae11c90) at =
eval.c:2797
#4297 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae11d40) at ev=
al.c:2425
#4298 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4299 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4300 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4301 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae11e50 "V\363C\235\222\206w\b\212 \344\363\037\373=
\tz\361\t\260\230=D9=9A\016\240\273\211\350\210$\326TO\352\302NZ\276u$F\256=
#\221\251\247\037\216:7\033\311L=CB=9C\232", nbytes=3D4096, coding=3D0x55d3=
b3915cd0) at process.c:6210
#4302 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4303 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4304 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b22060f8 =
"\n\034Z\250", len=3D4, object=3D...) at process.c:6620
#4305 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4306 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae13520) at eval.c:2870
#4307 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae13518) at =
eval.c:2795
#4308 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4309 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4310 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae13a30) at =
eval.c:2797
#4311 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae13ae0) at ev=
al.c:2425
#4312 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4313 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4314 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4315 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae13bf0 "=3D\022\064?N~3A\345\276+W\244\345#1\362\3=
16Y\017C\271Y\367\241\265\342\v=DF=BD\265XBS\251=CC=9D\216d]\231L|\346w\267=
)H>~!}\220\271,fPc\272\260\021\063eY\306\355:4AO\265=C6=9E\310\031=D5=A6\22=
5^\277\021\062c\300\025_=3D\277UU\300\277\232W\316!\177P5\277\376_^0\271G\3=
40\334(\360\261\337\067\066\377~H\334\020\331O\214\063u\274\366G\303>\001\2=
17=D8=BE\266\022t\250X'\351\357:\261),\027\347\037\267l\017\177=CF=9F~=3D\3=
46", <incomplete sequence \320>, nbytes=3D4096, coding=3D0x55d3b3915cd0) at=
 process.c:6210
#4316 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4317 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4318 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b22060e8 =
"\n\034J\250", len=3D4, object=3D...) at process.c:6620
#4319 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4320 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae152c0) at eval.c:2870
#4321 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae152b8) at =
eval.c:2795
#4322 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4323 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4324 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae157d0) at =
eval.c:2797
#4325 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae15880) at ev=
al.c:2425
#4326 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4327 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4328 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4329 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae15990 "\345\334\022\323\367.Y\344\017\213\350gWG\=
375\022;=C4=B0O\024;\354\362\260\356z\233.\331\371\315=CA=BE\275\362\357\34=
5\244=D6=973\332\020\361\024\352\036Y,p\304\331Q=3D\005&\350\343\064@\231v\=
177\247?p\242:\276\271e\277m\355=C3=B9(\256\002\177\003\330\312,\221\022\20=
2\211\347\257\322#)Q\366W[\366\017\v5\240\\\323\034\363BI\006?\277s+qc\037\=
307\017\346~\206\275\322\063\031\263\061\342\061=D0=B5=D0=8A\226\336d)b\223=
\372\004\314\335Ps\017\321!\032\303\017=DA=83\310_\203\"~H\322\064\b)\216\3=
63\022\343|\023\275!\017MQ\277z\320=CA=81\025\347\363\362\352\005\355\016'\=
270\033\017\270\266\261I\206\351\263", <incomplete sequence \335>..., nbyte=
s=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#4330 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4331 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4332 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b22060d8 =
"\n\034:\250", len=3D4, object=3D...) at process.c:6620
#4333 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4334 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae17060) at eval.c:2870
#4335 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae17058) at =
eval.c:2795
#4336 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4337 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4338 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae17570) at =
eval.c:2797
#4339 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae17620) at ev=
al.c:2425
#4340 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4341 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4342 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4343 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae17730 "\354\247m\363ob\233T\226\367\365\315\313\3=
51\262\026\214\236\360.=CB=8E\341\305<\032\330,^\375fR&/J\317\006=CB=A8w\35=
7E\304^7s\200ZI2W\355\257\027\237\316\375\a\315N\217\216\266\212\221(X\375\=
202\026'0JfO\304'\312\333\a\221\004'\236\374G/g\304\372\212j|$\356~[\231\03=
6\033k\342=D3=90\r\006\356/\334\034x=C7=90~\220\346z\306Mz:\221\250\063\245=
\364\300\b\032\262\064=E8=82=94\003=D9=B2\200\236N\237\310=D3=BE\353\064\20=
6\t\357\201\325\027r\267$e\202\333I!C\250_V6vo?x\241OweP\335#\ndDj\257\020[=
2\322=C2=BC)1\245\236\242\250\\.,\276\342", <incomplete sequence \316>..., =
nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#4344 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4345 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4346 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b22060c8 =
"\n\034*\250", len=3D4, object=3D...) at process.c:6620
#4347 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4348 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae18e00) at eval.c:2870
#4349 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae18df8) at =
eval.c:2795
#4350 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4351 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4352 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae19310) at =
eval.c:2797
#4353 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae193c0) at ev=
al.c:2425
#4354 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4355 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4356 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4357 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae194d0 "\220\022=3D]\340\214\366=D1=BF\277\244\373=
>\025\020\265", nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#4358 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4359 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4360 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b22060b8 =
"\n\034\032\250", len=3D4, object=3D...) at process.c:6620
#4361 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4362 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae1aba0) at eval.c:2870
#4363 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae1ab98) at =
eval.c:2795
#4364 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4365 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4366 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae1b0b0) at =
eval.c:2797
#4367 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae1b160) at ev=
al.c:2425
#4368 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4369 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4370 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4371 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae1b270 "Ve\033\343\071\216", nbytes=3D4096, coding=
=3D0x55d3b3915cd0) at process.c:6210
#4372 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4373 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4374 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b22060a8 =
"\n\034\n\250", len=3D4, object=3D...) at process.c:6620
#4375 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4376 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae1c940) at eval.c:2870
#4377 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae1c938) at =
eval.c:2795
#4378 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4379 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4380 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae1ce50) at =
eval.c:2797
#4381 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae1cf00) at ev=
al.c:2425
#4382 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4383 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4384 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4385 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae1d010 "!\036\065\245K\313-\222\247\b^\207\267\024=
i\002`G=CA=B8i(\231_\362\275\034Ov\362\264-\256%\340=CE=BA\265\027<!W\221\3=
05\b\022\205Qc\335S\255@\263\270y\312\367\245\257\330\332&{\241\217pn\034\0=
20=DF=99\366\323\003=CB=A8\n\037&\200\315A\313<%\271\256\322\030\344\303kb\=
206z\326?\247\260\"\276\063+\367=DF=9C#\212\320y\354\036\273\070Z\177\240/\=
177\220\347({\321\300\254\357\224[\030s\363\271\002\032\177B#\262\016\231\2=
34+nCi\271!\361 [\342\224\031\276\330\337\024\023\365\377\240K\355\033\230]=
\022\352cT=3D\217%\316\066\275\243X<\333ha\276;\vs\356w!\263\211\232\250=E5=
=AB=B2\315\035"..., nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:62=
10
#4386 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4387 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4388 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b2206098 =
"\n", <incomplete sequence \372\250>, len=3D4, object=3D...) at process.c:6=
620
#4389 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4390 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae1e6e0) at eval.c:2870
#4391 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae1e6d8) at =
eval.c:2795
#4392 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4393 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4394 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae1ebf0) at =
eval.c:2797
#4395 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae1eca0) at ev=
al.c:2425
#4396 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4397 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4398 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4399 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae1edb0 "\320\362\064\030\376\225B\247%\004=DE=84+\=
247\250j\274\237\062\367\230\325\303\071\241\366\026\070\325\016\356S2\303\=
364\205\327\022\023\204\224\276<\243T\020\271=DF=A9\227X\027\335=D9=90\023\=
224\036\263\340\216\020-#mB\212\222\317\003u\aW=CA=A4\233\244\366F\v\323\02=
3\351\032f\247(\240\374~\356\020\r\261P\371\205=EC=B0=AFEo=3D\212|Iw#xL\017=
\017zQ@\375$\"\333Ehc\216E4\375\342u\225*\374+\301\300A\214\322\377\n\206\f=
$\233\022^4\020\321\005cr\236\003[\216b\356B\261\031\213d\026\243x!\r\203=
=CD=94\263n&i\204D=C4=A5\024k\201\245+\r\254G\"\242\367\"n\032\370\005+\356=
@.\220?"..., nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#4400 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4401 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4402 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b2206088 =
"\n", <incomplete sequence \352\250>, len=3D4, object=3D...) at process.c:6=
620
#4403 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4404 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae20480) at eval.c:2870
#4405 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae20478) at =
eval.c:2795
#4406 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4407 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4408 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae20990) at =
eval.c:2797
#4409 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae20a40) at ev=
al.c:2425
#4410 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4411 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4412 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4413 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae20b50 "\017\217M7\016\364\001=C5=89.j\356N\311R\0=
16^=DE=85\267g\277$|\201fJ7\216|\206\236do/Y\226V\213\001S\331\371\305\320\=
374\001q<\"~`1\027\304\030\235f\261R=CB=857\340=D6=AA\336q\020\217-\353\223=
\065\231yi\267\071\337p\245\211TF\260\340\375\206$v\313\305\301;\277?\023\2=
71=DA=BBI\277\362\363\365\365+\241\371\326\023\326\214\220{\216;?\005\201\0=
24\220\036\247.\342t-\037F\215\231S\352\367\365\210\360\t\236\343\033,\377\=
213\374K\260\375\203\346o\235If\301\326.<M\310=CE=98\237\206\272}\361\227\2=
05\261\207\060\257_\316\064\247V<W\233*M\201\316[", nbytes=3D4096, coding=
=3D0x55d3b3915cd0) at process.c:6210
#4414 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4415 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4416 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b2206078 =
"\n\033=DA=A8", len=3D4, object=3D...) at process.c:6620
#4417 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4418 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae22220) at eval.c:2870
#4419 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae22218) at =
eval.c:2795
#4420 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4421 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4422 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae22730) at =
eval.c:2797
#4423 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae227e0) at ev=
al.c:2425
#4424 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4425 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4426 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4427 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae228f0 "\257\244+C\006+\034\243}0\002s\333&O\302\2=
26\336\022=CC=8B\317\313=C4=93\267I\274\317AZ\026\372a\177\370i\267@\231\35=
1\336\022\210\226\264\227i\312\037\062\024\tR4\346\360\263\260)\350\212S\32=
4=DC=A5\255\263\260\314v\270J\252&\302\027\315\360=CB=8E\340\v\274\376\016O=
ejhrE\021Ot\243\374\234\325\332{jJ\366\177\244\231\033iok\025\226\224DG\373=
\271\326e\314\004=E6=9A=8B\352Q\257\205\063#&\242\226\371\304TF.\275Uc\332\=
323]\344\357\361\227\321w8,\003\b\246Zr5\333\t\021B8\251\227\035\020\356w\2=
50x\300)o\237\211\274\337\023\311Z\262\234\206K-J\277\tJ2\002k1\213\034U\32=
1{"..., nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#4428 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4429 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4430 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b2206068 =
"\n\033=CA=A8", len=3D4, object=3D...) at process.c:6620
#4431 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4432 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae23fc0) at eval.c:2870
#4433 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae23fb8) at =
eval.c:2795
#4434 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4435 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4436 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae244d0) at =
eval.c:2797
#4437 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae24580) at ev=
al.c:2425
#4438 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4439 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4440 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4441 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae24690 "_\230\tl\355-\021O\205f\227\355\336\017=C4=
=B9\001\070\257\377\373\021%=D5=9C<\230 \002\071\256\017\f\267R\270\342\225=
%p=D6=A7\236\"X\204\213\230\252\032Z \203\245\216\216\210\210\334o\273\003\=
034\n\246\215\224\242\250\"B{:\336\276T?\335A\341g", nbytes=3D4096, coding=
=3D0x55d3b3915cd0) at process.c:6210
#4442 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4443 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4444 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b2206058 =
"\n\033\272\250", len=3D4, object=3D...) at process.c:6620
#4445 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4446 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae25d60) at eval.c:2870
#4447 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae25d58) at =
eval.c:2795
#4448 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4449 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4450 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae26270) at =
eval.c:2797
#4451 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae26320) at ev=
al.c:2425
#4452 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4453 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4454 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4455 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae26430 "\005=C5=84}\021Q\270\367\351\001\241\206\"=
\317i\324C\211\325R?S#\222p@\267=C4=AE\232o\n\262\322e\324\026}\255\217\325=
=DB=87\301t=D2=B9\314`a\217\037\t\223\\\034i\311W\363\370\356k>=E5=A4=8B\37=
5\340\355\236\307\025\201\256\374dL'\370\257:\021\365\310\350\002\003~\277\=
274?\235=DA=8CX\362X\214\023}\037\347\354t4\342:\250\001\335\352\352wC\025\=
225\365\023\335yF\242\006\016\277?2\256\376:\362\211I\371\262f\204e\004NgCL=
\356\070\331\321=3D\303=D4=BD8z\250c]\343\207\065\212\351Qi\200_\246\277\36=
7nL\371\332f\201\017\r\a2@\303\312\350K\036\276T\344X\301\304\346C\372\216\=
210\232\265\254v"..., nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:=
6210
#4456 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4457 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4458 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b2206048 =
"\n\033\252\250", len=3D4, object=3D...) at process.c:6620
#4459 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4460 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae27b00) at eval.c:2870
#4461 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae27af8) at =
eval.c:2795
#4462 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4463 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4464 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae28010) at =
eval.c:2797
#4465 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae280c0) at ev=
al.c:2425
#4466 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4467 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4468 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4469 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae281d0 "\372\333u\211\070\253\241\365E\306y\313B\3=
23\306h\006N?%1\373\332S\266\346\354@\223\310\316\067\314(\342\352\267u\210=
x\261\346\341%J\351\333_\242 \336Y\262|2\247\360\262\262\300\354s\244\355>#=
\035`\352t\203\060A\231'\243=CA=B5Q>\037\276y\343~Q\003?1*N\305\375\036\214=
\062\312O\242\177w,\224\301\235%\257\240%\206b^5t\274\066\206=D2=99\261\225=
<\267\337\334\363\\q\336\v\205A;\273\255\272\022\002\346\364\356\371\217\02=
6\205\227`\240\271\033\004\267/\005\060\370=D6=BA^:\243\027\344\210<\357\03=
2=3D\254\216\201.\370\240\365S\244\305D/G\302\n\267#<\205\252v\035f\227K3\2=
55\372\f\226?,"..., nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:62=
10
#4470 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4471 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4472 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b2206038 =
"\n\033\232\250", len=3D4, object=3D...) at process.c:6620
#4473 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4474 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae298a0) at eval.c:2870
#4475 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae29898) at =
eval.c:2795
#4476 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4477 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4478 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae29db0) at =
eval.c:2797
#4479 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae29e60) at ev=
al.c:2425
#4480 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4481 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4482 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4483 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae29f70 "\212/\205\235\062\020k>\307\361\234\225\31=
0=D2=BA!\257\204\242+\231\234=C9=80\247\244G\222\246b\267w\201\375\027\333\=
363\070\016\234#\374u\353\320\334s\033}=DD=96^nX=3DG\352\343)\005A\271 \"\3=
05\336\311d\257\rR\215\251\242\365\">Zd\250<:z:\247\356\246=DD=A7H1\217\372=
\233W\f/\364", <incomplete sequence \323>, nbytes=3D4096, coding=3D0x55d3b3=
915cd0) at process.c:6210
#4484 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4485 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4486 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b2206028 =
"\n\033\212\250", len=3D4, object=3D...) at process.c:6620
#4487 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4488 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae2b640) at eval.c:2870
#4489 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae2b638) at =
eval.c:2795
#4490 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4491 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4492 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae2bb50) at =
eval.c:2797
#4493 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae2bc00) at ev=
al.c:2425
#4494 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4495 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4496 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4497 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae2bd10 "\371E\324\\=C6=9F.#~\361\264\271\314\333\3=
32\314g\267y=3D\034\305\065=CB=B9\252\024X\222\b=C7=A3b8\025\352\372=DD=95=
=CF=AD\242>\276\313\032\017\326\360\340U=DE=A1\271\020S\305=EC=93=A6\321=C4=
=B2[B;=3D4d\325\315M5\017\324\374\003\237\317$\032\005\026\353\274)\311", <=
incomplete sequence \361>, nbytes=3D4096, coding=3D0x55d3b3915cd0) at proce=
ss.c:6210
#4498 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4499 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4500 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b2206018 =
"\n\033z\250", len=3D4, object=3D...) at process.c:6620
#4501 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4502 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae2d3e0) at eval.c:2870
#4503 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae2d3d8) at =
eval.c:2795
#4504 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4505 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4506 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae2d8f0) at =
eval.c:2797
#4507 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae2d9a0) at ev=
al.c:2425
#4508 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4509 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4510 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4511 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae2dab0 "\375+6rm,\250\245 \036>\026\267\062\360fJ"=
, nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#4512 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4513 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4514 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b2206008 =
"\n\033j\250", len=3D4, object=3D...) at process.c:6620
#4515 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4516 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae2f180) at eval.c:2870
#4517 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae2f178) at =
eval.c:2795
#4518 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4519 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4520 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae2f690) at =
eval.c:2797
#4521 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae2f740) at ev=
al.c:2425
#4522 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4523 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4524 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4525 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae2f850 "\020vr\r\250\330\303\n\n\230\206|\244\365Y=
\375m\034j\301\355\374H\345>\"\021\063?\360\237\264\364)\266jF\a\366\252=C8=
=9C\236\370\030u+=CE=8C0x\373.\033\210\304`1\272\377$Q\021\303=DA=85\313\03=
2\275\004\214\242\004\063\060\022\062\016i/\227yq\324\314V#}\364\063~T\211z=
c|\273s]D\b0 7\024\301\347\371\365\215\b\306\313\305T\275\005e\333\365p*\02=
3o\250\aggI*\324\301\352\246\023\277\365*\257G\v'\331\064\215\217\241\250\3=
76\272\021\204\257G\021T|QD\323\f\263\373v\202=C5=9CppOX\v#c\022\066\206\23=
0\f\034B\020%\266\017\223\357=3Da;\343A\355\022\232\234\256\067Hc"..., nbyt=
es=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#4526 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4527 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4528 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b2205ff8 =
"\n\033Z\250", len=3D4, object=3D...) at process.c:6620
#4529 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4530 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae30f20) at eval.c:2870
#4531 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae30f18) at =
eval.c:2795
#4532 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4533 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4534 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae31430) at =
eval.c:2797
#4535 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae314e0) at ev=
al.c:2425
#4536 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4537 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4538 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4539 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae315f0 " Jy\221r96gL\301e\363\002\b\355\236\350qA\=
334)\364\066\024\274n-\205\354\350\n\235\207;\036\rb\306^\030'r\024\t\216\3=
15\325L.:\361&D\344\354|\310\363\210\363`\270j\234\214\342\240G\034\026\347=
+\210=D3=92\274\277Q\t\r\247T\307\347\300K\n2\227>{z\370w\026e\274%\272\071=
=C9=AD\343\201Y/\276\327\214o\353b\021\217\034qBc\373\376[=D5=9D\350-5~\217=
\335)n\377\241\270\243\211R\242I%\375\300\316\376\337\375\347\302\021\254\3=
17\360\232=CA=89\272\335i\r8\367\253k`\370\065$\314\366U\355\245\216\b\200\=
034\062:\216\064}\330T\277#\207\231\243\212\332\327\357\032\371\364*\313\31=
2\377", <incomplete sequence \351>..., nbytes=3D4096, coding=3D0x55d3b3915c=
d0) at process.c:6210
#4540 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4541 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4542 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b2205fe8 =
"\n\033J\250", len=3D4, object=3D...) at process.c:6620
#4543 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4544 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae32cc0) at eval.c:2870
#4545 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae32cb8) at =
eval.c:2795
#4546 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4547 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4548 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae331d0) at =
eval.c:2797
#4549 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae33280) at ev=
al.c:2425
#4550 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4551 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4552 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4553 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae33390 "$=3D\f\247\241t\001\241\276\246\342\327\02=
6\362q\r\350\363VK\221\071\367\254R\261\200", nbytes=3D4096, coding=3D0x55d=
3b3915cd0) at process.c:6210
#4554 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4555 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4556 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b2205fd8 =
"\n\033:\250", len=3D4, object=3D...) at process.c:6620
#4557 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4558 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae34a60) at eval.c:2870
#4559 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae34a58) at =
eval.c:2795
#4560 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4561 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4562 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae34f70) at =
eval.c:2797
#4563 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae35020) at ev=
al.c:2425
#4564 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4565 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4566 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4567 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae35130 "_\303rh\017\217_3\235q3\336|g\b\214\360AA\=
260\253\243&\367\371\266\254\312#&\362Y\032/\231@h:=C9=9B\316\002\253\232\2=
64\316\071\343,\033\031z\312=C7=8E\336Ft\207^\320K\r8P\"09c\272Kf\245=DA=93=
\022v-\256\036d\265\fE\034\212\327\274\316\037zE1\322\354\227=E8=9D=AF=D0=
=87'\242\301wg\310\356\337\317\344F\217\241N_\303;\243||\340\342\372\227=D2=
=81\221$f\207dj\201\003 !\030\337\273\365\026\065\357\070\237/m*3\f\021\vH\=
311\037\022\331\371\364\370\374-`'\036sJ\253\026\255=CF=9Cxy;\220\272Xh.L'\=
261\352\313=E4=A4=BE\352\236K\237=C8=A2\235\313\021\243", <incomplete seque=
nce \371>..., nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#4568 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4569 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4570 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b2205fc8 =
"\n\033*\250", len=3D4, object=3D...) at process.c:6620
#4571 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4572 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae36800) at eval.c:2870
#4573 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae367f8) at =
eval.c:2795
#4574 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4575 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4576 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae36d10) at =
eval.c:2797
#4577 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae36dc0) at ev=
al.c:2425
#4578 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4579 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4580 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4581 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae36ed0 "`\342\347\a=C8=BB\031u\312\356\351\204#\37=
0%W'\307\320\005\245\214\003D:L\246\347\037\205V\311=D0=B1b\202\256\324\320=
\351r\252\200\n\373\002\316\022\345-\371s\t\311F\002\307w_\241\350=C4=A7\35=
6~\\>\031\334HY\352Ad9\346B>\271=D6=9Cr\246\254I\312}\210\247P\317X=C6=93\0=
37\320D\253\021\370J\322$\311\355\037\254\203\314X\255\"C\300N\224\274\353\=
356%\221\071x\360\256\361\327\374\252\217\360\215\230\363\216\071jLZ\v/\274=
\251\232W\261\200\371\356\360%\315\354\177VI\021\374\070\243\331\070\377\32=
4\034\021\063\337{=D8=99\037[v=DF=A2\361K\300\227\203\017Ki\205\240\244\305=
\066n\377\233\t~Wd\026J\365", <incomplete sequence \342>..., nbytes=3D4096,=
 coding=3D0x55d3b3915cd0) at process.c:6210
#4582 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4583 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4584 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b2205fb8 =
"\n\033\032\250", len=3D4, object=3D...) at process.c:6620
#4585 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4586 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae385a0) at eval.c:2870
#4587 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae38598) at =
eval.c:2795
#4588 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4589 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4590 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae38ab0) at =
eval.c:2797
#4591 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae38b60) at ev=
al.c:2425
#4592 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4593 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4594 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4595 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae38c70 "E|\023\346\354\224\365\235z\356=3Dc\a\236\=
200\021\207=C7=86,\341\351\243\065a~\335HY%\234\216\017\302\004S\267O\272:\=
004r\216\064\026 q\371q\021\337;\353\235\360}\034\361\002\233w5N\255\251\00=
4\262\222i\363{3\230\027\372X\270", nbytes=3D4096, coding=3D0x55d3b3915cd0)=
 at process.c:6210
#4596 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4597 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4598 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b2205fa8 =
"\n\033\n\250", len=3D4, object=3D...) at process.c:6620
#4599 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4600 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae3a340) at eval.c:2870
#4601 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae3a338) at =
eval.c:2795
#4602 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4603 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4604 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae3a850) at =
eval.c:2797
#4605 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae3a900) at ev=
al.c:2425
#4606 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4607 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4608 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4609 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae3aa10 "\023zg\375\062,\002&x\341\332/Zj\361\373\2=
53\233\247\202\177\212\036\324d\022\232E\036\026\307\300\321=D3=8BsY\v\312<=
\363\230|SW\201\360[\260\257\262\270\350w\251\370\304(\246\363Z\301\320\337=
\063\a\352\245\316\033\232I\367\334\026\323^|>=D0=86i\341A\030v\025yz\201\\=
\265\356C\313{\220H\260H\250\214\244\023\067\370\034st\243k=D6=9C\257\275\0=
60\240\252\036\273\343\a\242\244V\220=D6=BB##(-\177vE*\307\032zs\210p\376n\=
274\376\232\330 \242\336o\337\307W\023\346\323\324l\346\v\200\206\023\031h\=
326e\242\325&\241\242s\273\263Q*\302W=CE=BB\202\312Fp\aDG\227\366\360j\260\=
256>\351\307", <incomplete sequence \314>..., nbytes=3D4096, coding=3D0x55d=
3b3915cd0) at process.c:6210
#4610 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4611 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4612 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b2205f98 =
"\n", <incomplete sequence \372\250>, len=3D4, object=3D...) at process.c:6=
620
#4613 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4614 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae3c0e0) at eval.c:2870
#4615 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae3c0d8) at =
eval.c:2795
#4616 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4617 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4618 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae3c5f0) at =
eval.c:2797
#4619 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae3c6a0) at ev=
al.c:2425
#4620 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4621 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4622 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4623 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae3c7b0 "K\313\305v2\034\371\251\061\t\022\373\227\=
200s\223#\341\316'y\273\354D\207d=CA=9B\321\305K\001=D8=95/\300A\264>\263]\=
347\354C\252\235\004\203\370\372\342}\027c\204w\024=CC=80\003\036\036\215N%=
\301\306\357}7r\355]=D2=A36=D2=91\362\344\b\240\372 \265\vE=D9=A2\021P\341O=
)\016d\002:?y", nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#4624 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4625 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4626 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b2205f88 =
"\n", <incomplete sequence \352\250>, len=3D4, object=3D...) at process.c:6=
620
#4627 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4628 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae3de80) at eval.c:2870
#4629 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae3de78) at =
eval.c:2795
#4630 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4631 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4632 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae3e390) at =
eval.c:2797
#4633 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae3e440) at ev=
al.c:2425
#4634 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4635 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4636 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4637 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae3e550 <incomplete sequence \354>, nbytes=3D4096, =
coding=3D0x55d3b3915cd0) at process.c:6210
#4638 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4639 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4640 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b2205b98 =
"\n\032=DA=A8", len=3D4, object=3D...) at process.c:6620
#4641 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4642 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae3fc20) at eval.c:2870
#4643 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae3fc18) at =
eval.c:2795
#4644 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4645 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4646 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae40130) at =
eval.c:2797
#4647 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae401e0) at ev=
al.c:2425
#4648 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4649 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4650 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4651 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae402f0 "\343|<@=C6=ADQM}\254\363>{\037m\004\316\33=
6\344\064\346q\ab[\177\062\221>\335K\310U\023x\016V;\r@\371>\314/\r5(,9\263=
X\354\377\260\210\246\063\\\377=E6=83=80\342\312l\321\001\323=EB=AE=83\025d=
5>\201L\265\367\354=CD=83\301D\207r\303A\225!{\333\372\371B|Jh\035\063\031^=
\206=EB=94=A3)\363v\210\330M\220V\356\203\335~*C=F0=A0=82=B8$\v\261qT\372\b=
P\335at\326B\021S\325\305,\232\035m\276j\033=D9=AE)G\036\373\277\377\226=D1=
=87\v=CD=94f\345A\252aNFw\314Y\006\032u\260v\021\037,\272K=D8=85\202\265\27=
3H\334@\002\177\237=D2=BE\345\061\v1g"..., nbytes=3D4096, coding=3D0x55d3b3=
915cd0) at process.c:6210
#4652 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4653 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4654 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b2205b88 =
"\n\032=CA=A8", len=3D4, object=3D...) at process.c:6620
#4655 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4656 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae419c0) at eval.c:2870
#4657 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae419b8) at =
eval.c:2795
#4658 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4659 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4660 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae41ed0) at =
eval.c:2797
#4661 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae41f80) at ev=
al.c:2425
#4662 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4663 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4664 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4665 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae42090 "\021\fb\364\365\364\227t\032\306M\241\255g=
I~n\376\351\366=D7=B3\256\017 @\372m]\024\374ojy\270\226\306\355s\264\341l\=
341\264\v'\372X\207\367rk\241/l(,\243\236\237i\262\210\226\367\061lp]\352U\=
364-?jhG4=3Dzd\027\020\304z\250\255\a\213g\366\034\335\v\022\227\026\243G\2=
40\316?Gs=C8=9FQ\335{X}\314\r\030\330\062>K\031\036\336o\n\324 \331\342\312=
f\245\313\004<\f\337\316T6\261\226\204[\252\005\376\267YF6g\361\231\257l\36=
0\"\362a%i\034\214=3D\037\260\te\220>\335]=CE=B1g\304\377,\300\346o\261\203=
\360/v\241\024\016\004\365\217\265*\246\344T\363\005\334:"..., nbytes=3D409=
6, coding=3D0x55d3b3915cd0) at process.c:6210
#4666 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4667 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4668 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b2205b78 =
"\n\032\272\250", len=3D4, object=3D...) at process.c:6620
#4669 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4670 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae43760) at eval.c:2870
#4671 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae43758) at =
eval.c:2795
#4672 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4673 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4674 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae43c70) at =
eval.c:2797
#4675 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae43d20) at ev=
al.c:2425
#4676 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4677 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4678 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4679 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae43e30 "\240\377~\362\"\331\300\333i\177\262\260\2=
11\021e\031=CA=88\266i\211\371\207 \231\345\001C\035\062\220?\257v\247#\205=
Y\331Fj\023\331\351\026\032\271\201\317\347\342\v\r\263\331l0Wt\220\030\\\0=
16\306\370\323zo\275\306\021\376\202%\341\030\337\"\236W?p\t\251G\206", <in=
complete sequence \370\235>, nbytes=3D4096, coding=3D0x55d3b3915cd0) at pro=
cess.c:6210
#4680 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4681 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4682 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b2205b68 =
"\n\032\252\250", len=3D4, object=3D...) at process.c:6620
#4683 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4684 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae45500) at eval.c:2870
#4685 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae454f8) at =
eval.c:2795
#4686 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4687 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4688 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae45a10) at =
eval.c:2797
#4689 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae45ac0) at ev=
al.c:2425
#4690 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4691 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4692 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4693 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae45bd0 "\330|\306\036+\356\365\302 \351X\310\035hp=
<X=DA=9A\247!\211,\330\\\207\033\245\237N\023WAO\261\371\230\330\agQ\371P=
=D2=B4\234>\276\314=DC=94\324\vI\211(\356\032\237\224\236e\bz\247^\005e*r\3=
71\340\032\336\313\020H=DC=A4\002\256:\215", nbytes=3D4096, coding=3D0x55d3=
b3915cd0) at process.c:6210
#4694 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4695 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4696 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b2205b58 =
"\n\032\232\250", len=3D4, object=3D...) at process.c:6620
#4697 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4698 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae472a0) at eval.c:2870
#4699 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae47298) at =
eval.c:2795
#4700 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4701 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4702 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae477b0) at =
eval.c:2797
#4703 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae47860) at ev=
al.c:2425
#4704 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4705 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4706 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4707 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae47970 "\377O\216\350\247M\204MN\250\217;B*K\233\0=
04t\331)?)J\273\r\376D5=C4=99\245\376Q\341E}\312\321\360_\260r@\022\336;d\3=
44.\f#I\272r7=C5=8E\276\207\006\300\220=D9=93\006\270\210J\255f\034\250qE\2=
45\350\245r\273i%?\n\363Q\365m\376J\215'$\016\264\351\376fV=D7=A1\002\270U5=
\211=CE=A4=D7=85\203=DD=AD{\034\317\324];\355=CF=9F<\331x\231~\020C|uC\374\=
374(a\250\261\202lp8\231\361\003\214\301\371\070o\003Y\a\206\355Y\324=C7=8B=
\365u\236xv_\033\202\212\277\262\255\325\322;\035SZ-\321c\243j\334\371\325\=
300\276=CC=80(\235\025\352\035\242\267\224\367,", <incomplete sequence \354=
>..., nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#4708 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4709 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4710 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b2205b48 =
"\n\032\212\250", len=3D4, object=3D...) at process.c:6620
#4711 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4712 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae49040) at eval.c:2870
#4713 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae49038) at =
eval.c:2795
#4714 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4715 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4716 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae49550) at =
eval.c:2797
#4717 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae49600) at ev=
al.c:2425
#4718 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4719 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4720 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4721 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae49710 " \a\272B\325\353\202C\027\363+\271\313S\22=
3\v\027beQ\201\323\366\341\370\232O=D1=88\234\261\062\301j\257\362\370\313q=
:^\035\353i\204hyx=3D\005\215\026\233/,\230\024+\264\247\365\355\021f\017=
=DB=9B=C7=A7B\030\272", nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.=
c:6210
#4722 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4723 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4724 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b2205b38 =
"\n\032z\250", len=3D4, object=3D...) at process.c:6620
#4725 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4726 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae4ade0) at eval.c:2870
#4727 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae4add8) at =
eval.c:2795
#4728 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4729 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4730 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae4b2f0) at =
eval.c:2797
#4731 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae4b3a0) at ev=
al.c:2425
#4732 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4733 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4734 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4735 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae4b4b0 "\362\376\246\177m\210\r\247?F\362\257\340|=
\377\215;>.\352\344\311\037(\257\226\033\003Z\337\036\061\354'\240|\233\305=
\366\063\305=C6=A6..\316\316\301b\377\206e\244\064=D3=B5\217\200\363\034\35=
7\035\240g\001\n]\302\374\307\b", nbytes=3D4096, coding=3D0x55d3b3915cd0) a=
t process.c:6210
#4736 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4737 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4738 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b2205b28 =
"\n\032j\250", len=3D4, object=3D...) at process.c:6620
#4739 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4740 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae4cb80) at eval.c:2870
#4741 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae4cb78) at =
eval.c:2795
#4742 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4743 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4744 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae4d090) at =
eval.c:2797
#4745 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae4d140) at ev=
al.c:2425
#4746 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4747 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4748 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4749 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae4d250 "\217\222\266\033\031=D8=8C=3D\361iQ=E6=BF=
=8DW\211=CE=B2b^wF+}\314@MD\351B\351\315/.u|\036\207\230\003U-9\241\333=3D\=
343 \214c\250 W2\027c\232j\r=C5=BDw\376V=DB=94o\v/0#\204{<p\004I\t\373\267\=
315\032D\250\260\r\017\227\224\063\177\341\037\374\215^LL\347\006\265\253\2=
73\rXpVC=C4=8F\250\256\277\361\244N1\024\177;\205\343\210\337\003N\341f\345=
\202Q\356\216\017\373#\265*z\334=3D\206\356\227-\257$\t\v\003d\024\032U\350=
\025\276\244\241\271\300\264\060\201w\204yG\364-nvE\322r\305Q\212\025\314\1=
77k\177\203\326K\213+\263[\312\330(\325n\344{\b\a\272"..., nbytes=3D4096, c=
oding=3D0x55d3b3915cd0) at process.c:6210
#4750 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4751 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4752 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b2205b18 =
"\n\032Z\250", len=3D4, object=3D...) at process.c:6620
#4753 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4754 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae4e920) at eval.c:2870
#4755 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae4e918) at =
eval.c:2795
#4756 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4757 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4758 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae4ee30) at =
eval.c:2797
#4759 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae4eee0) at ev=
al.c:2425
#4760 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4761 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4762 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4763 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae4eff0 "\207\247\f!.\217\037xpn$\252\300\215\376\3=
52\367\321\357\004\022\371W\f\230=DD=AA\333\rLq\277LXC?\214xq\362\315\061\0=
70\320\065=3D\230\335\314M)\253w=DE=A4\211\246\221m~\301\235\024^\025\266\3=
75\066\270(\261\313!d`|\356)\202:\266'\036j\306F\302^\352 !\255b\223\020v<m=
\344\250\304q\301c\337[K\r\325=3D\032\200f\355z\351\354\244p\212&\023\230\3=
71\215\355\331x2\200\274\325{\211S\234\260I\230\021\f\215\366h=D1=96\345\36=
3#v\254\371=C3=A2\235\071\251\064\262\305a\370\242P\377\070\254\004\327g\23=
6~\362\231\071\214]v\022\371k", nbytes=3D4096, coding=3D0x55d3b3915cd0) at =
process.c:6210
#4764 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4765 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4766 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b2205b08 =
"\n\032J\250", len=3D4, object=3D...) at process.c:6620
#4767 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4768 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae506c0) at eval.c:2870
#4769 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae506b8) at =
eval.c:2795
#4770 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4771 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4772 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae50bd0) at =
eval.c:2797
#4773 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae50c80) at ev=
al.c:2425
#4774 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4775 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4776 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4777 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae50d90 "\261\021\070^y\373c\261&\023", nbytes=3D40=
96, coding=3D0x55d3b3915cd0) at process.c:6210
#4778 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4779 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4780 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b2205af8 =
"\n\032:\250", len=3D4, object=3D...) at process.c:6620
#4781 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4782 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae52460) at eval.c:2870
#4783 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae52458) at =
eval.c:2795
#4784 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4785 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4786 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae52970) at =
eval.c:2797
#4787 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae52a20) at ev=
al.c:2425
#4788 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4789 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4790 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4791 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae52b30 "j\277\060\206\332\351\321\343M5Y4\031h\b\0=
01\024\062\"\376b\033O\234\256\217\020KHx\221)\\=C7=8D\332\071\030\214\355c=
\254a\240\275=C3=87/F@\030\237cW]\311\360\033\376\250\070\242\254\067\177\2=
70\250\236\352\200F@\a+\243\024h\nu\332<\343/\201\217\031v\230\200-E\204|=
=D3=9EB\244\205;=C9=B7\223\235\334\177\254\201T\273\261\375\376r\032O=CF=9F=
\233+,\350\301\061\235.\213\265n\200\b\026\025\267\360^\325Z\270H\377n\".c\=
004[OJW=CB=9E\224\205\223E\314\336;\v\334\b\205\340\353E\221\322\\\233\236f=
\006t9\024\365\313\017,\217B\274I\v\377\250\003\341\214S\347z\273TkI\332\37=
6", <incomplete sequence \302>..., nbytes=3D4096, coding=3D0x55d3b3915cd0) =
at process.c:6210
#4792 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4793 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4794 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b2205ae8 =
"\n\032*\250", len=3D4, object=3D...) at process.c:6620
#4795 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4796 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae54200) at eval.c:2870
#4797 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae541f8) at =
eval.c:2795
#4798 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4799 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4800 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae54710) at =
eval.c:2797
#4801 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae547c0) at ev=
al.c:2425
#4802 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4803 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4804 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4805 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae548d0 "3\025\067x\264\344_(\224o\220P\333\375\216=
\070FY5\346\252P4 \222\343=D2=84\214I\322#\317\"=D1=A0\272\227\340\202Z\200=
\247]\276=EA=BD=A7Ja\200\064GuX\207\021\021\v\020\360\324\\Qt\314l\212U\316=
-\376qSO\344\377\221\221h\252=DC=B5e\366\033,\321W\fA,\356q=E7=98=AD\252\27=
3.\343}=DA=96\002\373]{u=D5=8F\017\003\n\343\\\004\201V=3Df\371\034\253NP\0=
03\246\302Y\360\255?\245Y\365", <incomplete sequence \350>, nbytes=3D4096, =
coding=3D0x55d3b3915cd0) at process.c:6210
#4806 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4807 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4808 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b2205ad8 =
"\n\032\032\250", len=3D4, object=3D...) at process.c:6620
#4809 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4810 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae55fa0) at eval.c:2870
#4811 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae55f98) at =
eval.c:2795
#4812 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4813 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4814 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae564b0) at =
eval.c:2797
#4815 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae56560) at ev=
al.c:2425
#4816 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4817 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4818 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4819 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae56670 "\001\265)b\334@\034\237}\251\335U\355C\244=
E6\336\275\215\315\017\227\211=CB=AD\346;\213(%z\232_\364=C7=85pC\315{\211d=
\341z\265?6\312\066\360\222h\356\331\017Oa\262r\335j2\252\266\323VK\360V\03=
6f\375\221\017\302\017h\270\031\365\005\236\201\314\\", nbytes=3D4096, codi=
ng=3D0x55d3b3915cd0) at process.c:6210
#4820 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4821 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4822 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b2205ac8 =
"\n\032\n\250", len=3D4, object=3D...) at process.c:6620
#4823 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4824 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae57d40) at eval.c:2870
#4825 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae57d38) at =
eval.c:2795
#4826 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4827 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4828 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae58250) at =
eval.c:2797
#4829 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae58300) at ev=
al.c:2425
#4830 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4831 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4832 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4833 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae58410 "\203[=CD=A3Q=DD=99]\335\023", nbytes=3D409=
6, coding=3D0x55d3b3915cd0) at process.c:6210
#4834 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4835 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4836 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b2205ab8 =
"\n", <incomplete sequence \372\250>, len=3D4, object=3D...) at process.c:6=
620
#4837 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4838 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae59ae0) at eval.c:2870
#4839 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae59ad8) at =
eval.c:2795
#4840 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4841 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4842 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae59ff0) at =
eval.c:2797
#4843 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae5a0a0) at ev=
al.c:2425
#4844 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4845 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4846 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4847 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae5a1b0 "", nbytes=3D4096, coding=3D0x55d3b3915cd0)=
 at process.c:6210
#4848 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4849 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4850 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b2205aa8 =
"\n", <incomplete sequence \352\250>, len=3D4, object=3D...) at process.c:6=
620
#4851 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4852 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae5b880) at eval.c:2870
#4853 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae5b878) at =
eval.c:2795
#4854 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4855 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4856 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae5bd90) at =
eval.c:2797
#4857 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae5be40) at ev=
al.c:2425
#4858 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4859 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4860 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4861 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae5bf50 "\217n.\275\246\037\326=D6=A7\343\020\033 G=
6\364\224\356\347\224\364\026\256\364L\347tA\220#\243\375\375\273\032\256\3=
67", <incomplete sequence \326>, nbytes=3D4096, coding=3D0x55d3b3915cd0) at=
 process.c:6210
#4862 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4863 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4864 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b2205a98 =
"\n\031=DA=A8", len=3D4, object=3D...) at process.c:6620
#4865 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4866 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae5d620) at eval.c:2870
#4867 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae5d618) at =
eval.c:2795
#4868 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4869 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4870 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae5db30) at =
eval.c:2797
#4871 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae5dbe0) at ev=
al.c:2425
#4872 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4873 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4874 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4875 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae5dcf0 "\302\372\330S\275\214(\325\342\r\366.\270G=
\247\362\211\320ZCh\337\343\250\b=CA=B2c-\326{$a\340\a\267\340\257\063=CF=
=95M\346=D5=B1OA\032\251\247\352w\273\326\004{\341X8\254\060=DF=8C\231BB\37=
4=D1=8Bl\274\276=3D\241\334\310B\363\263\316\330f\320\377=3D#\241\263\026\2=
41\a|\277\324\025\070Vah\213\030B\220Fu\345=CF=B0.WU\260\274\373B", nbytes=
=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#4876 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4877 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4878 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b2205a88 =
"\n\031=CA=A8", len=3D4, object=3D...) at process.c:6620
#4879 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4880 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae5f3c0) at eval.c:2870
#4881 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae5f3b8) at =
eval.c:2795
#4882 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4883 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4884 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae5f8d0) at =
eval.c:2797
#4885 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae5f980) at ev=
al.c:2425
#4886 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4887 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4888 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4889 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae5fa90 "\237\340\246v\211\064", nbytes=3D4096, cod=
ing=3D0x55d3b3915cd0) at process.c:6210
#4890 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4891 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4892 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b2205a78 =
"\n\031\272\250", len=3D4, object=3D...) at process.c:6620
#4893 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4894 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae61160) at eval.c:2870
#4895 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae61158) at =
eval.c:2795
#4896 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4897 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4898 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae61670) at =
eval.c:2797
#4899 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae61720) at ev=
al.c:2425
#4900 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4901 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4902 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4903 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae61830 "\026\f\031\241~\304\001\224=D8=A7\021gB&ZI=
\277^m\240]-\244\365\361\303;\325\301\340\242\b?\247U\037\254f\v\355\317uGq=
\033(\177\277\266\213\002\205FjU\001\033\343\356\035=DB=BF/\326N\344\061\00=
1\332\340\300\363\357\002ke7IV\252\251\200\023\373<\242]\221oI\343r\340\355=
\363W\375\360\257\n\331\016v\225\306a/\231\212[Rx1\315\322`C\320<N\215\036\=
207O\251\365\021\225J\021M\034\016=D5=AC`\342\267\004(\205\216\327\361\f!\0=
05:\366\361z\252\340=DC=AD\344A\333r3\270\265^\320\032=C3=9A4\264\061\231k=
=D0=90\240\\V~\004\301K]x\242\177\224\t\263\227", nbytes=3D4096, coding=3D0=
x55d3b3915cd0) at process.c:6210
#4904 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4905 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4906 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b2205a68 =
"\n\031\252\250", len=3D4, object=3D...) at process.c:6620
#4907 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4908 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae62f00) at eval.c:2870
#4909 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae62ef8) at =
eval.c:2795
#4910 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4911 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4912 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae63410) at =
eval.c:2797
#4913 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae634c0) at ev=
al.c:2425
#4914 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4915 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4916 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4917 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae635d0 ",\214\256\257I\"o\336\032M=CB=A4\343{j\375=
CF\033)\f9\374\225CB\037\021\370\023\233\313\340\003\232s`lR=D3=ADv\037g!\2=
57\256w+0\320\350\220L9z\325P4\227u\253~\204S\366Z\236\204\330}\310$3\353\3=
13-D\347\251=DF=83\006\016\313\363\355\033\331\363\236\031W\210\366\203\237=
:~\341\335\345\331=3D\024\023\353\375\200\271\\u\236\363\261\026\033\215\34=
0\234\273\204\366\375=D4=95\346i$\256=DC=9B\034\354H\372\376\354\020uZ\344i=
9\024\201|\024\024z\322E\023q\306$E\257\016\204\002(0\362D\367\322W\262t\03=
5=D9=9DH4\272=C9=AC\274+E\262\351\364-\364\024\004\036B\026*\216\207\b\220\=
177#\307\v"..., nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#4918 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4919 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4920 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b2205a58 =
"\n\031\232\250", len=3D4, object=3D...) at process.c:6620
#4921 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4922 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae64ca0) at eval.c:2870
#4923 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae64c98) at =
eval.c:2795
#4924 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4925 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4926 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae651b0) at =
eval.c:2797
#4927 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae65260) at ev=
al.c:2425
#4928 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4929 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4930 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4931 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae65370 "\357rt\037=3D\207n|\215\253H$\306\332\017j=
|\242\366=C9=8C\340\255\064\204\353JX\342P\323tD\f:\201Mc\210\334\324\310\0=
70i\346\301&\001T\333\004)\323j\\Y\032\377\311u\373\064", <incomplete seque=
nce \362>, nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#4932 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4933 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4934 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b2205a48 =
"\n\031\212\250", len=3D4, object=3D...) at process.c:6620
#4935 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4936 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae66a40) at eval.c:2870
#4937 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae66a38) at =
eval.c:2795
#4938 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4939 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4940 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae66f50) at =
eval.c:2797
#4941 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae67000) at ev=
al.c:2425
#4942 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4943 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4944 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4945 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae67110 "\252\025\244\066B\022lQ\223=D5=9Ds\314t2\r=
\030\276\310\065@!]iNb\301\353\370\201\035\021\315~[\274gQ\357X=C9=80\212k\=
243\332,\"\262`\001\234\245'\031\026\177\301\273\066\367H\f\226K\025\276\06=
6\355\274Y\001PrX\r\340\062\355v=C2=A7\361\265\366\nMs\224.s=C4=92\003\023\=
351 \005\021$\027(\347\034\367\021P8Wr\366\001>\021e4\270>n,\336(\032|+k\03=
3\252AD\200OK=EB=AE=BA\241\210\n$\344O\251f\021\344+\v\313S\004\366\313U\f\=
326d\003T\350\225\367\v2s=3D\006O\230%y\273\367}\361\362\326u\254\341\353\0=
30\341\002=E2=88=8E\206z\307\370\b\036\032\265\321T\177fC"..., nbytes=3D409=
6, coding=3D0x55d3b3915cd0) at process.c:6210
#4946 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4947 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4948 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b2205a38 =
"\n\031z\250", len=3D4, object=3D...) at process.c:6620
#4949 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4950 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae687e0) at eval.c:2870
#4951 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae687d8) at =
eval.c:2795
#4952 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4953 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4954 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae68cf0) at =
eval.c:2797
#4955 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae68da0) at ev=
al.c:2425
#4956 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4957 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4958 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4959 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae68eb0 "\240\336\375\305Vz\356W\251\310/:\002=C4=
=B8=E7=8E=88Ev\363zo\342\242\340\vE\\\231\352w?\371\364rr\275\360p\031\204\=
213\245g!\n\b\205\204\001\r\375e\266J\251@\231\034 A\b\b}\302\371Im\232\274=
\342\341\303|", <incomplete sequence \347>, nbytes=3D4096, coding=3D0x55d3b=
3915cd0) at process.c:6210
#4960 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4961 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4962 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b2205a28 =
"\n\031j\250", len=3D4, object=3D...) at process.c:6620
#4963 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4964 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae6a580) at eval.c:2870
#4965 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae6a578) at =
eval.c:2795
#4966 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4967 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4968 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae6aa90) at =
eval.c:2797
#4969 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae6ab40) at ev=
al.c:2425
#4970 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4971 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4972 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4973 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae6ac50 "\305\003oZ\005\002\325\336\071$\264\244+\2=
06?\003T\372\f/\306q\r4%\362!{\252\353\375\217-\240\255A{.\355Mw\200X\357_\=
265\031\027y@\217\273B\032y9\035g\307", <incomplete sequence \302>, nbytes=
=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#4974 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4975 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4976 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b2205a18 =
"\n\031Z\250", len=3D4, object=3D...) at process.c:6620
#4977 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4978 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae6c320) at eval.c:2870
#4979 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae6c318) at =
eval.c:2795
#4980 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4981 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4982 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae6c830) at =
eval.c:2797
#4983 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae6c8e0) at ev=
al.c:2425
#4984 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4985 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#4986 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#4987 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae6c9f0 "Yu\335P\240\376\vp=D7=87_\361\374p\200_\34=
1hk\214\345^-\251\244\231K=3D\331}\302R\330=D5=B0//<\203\272w\366\022\353\3=
07\f\257<\360\002\345=D9=BB}\301\371)\005\026\235\375\271\207\316\330\372\2=
06\303\020\033\261\271\250=DF=A5\215\243(\365. 5\241\274\274q\364a\365\354\=
064y\277I>>\303\370\243g\220\003\304=CC=A94I\026&\257\241\325\342\267L\311\=
"?Y~=DF=98\211\331Mo\207)\377\223\036\212\t\324\363Q5=CB=AA\236\025%\020/\2=
14\237B\220{\356\002K\033\220\251\263I\255\375H\266\376\273\320J\233\311d(\=
021\206S\226\240=3D\026\060\026\n\212m!\036\327B\227>\231\rB\202\261\244\36=
3\337Q\363\030", <incomplete sequence \305>..., nbytes=3D4096, coding=3D0x5=
5d3b3915cd0) at process.c:6210
#4988 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#4989 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#4990 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b2205a08 =
"\n\031J\250", len=3D4, object=3D...) at process.c:6620
#4991 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#4992 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae6e0c0) at eval.c:2870
#4993 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae6e0b8) at =
eval.c:2795
#4994 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#4995 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#4996 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae6e5d0) at =
eval.c:2797
#4997 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae6e680) at ev=
al.c:2425
#4998 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#4999 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#5000 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#5001 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae6e790 "\260\316\310X\376x\363BYr8\004\240\304\003=
\202\023\060\024=C4=8A\022\211\304^BGr&\005-\346=D0=81pJ%\371\316B\220E\234=
\260\274\202\361.\216\254\353F_`G\267g=C5=98=E5=84=8D\005\207k\246\271\271\=
264\021|\032c\aJ\311W\361'yu\321`\307\005(\265=C9=871\357\326\376)\310QHzI\=
233=CA=83\362\366\212)\201\345\"\372x\205\206\037\211\256\226n\324\001\003\=
001\032\277\245\244\230\257j\321B\273\264<", nbytes=3D4096, coding=3D0x55d3=
b3915cd0) at process.c:6210
#5002 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#5003 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#5004 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b22059f8 =
"\n\031:\250", len=3D4, object=3D...) at process.c:6620
#5005 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#5006 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae6fe60) at eval.c:2870
#5007 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae6fe58) at =
eval.c:2795
#5008 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#5009 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#5010 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae70370) at =
eval.c:2797
#5011 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae70420) at ev=
al.c:2425
#5012 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#5013 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#5014 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#5015 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae70530 "\202P\036S\376*\204\220\304\375l\345\263)\=
300c\236\066\374\304\177o\207\333\061r\260\201\275\017=DE=A0\025\274\243\33=
7\310\020=DD=82\253\362\344\t\200\066\313]J\235\271z\353=D2=95\312i\312o\02=
2\350OS\361\360\352\r\317y\271\375a\317cj\254,\253\270=EF=AE=BE\356b\021\27=
3)~\357\274/9f\307\022\222\067\274\204\347\070/\314\016\061\253\071\340!\35=
4T=D8=A7\313\063Z\247\243\267;{%\265\255u\271\277n\371\333\024\031\337%A\22=
0\207\a=EF=A4=BC=CE=B6ob\213?\345\363\236\343d\374\316\314/\224Q\377\211j`\=
241\006Ad\346\067\202\237=C7=B2\250\\\330=C2=B0\brZ\223Y\032\210 \314=3D\24=
4J-)\035u0\a\253\265f\330\377"..., nbytes=3D4096, coding=3D0x55d3b3915cd0) =
at process.c:6210
#5016 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#5017 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#5018 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b22059e8 =
"\n\031*\250", len=3D4, object=3D...) at process.c:6620
#5019 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#5020 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae71c00) at eval.c:2870
#5021 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae71bf8) at =
eval.c:2795
#5022 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#5023 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#5024 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae72110) at =
eval.c:2797
#5025 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae721c0) at ev=
al.c:2425
#5026 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#5027 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#5028 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#5029 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae722d0 ",\213o\025\226\372N\312B:\310\017\204\231\=
321\003\275\263\312\065;\033\272\222=D3=83Kd\240\315\070e\360I+7\017\023\22=
7~\\(\372\035\330\037\325\t\326\310\337\372\203\346\360\261=DA=BAQ\212\256\=
037{>\217\062z=E1=9A=A1\350\353\355hjK,P\266\364\267\r\202\200\032p\037\355=
\244V\302\362\342'\252\033\372\031SW\237x\236\071>\260=D9=B4S/XU\270\070\37=
5\220K\004\367\061*\253\374\365\177\271u\330@\351`}O\216\317\356\233\334I\3=
32P\213\"\232\315\345=CB=87\201\035&\311lPra7\372\355w\004md\t\"\027\r\236=
=D0=AF\344\210#g\271i#\206\334\345\223w\334\017f*7|\363\177H\323f\242\265\0=
60-G\375", <incomplete sequence \323>..., nbytes=3D4096, coding=3D0x55d3b39=
15cd0) at process.c:6210
#5030 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#5031 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#5032 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b22059d8 =
"\n\031\032\250", len=3D4, object=3D...) at process.c:6620
#5033 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#5034 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae739a0) at eval.c:2870
#5035 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae73998) at =
eval.c:2795
#5036 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#5037 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#5038 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae73eb0) at =
eval.c:2797
#5039 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae73f60) at ev=
al.c:2425
#5040 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#5041 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#5042 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#5043 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae74070 "\242\332\360(\355`\212=D3=B9:\032\255\306\=
364\351\321\fKYv\303\003\212-\310\305Ld\004\273\205\232*\207\070\351c\003\2=
77\243\230\234\312\fW\377L\206wV\021\227cvR4\177r=CF=88\311:\301ah\317)\ab\=
336\366\237\360\331X\217<[ b=C7=85\347@4\356\034\223\023w\340\344z\221\323Z=
}\333u\237R\364\237R5\216\202\307\020A\350\231\327\317{\351>\230\272\357\03=
1\202\304\063\034\023\032e", nbytes=3D4096, coding=3D0x55d3b3915cd0) at pro=
cess.c:6210
#5044 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#5045 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#5046 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b22055e8 =
"\n\031\n\250", len=3D4, object=3D...) at process.c:6620
#5047 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#5048 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae75740) at eval.c:2870
#5049 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae75738) at =
eval.c:2795
#5050 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#5051 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#5052 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae75c50) at =
eval.c:2797
#5053 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae75d00) at ev=
al.c:2425
#5054 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#5055 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#5056 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#5057 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae75e10 "x4", nbytes=3D4096, coding=3D0x55d3b3915cd=
0) at process.c:6210
#5058 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#5059 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#5060 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b22055d8 =
"\n", <incomplete sequence \372\250>, len=3D4, object=3D...) at process.c:6=
620
#5061 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#5062 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae774e0) at eval.c:2870
#5063 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae774d8) at =
eval.c:2795
#5064 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#5065 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#5066 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae779f0) at =
eval.c:2797
#5067 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae77aa0) at ev=
al.c:2425
#5068 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#5069 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#5070 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#5071 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae77bb0 "\305\363\223\b=C5=BBe=C8=A8\022\237-\370\2=
66XL\327A\277\360\311\357\243y\223\204x\261", <incomplete sequence \356>, n=
bytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#5072 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#5073 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#5074 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b22055c8 =
"\n", <incomplete sequence \352\250>, len=3D4, object=3D...) at process.c:6=
620
#5075 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#5076 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae79280) at eval.c:2870
#5077 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae79278) at =
eval.c:2795
#5078 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#5079 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#5080 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae79790) at =
eval.c:2797
#5081 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae79840) at ev=
al.c:2425
#5082 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#5083 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#5084 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#5085 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae79950 "\374\342\264=DB=82\251\350\253!\275\t\331\=
177\213\021\303\320j\234E7\257,\360\240\216\023\232pO\027p\321\347.\372(\36=
5\016\355\235\025\063\260\221w\237:\335n*\376\370\210\251R:;\026\027\274\07=
0D1\035\274\364\321C\344\367\367\220\021\300\067\231\241\200=3D\252\001J\tR=
\275\244\302=C5=98\317\301\321o|0\372%\223=D1=A4lm\233\255\002\270]U\027=3D=
\266U\217\341\027\256\351\250\021=C4=84\241\244I\004\256\263\357l0\366\265\=
303>\342R\212\270)\321X\232\246\203<\200\310=CB=BE\227\301\346\221=DD=BF\23=
3\224\277=C3=84k\265x\022\b[<5\353\v%\030l\270A\035i\253\245\363\n\320\021\=
305V\221A*\237\240\020\262\365T\323 >\037W"..., nbytes=3D4096, coding=3D0x5=
5d3b3915cd0) at process.c:6210
#5086 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#5087 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#5088 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b22055b8 =
"\n\030=DA=A8", len=3D4, object=3D...) at process.c:6620
#5089 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#5090 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae7b020) at eval.c:2870
#5091 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae7b018) at =
eval.c:2795
#5092 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#5093 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#5094 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae7b530) at =
eval.c:2797
#5095 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae7b5e0) at ev=
al.c:2425
#5096 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#5097 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#5098 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#5099 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae7b6f0 "f'\242T\357\277\026s\301\202\a=DF=BA\205\2=
20\064\363\201\242\211=DD=98\212\001\274\205r\324a\377\311|\227r\371\256\27=
5d_a!*\237l2\224#\331a.0\036\377<\264\206i\301\061w@3\375[iJL\306\027\036\2=
16\320\375=DB=9F\313\071=CB=AB\211\202N\030\035\210\275\227\260\060\370\334=
Jc\"\372\366\002\356\021V\316\242\250\025X.O\325\063\234\v\266\365\b\270\20=
0j/\372\240'\303\nxA\263h\263\265\240\036\061\033\066U\272\225\276\351\062n=
\371\020\243\241\316&\323\370c\222W\n\230D\233\224\031\277\362\242\016=C5=
=B7\204\340R\314\371\234\343\320?=DB=A8P\377@\226\232\376\271\246\251\064\0=
35\313s\225\006\363@R~\203\271\234\a\254", <incomplete sequence \313>..., n=
bytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#5100 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#5101 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#5102 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b22055a8 =
"\n\030=CA=A8", len=3D4, object=3D...) at process.c:6620
#5103 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697
#5104 0x000055d3adaa29a5 in funcall_subr (subr=3D0x55d3ae2b4600 <Sprocess_s=
end_string>, numargs=3D2, args=3D0x7ffdfae7cdc0) at eval.c:2870
#5105 0x000055d3adaa23d3 in Ffuncall (nargs=3D3, args=3D0x7ffdfae7cdb8) at =
eval.c:2795
#5106 0x000055d3adb2c207 in exec_byte_code (bytestr=3D..., vector=3D..., ma=
xdepth=3D..., args_template=3D..., nargs=3D0, args=3D0x0) at bytecode.c:633
#5107 0x000055d3adaa3665 in funcall_lambda (fun=3D..., nargs=3D2, arg_vecto=
r=3D0x55d3b2e12fe5) at eval.c:3068
#5108 0x000055d3adaa2417 in Ffuncall (nargs=3D3, args=3D0x7ffdfae7d2d0) at =
eval.c:2797
#5109 0x000055d3adaa145b in Fapply (nargs=3D2, args=3D0x7ffdfae7d380) at ev=
al.c:2425
#5110 0x000055d3adaa1b63 in apply1 (fn=3D..., arg=3D...) at eval.c:2641
#5111 0x000055d3adb47203 in read_process_output_call (fun_and_args=3D...) a=
t process.c:5989
#5112 0x000055d3ada9e082 in internal_condition_case_1 (bfun=3D0x55d3adb4716=
a <read_process_output_call>, arg=3D..., handlers=3D..., hfun=3D0x55d3adb47=
205 <read_process_output_error_handler>) at eval.c:1380
#5113 0x000055d3adb47af6 in read_and_dispose_of_process_output (p=3D0x55d3b=
3384130, chars=3D0x7ffdfae7d490 "\305\036lJ~\203\205\232O\377\025-#X\314\37=
7\374\177\304{\212~s;\271Q\337]\266\201 >7\003\062\234g6P\370\344\240\375\t=
\350gr\264C\237\260h/\323\366t}Q2\205\226u4m\246\022\f\266\327\326O\245\237=
,m\235\361i\310B\030\355\205'J:\233N\373\003\v\343\362}\243\224\260\242\275=
\223\315!=C8=97O:\242H\267~\277\233\321;M\313l\b\027o\201\213|\263\304c\242=
\355\344\262\350\361\001\300\062Gm\236L3 lj\035\266\032\332!\001\177\257\02=
7\\\203\273\361\337\025\362m\305VA\244\214\357$@\341I=D4=B5L\227\310\026\33=
7JH\242/\231\064=E6=9B=966\226\071\245\236\066\210\254\300W;\244H\252"..., =
nbytes=3D4096, coding=3D0x55d3b3915cd0) at process.c:6210
#5114 0x000055d3adb476fa in read_process_output (proc=3D..., channel=3D20) =
at process.c:6121
#5115 0x000055d3adb4690b in wait_reading_process_output (time_limit=3D0, ns=
ecs=3D20000000, read_kbd=3D0, do_display=3Dfalse, wait_for_cell=3D..., wait=
_proc=3D0x0, just_wait_proc=3D0) at process.c:5808
#5116 0x000055d3adb48e0a in send_process (proc=3D..., buf=3D0x55d3b2205598 =
"\n\030\272\250", len=3D4, object=3D...) at process.c:6620
#5117 0x000055d3adb49107 in Fprocess_send_string (process=3D..., string=3D.=
..) at process.c:6697